/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral AOUT
* FILENAME......... bsl_aouthal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:02
* LAST MODIFIED AT. 01/14/2006 15:26:02
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. AOUT
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 8-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. AOUT is 0x60000000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* SWAOUT1     -  Source of Base-band Analog Output 1
* SWAOUT2     -  Source of Base-band Analog Output 2
*
\******************************************************************************/
#ifndef _BSL_AOUTHAL_H_
#define _BSL_AOUTHAL_H_

#include <bsl.h>


#if (BSL_AOUT_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _AOUT_DEVICE_COUNT                         1

  #define _AOUT_BASE_ADDRESS                         0x60000000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define AOUT_FMK(REG,FIELD,val)\
    _PER_FMK8(AOUT,##REG,##FIELD,val)

  #define AOUT_FMKS(REG,FIELD,SYM)\
    _PER_FMKS8(AOUT,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define AOUT_ADDR(REG)\
    _AOUT_##REG##_ADDR

  #define AOUT_RGET(REG)\
    _PER_RGET8(_AOUT_##REG##_ADDR,AOUT,##REG)

  #define AOUT_RSET(REG,val)\
    _PER_RSET8(_AOUT_##REG##_ADDR,AOUT,##REG,val)

  #define AOUT_RFSETS(REG,FIELD,SYM)\
    AOUT_RSET(##REG,_AOUT_##REG##_##FIELD##_##SYM##_SV)

  #define AOUT_FGET(REG,FIELD)\
    _AOUT_##REG##_FGET(##FIELD)

  #define AOUT_FSET(REG,FIELD,val)\
    _AOUT_##REG##_FSET(##FIELD,val)

  #define AOUT_FSETS(REG,FIELD,SYM)\
    _AOUT_##REG##_FSETS(##FIELD,##SYM)

  #define AOUT_FGETQ(REG,FIELD,val)\
    _AOUT_##REG##_FGETQ(##FIELD,val)

  #define AOUT_FGETSQ(REG,FIELD,SYM)\
    _AOUT_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define AOUT_RGETA(addr,REG)\
    _PER_RGET8(addr,AOUT,##REG)

  #define AOUT_RSETA(addr,REG,val)\
    _PER_RSET8(addr,AOUT,##REG,val)

  #define AOUT_RFSETSA(addr,REG,FIELD,SYM)\
    AOUT_RSETA(addr,##REG,_AOUT_##REG##_##FIELD##_##SYM##_SV)

  #define AOUT_FGETA(addr,REG,FIELD)\
    _PER_FGET8(addr,AOUT,##REG,##FIELD)

  #define AOUT_FSETA(addr,REG,FIELD,val)\
    _PER_FSET8(addr,AOUT,##REG,##FIELD,val)

  #define AOUT_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS8(addr,AOUT,##REG,##FIELD,##SYM)

  #define AOUT_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ8(addr,AOUT,##REG,##FIELD,val)

  #define AOUT_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ8(addr,AOUT,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define AOUT_VRGET(var,REG)\
    _PER_VRGET8(var,AOUT,##REG)

  #define AOUT_VRSET(var,REG,val)\
    _PER_VRSET8(var,AOUT,##REG,val)

  #define AOUT_VRFSETS(var,REG,FIELD,SYM)\
    AOUT_VRSET(var,##REG,_AOUT_##REG##_##FIELD##_##SYM##_SV)

  #define AOUT_VFGET(var,REG,FIELD)\
    _PER_VFGET8(var,AOUT,##REG,##FIELD)

  #define AOUT_VFSET(var,REG,FIELD,val)\
    _PER_VFSET8(var,AOUT,##REG,##FIELD,val)

  #define AOUT_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS8(var,AOUT,##REG,##FIELD,##SYM)

  #define AOUT_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ8(var,AOUT,##REG,##FIELD,val)

  #define AOUT_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ8(var,AOUT,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS8          Offset in 8-bit bytes from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  S W A O U T 1        |
* |_______________________|
*
* SWAOUT1 - Source of Base-band Analog Output 1
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 1: 0]	 - Source
*
\******************************************************************************/
/*#define _AOUT_SWAOUT1_RECIDX                       Not recorded */

  #define _AOUT_SWAOUT1_ADDR                         0x6000000Du

  #define _AOUT_SWAOUT1_REGOFFS                      0x0000000Du
  #define _AOUT_SWAOUT1_REGOFFS8                     0x0000000Du

  #define _AOUT_SWAOUT1_SOURCE_MASK                  0x03u
  #define _AOUT_SWAOUT1_SOURCE_SHIFT                 0
  #define AOUT_SWAOUT1_SOURCE_DEFAULT                0x00u
  #define AOUT_SWAOUT1_SOURCE_OF(x)                  _VALUEOF8(x)
  #define AOUT_SWAOUT1_SOURCE_BAOUT                  0x00u
  #define AOUT_SWAOUT1_SOURCE_BAOUT1                 0x00u
  #define AOUT_SWAOUT1_SOURCE_FAOUT                  0x01u
  #define AOUT_SWAOUT1_SOURCE_FAOUT1                 0x01u
  #define AOUT_SWAOUT1_SOURCE_NOTHING                0x02u
  #define _AOUT_SWAOUT1_SOURCE_BAOUT_SV              0x00u
  #define _AOUT_SWAOUT1_SOURCE_BAOUT1_SV             0x00u
  #define _AOUT_SWAOUT1_SOURCE_FAOUT_SV              0x01u
  #define _AOUT_SWAOUT1_SOURCE_FAOUT1_SV             0x01u
  #define _AOUT_SWAOUT1_SOURCE_NOTHING_SV            0x02u

  #define AOUT_SWAOUT1_OF(val)                       _VALUEOF8(val)
  #define AOUT_SWAOUT1_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(AOUT,SWAOUT1,SOURCE)            \
  )

  #define AOUT_SWAOUT1_RMK(source)                   \
    (Uint8)(                                         \
      _PER_FMK8(AOUT,SWAOUT1,SOURCE,source)          \
  )

  #define AOUT_SWAOUT1_RMKS(SOURCE)                  \
    (Uint8)(                                         \
      _AOUT_SWAOUT1_SOURCE_##SOURCE##_SV             \
  )

  #define _AOUT_SWAOUT1_FGET(FIELD)                  \
    _PER_FGET8(_AOUT_SWAOUT1_ADDR,                   \
      AOUT,SWAOUT1,##FIELD)

  #define _AOUT_SWAOUT1_FSET(FIELD,field)            \
    _PER_FSET8(_AOUT_SWAOUT1_ADDR,                   \
      AOUT,SWAOUT1,##FIELD,field)

  #define _AOUT_SWAOUT1_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_AOUT_SWAOUT1_ADDR,                  \
      AOUT,SWAOUT1,##FIELD,##SYM)

  #define _AOUT_SWAOUT1_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_AOUT_SWAOUT1_ADDR,                  \
      AOUT,SWAOUT1,##FIELD,val)

  #define _AOUT_SWAOUT1_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_AOUT_SWAOUT1_ADDR,                 \
      AOUT,SWAOUT1,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S W A O U T 2        |
* |_______________________|
*
* SWAOUT2 - Source of Base-band Analog Output 2
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 1: 0]	 - Source
*
\******************************************************************************/
/*#define _AOUT_SWAOUT2_RECIDX                       Not recorded */

  #define _AOUT_SWAOUT2_ADDR                         0x6000000Fu

  #define _AOUT_SWAOUT2_REGOFFS                      0x0000000Fu
  #define _AOUT_SWAOUT2_REGOFFS8                     0x0000000Fu

  #define _AOUT_SWAOUT2_SOURCE_MASK                  0x03u
  #define _AOUT_SWAOUT2_SOURCE_SHIFT                 0
  #define AOUT_SWAOUT2_SOURCE_DEFAULT                0x00u
  #define AOUT_SWAOUT2_SOURCE_OF(x)                  _VALUEOF8(x)
  #define AOUT_SWAOUT2_SOURCE_BAOUT                  0x00u
  #define AOUT_SWAOUT2_SOURCE_BAOUT2                 0x00u
  #define AOUT_SWAOUT2_SOURCE_FAOUT                  0x01u
  #define AOUT_SWAOUT2_SOURCE_FAOUT2                 0x01u
  #define AOUT_SWAOUT2_SOURCE_NOTHING                0x02u
  #define _AOUT_SWAOUT2_SOURCE_BAOUT_SV              0x00u
  #define _AOUT_SWAOUT2_SOURCE_BAOUT2_SV             0x00u
  #define _AOUT_SWAOUT2_SOURCE_FAOUT_SV              0x01u
  #define _AOUT_SWAOUT2_SOURCE_FAOUT2_SV             0x01u
  #define _AOUT_SWAOUT2_SOURCE_NOTHING_SV            0x02u

  #define AOUT_SWAOUT2_OF(val)                       _VALUEOF8(val)
  #define AOUT_SWAOUT2_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(AOUT,SWAOUT2,SOURCE)            \
  )

  #define AOUT_SWAOUT2_RMK(source)                   \
    (Uint8)(                                         \
      _PER_FMK8(AOUT,SWAOUT2,SOURCE,source)          \
  )

  #define AOUT_SWAOUT2_RMKS(SOURCE)                  \
    (Uint8)(                                         \
      _AOUT_SWAOUT2_SOURCE_##SOURCE##_SV             \
  )

  #define _AOUT_SWAOUT2_FGET(FIELD)                  \
    _PER_FGET8(_AOUT_SWAOUT2_ADDR,                   \
      AOUT,SWAOUT2,##FIELD)

  #define _AOUT_SWAOUT2_FSET(FIELD,field)            \
    _PER_FSET8(_AOUT_SWAOUT2_ADDR,                   \
      AOUT,SWAOUT2,##FIELD,field)

  #define _AOUT_SWAOUT2_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_AOUT_SWAOUT2_ADDR,                  \
      AOUT,SWAOUT2,##FIELD,##SYM)

  #define _AOUT_SWAOUT2_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_AOUT_SWAOUT2_ADDR,                  \
      AOUT,SWAOUT2,##FIELD,val)

  #define _AOUT_SWAOUT2_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_AOUT_SWAOUT2_ADDR,                 \
      AOUT,SWAOUT2,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_AOUT_SUPPORT) */
#endif /* _BSL_AOUTHAL_H_ */
/******************************************************************************\
* End of bsl_aouthal.h
\******************************************************************************/
