/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral BBAIO
* FILENAME......... bsl_bbaiohal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:02
* LAST MODIFIED AT. 01/14/2006 15:26:02
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. BBAIO
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 16-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. BBAIO is 0x68000000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* AD1RD       -  ADC1 16-bit data read
* SW1_START   -  Send ADC1 SW Start signal
* AD2RD       -  ADC2 16-bit data read
* SW2_START   -  Send ADC2 SW Start signal
* SW12_START  -  Send ADC1 and ADC2 Software Start signals at a time
* SW1_UPDATE  -  Send DAC1 Software Update signal
* DA1WR       -  DAC1 16-bit data write
* SW2_UPDATE  -  Send DAC2 Software Update signal
* DA2WR       -  DAC2 16-bit data write
* SW12_UPDATE  -  Send DAC1 and DAC2 Software Update signal
*
\******************************************************************************/
#ifndef _BSL_BBAIOHAL_H_
#define _BSL_BBAIOHAL_H_

#include <bsl.h>


#if (BSL_BBAIO_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _BBAIO_DEVICE_COUNT                        1

  #define _BBAIO_BASE_ADDRESS                        0x68000000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define BBAIO_FMK(REG,FIELD,val)\
    _PER_FMK16(BBAIO,##REG,##FIELD,val)

  #define BBAIO_FMKS(REG,FIELD,SYM)\
    _PER_FMKS16(BBAIO,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define BBAIO_ADDR(REG)\
    _BBAIO_##REG##_ADDR

  #define BBAIO_RGET(REG)\
    _PER_RGET16(_BBAIO_##REG##_ADDR,BBAIO,##REG)

  #define BBAIO_RSET(REG,val)\
    _PER_RSET16(_BBAIO_##REG##_ADDR,BBAIO,##REG,val)

  #define BBAIO_RFSETS(REG,FIELD,SYM)\
    BBAIO_RSET(##REG,_BBAIO_##REG##_##FIELD##_##SYM##_SV)

  #define BBAIO_FGET(REG,FIELD)\
    _BBAIO_##REG##_FGET(##FIELD)

  #define BBAIO_FSET(REG,FIELD,val)\
    _BBAIO_##REG##_FSET(##FIELD,val)

  #define BBAIO_FSETS(REG,FIELD,SYM)\
    _BBAIO_##REG##_FSETS(##FIELD,##SYM)

  #define BBAIO_FGETQ(REG,FIELD,val)\
    _BBAIO_##REG##_FGETQ(##FIELD,val)

  #define BBAIO_FGETSQ(REG,FIELD,SYM)\
    _BBAIO_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define BBAIO_RGETA(addr,REG)\
    _PER_RGET16(addr,BBAIO,##REG)

  #define BBAIO_RSETA(addr,REG,val)\
    _PER_RSET16(addr,BBAIO,##REG,val)

  #define BBAIO_RFSETSA(addr,REG,FIELD,SYM)\
    BBAIO_RSETA(addr,##REG,_BBAIO_##REG##_##FIELD##_##SYM##_SV)

  #define BBAIO_FGETA(addr,REG,FIELD)\
    _PER_FGET16(addr,BBAIO,##REG,##FIELD)

  #define BBAIO_FSETA(addr,REG,FIELD,val)\
    _PER_FSET16(addr,BBAIO,##REG,##FIELD,val)

  #define BBAIO_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS16(addr,BBAIO,##REG,##FIELD,##SYM)

  #define BBAIO_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ16(addr,BBAIO,##REG,##FIELD,val)

  #define BBAIO_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ16(addr,BBAIO,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define BBAIO_VRGET(var,REG)\
    _PER_VRGET16(var,BBAIO,##REG)

  #define BBAIO_VRSET(var,REG,val)\
    _PER_VRSET16(var,BBAIO,##REG,val)

  #define BBAIO_VRFSETS(var,REG,FIELD,SYM)\
    BBAIO_VRSET(var,##REG,_BBAIO_##REG##_##FIELD##_##SYM##_SV)

  #define BBAIO_VFGET(var,REG,FIELD)\
    _PER_VFGET16(var,BBAIO,##REG,##FIELD)

  #define BBAIO_VFSET(var,REG,FIELD,val)\
    _PER_VFSET16(var,BBAIO,##REG,##FIELD,val)

  #define BBAIO_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS16(var,BBAIO,##REG,##FIELD,##SYM)

  #define BBAIO_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ16(var,BBAIO,##REG,##FIELD,val)

  #define BBAIO_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ16(var,BBAIO,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS16         Offset in 16-bit words from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  A D 1 R D            |
* |_______________________|
*
* AD1RD - ADC1 16-bit data read
*
* FIELDS (msb -> lsb)
* (R.)	DATA      	[15: 0]	 - ADC1 16-bit data
*
\******************************************************************************/
/*#define _BBAIO_AD1RD_RECIDX                        Not recorded */

  #define _BBAIO_AD1RD_ADDR                          0x68000000u

  #define _BBAIO_AD1RD_REGOFFS                       0x00000000u
  #define _BBAIO_AD1RD_REGOFFS16                     0x00000000u

  #define _BBAIO_AD1RD_DATA_MASK                     0xFFFFu
  #define _BBAIO_AD1RD_DATA_SHIFT                    0
  #define BBAIO_AD1RD_DATA_DEFAULT                   0x0000u
  #define BBAIO_AD1RD_DATA_OF(x)                     _VALUEOF16(x)

  #define BBAIO_AD1RD_OF(val)                        _VALUEOF16(val)
  #define BBAIO_AD1RD_DEFAULT (Uint16)(              \
      _PER_FDEFAULT16(BBAIO,AD1RD,DATA)              \
  )

  #define _BBAIO_AD1RD_FGET(FIELD)                   \
    _PER_FGET16(_BBAIO_AD1RD_ADDR,                   \
      BBAIO,AD1RD,##FIELD)

  #define _BBAIO_AD1RD_FSET(FIELD,field)             \
    _PER_FSET16(_BBAIO_AD1RD_ADDR,                   \
      BBAIO,AD1RD,##FIELD,field)

  #define _BBAIO_AD1RD_FSETS(FIELD,SYM)              \
    _PER_FSETS16(_BBAIO_AD1RD_ADDR,                  \
      BBAIO,AD1RD,##FIELD,##SYM)

  #define _BBAIO_AD1RD_FGETQ(FIELD,val)              \
    _PER_FGETQ16(_BBAIO_AD1RD_ADDR,                  \
      BBAIO,AD1RD,##FIELD,val)

  #define _BBAIO_AD1RD_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ16(_BBAIO_AD1RD_ADDR,                 \
      BBAIO,AD1RD,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S W 1 _ S T A R T    |
* |_______________________|
*
* SW1_START - Send ADC1 SW Start signal
*
* FIELDS (msb -> lsb)
* (.W)	START     	[ 0: 0]	 - Writing a dummy data, an SW_START1 is generated
*
\******************************************************************************/
/*#define _BBAIO_SW1_START_RECIDX                    Not recorded */

  #define _BBAIO_SW1_START_ADDR                      0x68000000u

  #define _BBAIO_SW1_START_REGOFFS                   0x00000000u
  #define _BBAIO_SW1_START_REGOFFS16                 0x00000000u

  #define _BBAIO_SW1_START_START_MASK                0x0001u
  #define _BBAIO_SW1_START_START_SHIFT               0
  #define BBAIO_SW1_START_START_DEFAULT              0x0000u
  #define BBAIO_SW1_START_START_OF(x)                _VALUEOF16(x)

  #define BBAIO_SW1_START_OF(val)                    _VALUEOF16(val)
  #define BBAIO_SW1_START_DEFAULT (Uint16)(          \
      _PER_FDEFAULT16(BBAIO,SW1_START,START)         \
  )

  #define BBAIO_SW1_START_RMK(start)                 \
    (Uint16)(                                        \
      _PER_FMK16(BBAIO,SW1_START,START,start)        \
  )

  #define BBAIO_SW1_START_RMKS(START)                \
    (Uint16)(                                        \
      _BBAIO_SW1_START_START_##START##_SV            \
  )

  #define _BBAIO_SW1_START_FGET(FIELD)               \
    _PER_FGET16(_BBAIO_SW1_START_ADDR,               \
      BBAIO,SW1_START,##FIELD)

  #define _BBAIO_SW1_START_FSET(FIELD,field)         \
    _PER_FSET16(_BBAIO_SW1_START_ADDR,               \
      BBAIO,SW1_START,##FIELD,field)

  #define _BBAIO_SW1_START_FSETS(FIELD,SYM)          \
    _PER_FSETS16(_BBAIO_SW1_START_ADDR,              \
      BBAIO,SW1_START,##FIELD,##SYM)

  #define _BBAIO_SW1_START_FGETQ(FIELD,val)          \
    _PER_FGETQ16(_BBAIO_SW1_START_ADDR,              \
      BBAIO,SW1_START,##FIELD,val)

  #define _BBAIO_SW1_START_FGETSQ(FIELD,SYM)         \
    _PER_FGETSQ16(_BBAIO_SW1_START_ADDR,             \
      BBAIO,SW1_START,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  A D 2 R D            |
* |_______________________|
*
* AD2RD - ADC2 16-bit data read
*
* FIELDS (msb -> lsb)
* (R.)	DATA      	[15: 0]	 - ADC2 16-bit data
*
\******************************************************************************/
/*#define _BBAIO_AD2RD_RECIDX                        Not recorded */

  #define _BBAIO_AD2RD_ADDR                          0x68000002u

  #define _BBAIO_AD2RD_REGOFFS                       0x00000002u
  #define _BBAIO_AD2RD_REGOFFS16                     0x00000001u

  #define _BBAIO_AD2RD_DATA_MASK                     0xFFFFu
  #define _BBAIO_AD2RD_DATA_SHIFT                    0
  #define BBAIO_AD2RD_DATA_DEFAULT                   0x0000u
  #define BBAIO_AD2RD_DATA_OF(x)                     _VALUEOF16(x)

  #define BBAIO_AD2RD_OF(val)                        _VALUEOF16(val)
  #define BBAIO_AD2RD_DEFAULT (Uint16)(              \
      _PER_FDEFAULT16(BBAIO,AD2RD,DATA)              \
  )

  #define _BBAIO_AD2RD_FGET(FIELD)                   \
    _PER_FGET16(_BBAIO_AD2RD_ADDR,                   \
      BBAIO,AD2RD,##FIELD)

  #define _BBAIO_AD2RD_FSET(FIELD,field)             \
    _PER_FSET16(_BBAIO_AD2RD_ADDR,                   \
      BBAIO,AD2RD,##FIELD,field)

  #define _BBAIO_AD2RD_FSETS(FIELD,SYM)              \
    _PER_FSETS16(_BBAIO_AD2RD_ADDR,                  \
      BBAIO,AD2RD,##FIELD,##SYM)

  #define _BBAIO_AD2RD_FGETQ(FIELD,val)              \
    _PER_FGETQ16(_BBAIO_AD2RD_ADDR,                  \
      BBAIO,AD2RD,##FIELD,val)

  #define _BBAIO_AD2RD_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ16(_BBAIO_AD2RD_ADDR,                 \
      BBAIO,AD2RD,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S W 2 _ S T A R T    |
* |_______________________|
*
* SW2_START - Send ADC2 SW Start signal
*
* FIELDS (msb -> lsb)
* (.W)	START     	[ 0: 0]	 - Writing a dummy data, an SW_START2 is generated
*
\******************************************************************************/
/*#define _BBAIO_SW2_START_RECIDX                    Not recorded */

  #define _BBAIO_SW2_START_ADDR                      0x68000002u

  #define _BBAIO_SW2_START_REGOFFS                   0x00000002u
  #define _BBAIO_SW2_START_REGOFFS16                 0x00000001u

  #define _BBAIO_SW2_START_START_MASK                0x0001u
  #define _BBAIO_SW2_START_START_SHIFT               0
  #define BBAIO_SW2_START_START_DEFAULT              0x0000u
  #define BBAIO_SW2_START_START_OF(x)                _VALUEOF16(x)

  #define BBAIO_SW2_START_OF(val)                    _VALUEOF16(val)
  #define BBAIO_SW2_START_DEFAULT (Uint16)(          \
      _PER_FDEFAULT16(BBAIO,SW2_START,START)         \
  )

  #define BBAIO_SW2_START_RMK(start)                 \
    (Uint16)(                                        \
      _PER_FMK16(BBAIO,SW2_START,START,start)        \
  )

  #define BBAIO_SW2_START_RMKS(START)                \
    (Uint16)(                                        \
      _BBAIO_SW2_START_START_##START##_SV            \
  )

  #define _BBAIO_SW2_START_FGET(FIELD)               \
    _PER_FGET16(_BBAIO_SW2_START_ADDR,               \
      BBAIO,SW2_START,##FIELD)

  #define _BBAIO_SW2_START_FSET(FIELD,field)         \
    _PER_FSET16(_BBAIO_SW2_START_ADDR,               \
      BBAIO,SW2_START,##FIELD,field)

  #define _BBAIO_SW2_START_FSETS(FIELD,SYM)          \
    _PER_FSETS16(_BBAIO_SW2_START_ADDR,              \
      BBAIO,SW2_START,##FIELD,##SYM)

  #define _BBAIO_SW2_START_FGETQ(FIELD,val)          \
    _PER_FGETQ16(_BBAIO_SW2_START_ADDR,              \
      BBAIO,SW2_START,##FIELD,val)

  #define _BBAIO_SW2_START_FGETSQ(FIELD,SYM)         \
    _PER_FGETSQ16(_BBAIO_SW2_START_ADDR,             \
      BBAIO,SW2_START,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S W 1 2 _ S T A R T  |
* |_______________________|
*
* SW12_START - Send ADC1 and ADC2 Software Start signals at a time
*
* FIELDS (msb -> lsb)
* (.W)	START     	[ 0: 0]	 - Writing a dummy data, an SW_START1 and an SW_START1 are generated
*
\******************************************************************************/
/*#define _BBAIO_SW12_START_RECIDX                   Not recorded */

  #define _BBAIO_SW12_START_ADDR                     0x68000004u

  #define _BBAIO_SW12_START_REGOFFS                  0x00000004u
  #define _BBAIO_SW12_START_REGOFFS16                0x00000002u

  #define _BBAIO_SW12_START_START_MASK               0x0001u
  #define _BBAIO_SW12_START_START_SHIFT              0
  #define BBAIO_SW12_START_START_DEFAULT             0x0000u
  #define BBAIO_SW12_START_START_OF(x)               _VALUEOF16(x)

  #define BBAIO_SW12_START_OF(val)                   _VALUEOF16(val)
  #define BBAIO_SW12_START_DEFAULT (Uint16)(         \
      _PER_FDEFAULT16(BBAIO,SW12_START,START)        \
  )

  #define BBAIO_SW12_START_RMK(start)                \
    (Uint16)(                                        \
      _PER_FMK16(BBAIO,SW12_START,START,start)       \
  )

  #define BBAIO_SW12_START_RMKS(START)               \
    (Uint16)(                                        \
      _BBAIO_SW12_START_START_##START##_SV           \
  )

  #define _BBAIO_SW12_START_FGET(FIELD)              \
    _PER_FGET16(_BBAIO_SW12_START_ADDR,              \
      BBAIO,SW12_START,##FIELD)

  #define _BBAIO_SW12_START_FSET(FIELD,field)        \
    _PER_FSET16(_BBAIO_SW12_START_ADDR,              \
      BBAIO,SW12_START,##FIELD,field)

  #define _BBAIO_SW12_START_FSETS(FIELD,SYM)         \
    _PER_FSETS16(_BBAIO_SW12_START_ADDR,             \
      BBAIO,SW12_START,##FIELD,##SYM)

  #define _BBAIO_SW12_START_FGETQ(FIELD,val)         \
    _PER_FGETQ16(_BBAIO_SW12_START_ADDR,             \
      BBAIO,SW12_START,##FIELD,val)

  #define _BBAIO_SW12_START_FGETSQ(FIELD,SYM)        \
    _PER_FGETSQ16(_BBAIO_SW12_START_ADDR,            \
      BBAIO,SW12_START,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S W 1 _ U P D A T E  |
* |_______________________|
*
* SW1_UPDATE - Send DAC1 Software Update signal
*
* FIELDS (msb -> lsb)
* (R.)	UPDATE    	[ 0: 0]	 - Reading a dummy data, an SW_UPDATE1 is generated
*
\******************************************************************************/
/*#define _BBAIO_SW1_UPDATE_RECIDX                   Not recorded */

  #define _BBAIO_SW1_UPDATE_ADDR                     0x68000008u

  #define _BBAIO_SW1_UPDATE_REGOFFS                  0x00000008u
  #define _BBAIO_SW1_UPDATE_REGOFFS16                0x00000004u

  #define _BBAIO_SW1_UPDATE_UPDATE_MASK              0x0001u
  #define _BBAIO_SW1_UPDATE_UPDATE_SHIFT             0
  #define BBAIO_SW1_UPDATE_UPDATE_DEFAULT            0x0000u
  #define BBAIO_SW1_UPDATE_UPDATE_OF(x)              _VALUEOF16(x)

  #define BBAIO_SW1_UPDATE_OF(val)                   _VALUEOF16(val)
  #define BBAIO_SW1_UPDATE_DEFAULT (Uint16)(         \
      _PER_FDEFAULT16(BBAIO,SW1_UPDATE,UPDATE)       \
  )

  #define _BBAIO_SW1_UPDATE_FGET(FIELD)              \
    _PER_FGET16(_BBAIO_SW1_UPDATE_ADDR,              \
      BBAIO,SW1_UPDATE,##FIELD)

  #define _BBAIO_SW1_UPDATE_FSET(FIELD,field)        \
    _PER_FSET16(_BBAIO_SW1_UPDATE_ADDR,              \
      BBAIO,SW1_UPDATE,##FIELD,field)

  #define _BBAIO_SW1_UPDATE_FSETS(FIELD,SYM)         \
    _PER_FSETS16(_BBAIO_SW1_UPDATE_ADDR,             \
      BBAIO,SW1_UPDATE,##FIELD,##SYM)

  #define _BBAIO_SW1_UPDATE_FGETQ(FIELD,val)         \
    _PER_FGETQ16(_BBAIO_SW1_UPDATE_ADDR,             \
      BBAIO,SW1_UPDATE,##FIELD,val)

  #define _BBAIO_SW1_UPDATE_FGETSQ(FIELD,SYM)        \
    _PER_FGETSQ16(_BBAIO_SW1_UPDATE_ADDR,            \
      BBAIO,SW1_UPDATE,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  D A 1 W R            |
* |_______________________|
*
* DA1WR - DAC1 16-bit data write
*
* FIELDS (msb -> lsb)
* (.W)	DATA      	[15: 0]	 - DAC1 16-bit data
*
\******************************************************************************/
/*#define _BBAIO_DA1WR_RECIDX                        Not recorded */

  #define _BBAIO_DA1WR_ADDR                          0x68000008u

  #define _BBAIO_DA1WR_REGOFFS                       0x00000008u
  #define _BBAIO_DA1WR_REGOFFS16                     0x00000004u

  #define _BBAIO_DA1WR_DATA_MASK                     0xFFFFu
  #define _BBAIO_DA1WR_DATA_SHIFT                    0
  #define BBAIO_DA1WR_DATA_DEFAULT                   0x0000u
  #define BBAIO_DA1WR_DATA_OF(x)                     _VALUEOF16(x)

  #define BBAIO_DA1WR_OF(val)                        _VALUEOF16(val)
  #define BBAIO_DA1WR_DEFAULT (Uint16)(              \
      _PER_FDEFAULT16(BBAIO,DA1WR,DATA)              \
  )

  #define BBAIO_DA1WR_RMK(data)                      \
    (Uint16)(                                        \
      _PER_FMK16(BBAIO,DA1WR,DATA,data)              \
  )

  #define BBAIO_DA1WR_RMKS(DATA)                     \
    (Uint16)(                                        \
      _BBAIO_DA1WR_DATA_##DATA##_SV                  \
  )

  #define _BBAIO_DA1WR_FGET(FIELD)                   \
    _PER_FGET16(_BBAIO_DA1WR_ADDR,                   \
      BBAIO,DA1WR,##FIELD)

  #define _BBAIO_DA1WR_FSET(FIELD,field)             \
    _PER_FSET16(_BBAIO_DA1WR_ADDR,                   \
      BBAIO,DA1WR,##FIELD,field)

  #define _BBAIO_DA1WR_FSETS(FIELD,SYM)              \
    _PER_FSETS16(_BBAIO_DA1WR_ADDR,                  \
      BBAIO,DA1WR,##FIELD,##SYM)

  #define _BBAIO_DA1WR_FGETQ(FIELD,val)              \
    _PER_FGETQ16(_BBAIO_DA1WR_ADDR,                  \
      BBAIO,DA1WR,##FIELD,val)

  #define _BBAIO_DA1WR_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ16(_BBAIO_DA1WR_ADDR,                 \
      BBAIO,DA1WR,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S W 2 _ U P D A T E  |
* |_______________________|
*
* SW2_UPDATE - Send DAC2 Software Update signal
*
* FIELDS (msb -> lsb)
* (R.)	UPDATE    	[ 0: 0]	 - Reading a dummy data, an SW_UPDATE2 is generated
*
\******************************************************************************/
/*#define _BBAIO_SW2_UPDATE_RECIDX                   Not recorded */

  #define _BBAIO_SW2_UPDATE_ADDR                     0x6800000Au

  #define _BBAIO_SW2_UPDATE_REGOFFS                  0x0000000Au
  #define _BBAIO_SW2_UPDATE_REGOFFS16                0x00000005u

  #define _BBAIO_SW2_UPDATE_UPDATE_MASK              0x0001u
  #define _BBAIO_SW2_UPDATE_UPDATE_SHIFT             0
  #define BBAIO_SW2_UPDATE_UPDATE_DEFAULT            0x0000u
  #define BBAIO_SW2_UPDATE_UPDATE_OF(x)              _VALUEOF16(x)

  #define BBAIO_SW2_UPDATE_OF(val)                   _VALUEOF16(val)
  #define BBAIO_SW2_UPDATE_DEFAULT (Uint16)(         \
      _PER_FDEFAULT16(BBAIO,SW2_UPDATE,UPDATE)       \
  )

  #define _BBAIO_SW2_UPDATE_FGET(FIELD)              \
    _PER_FGET16(_BBAIO_SW2_UPDATE_ADDR,              \
      BBAIO,SW2_UPDATE,##FIELD)

  #define _BBAIO_SW2_UPDATE_FSET(FIELD,field)        \
    _PER_FSET16(_BBAIO_SW2_UPDATE_ADDR,              \
      BBAIO,SW2_UPDATE,##FIELD,field)

  #define _BBAIO_SW2_UPDATE_FSETS(FIELD,SYM)         \
    _PER_FSETS16(_BBAIO_SW2_UPDATE_ADDR,             \
      BBAIO,SW2_UPDATE,##FIELD,##SYM)

  #define _BBAIO_SW2_UPDATE_FGETQ(FIELD,val)         \
    _PER_FGETQ16(_BBAIO_SW2_UPDATE_ADDR,             \
      BBAIO,SW2_UPDATE,##FIELD,val)

  #define _BBAIO_SW2_UPDATE_FGETSQ(FIELD,SYM)        \
    _PER_FGETSQ16(_BBAIO_SW2_UPDATE_ADDR,            \
      BBAIO,SW2_UPDATE,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  D A 2 W R            |
* |_______________________|
*
* DA2WR - DAC2 16-bit data write
*
* FIELDS (msb -> lsb)
* (.W)	DATA      	[15: 0]	 - DAC2 16-bit data
*
\******************************************************************************/
/*#define _BBAIO_DA2WR_RECIDX                        Not recorded */

  #define _BBAIO_DA2WR_ADDR                          0x6800000Au

  #define _BBAIO_DA2WR_REGOFFS                       0x0000000Au
  #define _BBAIO_DA2WR_REGOFFS16                     0x00000005u

  #define _BBAIO_DA2WR_DATA_MASK                     0xFFFFu
  #define _BBAIO_DA2WR_DATA_SHIFT                    0
  #define BBAIO_DA2WR_DATA_DEFAULT                   0x0000u
  #define BBAIO_DA2WR_DATA_OF(x)                     _VALUEOF16(x)

  #define BBAIO_DA2WR_OF(val)                        _VALUEOF16(val)
  #define BBAIO_DA2WR_DEFAULT (Uint16)(              \
      _PER_FDEFAULT16(BBAIO,DA2WR,DATA)              \
  )

  #define BBAIO_DA2WR_RMK(data)                      \
    (Uint16)(                                        \
      _PER_FMK16(BBAIO,DA2WR,DATA,data)              \
  )

  #define BBAIO_DA2WR_RMKS(DATA)                     \
    (Uint16)(                                        \
      _BBAIO_DA2WR_DATA_##DATA##_SV                  \
  )

  #define _BBAIO_DA2WR_FGET(FIELD)                   \
    _PER_FGET16(_BBAIO_DA2WR_ADDR,                   \
      BBAIO,DA2WR,##FIELD)

  #define _BBAIO_DA2WR_FSET(FIELD,field)             \
    _PER_FSET16(_BBAIO_DA2WR_ADDR,                   \
      BBAIO,DA2WR,##FIELD,field)

  #define _BBAIO_DA2WR_FSETS(FIELD,SYM)              \
    _PER_FSETS16(_BBAIO_DA2WR_ADDR,                  \
      BBAIO,DA2WR,##FIELD,##SYM)

  #define _BBAIO_DA2WR_FGETQ(FIELD,val)              \
    _PER_FGETQ16(_BBAIO_DA2WR_ADDR,                  \
      BBAIO,DA2WR,##FIELD,val)

  #define _BBAIO_DA2WR_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ16(_BBAIO_DA2WR_ADDR,                 \
      BBAIO,DA2WR,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S W 1 2 _ U P D A T E  |
* |_______________________|
*
* SW12_UPDATE - Send DAC1 and DAC2 Software Update signal
*
* FIELDS (msb -> lsb)
* (R.)	UPDATE    	[ 0: 0]	 - Reading a dummy data, an SW_UPDATE1 and an SW_UPDATE2 are generated
*
\******************************************************************************/
/*#define _BBAIO_SW12_UPDATE_RECIDX                  Not recorded */

  #define _BBAIO_SW12_UPDATE_ADDR                    0x6800000Cu

  #define _BBAIO_SW12_UPDATE_REGOFFS                 0x0000000Cu
  #define _BBAIO_SW12_UPDATE_REGOFFS16               0x00000006u

  #define _BBAIO_SW12_UPDATE_UPDATE_MASK             0x0001u
  #define _BBAIO_SW12_UPDATE_UPDATE_SHIFT            0
  #define BBAIO_SW12_UPDATE_UPDATE_DEFAULT           0x0000u
  #define BBAIO_SW12_UPDATE_UPDATE_OF(x)             _VALUEOF16(x)

  #define BBAIO_SW12_UPDATE_OF(val)                  _VALUEOF16(val)
  #define BBAIO_SW12_UPDATE_DEFAULT (Uint16)(        \
      _PER_FDEFAULT16(BBAIO,SW12_UPDATE,UPDATE)      \
  )

  #define _BBAIO_SW12_UPDATE_FGET(FIELD)             \
    _PER_FGET16(_BBAIO_SW12_UPDATE_ADDR,             \
      BBAIO,SW12_UPDATE,##FIELD)

  #define _BBAIO_SW12_UPDATE_FSET(FIELD,field)       \
    _PER_FSET16(_BBAIO_SW12_UPDATE_ADDR,             \
      BBAIO,SW12_UPDATE,##FIELD,field)

  #define _BBAIO_SW12_UPDATE_FSETS(FIELD,SYM)        \
    _PER_FSETS16(_BBAIO_SW12_UPDATE_ADDR,            \
      BBAIO,SW12_UPDATE,##FIELD,##SYM)

  #define _BBAIO_SW12_UPDATE_FGETQ(FIELD,val)        \
    _PER_FGETQ16(_BBAIO_SW12_UPDATE_ADDR,            \
      BBAIO,SW12_UPDATE,##FIELD,val)

  #define _BBAIO_SW12_UPDATE_FGETSQ(FIELD,SYM)       \
    _PER_FGETSQ16(_BBAIO_SW12_UPDATE_ADDR,           \
      BBAIO,SW12_UPDATE,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_BBAIO_SUPPORT) */
#endif /* _BSL_BBAIOHAL_H_ */
/******************************************************************************\
* End of bsl_bbaiohal.h
\******************************************************************************/
