/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral DDSREG
* FILENAME......... bsl_ddsreghal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/22/2006 11:43:53
* LAST MODIFIED AT. 01/22/2006 11:43:53
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. DDSREG
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 32-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. DDSREG is 0x00000000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* CFR1        -  CFR1 Control Function Register 1
* CFR2        -  CFR1 Control Function Register 2
* ASF         -  ASF Amplitude Scale Factor Register
* ARR         -  ARR Amplitude Ramp Rate Register
* FTW0        -  FTW0 Frequency Tuning Word Register 0
* POW0        -  POW0 Phase Offset Word Register 0
*
*------------------------------------------------------------------------------
*
* Added _DDSREG_<regName>_BYTES for each register by hand.
* DDSREG_ macros are available for manipulating variables only. The registers
* and bit fields cannot be read and written directly. The registers are not
* mapped in the DSP's memory.
*
\******************************************************************************/
#ifndef _BSL_DDSREGHAL_H_
#define _BSL_DDSREGHAL_H_

#include <bsl.h>


#if (BSL_DDSREG_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _DDSREG_DEVICE_COUNT                       1

  #define _DDSREG_BASE_ADDRESS                       0x00000000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define DDSREG_FMK(REG,FIELD,val)\
    _PER_FMK32(DDSREG,##REG,##FIELD,val)

  #define DDSREG_FMKS(REG,FIELD,SYM)\
    _PER_FMKS32(DDSREG,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define DDSREG_VRGET(var,REG)\
    _PER_VRGET32(var,DDSREG,##REG)

  #define DDSREG_VRSET(var,REG,val)\
    _PER_VRSET32(var,DDSREG,##REG,val)

  #define DDSREG_VRFSETS(var,REG,FIELD,SYM)\
    DDSREG_VRSET(var,##REG,_DDSREG_##REG##_##FIELD##_##SYM##_SV)

  #define DDSREG_VFGET(var,REG,FIELD)\
    _PER_VFGET32(var,DDSREG,##REG,##FIELD)

  #define DDSREG_VFSET(var,REG,FIELD,val)\
    _PER_VFSET32(var,DDSREG,##REG,##FIELD,val)

  #define DDSREG_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS32(var,DDSREG,##REG,##FIELD,##SYM)

  #define DDSREG_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ32(var,DDSREG,##REG,##FIELD,val)

  #define DDSREG_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ32(var,DDSREG,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS32         Offset in 32-bit words from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  C F R 1              |
* |_______________________|
*
* CFR1 - CFR1 Control Function Register 1
*
* FIELDS (msb -> lsb)
* (RW)	LOADARR   	[26:26]	 - Amplitude Ramp Rate Load Control Bit
* (RW)	OSKEN     	[25:25]	 - Shape On-Off Keying Enable Bit
* (RW)	AUTOOSKKEY	[24:24]	 - Auto Shape On-Off Keying Enable Bit
* (RW)	AUTOSYNCEN	[23:23]	 - Automatic Synchronization Enable Bit
* (RW)	SWMANSYNEN	[22:22]	 - Software Manual Synchronization of Multiple AD9952s
* (RW)	AUTOCLRPA 	[13:13]	 - Auto-Clear Phase Accumulator Bit
* (RW)	SINOUTEN  	[12:12]	 - Sine/Cosine Select Bit
* (RW)	CLRPHSACC 	[10:10]	 - Clear Phase Accumulator
* (RW)	SDIOINONLY	[ 9: 9]	 - SDIO Input Only
* (RW)	LSBFIRST  	[ 8: 8]	 - LSB First
* (RW)	DIGPWRDN  	[ 7: 7]	 - Digital Power-Down Bit
* (RW)	COMPPWRDN 	[ 6: 6]	 - Comparator Power-Down Bit
* (RW)	DACPWRDN  	[ 5: 5]	 - DAC Power-Down Bit
* (RW)	CLKINPWRDN	[ 4: 4]	 - Clock Input Power-Down Bit
* (RW)	EXTPWRDN  	[ 3: 3]	 - External Power-Down Mode
* (RW)	SYNCCLKOD 	[ 1: 1]	 - SYNC_CLK Out Disable
*
\******************************************************************************/
  #define _DDSREG_CFR1_RECIDX                        0

  #define _DDSREG_CFR1_ADDR                          0x00000000u

  #define _DDSREG_CFR1_BYTES                         4

  #define _DDSREG_CFR1_REGOFFS                       0x00000000u
  #define _DDSREG_CFR1_REGOFFS32                     0x00000000u

  #define _DDSREG_CFR1_LOADARR_MASK                  0x04000000u
  #define _DDSREG_CFR1_LOADARR_SHIFT                 26
  #define DDSREG_CFR1_LOADARR_DEFAULT                0x00000000u
  #define DDSREG_CFR1_LOADARR_OF(x)                  _VALUEOF32(x)
  #define DDSREG_CFR1_LOADARR_TIMEOUT                0x00000000u
  #define DDSREG_CFR1_LOADARR_IOUPDATE               0x00000001u
  #define _DDSREG_CFR1_LOADARR_TIMEOUT_SV            0x00000000u
  #define _DDSREG_CFR1_LOADARR_IOUPDATE_SV           0x04000000u

  #define _DDSREG_CFR1_OSKEN_MASK                    0x02000000u
  #define _DDSREG_CFR1_OSKEN_SHIFT                   25
  #define DDSREG_CFR1_OSKEN_DEFAULT                  0x00000000u
  #define DDSREG_CFR1_OSKEN_OF(x)                    _VALUEOF32(x)
  #define DDSREG_CFR1_OSKEN_DISABLED                 0x00000000u
  #define DDSREG_CFR1_OSKEN_BYPASSED                 0x00000000u
  #define DDSREG_CFR1_OSKEN_ENABLED                  0x00000001u
  #define _DDSREG_CFR1_OSKEN_DISABLED_SV             0x00000000u
  #define _DDSREG_CFR1_OSKEN_BYPASSED_SV             0x00000000u
  #define _DDSREG_CFR1_OSKEN_ENABLED_SV              0x02000000u

  #define _DDSREG_CFR1_AUTOOSKKEY_MASK               0x01000000u
  #define _DDSREG_CFR1_AUTOOSKKEY_SHIFT              24
  #define DDSREG_CFR1_AUTOOSKKEY_DEFAULT             0x00000000u
  #define DDSREG_CFR1_AUTOOSKKEY_OF(x)               _VALUEOF32(x)
  #define DDSREG_CFR1_AUTOOSKKEY_INACTIVE            0x00000000u
  #define DDSREG_CFR1_AUTOOSKKEY_DISABLED            0x00000000u
  #define DDSREG_CFR1_AUTOOSKKEY_ACTIVE              0x00000001u
  #define DDSREG_CFR1_AUTOOSKKEY_ENABLED             0x00000001u
  #define _DDSREG_CFR1_AUTOOSKKEY_INACTIVE_SV        0x00000000u
  #define _DDSREG_CFR1_AUTOOSKKEY_DISABLED_SV        0x00000000u
  #define _DDSREG_CFR1_AUTOOSKKEY_ACTIVE_SV          0x01000000u
  #define _DDSREG_CFR1_AUTOOSKKEY_ENABLED_SV         0x01000000u

  #define _DDSREG_CFR1_AUTOSYNCEN_MASK               0x00800000u
  #define _DDSREG_CFR1_AUTOSYNCEN_SHIFT              23
  #define DDSREG_CFR1_AUTOSYNCEN_DEFAULT             0x00000000u
  #define DDSREG_CFR1_AUTOSYNCEN_OF(x)               _VALUEOF32(x)
  #define DDSREG_CFR1_AUTOSYNCEN_INACTIVE            0x00000000u
  #define DDSREG_CFR1_AUTOSYNCEN_ACTIVE              0x00000001u
  #define _DDSREG_CFR1_AUTOSYNCEN_INACTIVE_SV        0x00000000u
  #define _DDSREG_CFR1_AUTOSYNCEN_ACTIVE_SV          0x00800000u

  #define _DDSREG_CFR1_SWMANSYNEN_MASK               0x00400000u
  #define _DDSREG_CFR1_SWMANSYNEN_SHIFT              22
  #define DDSREG_CFR1_SWMANSYNEN_DEFAULT             0x00000000u
  #define DDSREG_CFR1_SWMANSYNEN_OF(x)               _VALUEOF32(x)
  #define DDSREG_CFR1_SWMANSYNEN_INACTIVE            0x00000000u
  #define DDSREG_CFR1_SWMANSYNEN_ACTIVE              0x00000001u
  #define _DDSREG_CFR1_SWMANSYNEN_INACTIVE_SV        0x00000000u
  #define _DDSREG_CFR1_SWMANSYNEN_ACTIVE_SV          0x00400000u

  #define _DDSREG_CFR1_AUTOCLRPA_MASK                0x00002000u
  #define _DDSREG_CFR1_AUTOCLRPA_SHIFT               13
  #define DDSREG_CFR1_AUTOCLRPA_DEFAULT              0x00000000u
  #define DDSREG_CFR1_AUTOCLRPA_OF(x)                _VALUEOF32(x)
  #define DDSREG_CFR1_AUTOCLRPA_DISABLED             0x00000000u
  #define DDSREG_CFR1_AUTOCLRPA_ENABLED              0x00000001u
  #define _DDSREG_CFR1_AUTOCLRPA_DISABLED_SV         0x00000000u
  #define _DDSREG_CFR1_AUTOCLRPA_ENABLED_SV          0x00002000u

  #define _DDSREG_CFR1_SINOUTEN_MASK                 0x00001000u
  #define _DDSREG_CFR1_SINOUTEN_SHIFT                12
  #define DDSREG_CFR1_SINOUTEN_DEFAULT               0x00000000u
  #define DDSREG_CFR1_SINOUTEN_OF(x)                 _VALUEOF32(x)
  #define DDSREG_CFR1_SINOUTEN_COSINE                0x00000000u
  #define DDSREG_CFR1_SINOUTEN_SINE                  0x00000001u
  #define _DDSREG_CFR1_SINOUTEN_COSINE_SV            0x00000000u
  #define _DDSREG_CFR1_SINOUTEN_SINE_SV              0x00001000u

  #define _DDSREG_CFR1_CLRPHSACC_MASK                0x00000400u
  #define _DDSREG_CFR1_CLRPHSACC_SHIFT               10
  #define DDSREG_CFR1_CLRPHSACC_DEFAULT              0x00000000u
  #define DDSREG_CFR1_CLRPHSACC_OF(x)                _VALUEOF32(x)
  #define DDSREG_CFR1_CLRPHSACC_NORMAL               0x00000000u
  #define DDSREG_CFR1_CLRPHSACC_CLRDHELD             0x00000001u
  #define _DDSREG_CFR1_CLRPHSACC_NORMAL_SV           0x00000000u
  #define _DDSREG_CFR1_CLRPHSACC_CLRDHELD_SV         0x00000400u

  #define _DDSREG_CFR1_SDIOINONLY_MASK               0x00000200u
  #define _DDSREG_CFR1_SDIOINONLY_SHIFT              9
  #define DDSREG_CFR1_SDIOINONLY_DEFAULT             0x00000000u
  #define DDSREG_CFR1_SDIOINONLY_OF(x)               _VALUEOF32(x)
  #define DDSREG_CFR1_SDIOINONLY_DISABLED            0x00000000u
  #define DDSREG_CFR1_SDIOINONLY_BIDIR               0x00000000u
  #define DDSREG_CFR1_SDIOINONLY_ENABLED             0x00000001u
  #define DDSREG_CFR1_SDIOINONLY_INPUTONLY           0x00000001u
  #define _DDSREG_CFR1_SDIOINONLY_DISABLED_SV        0x00000000u
  #define _DDSREG_CFR1_SDIOINONLY_BIDIR_SV           0x00000000u
  #define _DDSREG_CFR1_SDIOINONLY_ENABLED_SV         0x00000200u
  #define _DDSREG_CFR1_SDIOINONLY_INPUTONLY_SV       0x00000200u

  #define _DDSREG_CFR1_LSBFIRST_MASK                 0x00000100u
  #define _DDSREG_CFR1_LSBFIRST_SHIFT                8
  #define DDSREG_CFR1_LSBFIRST_DEFAULT               0x00000000u
  #define DDSREG_CFR1_LSBFIRST_OF(x)                 _VALUEOF32(x)
  #define DDSREG_CFR1_LSBFIRST_DISABLED              0x00000000u
  #define DDSREG_CFR1_LSBFIRST_MSBFIRST              0x00000000u
  #define DDSREG_CFR1_LSBFIRST_ENABLED               0x00000001u
  #define DDSREG_CFR1_LSBFIRST_LSBFIRST              0x00000001u
  #define _DDSREG_CFR1_LSBFIRST_DISABLED_SV          0x00000000u
  #define _DDSREG_CFR1_LSBFIRST_MSBFIRST_SV          0x00000000u
  #define _DDSREG_CFR1_LSBFIRST_ENABLED_SV           0x00000100u
  #define _DDSREG_CFR1_LSBFIRST_LSBFIRST_SV          0x00000100u

  #define _DDSREG_CFR1_DIGPWRDN_MASK                 0x00000080u
  #define _DDSREG_CFR1_DIGPWRDN_SHIFT                7
  #define DDSREG_CFR1_DIGPWRDN_DEFAULT               0x00000000u
  #define DDSREG_CFR1_DIGPWRDN_OF(x)                 _VALUEOF32(x)
  #define DDSREG_CFR1_DIGPWRDN_ENABLED               0x00000000u
  #define DDSREG_CFR1_DIGPWRDN_OPERATES              0x00000000u
  #define DDSREG_CFR1_DIGPWRDN_POWERDOWN             0x00000001u
  #define _DDSREG_CFR1_DIGPWRDN_ENABLED_SV           0x00000000u
  #define _DDSREG_CFR1_DIGPWRDN_OPERATES_SV          0x00000000u
  #define _DDSREG_CFR1_DIGPWRDN_POWERDOWN_SV         0x00000080u

  #define _DDSREG_CFR1_COMPPWRDN_MASK                0x00000040u
  #define _DDSREG_CFR1_COMPPWRDN_SHIFT               6
  #define DDSREG_CFR1_COMPPWRDN_DEFAULT              0x00000000u
  #define DDSREG_CFR1_COMPPWRDN_OF(x)                _VALUEOF32(x)
  #define DDSREG_CFR1_COMPPWRDN_ENABLED              0x00000000u
  #define DDSREG_CFR1_COMPPWRDN_OPERATES             0x00000000u
  #define DDSREG_CFR1_COMPPWRDN_POWERDOWN            0x00000001u
  #define _DDSREG_CFR1_COMPPWRDN_ENABLED_SV          0x00000000u
  #define _DDSREG_CFR1_COMPPWRDN_OPERATES_SV         0x00000000u
  #define _DDSREG_CFR1_COMPPWRDN_POWERDOWN_SV        0x00000040u

  #define _DDSREG_CFR1_DACPWRDN_MASK                 0x00000020u
  #define _DDSREG_CFR1_DACPWRDN_SHIFT                5
  #define DDSREG_CFR1_DACPWRDN_DEFAULT               0x00000000u
  #define DDSREG_CFR1_DACPWRDN_OF(x)                 _VALUEOF32(x)
  #define DDSREG_CFR1_DACPWRDN_ENABLED               0x00000000u
  #define DDSREG_CFR1_DACPWRDN_OPERATES              0x00000000u
  #define DDSREG_CFR1_DACPWRDN_POWERDOWN             0x00000001u
  #define _DDSREG_CFR1_DACPWRDN_ENABLED_SV           0x00000000u
  #define _DDSREG_CFR1_DACPWRDN_OPERATES_SV          0x00000000u
  #define _DDSREG_CFR1_DACPWRDN_POWERDOWN_SV         0x00000020u

  #define _DDSREG_CFR1_CLKINPWRDN_MASK               0x00000010u
  #define _DDSREG_CFR1_CLKINPWRDN_SHIFT              4
  #define DDSREG_CFR1_CLKINPWRDN_DEFAULT             0x00000000u
  #define DDSREG_CFR1_CLKINPWRDN_OF(x)               _VALUEOF32(x)
  #define DDSREG_CFR1_CLKINPWRDN_ENABLED             0x00000000u
  #define DDSREG_CFR1_CLKINPWRDN_OPERATES            0x00000000u
  #define DDSREG_CFR1_CLKINPWRDN_POWERDOWN           0x00000001u
  #define _DDSREG_CFR1_CLKINPWRDN_ENABLED_SV         0x00000000u
  #define _DDSREG_CFR1_CLKINPWRDN_OPERATES_SV        0x00000000u
  #define _DDSREG_CFR1_CLKINPWRDN_POWERDOWN_SV       0x00000010u

  #define _DDSREG_CFR1_EXTPWRDN_MASK                 0x00000008u
  #define _DDSREG_CFR1_EXTPWRDN_SHIFT                3
  #define DDSREG_CFR1_EXTPWRDN_DEFAULT               0x00000000u
  #define DDSREG_CFR1_EXTPWRDN_OF(x)                 _VALUEOF32(x)
  #define DDSREG_CFR1_EXTPWRDN_RAPIDRCVRY            0x00000000u
  #define DDSREG_CFR1_EXTPWRDN_FULLPWRDN             0x00000001u
  #define _DDSREG_CFR1_EXTPWRDN_RAPIDRCVRY_SV        0x00000000u
  #define _DDSREG_CFR1_EXTPWRDN_FULLPWRDN_SV         0x00000008u

  #define _DDSREG_CFR1_SYNCCLKOD_MASK                0x00000002u
  #define _DDSREG_CFR1_SYNCCLKOD_SHIFT               1
  #define DDSREG_CFR1_SYNCCLKOD_DEFAULT              0x00000000u
  #define DDSREG_CFR1_SYNCCLKOD_OF(x)                _VALUEOF32(x)
  #define DDSREG_CFR1_SYNCCLKOD_ENABLED              0x00000000u
  #define DDSREG_CFR1_SYNCCLKOD_ACTIVE               0x00000000u
  #define DDSREG_CFR1_SYNCCLKOD_DISABLED             0x00000000u
  #define DDSREG_CFR1_SYNCCLKOD_INACTIVE             0x00000001u
  #define _DDSREG_CFR1_SYNCCLKOD_ENABLED_SV          0x00000000u
  #define _DDSREG_CFR1_SYNCCLKOD_ACTIVE_SV           0x00000000u
  #define _DDSREG_CFR1_SYNCCLKOD_DISABLED_SV         0x00000000u
  #define _DDSREG_CFR1_SYNCCLKOD_INACTIVE_SV         0x00000002u

  #define DDSREG_CFR1_OF(val)                        _VALUEOF32(val)
  #define DDSREG_CFR1_DEFAULT (Uint32)(              \
      _PER_FDEFAULT32(DDSREG,CFR1,LOADARR)           \
    | _PER_FDEFAULT32(DDSREG,CFR1,OSKEN)             \
    | _PER_FDEFAULT32(DDSREG,CFR1,AUTOOSKKEY)        \
    | _PER_FDEFAULT32(DDSREG,CFR1,AUTOSYNCEN)        \
    | _PER_FDEFAULT32(DDSREG,CFR1,SWMANSYNEN)        \
    | _PER_FDEFAULT32(DDSREG,CFR1,AUTOCLRPA)         \
    | _PER_FDEFAULT32(DDSREG,CFR1,SINOUTEN)          \
    | _PER_FDEFAULT32(DDSREG,CFR1,CLRPHSACC)         \
    | _PER_FDEFAULT32(DDSREG,CFR1,SDIOINONLY)        \
    | _PER_FDEFAULT32(DDSREG,CFR1,LSBFIRST)          \
    | _PER_FDEFAULT32(DDSREG,CFR1,DIGPWRDN)          \
    | _PER_FDEFAULT32(DDSREG,CFR1,COMPPWRDN)         \
    | _PER_FDEFAULT32(DDSREG,CFR1,DACPWRDN)          \
    | _PER_FDEFAULT32(DDSREG,CFR1,CLKINPWRDN)        \
    | _PER_FDEFAULT32(DDSREG,CFR1,EXTPWRDN)          \
    | _PER_FDEFAULT32(DDSREG,CFR1,SYNCCLKOD)         \
  )

  #define DDSREG_CFR1_RMK(loadarr,osken,             \
    autooskkey,autosyncen,swmansynen,autoclrpa,      \
    sinouten,clrphsacc,sdioinonly,lsbfirst,          \
    digpwrdn,comppwrdn,dacpwrdn,clkinpwrdn,          \
    extpwrdn,syncclkod)                              \
    (Uint32)(                                        \
      _PER_FMK32(DDSREG,CFR1,LOADARR,loadarr)        \
    | _PER_FMK32(DDSREG,CFR1,OSKEN,osken)            \
    | _PER_FMK32(DDSREG,CFR1,AUTOOSKKEY,autooskkey)  \
    | _PER_FMK32(DDSREG,CFR1,AUTOSYNCEN,autosyncen)  \
    | _PER_FMK32(DDSREG,CFR1,SWMANSYNEN,swmansynen)  \
    | _PER_FMK32(DDSREG,CFR1,AUTOCLRPA,autoclrpa)    \
    | _PER_FMK32(DDSREG,CFR1,SINOUTEN,sinouten)      \
    | _PER_FMK32(DDSREG,CFR1,CLRPHSACC,clrphsacc)    \
    | _PER_FMK32(DDSREG,CFR1,SDIOINONLY,sdioinonly)  \
    | _PER_FMK32(DDSREG,CFR1,LSBFIRST,lsbfirst)      \
    | _PER_FMK32(DDSREG,CFR1,DIGPWRDN,digpwrdn)      \
    | _PER_FMK32(DDSREG,CFR1,COMPPWRDN,comppwrdn)    \
    | _PER_FMK32(DDSREG,CFR1,DACPWRDN,dacpwrdn)      \
    | _PER_FMK32(DDSREG,CFR1,CLKINPWRDN,clkinpwrdn)  \
    | _PER_FMK32(DDSREG,CFR1,EXTPWRDN,extpwrdn)      \
    | _PER_FMK32(DDSREG,CFR1,SYNCCLKOD,syncclkod)    \
  )

  #define DDSREG_CFR1_RMKS(LOADARR,OSKEN,            \
    AUTOOSKKEY,AUTOSYNCEN,SWMANSYNEN,AUTOCLRPA,      \
    SINOUTEN,CLRPHSACC,SDIOINONLY,LSBFIRST,          \
    DIGPWRDN,COMPPWRDN,DACPWRDN,CLKINPWRDN,          \
    EXTPWRDN,SYNCCLKOD)                              \
    (Uint32)(                                        \
      _DDSREG_CFR1_LOADARR_##LOADARR##_SV            \
    | _DDSREG_CFR1_OSKEN_##OSKEN##_SV                \
    | _DDSREG_CFR1_AUTOOSKKEY_##AUTOOSKKEY##_SV      \
    | _DDSREG_CFR1_AUTOSYNCEN_##AUTOSYNCEN##_SV      \
    | _DDSREG_CFR1_SWMANSYNEN_##SWMANSYNEN##_SV      \
    | _DDSREG_CFR1_AUTOCLRPA_##AUTOCLRPA##_SV        \
    | _DDSREG_CFR1_SINOUTEN_##SINOUTEN##_SV          \
    | _DDSREG_CFR1_CLRPHSACC_##CLRPHSACC##_SV        \
    | _DDSREG_CFR1_SDIOINONLY_##SDIOINONLY##_SV      \
    | _DDSREG_CFR1_LSBFIRST_##LSBFIRST##_SV          \
    | _DDSREG_CFR1_DIGPWRDN_##DIGPWRDN##_SV          \
    | _DDSREG_CFR1_COMPPWRDN_##COMPPWRDN##_SV        \
    | _DDSREG_CFR1_DACPWRDN_##DACPWRDN##_SV          \
    | _DDSREG_CFR1_CLKINPWRDN_##CLKINPWRDN##_SV      \
    | _DDSREG_CFR1_EXTPWRDN_##EXTPWRDN##_SV          \
    | _DDSREG_CFR1_SYNCCLKOD_##SYNCCLKOD##_SV        \
  )

  #define _DDSREG_CFR1_FGET(FIELD)                   \
    _PER_FGET32(_DDSREG_CFR1_ADDR,                   \
      DDSREG,CFR1,##FIELD)

  #define _DDSREG_CFR1_FSET(FIELD,field)             \
    _PER_FSET32(_DDSREG_CFR1_ADDR,                   \
      DDSREG,CFR1,##FIELD,field)

  #define _DDSREG_CFR1_FSETS(FIELD,SYM)              \
    _PER_FSETS32(_DDSREG_CFR1_ADDR,                  \
      DDSREG,CFR1,##FIELD,##SYM)

  #define _DDSREG_CFR1_FGETQ(FIELD,val)              \
    _PER_FGETQ32(_DDSREG_CFR1_ADDR,                  \
      DDSREG,CFR1,##FIELD,val)

  #define _DDSREG_CFR1_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ32(_DDSREG_CFR1_ADDR,                 \
      DDSREG,CFR1,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  C F R 2              |
* |_______________________|
*
* CFR2 - CFR1 Control Function Register 2
*
* FIELDS (msb -> lsb)
* (RW)	HSSYNC    	[11:11]	 - High Speed Sync Enable Bit
* (RW)	HWMANSYNC 	[10:10]	 - Hardware Manual Sync Enable Bit
* (RW)	CRYSTALOE 	[ 9: 9]	 - CRYSTAL OUT Enable Bit
* (RW)	REFCLKMUL 	[ 7: 3]	 - Reference Clock Multiplier Control Bits
* (RW)	VCORANGE  	[ 2: 2]	 - VCO Range Control Bit
* (RW)	CHRGPUMP  	[ 1: 0]	 - Charge Pump Current Control Bit
*
\******************************************************************************/
  #define _DDSREG_CFR2_RECIDX                        1

  #define _DDSREG_CFR2_ADDR                          0x00000001u

  #define _DDSREG_CFR2_BYTES                         3

  #define _DDSREG_CFR2_REGOFFS                       0x00000001u
  #define _DDSREG_CFR2_REGOFFS32                     0x00000000u

  #define _DDSREG_CFR2_HSSYNC_MASK                   0x00000800u
  #define _DDSREG_CFR2_HSSYNC_SHIFT                  11
  #define DDSREG_CFR2_HSSYNC_DEFAULT                 0x00000000u
  #define DDSREG_CFR2_HSSYNC_OF(x)                   _VALUEOF32(x)
  #define DDSREG_CFR2_HSSYNC_OFF                     0x00000000u
  #define DDSREG_CFR2_HSSYNC_DISABLED                0x00000000u
  #define DDSREG_CFR2_HSSYNC_INACTIVE                0x00000000u
  #define DDSREG_CFR2_HSSYNC_ON                      0x00000001u
  #define DDSREG_CFR2_HSSYNC_ENABLED                 0x00000001u
  #define DDSREG_CFR2_HSSYNC_ACTIVE                  0x00000001u
  #define _DDSREG_CFR2_HSSYNC_OFF_SV                 0x00000000u
  #define _DDSREG_CFR2_HSSYNC_DISABLED_SV            0x00000000u
  #define _DDSREG_CFR2_HSSYNC_INACTIVE_SV            0x00000000u
  #define _DDSREG_CFR2_HSSYNC_ON_SV                  0x00000800u
  #define _DDSREG_CFR2_HSSYNC_ENABLED_SV             0x00000800u
  #define _DDSREG_CFR2_HSSYNC_ACTIVE_SV              0x00000800u

  #define _DDSREG_CFR2_HWMANSYNC_MASK                0x00000400u
  #define _DDSREG_CFR2_HWMANSYNC_SHIFT               10
  #define DDSREG_CFR2_HWMANSYNC_DEFAULT              0x00000000u
  #define DDSREG_CFR2_HWMANSYNC_OF(x)                _VALUEOF32(x)
  #define DDSREG_CFR2_HWMANSYNC_OFF                  0x00000000u
  #define DDSREG_CFR2_HWMANSYNC_DISABLED             0x00000000u
  #define DDSREG_CFR2_HWMANSYNC_INACTIVE             0x00000000u
  #define DDSREG_CFR2_HWMANSYNC_ON                   0x00000001u
  #define DDSREG_CFR2_HWMANSYNC_ENABLED              0x00000001u
  #define DDSREG_CFR2_HWMANSYNC_ACTIVE               0x00000001u
  #define _DDSREG_CFR2_HWMANSYNC_OFF_SV              0x00000000u
  #define _DDSREG_CFR2_HWMANSYNC_DISABLED_SV         0x00000000u
  #define _DDSREG_CFR2_HWMANSYNC_INACTIVE_SV         0x00000000u
  #define _DDSREG_CFR2_HWMANSYNC_ON_SV               0x00000400u
  #define _DDSREG_CFR2_HWMANSYNC_ENABLED_SV          0x00000400u
  #define _DDSREG_CFR2_HWMANSYNC_ACTIVE_SV           0x00000400u

  #define _DDSREG_CFR2_CRYSTALOE_MASK                0x00000200u
  #define _DDSREG_CFR2_CRYSTALOE_SHIFT               9
  #define DDSREG_CFR2_CRYSTALOE_DEFAULT              0x00000000u
  #define DDSREG_CFR2_CRYSTALOE_OF(x)                _VALUEOF32(x)
  #define DDSREG_CFR2_CRYSTALOE_DISABLED             0x00000000u
  #define DDSREG_CFR2_CRYSTALOE_INACTIVE             0x00000000u
  #define DDSREG_CFR2_CRYSTALOE_ENABLED              0x00000001u
  #define DDSREG_CFR2_CRYSTALOE_ACTIVE               0x00000001u
  #define _DDSREG_CFR2_CRYSTALOE_DISABLED_SV         0x00000000u
  #define _DDSREG_CFR2_CRYSTALOE_INACTIVE_SV         0x00000000u
  #define _DDSREG_CFR2_CRYSTALOE_ENABLED_SV          0x00000200u
  #define _DDSREG_CFR2_CRYSTALOE_ACTIVE_SV           0x00000200u

  #define _DDSREG_CFR2_REFCLKMUL_MASK                0x000000F8u
  #define _DDSREG_CFR2_REFCLKMUL_SHIFT               3
  #define DDSREG_CFR2_REFCLKMUL_DEFAULT              0x00000000u
  #define DDSREG_CFR2_REFCLKMUL_OF(x)                _VALUEOF32(x)
  #define DDSREG_CFR2_REFCLKMUL_1X                   0x00000000u
  #define DDSREG_CFR2_REFCLKMUL_BYPASS               0x00000000u
  #define DDSREG_CFR2_REFCLKMUL_4X                   0x00000004u
  #define DDSREG_CFR2_REFCLKMUL_5X                   0x00000005u
  #define DDSREG_CFR2_REFCLKMUL_6X                   0x00000006u
  #define DDSREG_CFR2_REFCLKMUL_7X                   0x00000007u
  #define DDSREG_CFR2_REFCLKMUL_8X                   0x00000008u
  #define DDSREG_CFR2_REFCLKMUL_9X                   0x00000009u
  #define DDSREG_CFR2_REFCLKMUL_10X                  0x0000000Au
  #define DDSREG_CFR2_REFCLKMUL_11X                  0x0000000Bu
  #define DDSREG_CFR2_REFCLKMUL_12X                  0x0000000Cu
  #define DDSREG_CFR2_REFCLKMUL_13X                  0x0000000Du
  #define DDSREG_CFR2_REFCLKMUL_14X                  0x0000000Eu
  #define DDSREG_CFR2_REFCLKMUL_15X                  0x0000000Fu
  #define DDSREG_CFR2_REFCLKMUL_16X                  0x00000010u
  #define DDSREG_CFR2_REFCLKMUL_17X                  0x00000011u
  #define DDSREG_CFR2_REFCLKMUL_18X                  0x00000012u
  #define DDSREG_CFR2_REFCLKMUL_19X                  0x00000013u
  #define DDSREG_CFR2_REFCLKMUL_20X                  0x00000014u
  #define _DDSREG_CFR2_REFCLKMUL_1X_SV               0x00000000u
  #define _DDSREG_CFR2_REFCLKMUL_BYPASS_SV           0x00000000u
  #define _DDSREG_CFR2_REFCLKMUL_4X_SV               0x00000020u
  #define _DDSREG_CFR2_REFCLKMUL_5X_SV               0x00000028u
  #define _DDSREG_CFR2_REFCLKMUL_6X_SV               0x00000030u
  #define _DDSREG_CFR2_REFCLKMUL_7X_SV               0x00000038u
  #define _DDSREG_CFR2_REFCLKMUL_8X_SV               0x00000040u
  #define _DDSREG_CFR2_REFCLKMUL_9X_SV               0x00000048u
  #define _DDSREG_CFR2_REFCLKMUL_10X_SV              0x00000050u
  #define _DDSREG_CFR2_REFCLKMUL_11X_SV              0x00000058u
  #define _DDSREG_CFR2_REFCLKMUL_12X_SV              0x00000060u
  #define _DDSREG_CFR2_REFCLKMUL_13X_SV              0x00000068u
  #define _DDSREG_CFR2_REFCLKMUL_14X_SV              0x00000070u
  #define _DDSREG_CFR2_REFCLKMUL_15X_SV              0x00000078u
  #define _DDSREG_CFR2_REFCLKMUL_16X_SV              0x00000080u
  #define _DDSREG_CFR2_REFCLKMUL_17X_SV              0x00000088u
  #define _DDSREG_CFR2_REFCLKMUL_18X_SV              0x00000090u
  #define _DDSREG_CFR2_REFCLKMUL_19X_SV              0x00000098u
  #define _DDSREG_CFR2_REFCLKMUL_20X_SV              0x000000A0u

  #define _DDSREG_CFR2_VCORANGE_MASK                 0x00000004u
  #define _DDSREG_CFR2_VCORANGE_SHIFT                2
  #define DDSREG_CFR2_VCORANGE_DEFAULT               0x00000000u
  #define DDSREG_CFR2_VCORANGE_OF(x)                 _VALUEOF32(x)
  #define DDSREG_CFR2_VCORANGE_UPTO250MHZ            0x00000000u
  #define DDSREG_CFR2_VCORANGE_UPTO400MHZ            0x00000001u
  #define DDSREG_CFR2_VCORANGE_OVER250MHZ            0x00000001u
  #define _DDSREG_CFR2_VCORANGE_UPTO250MHZ_SV        0x00000000u
  #define _DDSREG_CFR2_VCORANGE_UPTO400MHZ_SV        0x00000004u
  #define _DDSREG_CFR2_VCORANGE_OVER250MHZ_SV        0x00000004u

  #define _DDSREG_CFR2_CHRGPUMP_MASK                 0x00000003u
  #define _DDSREG_CFR2_CHRGPUMP_SHIFT                0
  #define DDSREG_CFR2_CHRGPUMP_DEFAULT               0x00000000u
  #define DDSREG_CFR2_CHRGPUMP_OF(x)                 _VALUEOF32(x)
  #define DDSREG_CFR2_CHRGPUMP_75UA                  0x00000000u
  #define DDSREG_CFR2_CHRGPUMP_100UA                 0x00000001u
  #define DDSREG_CFR2_CHRGPUMP_125UA                 0x00000002u
  #define DDSREG_CFR2_CHRGPUMP_150UA                 0x00000003u
  #define _DDSREG_CFR2_CHRGPUMP_75UA_SV              0x00000000u
  #define _DDSREG_CFR2_CHRGPUMP_100UA_SV             0x00000001u
  #define _DDSREG_CFR2_CHRGPUMP_125UA_SV             0x00000002u
  #define _DDSREG_CFR2_CHRGPUMP_150UA_SV             0x00000003u

  #define DDSREG_CFR2_OF(val)                        _VALUEOF32(val)
  #define DDSREG_CFR2_DEFAULT (Uint32)(              \
      _PER_FDEFAULT32(DDSREG,CFR2,HSSYNC)            \
    | _PER_FDEFAULT32(DDSREG,CFR2,HWMANSYNC)         \
    | _PER_FDEFAULT32(DDSREG,CFR2,CRYSTALOE)         \
    | _PER_FDEFAULT32(DDSREG,CFR2,REFCLKMUL)         \
    | _PER_FDEFAULT32(DDSREG,CFR2,VCORANGE)          \
    | _PER_FDEFAULT32(DDSREG,CFR2,CHRGPUMP)          \
  )

  #define DDSREG_CFR2_RMK(hssync,hwmansync,          \
    crystaloe,refclkmul,vcorange,chrgpump)           \
    (Uint32)(                                        \
      _PER_FMK32(DDSREG,CFR2,HSSYNC,hssync)          \
    | _PER_FMK32(DDSREG,CFR2,HWMANSYNC,hwmansync)    \
    | _PER_FMK32(DDSREG,CFR2,CRYSTALOE,crystaloe)    \
    | _PER_FMK32(DDSREG,CFR2,REFCLKMUL,refclkmul)    \
    | _PER_FMK32(DDSREG,CFR2,VCORANGE,vcorange)      \
    | _PER_FMK32(DDSREG,CFR2,CHRGPUMP,chrgpump)      \
  )

  #define DDSREG_CFR2_RMKS(HSSYNC,HWMANSYNC,         \
    CRYSTALOE,REFCLKMUL,VCORANGE,CHRGPUMP)           \
    (Uint32)(                                        \
      _DDSREG_CFR2_HSSYNC_##HSSYNC##_SV              \
    | _DDSREG_CFR2_HWMANSYNC_##HWMANSYNC##_SV        \
    | _DDSREG_CFR2_CRYSTALOE_##CRYSTALOE##_SV        \
    | _DDSREG_CFR2_REFCLKMUL_##REFCLKMUL##_SV        \
    | _DDSREG_CFR2_VCORANGE_##VCORANGE##_SV          \
    | _DDSREG_CFR2_CHRGPUMP_##CHRGPUMP##_SV          \
  )

  #define _DDSREG_CFR2_FGET(FIELD)                   \
    _PER_FGET32(_DDSREG_CFR2_ADDR,                   \
      DDSREG,CFR2,##FIELD)

  #define _DDSREG_CFR2_FSET(FIELD,field)             \
    _PER_FSET32(_DDSREG_CFR2_ADDR,                   \
      DDSREG,CFR2,##FIELD,field)

  #define _DDSREG_CFR2_FSETS(FIELD,SYM)              \
    _PER_FSETS32(_DDSREG_CFR2_ADDR,                  \
      DDSREG,CFR2,##FIELD,##SYM)

  #define _DDSREG_CFR2_FGETQ(FIELD,val)              \
    _PER_FGETQ32(_DDSREG_CFR2_ADDR,                  \
      DDSREG,CFR2,##FIELD,val)

  #define _DDSREG_CFR2_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ32(_DDSREG_CFR2_ADDR,                 \
      DDSREG,CFR2,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  A S F                |
* |_______________________|
*
* ASF - ASF Amplitude Scale Factor Register
*
* FIELDS (msb -> lsb)
* (RW)	ARRS      	[15:14]	 - Auto Ramp Rate Speed Control
* (RW)	ASF       	[13: 0]	 - Amplitude Scale Factor Register
*
\******************************************************************************/
  #define _DDSREG_ASF_RECIDX                         2

  #define _DDSREG_ASF_ADDR                           0x00000002u

  #define _DDSREG_ASF_BYTES                          2

  #define _DDSREG_ASF_REGOFFS                        0x00000002u
  #define _DDSREG_ASF_REGOFFS32                      0x00000000u

  #define _DDSREG_ASF_ARRS_MASK                      0x0000C000u
  #define _DDSREG_ASF_ARRS_SHIFT                     14
  #define DDSREG_ASF_ARRS_DEFAULT                    0x00000000u
  #define DDSREG_ASF_ARRS_OF(x)                      _VALUEOF32(x)
  #define DDSREG_ASF_ARRS_SS1                        0x00000000u
  #define DDSREG_ASF_ARRS_SS2                        0x00000001u
  #define DDSREG_ASF_ARRS_SS4                        0x00000002u
  #define DDSREG_ASF_ARRS_SS8                        0x00000003u
  #define _DDSREG_ASF_ARRS_SS1_SV                    0x00000000u
  #define _DDSREG_ASF_ARRS_SS2_SV                    0x00004000u
  #define _DDSREG_ASF_ARRS_SS4_SV                    0x00008000u
  #define _DDSREG_ASF_ARRS_SS8_SV                    0x0000C000u

  #define _DDSREG_ASF_ASF_MASK                       0x00003FFFu
  #define _DDSREG_ASF_ASF_SHIFT                      0
  #define DDSREG_ASF_ASF_DEFAULT                     0x00000000u
  #define DDSREG_ASF_ASF_OF(x)                       _VALUEOF32(x)

  #define DDSREG_ASF_OF(val)                         _VALUEOF32(val)
  #define DDSREG_ASF_DEFAULT (Uint32)(               \
      _PER_FDEFAULT32(DDSREG,ASF,ARRS)               \
    | _PER_FDEFAULT32(DDSREG,ASF,ASF)                \
  )

  #define DDSREG_ASF_RMK(arrs,asf)                   \
    (Uint32)(                                        \
      _PER_FMK32(DDSREG,ASF,ARRS,arrs)               \
    | _PER_FMK32(DDSREG,ASF,ASF,asf)                 \
  )

  #define DDSREG_ASF_RMKS(ARRS,ASF)                  \
    (Uint32)(                                        \
      _DDSREG_ASF_ARRS_##ARRS##_SV                   \
    | _DDSREG_ASF_ASF_##ASF##_SV                     \
  )

  #define _DDSREG_ASF_FGET(FIELD)                    \
    _PER_FGET32(_DDSREG_ASF_ADDR,                    \
      DDSREG,ASF,##FIELD)

  #define _DDSREG_ASF_FSET(FIELD,field)              \
    _PER_FSET32(_DDSREG_ASF_ADDR,                    \
      DDSREG,ASF,##FIELD,field)

  #define _DDSREG_ASF_FSETS(FIELD,SYM)               \
    _PER_FSETS32(_DDSREG_ASF_ADDR,                   \
      DDSREG,ASF,##FIELD,##SYM)

  #define _DDSREG_ASF_FGETQ(FIELD,val)               \
    _PER_FGETQ32(_DDSREG_ASF_ADDR,                   \
      DDSREG,ASF,##FIELD,val)

  #define _DDSREG_ASF_FGETSQ(FIELD,SYM)              \
    _PER_FGETSQ32(_DDSREG_ASF_ADDR,                  \
      DDSREG,ASF,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  A R R                |
* |_______________________|
*
* ARR - ARR Amplitude Ramp Rate Register
*
* FIELDS (msb -> lsb)
* (RW)	ARR       	[ 7: 0]	 - Amplitude Ramp Rate
*
\******************************************************************************/
  #define _DDSREG_ARR_RECIDX                         3

  #define _DDSREG_ARR_ADDR                           0x00000003u

  #define _DDSREG_ARR_BYTES                          1

  #define _DDSREG_ARR_REGOFFS                        0x00000003u
  #define _DDSREG_ARR_REGOFFS32                      0x00000000u

  #define _DDSREG_ARR_ARR_MASK                       0x000000FFu
  #define _DDSREG_ARR_ARR_SHIFT                      0
  #define DDSREG_ARR_ARR_DEFAULT                     0x00000000u
  #define DDSREG_ARR_ARR_OF(x)                       _VALUEOF32(x)

  #define DDSREG_ARR_OF(val)                         _VALUEOF32(val)
  #define DDSREG_ARR_DEFAULT (Uint32)(               \
      _PER_FDEFAULT32(DDSREG,ARR,ARR)                \
  )

  #define DDSREG_ARR_RMK(arr)                        \
    (Uint32)(                                        \
      _PER_FMK32(DDSREG,ARR,ARR,arr)                 \
  )

  #define DDSREG_ARR_RMKS(ARR)                       \
    (Uint32)(                                        \
      _DDSREG_ARR_ARR_##ARR##_SV                     \
  )

  #define _DDSREG_ARR_FGET(FIELD)                    \
    _PER_FGET32(_DDSREG_ARR_ADDR,                    \
      DDSREG,ARR,##FIELD)

  #define _DDSREG_ARR_FSET(FIELD,field)              \
    _PER_FSET32(_DDSREG_ARR_ADDR,                    \
      DDSREG,ARR,##FIELD,field)

  #define _DDSREG_ARR_FSETS(FIELD,SYM)               \
    _PER_FSETS32(_DDSREG_ARR_ADDR,                   \
      DDSREG,ARR,##FIELD,##SYM)

  #define _DDSREG_ARR_FGETQ(FIELD,val)               \
    _PER_FGETQ32(_DDSREG_ARR_ADDR,                   \
      DDSREG,ARR,##FIELD,val)

  #define _DDSREG_ARR_FGETSQ(FIELD,SYM)              \
    _PER_FGETSQ32(_DDSREG_ARR_ADDR,                  \
      DDSREG,ARR,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  F T W 0              |
* |_______________________|
*
* FTW0 - FTW0 Frequency Tuning Word Register 0
*
* FIELDS (msb -> lsb)
* (RW)	FTW       	[31: 0]	 - Frequency Tuning Word
*
\******************************************************************************/
  #define _DDSREG_FTW0_RECIDX                        4

  #define _DDSREG_FTW0_ADDR                          0x00000004u

  #define _DDSREG_FTW0_BYTES                         4

  #define _DDSREG_FTW0_REGOFFS                       0x00000004u
  #define _DDSREG_FTW0_REGOFFS32                     0x00000001u

  #define _DDSREG_FTW0_FTW_MASK                      0xFFFFFFFFu
  #define _DDSREG_FTW0_FTW_SHIFT                     0
  #define DDSREG_FTW0_FTW_DEFAULT                    0x00000000u
  #define DDSREG_FTW0_FTW_OF(x)                      _VALUEOF32(x)

  #define DDSREG_FTW0_OF(val)                        _VALUEOF32(val)
  #define DDSREG_FTW0_DEFAULT (Uint32)(              \
      _PER_FDEFAULT32(DDSREG,FTW0,FTW)               \
  )

  #define DDSREG_FTW0_RMK(ftw)                       \
    (Uint32)(                                        \
      _PER_FMK32(DDSREG,FTW0,FTW,ftw)                \
  )

  #define DDSREG_FTW0_RMKS(FTW)                      \
    (Uint32)(                                        \
      _DDSREG_FTW0_FTW_##FTW##_SV                    \
  )

  #define _DDSREG_FTW0_FGET(FIELD)                   \
    _PER_FGET32(_DDSREG_FTW0_ADDR,                   \
      DDSREG,FTW0,##FIELD)

  #define _DDSREG_FTW0_FSET(FIELD,field)             \
    _PER_FSET32(_DDSREG_FTW0_ADDR,                   \
      DDSREG,FTW0,##FIELD,field)

  #define _DDSREG_FTW0_FSETS(FIELD,SYM)              \
    _PER_FSETS32(_DDSREG_FTW0_ADDR,                  \
      DDSREG,FTW0,##FIELD,##SYM)

  #define _DDSREG_FTW0_FGETQ(FIELD,val)              \
    _PER_FGETQ32(_DDSREG_FTW0_ADDR,                  \
      DDSREG,FTW0,##FIELD,val)

  #define _DDSREG_FTW0_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ32(_DDSREG_FTW0_ADDR,                 \
      DDSREG,FTW0,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  P O W 0              |
* |_______________________|
*
* POW0 - POW0 Phase Offset Word Register 0
*
* FIELDS (msb -> lsb)
* (RW)	POW       	[13: 0]	 - Phase Offset Word
*
\******************************************************************************/
  #define _DDSREG_POW0_RECIDX                        5

  #define _DDSREG_POW0_ADDR                          0x00000005u

  #define _DDSREG_POW0_BYTES                         2

  #define _DDSREG_POW0_REGOFFS                       0x00000005u
  #define _DDSREG_POW0_REGOFFS32                     0x00000001u

  #define _DDSREG_POW0_POW_MASK                      0x00003FFFu
  #define _DDSREG_POW0_POW_SHIFT                     0
  #define DDSREG_POW0_POW_DEFAULT                    0x00000000u
  #define DDSREG_POW0_POW_OF(x)                      _VALUEOF32(x)

  #define DDSREG_POW0_OF(val)                        _VALUEOF32(val)
  #define DDSREG_POW0_DEFAULT (Uint32)(              \
      _PER_FDEFAULT32(DDSREG,POW0,POW)               \
  )

  #define DDSREG_POW0_RMK(pow)                       \
    (Uint32)(                                        \
      _PER_FMK32(DDSREG,POW0,POW,pow)                \
  )

  #define DDSREG_POW0_RMKS(POW)                      \
    (Uint32)(                                        \
      _DDSREG_POW0_POW_##POW##_SV                    \
  )

  #define _DDSREG_POW0_FGET(FIELD)                   \
    _PER_FGET32(_DDSREG_POW0_ADDR,                   \
      DDSREG,POW0,##FIELD)

  #define _DDSREG_POW0_FSET(FIELD,field)             \
    _PER_FSET32(_DDSREG_POW0_ADDR,                   \
      DDSREG,POW0,##FIELD,field)

  #define _DDSREG_POW0_FSETS(FIELD,SYM)              \
    _PER_FSETS32(_DDSREG_POW0_ADDR,                  \
      DDSREG,POW0,##FIELD,##SYM)

  #define _DDSREG_POW0_FGETQ(FIELD,val)              \
    _PER_FGETQ32(_DDSREG_POW0_ADDR,                  \
      DDSREG,POW0,##FIELD,val)

  #define _DDSREG_POW0_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ32(_DDSREG_POW0_ADDR,                 \
      DDSREG,POW0,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_DDSREG_SUPPORT) */
#endif /* _BSL_DDSREGHAL_H_ */
/******************************************************************************\
* End of bsl_ddsreghal.h
\******************************************************************************/
