/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral FPGA
* FILENAME......... bsl_fpgahal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:02
* LAST MODIFIED AT. 01/14/2006 15:26:02
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. FPGA
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 8-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. FPGA is 0x60000000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* PROG        -  FPGA PROG_B Control
* INIT        -  FPGA INIT_B Control
* CS          -  FPGA CS_B Control
* RDWR        -  FPGA RDWR_B Control
* DATA        -  FPGA Data Port Read/Write
* BUSY        -  FPGA Busy Status
* DONE        -  FPGA Done Status
*
\******************************************************************************/
#ifndef _BSL_FPGAHAL_H_
#define _BSL_FPGAHAL_H_

#include <bsl.h>


#if (BSL_FPGA_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _FPGA_DEVICE_COUNT                         1

  #define _FPGA_BASE_ADDRESS                         0x60000000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define FPGA_FMK(REG,FIELD,val)\
    _PER_FMK8(FPGA,##REG,##FIELD,val)

  #define FPGA_FMKS(REG,FIELD,SYM)\
    _PER_FMKS8(FPGA,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define FPGA_ADDR(REG)\
    _FPGA_##REG##_ADDR

  #define FPGA_RGET(REG)\
    _PER_RGET8(_FPGA_##REG##_ADDR,FPGA,##REG)

  #define FPGA_RSET(REG,val)\
    _PER_RSET8(_FPGA_##REG##_ADDR,FPGA,##REG,val)

  #define FPGA_RFSETS(REG,FIELD,SYM)\
    FPGA_RSET(##REG,_FPGA_##REG##_##FIELD##_##SYM##_SV)

  #define FPGA_FGET(REG,FIELD)\
    _FPGA_##REG##_FGET(##FIELD)

  #define FPGA_FSET(REG,FIELD,val)\
    _FPGA_##REG##_FSET(##FIELD,val)

  #define FPGA_FSETS(REG,FIELD,SYM)\
    _FPGA_##REG##_FSETS(##FIELD,##SYM)

  #define FPGA_FGETQ(REG,FIELD,val)\
    _FPGA_##REG##_FGETQ(##FIELD,val)

  #define FPGA_FGETSQ(REG,FIELD,SYM)\
    _FPGA_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define FPGA_RGETA(addr,REG)\
    _PER_RGET8(addr,FPGA,##REG)

  #define FPGA_RSETA(addr,REG,val)\
    _PER_RSET8(addr,FPGA,##REG,val)

  #define FPGA_RFSETSA(addr,REG,FIELD,SYM)\
    FPGA_RSETA(addr,##REG,_FPGA_##REG##_##FIELD##_##SYM##_SV)

  #define FPGA_FGETA(addr,REG,FIELD)\
    _PER_FGET8(addr,FPGA,##REG,##FIELD)

  #define FPGA_FSETA(addr,REG,FIELD,val)\
    _PER_FSET8(addr,FPGA,##REG,##FIELD,val)

  #define FPGA_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS8(addr,FPGA,##REG,##FIELD,##SYM)

  #define FPGA_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ8(addr,FPGA,##REG,##FIELD,val)

  #define FPGA_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ8(addr,FPGA,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define FPGA_VRGET(var,REG)\
    _PER_VRGET8(var,FPGA,##REG)

  #define FPGA_VRSET(var,REG,val)\
    _PER_VRSET8(var,FPGA,##REG,val)

  #define FPGA_VRFSETS(var,REG,FIELD,SYM)\
    FPGA_VRSET(var,##REG,_FPGA_##REG##_##FIELD##_##SYM##_SV)

  #define FPGA_VFGET(var,REG,FIELD)\
    _PER_VFGET8(var,FPGA,##REG,##FIELD)

  #define FPGA_VFSET(var,REG,FIELD,val)\
    _PER_VFSET8(var,FPGA,##REG,##FIELD,val)

  #define FPGA_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS8(var,FPGA,##REG,##FIELD,##SYM)

  #define FPGA_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ8(var,FPGA,##REG,##FIELD,val)

  #define FPGA_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ8(var,FPGA,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS8          Offset in 8-bit bytes from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  P R O G              |
* |_______________________|
*
* PROG - FPGA PROG_B Control
*
* FIELDS (msb -> lsb)
* (RW)	STATE     	[ 0: 0]	 - State of PROG_B signal
*
\******************************************************************************/
/*#define _FPGA_PROG_RECIDX                          Not recorded */

  #define _FPGA_PROG_ADDR                            0x60000006u

  #define _FPGA_PROG_REGOFFS                         0x00000006u
  #define _FPGA_PROG_REGOFFS8                        0x00000006u

  #define _FPGA_PROG_STATE_MASK                      0x01u
  #define _FPGA_PROG_STATE_SHIFT                     0
  #define FPGA_PROG_STATE_DEFAULT                    0x00u
  #define FPGA_PROG_STATE_OF(x)                      _VALUEOF8(x)
  #define FPGA_PROG_STATE_LO                         0x00u
  #define FPGA_PROG_STATE_HI                         0x01u
  #define _FPGA_PROG_STATE_LO_SV                     0x00u
  #define _FPGA_PROG_STATE_HI_SV                     0x01u

  #define FPGA_PROG_OF(val)                          _VALUEOF8(val)
  #define FPGA_PROG_DEFAULT (Uint8)(                 \
      _PER_FDEFAULT8(FPGA,PROG,STATE)                \
  )

  #define FPGA_PROG_RMK(state)                       \
    (Uint8)(                                         \
      _PER_FMK8(FPGA,PROG,STATE,state)               \
  )

  #define FPGA_PROG_RMKS(STATE)                      \
    (Uint8)(                                         \
      _FPGA_PROG_STATE_##STATE##_SV                  \
  )

  #define _FPGA_PROG_FGET(FIELD)                     \
    _PER_FGET8(_FPGA_PROG_ADDR,                      \
      FPGA,PROG,##FIELD)

  #define _FPGA_PROG_FSET(FIELD,field)               \
    _PER_FSET8(_FPGA_PROG_ADDR,                      \
      FPGA,PROG,##FIELD,field)

  #define _FPGA_PROG_FSETS(FIELD,SYM)                \
    _PER_FSETS8(_FPGA_PROG_ADDR,                     \
      FPGA,PROG,##FIELD,##SYM)

  #define _FPGA_PROG_FGETQ(FIELD,val)                \
    _PER_FGETQ8(_FPGA_PROG_ADDR,                     \
      FPGA,PROG,##FIELD,val)

  #define _FPGA_PROG_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ8(_FPGA_PROG_ADDR,                    \
      FPGA,PROG,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  I N I T              |
* |_______________________|
*
* INIT - FPGA INIT_B Control
*
* FIELDS (msb -> lsb)
* (R.)	STATE     	[ 0: 0]	 - State of INIT_B signal
*
\******************************************************************************/
/*#define _FPGA_INIT_RECIDX                          Not recorded */

  #define _FPGA_INIT_ADDR                            0x60000007u

  #define _FPGA_INIT_REGOFFS                         0x00000007u
  #define _FPGA_INIT_REGOFFS8                        0x00000007u

  #define _FPGA_INIT_STATE_MASK                      0x01u
  #define _FPGA_INIT_STATE_SHIFT                     0
  #define FPGA_INIT_STATE_DEFAULT                    0x00u
  #define FPGA_INIT_STATE_OF(x)                      _VALUEOF8(x)
  #define FPGA_INIT_STATE_LO                         0x00u
  #define FPGA_INIT_STATE_HI                         0x01u
  #define FPGA_INIT_STATE_ERROR                      0x00u
  #define FPGA_INIT_STATE_CLEARING                   0x00u
  #define FPGA_INIT_STATE_READY                      0x01u
  #define _FPGA_INIT_STATE_LO_SV                     0x00u
  #define _FPGA_INIT_STATE_HI_SV                     0x01u
  #define _FPGA_INIT_STATE_ERROR_SV                  0x00u
  #define _FPGA_INIT_STATE_CLEARING_SV               0x00u
  #define _FPGA_INIT_STATE_READY_SV                  0x01u

  #define FPGA_INIT_OF(val)                          _VALUEOF8(val)
  #define FPGA_INIT_DEFAULT (Uint8)(                 \
      _PER_FDEFAULT8(FPGA,INIT,STATE)                \
  )

  #define _FPGA_INIT_FGET(FIELD)                     \
    _PER_FGET8(_FPGA_INIT_ADDR,                      \
      FPGA,INIT,##FIELD)

  #define _FPGA_INIT_FSET(FIELD,field)               \
    _PER_FSET8(_FPGA_INIT_ADDR,                      \
      FPGA,INIT,##FIELD,field)

  #define _FPGA_INIT_FSETS(FIELD,SYM)                \
    _PER_FSETS8(_FPGA_INIT_ADDR,                     \
      FPGA,INIT,##FIELD,##SYM)

  #define _FPGA_INIT_FGETQ(FIELD,val)                \
    _PER_FGETQ8(_FPGA_INIT_ADDR,                     \
      FPGA,INIT,##FIELD,val)

  #define _FPGA_INIT_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ8(_FPGA_INIT_ADDR,                    \
      FPGA,INIT,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  C S                  |
* |_______________________|
*
* CS - FPGA CS_B Control
*
* FIELDS (msb -> lsb)
* (RW)	STATE     	[ 0: 0]	 - State of CS_B signal
*
\******************************************************************************/
/*#define _FPGA_CS_RECIDX                            Not recorded */

  #define _FPGA_CS_ADDR                              0x60000008u

  #define _FPGA_CS_REGOFFS                           0x00000008u
  #define _FPGA_CS_REGOFFS8                          0x00000008u

  #define _FPGA_CS_STATE_MASK                        0x01u
  #define _FPGA_CS_STATE_SHIFT                       0
  #define FPGA_CS_STATE_DEFAULT                      0x00u
  #define FPGA_CS_STATE_OF(x)                        _VALUEOF8(x)
  #define FPGA_CS_STATE_LO                           0x00u
  #define FPGA_CS_STATE_HI                           0x01u
  #define FPGA_CS_STATE_ACTIVE                       0x00u
  #define FPGA_CS_STATE_INACTIVE                     0x01u
  #define _FPGA_CS_STATE_LO_SV                       0x00u
  #define _FPGA_CS_STATE_HI_SV                       0x01u
  #define _FPGA_CS_STATE_ACTIVE_SV                   0x00u
  #define _FPGA_CS_STATE_INACTIVE_SV                 0x01u

  #define FPGA_CS_OF(val)                            _VALUEOF8(val)
  #define FPGA_CS_DEFAULT (Uint8)(                   \
      _PER_FDEFAULT8(FPGA,CS,STATE)                  \
  )

  #define FPGA_CS_RMK(state)                         \
    (Uint8)(                                         \
      _PER_FMK8(FPGA,CS,STATE,state)                 \
  )

  #define FPGA_CS_RMKS(STATE)                        \
    (Uint8)(                                         \
      _FPGA_CS_STATE_##STATE##_SV                    \
  )

  #define _FPGA_CS_FGET(FIELD)                       \
    _PER_FGET8(_FPGA_CS_ADDR,                        \
      FPGA,CS,##FIELD)

  #define _FPGA_CS_FSET(FIELD,field)                 \
    _PER_FSET8(_FPGA_CS_ADDR,                        \
      FPGA,CS,##FIELD,field)

  #define _FPGA_CS_FSETS(FIELD,SYM)                  \
    _PER_FSETS8(_FPGA_CS_ADDR,                       \
      FPGA,CS,##FIELD,##SYM)

  #define _FPGA_CS_FGETQ(FIELD,val)                  \
    _PER_FGETQ8(_FPGA_CS_ADDR,                       \
      FPGA,CS,##FIELD,val)

  #define _FPGA_CS_FGETSQ(FIELD,SYM)                 \
    _PER_FGETSQ8(_FPGA_CS_ADDR,                      \
      FPGA,CS,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  R D W R              |
* |_______________________|
*
* RDWR - FPGA RDWR_B Control
*
* FIELDS (msb -> lsb)
* (RW)	STATE     	[ 0: 0]	 - State of RDWR_B signal
*
\******************************************************************************/
/*#define _FPGA_RDWR_RECIDX                          Not recorded */

  #define _FPGA_RDWR_ADDR                            0x60000009u

  #define _FPGA_RDWR_REGOFFS                         0x00000009u
  #define _FPGA_RDWR_REGOFFS8                        0x00000009u

  #define _FPGA_RDWR_STATE_MASK                      0x01u
  #define _FPGA_RDWR_STATE_SHIFT                     0
  #define FPGA_RDWR_STATE_DEFAULT                    0x00u
  #define FPGA_RDWR_STATE_OF(x)                      _VALUEOF8(x)
  #define FPGA_RDWR_STATE_LO                         0x00u
  #define FPGA_RDWR_STATE_HI                         0x01u
  #define FPGA_RDWR_STATE_WRITE                      0x00u
  #define FPGA_RDWR_STATE_READ                       0x01u
  #define _FPGA_RDWR_STATE_LO_SV                     0x00u
  #define _FPGA_RDWR_STATE_HI_SV                     0x01u
  #define _FPGA_RDWR_STATE_WRITE_SV                  0x00u
  #define _FPGA_RDWR_STATE_READ_SV                   0x01u

  #define FPGA_RDWR_OF(val)                          _VALUEOF8(val)
  #define FPGA_RDWR_DEFAULT (Uint8)(                 \
      _PER_FDEFAULT8(FPGA,RDWR,STATE)                \
  )

  #define FPGA_RDWR_RMK(state)                       \
    (Uint8)(                                         \
      _PER_FMK8(FPGA,RDWR,STATE,state)               \
  )

  #define FPGA_RDWR_RMKS(STATE)                      \
    (Uint8)(                                         \
      _FPGA_RDWR_STATE_##STATE##_SV                  \
  )

  #define _FPGA_RDWR_FGET(FIELD)                     \
    _PER_FGET8(_FPGA_RDWR_ADDR,                      \
      FPGA,RDWR,##FIELD)

  #define _FPGA_RDWR_FSET(FIELD,field)               \
    _PER_FSET8(_FPGA_RDWR_ADDR,                      \
      FPGA,RDWR,##FIELD,field)

  #define _FPGA_RDWR_FSETS(FIELD,SYM)                \
    _PER_FSETS8(_FPGA_RDWR_ADDR,                     \
      FPGA,RDWR,##FIELD,##SYM)

  #define _FPGA_RDWR_FGETQ(FIELD,val)                \
    _PER_FGETQ8(_FPGA_RDWR_ADDR,                     \
      FPGA,RDWR,##FIELD,val)

  #define _FPGA_RDWR_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ8(_FPGA_RDWR_ADDR,                    \
      FPGA,RDWR,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  D A T A              |
* |_______________________|
*
* DATA - FPGA Data Port Read/Write
*
* FIELDS (msb -> lsb)
* (RW)	VALUE     	[ 7: 0]	 - Data value
*
\******************************************************************************/
/*#define _FPGA_DATA_RECIDX                          Not recorded */

  #define _FPGA_DATA_ADDR                            0x6000000Au

  #define _FPGA_DATA_REGOFFS                         0x0000000Au
  #define _FPGA_DATA_REGOFFS8                        0x0000000Au

  #define _FPGA_DATA_VALUE_MASK                      0xFFu
  #define _FPGA_DATA_VALUE_SHIFT                     0
  #define FPGA_DATA_VALUE_DEFAULT                    0x00u
  #define FPGA_DATA_VALUE_OF(x)                      _VALUEOF8(x)

  #define FPGA_DATA_OF(val)                          _VALUEOF8(val)
  #define FPGA_DATA_DEFAULT (Uint8)(                 \
      _PER_FDEFAULT8(FPGA,DATA,VALUE)                \
  )

  #define FPGA_DATA_RMK(value)                       \
    (Uint8)(                                         \
      _PER_FMK8(FPGA,DATA,VALUE,value)               \
  )

  #define FPGA_DATA_RMKS(VALUE)                      \
    (Uint8)(                                         \
      _FPGA_DATA_VALUE_##VALUE##_SV                  \
  )

  #define _FPGA_DATA_FGET(FIELD)                     \
    _PER_FGET8(_FPGA_DATA_ADDR,                      \
      FPGA,DATA,##FIELD)

  #define _FPGA_DATA_FSET(FIELD,field)               \
    _PER_FSET8(_FPGA_DATA_ADDR,                      \
      FPGA,DATA,##FIELD,field)

  #define _FPGA_DATA_FSETS(FIELD,SYM)                \
    _PER_FSETS8(_FPGA_DATA_ADDR,                     \
      FPGA,DATA,##FIELD,##SYM)

  #define _FPGA_DATA_FGETQ(FIELD,val)                \
    _PER_FGETQ8(_FPGA_DATA_ADDR,                     \
      FPGA,DATA,##FIELD,val)

  #define _FPGA_DATA_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ8(_FPGA_DATA_ADDR,                    \
      FPGA,DATA,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  B U S Y              |
* |_______________________|
*
* BUSY - FPGA Busy Status
*
* FIELDS (msb -> lsb)
* (R.)	STATUS    	[ 0: 0]	 - Status of Busy signal
*
\******************************************************************************/
/*#define _FPGA_BUSY_RECIDX                          Not recorded */

  #define _FPGA_BUSY_ADDR                            0x6000000Bu

  #define _FPGA_BUSY_REGOFFS                         0x0000000Bu
  #define _FPGA_BUSY_REGOFFS8                        0x0000000Bu

  #define _FPGA_BUSY_STATUS_MASK                     0x01u
  #define _FPGA_BUSY_STATUS_SHIFT                    0
  #define FPGA_BUSY_STATUS_DEFAULT                   0x00u
  #define FPGA_BUSY_STATUS_OF(x)                     _VALUEOF8(x)
  #define FPGA_BUSY_STATUS_LO                        0x00u
  #define FPGA_BUSY_STATUS_HI                        0x01u
  #define FPGA_BUSY_STATUS_READY                     0x00u
  #define FPGA_BUSY_STATUS_BUSY                      0x01u
  #define _FPGA_BUSY_STATUS_LO_SV                    0x00u
  #define _FPGA_BUSY_STATUS_HI_SV                    0x01u
  #define _FPGA_BUSY_STATUS_READY_SV                 0x00u
  #define _FPGA_BUSY_STATUS_BUSY_SV                  0x01u

  #define FPGA_BUSY_OF(val)                          _VALUEOF8(val)
  #define FPGA_BUSY_DEFAULT (Uint8)(                 \
      _PER_FDEFAULT8(FPGA,BUSY,STATUS)               \
  )

  #define _FPGA_BUSY_FGET(FIELD)                     \
    _PER_FGET8(_FPGA_BUSY_ADDR,                      \
      FPGA,BUSY,##FIELD)

  #define _FPGA_BUSY_FSET(FIELD,field)               \
    _PER_FSET8(_FPGA_BUSY_ADDR,                      \
      FPGA,BUSY,##FIELD,field)

  #define _FPGA_BUSY_FSETS(FIELD,SYM)                \
    _PER_FSETS8(_FPGA_BUSY_ADDR,                     \
      FPGA,BUSY,##FIELD,##SYM)

  #define _FPGA_BUSY_FGETQ(FIELD,val)                \
    _PER_FGETQ8(_FPGA_BUSY_ADDR,                     \
      FPGA,BUSY,##FIELD,val)

  #define _FPGA_BUSY_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ8(_FPGA_BUSY_ADDR,                    \
      FPGA,BUSY,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  D O N E              |
* |_______________________|
*
* DONE - FPGA Done Status
*
* FIELDS (msb -> lsb)
* (R.)	STATUS    	[ 0: 0]	 - Status of Done signal
*
\******************************************************************************/
/*#define _FPGA_DONE_RECIDX                          Not recorded */

  #define _FPGA_DONE_ADDR                            0x6000000Cu

  #define _FPGA_DONE_REGOFFS                         0x0000000Cu
  #define _FPGA_DONE_REGOFFS8                        0x0000000Cu

  #define _FPGA_DONE_STATUS_MASK                     0x01u
  #define _FPGA_DONE_STATUS_SHIFT                    0
  #define FPGA_DONE_STATUS_DEFAULT                   0x00u
  #define FPGA_DONE_STATUS_OF(x)                     _VALUEOF8(x)
  #define FPGA_DONE_STATUS_LO                        0x00u
  #define FPGA_DONE_STATUS_HI                        0x01u
  #define FPGA_DONE_STATUS_BUSY                      0x00u
  #define FPGA_DONE_STATUS_READY                     0x01u
  #define FPGA_DONE_STATUS_DONE                      0x01u
  #define _FPGA_DONE_STATUS_LO_SV                    0x00u
  #define _FPGA_DONE_STATUS_HI_SV                    0x01u
  #define _FPGA_DONE_STATUS_BUSY_SV                  0x00u
  #define _FPGA_DONE_STATUS_READY_SV                 0x01u
  #define _FPGA_DONE_STATUS_DONE_SV                  0x01u

  #define FPGA_DONE_OF(val)                          _VALUEOF8(val)
  #define FPGA_DONE_DEFAULT (Uint8)(                 \
      _PER_FDEFAULT8(FPGA,DONE,STATUS)               \
  )

  #define _FPGA_DONE_FGET(FIELD)                     \
    _PER_FGET8(_FPGA_DONE_ADDR,                      \
      FPGA,DONE,##FIELD)

  #define _FPGA_DONE_FSET(FIELD,field)               \
    _PER_FSET8(_FPGA_DONE_ADDR,                      \
      FPGA,DONE,##FIELD,field)

  #define _FPGA_DONE_FSETS(FIELD,SYM)                \
    _PER_FSETS8(_FPGA_DONE_ADDR,                     \
      FPGA,DONE,##FIELD,##SYM)

  #define _FPGA_DONE_FGETQ(FIELD,val)                \
    _PER_FGETQ8(_FPGA_DONE_ADDR,                     \
      FPGA,DONE,##FIELD,val)

  #define _FPGA_DONE_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ8(_FPGA_DONE_ADDR,                    \
      FPGA,DONE,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_FPGA_SUPPORT) */
#endif /* _BSL_FPGAHAL_H_ */
/******************************************************************************\
* End of bsl_fpgahal.h
\******************************************************************************/
