/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral HPCI
* FILENAME......... bsl_hpcihal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:02
* LAST MODIFIED AT. 01/14/2006 15:26:02
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. HPCI
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 32-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. HPCI is 0x00000000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* HSR         -  Host Status Register
* HDCR        -  Host-to-DSP Control Register
* DSPP        -  DSP Page Register
*
\******************************************************************************/
#ifndef _BSL_HPCIHAL_H_
#define _BSL_HPCIHAL_H_

#include <bsl.h>


#if (BSL_HPCI_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _HPCI_DEVICE_COUNT                         1

  #define _HPCI_BASE_ADDRESS                         0x00000000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define HPCI_FMK(REG,FIELD,val)\
    _PER_FMK32(HPCI,##REG,##FIELD,val)

  #define HPCI_FMKS(REG,FIELD,SYM)\
    _PER_FMKS32(HPCI,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define HPCI_ADDR(REG)\
    _HPCI_##REG##_ADDR

  #define HPCI_RGET(REG)\
    _PER_RGET32(_HPCI_##REG##_ADDR,HPCI,##REG)

  #define HPCI_RSET(REG,val)\
    _PER_RSET32(_HPCI_##REG##_ADDR,HPCI,##REG,val)

  #define HPCI_RFSETS(REG,FIELD,SYM)\
    HPCI_RSET(##REG,_HPCI_##REG##_##FIELD##_##SYM##_SV)

  #define HPCI_FGET(REG,FIELD)\
    _HPCI_##REG##_FGET(##FIELD)

  #define HPCI_FSET(REG,FIELD,val)\
    _HPCI_##REG##_FSET(##FIELD,val)

  #define HPCI_FSETS(REG,FIELD,SYM)\
    _HPCI_##REG##_FSETS(##FIELD,##SYM)

  #define HPCI_FGETQ(REG,FIELD,val)\
    _HPCI_##REG##_FGETQ(##FIELD,val)

  #define HPCI_FGETSQ(REG,FIELD,SYM)\
    _HPCI_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define HPCI_RGETA(addr,REG)\
    _PER_RGET32(addr,HPCI,##REG)

  #define HPCI_RSETA(addr,REG,val)\
    _PER_RSET32(addr,HPCI,##REG,val)

  #define HPCI_RFSETSA(addr,REG,FIELD,SYM)\
    HPCI_RSETA(addr,##REG,_HPCI_##REG##_##FIELD##_##SYM##_SV)

  #define HPCI_FGETA(addr,REG,FIELD)\
    _PER_FGET32(addr,HPCI,##REG,##FIELD)

  #define HPCI_FSETA(addr,REG,FIELD,val)\
    _PER_FSET32(addr,HPCI,##REG,##FIELD,val)

  #define HPCI_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS32(addr,HPCI,##REG,##FIELD,##SYM)

  #define HPCI_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ32(addr,HPCI,##REG,##FIELD,val)

  #define HPCI_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ32(addr,HPCI,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define HPCI_VRGET(var,REG)\
    _PER_VRGET32(var,HPCI,##REG)

  #define HPCI_VRSET(var,REG,val)\
    _PER_VRSET32(var,HPCI,##REG,val)

  #define HPCI_VRFSETS(var,REG,FIELD,SYM)\
    HPCI_VRSET(var,##REG,_HPCI_##REG##_##FIELD##_##SYM##_SV)

  #define HPCI_VFGET(var,REG,FIELD)\
    _PER_VFGET32(var,HPCI,##REG,##FIELD)

  #define HPCI_VFSET(var,REG,FIELD,val)\
    _PER_VFSET32(var,HPCI,##REG,##FIELD,val)

  #define HPCI_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS32(var,HPCI,##REG,##FIELD,##SYM)

  #define HPCI_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ32(var,HPCI,##REG,##FIELD,val)

  #define HPCI_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ32(var,HPCI,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS32         Offset in 32-bit words from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  H S R                |
* |_______________________|
*
* HSR - Host Status Register
*
* FIELDS (msb -> lsb)
* (R.)	EEREAD    	[ 4: 4]	 - PCI config. happend from EEPROM
* (R.)	CFGERR    	[ 3: 3]	 - Autoinit. config. error occurred
* (RW)	INTAM     	[ 2: 2]	 - PINTA# mask
* (R.)	INTAVAL   	[ 1: 1]	 - PINTA# pin current value
* (RW)	INTSCR    	[ 0: 0]	 - PINTA# Indicate/Clear
*
\******************************************************************************/
/*#define _HPCI_HSR_RECIDX                           Not recorded */

  #define _HPCI_HSR_ADDR                             0x00000000u

  #define _HPCI_HSR_REGOFFS                          0x00000000u
  #define _HPCI_HSR_REGOFFS32                        0x00000000u

  #define _HPCI_HSR_EEREAD_MASK                      0x00000010u
  #define _HPCI_HSR_EEREAD_SHIFT                     4
  #define HPCI_HSR_EEREAD_DEFAULT                    0x00000000u
  #define HPCI_HSR_EEREAD_OF(x)                      _VALUEOF32(x)
  #define HPCI_HSR_EEREAD_NO                         0x00000000u
  #define HPCI_HSR_EEREAD_YES                        0x00000001u
  #define HPCI_HSR_EEREAD_DEFAULT                    0x00000000u
  #define HPCI_HSR_EEREAD_EEPROM                     0x00000001u
  #define _HPCI_HSR_EEREAD_NO_SV                     0x00000000u
  #define _HPCI_HSR_EEREAD_YES_SV                    0x00000010u
  #define _HPCI_HSR_EEREAD_DEFAULT_SV                0x00000000u
  #define _HPCI_HSR_EEREAD_EEPROM_SV                 0x00000010u

  #define _HPCI_HSR_CFGERR_MASK                      0x00000008u
  #define _HPCI_HSR_CFGERR_SHIFT                     3
  #define HPCI_HSR_CFGERR_DEFAULT                    0x00000000u
  #define HPCI_HSR_CFGERR_OF(x)                      _VALUEOF32(x)
  #define HPCI_HSR_CFGERR_NOERROR                    0x00000000u
  #define HPCI_HSR_CFGERR_ERROR                      0x00000001u
  #define HPCI_HSR_CFGERR_INACTIVE                   0x00000000u
  #define HPCI_HSR_CFGERR_ACTIVE                     0x00000001u
  #define _HPCI_HSR_CFGERR_NOERROR_SV                0x00000000u
  #define _HPCI_HSR_CFGERR_ERROR_SV                  0x00000008u
  #define _HPCI_HSR_CFGERR_INACTIVE_SV               0x00000000u
  #define _HPCI_HSR_CFGERR_ACTIVE_SV                 0x00000008u

  #define _HPCI_HSR_INTAM_MASK                       0x00000004u
  #define _HPCI_HSR_INTAM_SHIFT                      2
  #define HPCI_HSR_INTAM_DEFAULT                     0x00000001u
  #define HPCI_HSR_INTAM_OF(x)                       _VALUEOF32(x)
  #define HPCI_HSR_INTAM_INTAEN                      0x00000000u
  #define HPCI_HSR_INTAM_INTADIS                     0x00000001u
  #define _HPCI_HSR_INTAM_INTAEN_SV                  0x00000000u
  #define _HPCI_HSR_INTAM_INTADIS_SV                 0x00000004u

  #define _HPCI_HSR_INTAVAL_MASK                     0x00000002u
  #define _HPCI_HSR_INTAVAL_SHIFT                    1
  #define HPCI_HSR_INTAVAL_DEFAULT                   0x00000000u
  #define HPCI_HSR_INTAVAL_OF(x)                     _VALUEOF32(x)
  #define HPCI_HSR_INTAVAL_NOASRTD                   0x00000000u
  #define HPCI_HSR_INTAVAL_ASSERTED                  0x00000001u
  #define HPCI_HSR_INTAVAL_INACTIVE                  0x00000000u
  #define HPCI_HSR_INTAVAL_ACTIVE                    0x00000001u
  #define _HPCI_HSR_INTAVAL_NOASRTD_SV               0x00000000u
  #define _HPCI_HSR_INTAVAL_ASSERTED_SV              0x00000002u
  #define _HPCI_HSR_INTAVAL_INACTIVE_SV              0x00000000u
  #define _HPCI_HSR_INTAVAL_ACTIVE_SV                0x00000002u

  #define _HPCI_HSR_INTSCR_MASK                      0x00000001u
  #define _HPCI_HSR_INTSCR_SHIFT                     0
  #define HPCI_HSR_INTSCR_DEFAULT                    0x00000000u
  #define HPCI_HSR_INTSCR_OF(x)                      _VALUEOF32(x)
  #define HPCI_HSR_INTSCR_NOASRTD                    0x00000000u
  #define HPCI_HSR_INTSCR_ASSERTED                   0x00000001u
  #define HPCI_HSR_INTSCR_DEASRT                     0x00000001u
  #define _HPCI_HSR_INTSCR_NOASRTD_SV                0x00000000u
  #define _HPCI_HSR_INTSCR_ASSERTED_SV               0x00000001u
  #define _HPCI_HSR_INTSCR_DEASRT_SV                 0x00000001u

  #define HPCI_HSR_OF(val)                           _VALUEOF32(val)
  #define HPCI_HSR_DEFAULT (Uint32)(                 \
      _PER_FDEFAULT32(HPCI,HSR,EEREAD)               \
    | _PER_FDEFAULT32(HPCI,HSR,CFGERR)               \
    | _PER_FDEFAULT32(HPCI,HSR,INTAM)                \
    | _PER_FDEFAULT32(HPCI,HSR,INTAVAL)              \
    | _PER_FDEFAULT32(HPCI,HSR,INTSCR)               \
  )

  #define HPCI_HSR_RMK(intam,intscr)                 \
    (Uint32)(                                        \
      _PER_FMK32(HPCI,HSR,INTAM,intam)               \
    | _PER_FMK32(HPCI,HSR,INTSCR,intscr)             \
  )

  #define HPCI_HSR_RMKS(INTAM,INTSCR)                \
    (Uint32)(                                        \
      _HPCI_HSR_INTAM_##INTAM##_SV                   \
    | _HPCI_HSR_INTSCR_##INTSCR##_SV                 \
  )

  #define _HPCI_HSR_FGET(FIELD)                      \
    _PER_FGET32(_HPCI_HSR_ADDR,                      \
      HPCI,HSR,##FIELD)

  #define _HPCI_HSR_FSET(FIELD,field)                \
    _PER_FSET32(_HPCI_HSR_ADDR,                      \
      HPCI,HSR,##FIELD,field)

  #define _HPCI_HSR_FSETS(FIELD,SYM)                 \
    _PER_FSETS32(_HPCI_HSR_ADDR,                     \
      HPCI,HSR,##FIELD,##SYM)

  #define _HPCI_HSR_FGETQ(FIELD,val)                 \
    _PER_FGETQ32(_HPCI_HSR_ADDR,                     \
      HPCI,HSR,##FIELD,val)

  #define _HPCI_HSR_FGETSQ(FIELD,SYM)                \
    _PER_FGETSQ32(_HPCI_HSR_ADDR,                    \
      HPCI,HSR,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  H D C R              |
* |_______________________|
*
* HDCR - Host-to-DSP Control Register
*
* FIELDS (msb -> lsb)
* (R.)	PCIBOOT   	[ 2: 2]	 - PCI boot mode
* (.W)	DSPINT    	[ 1: 1]	 - "Wake up" interrupt to DSP
* (.W)	WARMRST   	[ 0: 0]	 - Warm reset
*
\******************************************************************************/
/*#define _HPCI_HDCR_RECIDX                          Not recorded */

  #define _HPCI_HDCR_ADDR                            0x00000004u

  #define _HPCI_HDCR_REGOFFS                         0x00000004u
  #define _HPCI_HDCR_REGOFFS32                       0x00000001u

  #define _HPCI_HDCR_PCIBOOT_MASK                    0x00000004u
  #define _HPCI_HDCR_PCIBOOT_SHIFT                   2
  #define HPCI_HDCR_PCIBOOT_DEFAULT                  0x00000000u
  #define HPCI_HDCR_PCIBOOT_OF(x)                    _VALUEOF32(x)
  #define HPCI_HDCR_PCIBOOT_NOPCI                    0x00000000u
  #define HPCI_HDCR_PCIBOOT_PCI                      0x00000001u
  #define _HPCI_HDCR_PCIBOOT_NOPCI_SV                0x00000000u
  #define _HPCI_HDCR_PCIBOOT_PCI_SV                  0x00000004u

  #define _HPCI_HDCR_DSPINT_MASK                     0x00000002u
  #define _HPCI_HDCR_DSPINT_SHIFT                    1
  #define HPCI_HDCR_DSPINT_DEFAULT                   0x00000000u
  #define HPCI_HDCR_DSPINT_OF(x)                     _VALUEOF32(x)
  #define HPCI_HDCR_DSPINT_WAKEUP                    0x00000001u
  #define _HPCI_HDCR_DSPINT_WAKEUP_SV                0x00000002u

  #define _HPCI_HDCR_WARMRST_MASK                    0x00000001u
  #define _HPCI_HDCR_WARMRST_SHIFT                   0
  #define HPCI_HDCR_WARMRST_DEFAULT                  0x00000000u
  #define HPCI_HDCR_WARMRST_OF(x)                    _VALUEOF32(x)
  #define HPCI_HDCR_WARMRST_RESET                    0x00000001u
  #define _HPCI_HDCR_WARMRST_RESET_SV                0x00000001u

  #define HPCI_HDCR_OF(val)                          _VALUEOF32(val)
  #define HPCI_HDCR_DEFAULT (Uint32)(                \
      _PER_FDEFAULT32(HPCI,HDCR,PCIBOOT)             \
    | _PER_FDEFAULT32(HPCI,HDCR,DSPINT)              \
    | _PER_FDEFAULT32(HPCI,HDCR,WARMRST)             \
  )

  #define HPCI_HDCR_RMK(dspint,warmrst)              \
    (Uint32)(                                        \
      _PER_FMK32(HPCI,HDCR,DSPINT,dspint)            \
    | _PER_FMK32(HPCI,HDCR,WARMRST,warmrst)          \
  )

  #define HPCI_HDCR_RMKS(DSPINT,WARMRST)             \
    (Uint32)(                                        \
      _HPCI_HDCR_DSPINT_##DSPINT##_SV                \
    | _HPCI_HDCR_WARMRST_##WARMRST##_SV              \
  )

  #define _HPCI_HDCR_FGET(FIELD)                     \
    _PER_FGET32(_HPCI_HDCR_ADDR,                     \
      HPCI,HDCR,##FIELD)

  #define _HPCI_HDCR_FSET(FIELD,field)               \
    _PER_FSET32(_HPCI_HDCR_ADDR,                     \
      HPCI,HDCR,##FIELD,field)

  #define _HPCI_HDCR_FSETS(FIELD,SYM)                \
    _PER_FSETS32(_HPCI_HDCR_ADDR,                    \
      HPCI,HDCR,##FIELD,##SYM)

  #define _HPCI_HDCR_FGETQ(FIELD,val)                \
    _PER_FGETQ32(_HPCI_HDCR_ADDR,                    \
      HPCI,HDCR,##FIELD,val)

  #define _HPCI_HDCR_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ32(_HPCI_HDCR_ADDR,                   \
      HPCI,HDCR,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  D S P P              |
* |_______________________|
*
* DSPP - DSP Page Register
*
* FIELDS (msb -> lsb)
* (RW)	PAGE      	[ 9: 0]	 - 4MB memory window location
*
\******************************************************************************/
/*#define _HPCI_DSPP_RECIDX                          Not recorded */

  #define _HPCI_DSPP_ADDR                            0x00000008u

  #define _HPCI_DSPP_REGOFFS                         0x00000008u
  #define _HPCI_DSPP_REGOFFS32                       0x00000002u

  #define _HPCI_DSPP_PAGE_MASK                       0x000003FFu
  #define _HPCI_DSPP_PAGE_SHIFT                      0
  #define HPCI_DSPP_PAGE_DEFAULT                     0x00000000u
  #define HPCI_DSPP_PAGE_OF(x)                       _VALUEOF32(x)

  #define HPCI_DSPP_OF(val)                          _VALUEOF32(val)
  #define HPCI_DSPP_DEFAULT (Uint32)(                \
      _PER_FDEFAULT32(HPCI,DSPP,PAGE)                \
  )

  #define HPCI_DSPP_RMK(page)                        \
    (Uint32)(                                        \
      _PER_FMK32(HPCI,DSPP,PAGE,page)                \
  )

  #define HPCI_DSPP_RMKS(PAGE)                       \
    (Uint32)(                                        \
      _HPCI_DSPP_PAGE_##PAGE##_SV                    \
  )

  #define _HPCI_DSPP_FGET(FIELD)                     \
    _PER_FGET32(_HPCI_DSPP_ADDR,                     \
      HPCI,DSPP,##FIELD)

  #define _HPCI_DSPP_FSET(FIELD,field)               \
    _PER_FSET32(_HPCI_DSPP_ADDR,                     \
      HPCI,DSPP,##FIELD,field)

  #define _HPCI_DSPP_FSETS(FIELD,SYM)                \
    _PER_FSETS32(_HPCI_DSPP_ADDR,                    \
      HPCI,DSPP,##FIELD,##SYM)

  #define _HPCI_DSPP_FGETQ(FIELD,val)                \
    _PER_FGETQ32(_HPCI_DSPP_ADDR,                    \
      HPCI,DSPP,##FIELD,val)

  #define _HPCI_DSPP_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ32(_HPCI_DSPP_ADDR,                   \
      HPCI,DSPP,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_HPCI_SUPPORT) */
#endif /* _BSL_HPCIHAL_H_ */
/******************************************************************************\
* End of bsl_hpcihal.h
\******************************************************************************/
