/******************************************************************************\
* Copyright (C) 2005 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... LED Play for debugging
* FILENAME......... bsl_ledplay.h
* LAST MODIFIED AT. 11/04/2005
\******************************************************************************/

#ifndef _BSL_LEDPLAY_H_
#define _BSL_LEDPLAY_H_

#include <bsl.h>
#include <bsl_mischal.h>


/******************************************************************************\
* scope and inline control macros
\******************************************************************************/

#ifdef	__cplusplus
	#define	BSLAPI extern "C" far 
#else
	#define	BSLAPI extern far
#endif

#undef	USEDEFS
#undef	IDECL
#undef	IDEF

#ifdef	_BSL_LEDPLAY_MOD_
	#define IDECL BSLAPI
	#define USEDEFS
	#define IDEF
#else
	#ifdef	_INLINE
		#define	IDECL static inline
		#define	USEDEFS
		#define	IDEF  static inline
	#else
		#define	IDECL BSLAPI
	#endif
#endif


/******************************************************************************\
* global macro declarations
\******************************************************************************/


/******************************************************************************\
* global typedef declarations
\******************************************************************************/

//! Type of LED play
typedef enum
{
	LED_PLAY_FLASHING,
	LED_PLAY_GOOD_RESULT,
	LED_PLAY_BAD_RESULT
} E_LED_PLAY;


/******************************************************************************\
* global variable declarations
\******************************************************************************/


/******************************************************************************\
* global function declarations
\******************************************************************************/

//- ----------------------------------------------------------------------------
//! \brief	Plays flashing on the LED.
//!
//!	Plays flashing on the LED.
//- ----------------------------------------------------------------------------
BSLAPI void LED_play(
	E_LED_PLAY eLEDPlayType,	//!< type of LED play
	Uint32 numOfFlashes);		//!< number of flashes


/******************************************************************************\
* inline function declarations
\******************************************************************************/


/******************************************************************************\
* inline function definitions
\******************************************************************************/
#ifdef USEDEFS

/*----------------------------------------------------------------------------*/
#endif /* USEDEFS */


#endif /* _BSL_LEDPLAY_H_ */
/******************************************************************************\
* End of bsl_ledplay.h
\******************************************************************************/

