/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral MISC
* FILENAME......... bsl_mischal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:02
* LAST MODIFIED AT. 01/14/2006 15:26:02
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. MISC
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 8-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. MISC is 0x60000000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* DSPID       -  DSP Identification
* I2CDAT      -  I2C Data
* I2COE       -  I2C Output Enable
* I2CCLK      -  I2C Serial Clock
* LED         -  LED State Control/Status
* DOORBELL    -  Doorbell
* NMICMD      -  Write this register to generate NMI to DSP
* EI7SRC      -  EXTINT7 Source Select
*
\******************************************************************************/
#ifndef _BSL_MISCHAL_H_
#define _BSL_MISCHAL_H_

#include <bsl.h>


#if (BSL_MISC_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _MISC_DEVICE_COUNT                         1

  #define _MISC_BASE_ADDRESS                         0x60000000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define MISC_FMK(REG,FIELD,val)\
    _PER_FMK8(MISC,##REG,##FIELD,val)

  #define MISC_FMKS(REG,FIELD,SYM)\
    _PER_FMKS8(MISC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define MISC_ADDR(REG)\
    _MISC_##REG##_ADDR

  #define MISC_RGET(REG)\
    _PER_RGET8(_MISC_##REG##_ADDR,MISC,##REG)

  #define MISC_RSET(REG,val)\
    _PER_RSET8(_MISC_##REG##_ADDR,MISC,##REG,val)

  #define MISC_RFSETS(REG,FIELD,SYM)\
    MISC_RSET(##REG,_MISC_##REG##_##FIELD##_##SYM##_SV)

  #define MISC_FGET(REG,FIELD)\
    _MISC_##REG##_FGET(##FIELD)

  #define MISC_FSET(REG,FIELD,val)\
    _MISC_##REG##_FSET(##FIELD,val)

  #define MISC_FSETS(REG,FIELD,SYM)\
    _MISC_##REG##_FSETS(##FIELD,##SYM)

  #define MISC_FGETQ(REG,FIELD,val)\
    _MISC_##REG##_FGETQ(##FIELD,val)

  #define MISC_FGETSQ(REG,FIELD,SYM)\
    _MISC_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define MISC_RGETA(addr,REG)\
    _PER_RGET8(addr,MISC,##REG)

  #define MISC_RSETA(addr,REG,val)\
    _PER_RSET8(addr,MISC,##REG,val)

  #define MISC_RFSETSA(addr,REG,FIELD,SYM)\
    MISC_RSETA(addr,##REG,_MISC_##REG##_##FIELD##_##SYM##_SV)

  #define MISC_FGETA(addr,REG,FIELD)\
    _PER_FGET8(addr,MISC,##REG,##FIELD)

  #define MISC_FSETA(addr,REG,FIELD,val)\
    _PER_FSET8(addr,MISC,##REG,##FIELD,val)

  #define MISC_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS8(addr,MISC,##REG,##FIELD,##SYM)

  #define MISC_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ8(addr,MISC,##REG,##FIELD,val)

  #define MISC_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ8(addr,MISC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define MISC_VRGET(var,REG)\
    _PER_VRGET8(var,MISC,##REG)

  #define MISC_VRSET(var,REG,val)\
    _PER_VRSET8(var,MISC,##REG,val)

  #define MISC_VRFSETS(var,REG,FIELD,SYM)\
    MISC_VRSET(var,##REG,_MISC_##REG##_##FIELD##_##SYM##_SV)

  #define MISC_VFGET(var,REG,FIELD)\
    _PER_VFGET8(var,MISC,##REG,##FIELD)

  #define MISC_VFSET(var,REG,FIELD,val)\
    _PER_VFSET8(var,MISC,##REG,##FIELD,val)

  #define MISC_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS8(var,MISC,##REG,##FIELD,##SYM)

  #define MISC_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ8(var,MISC,##REG,##FIELD,val)

  #define MISC_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ8(var,MISC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS8          Offset in 8-bit bytes from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  D S P I D            |
* |_______________________|
*
* DSPID - DSP Identification
*
* FIELDS (msb -> lsb)
* (R.)	ID        	[ 4: 0]	 - Identification
*
\******************************************************************************/
/*#define _MISC_DSPID_RECIDX                         Not recorded */

  #define _MISC_DSPID_ADDR                           0x60000000u

  #define _MISC_DSPID_REGOFFS                        0x00000000u
  #define _MISC_DSPID_REGOFFS8                       0x00000000u

  #define _MISC_DSPID_ID_MASK                        0x1Fu
  #define _MISC_DSPID_ID_SHIFT                       0
  #define MISC_DSPID_ID_DEFAULT                      0x00u
  #define MISC_DSPID_ID_OF(x)                        _VALUEOF8(x)
  #define MISC_DSPID_ID_DSP1                         0x01u
  #define MISC_DSPID_ID_DSP2                         0x02u
  #define _MISC_DSPID_ID_DSP1_SV                     0x01u
  #define _MISC_DSPID_ID_DSP2_SV                     0x02u

  #define MISC_DSPID_OF(val)                         _VALUEOF8(val)
  #define MISC_DSPID_DEFAULT (Uint8)(                \
      _PER_FDEFAULT8(MISC,DSPID,ID)                  \
  )

  #define _MISC_DSPID_FGET(FIELD)                    \
    _PER_FGET8(_MISC_DSPID_ADDR,                     \
      MISC,DSPID,##FIELD)

  #define _MISC_DSPID_FSET(FIELD,field)              \
    _PER_FSET8(_MISC_DSPID_ADDR,                     \
      MISC,DSPID,##FIELD,field)

  #define _MISC_DSPID_FSETS(FIELD,SYM)               \
    _PER_FSETS8(_MISC_DSPID_ADDR,                    \
      MISC,DSPID,##FIELD,##SYM)

  #define _MISC_DSPID_FGETQ(FIELD,val)               \
    _PER_FGETQ8(_MISC_DSPID_ADDR,                    \
      MISC,DSPID,##FIELD,val)

  #define _MISC_DSPID_FGETSQ(FIELD,SYM)              \
    _PER_FGETSQ8(_MISC_DSPID_ADDR,                   \
      MISC,DSPID,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  I 2 C D A T          |
* |_______________________|
*
* I2CDAT - I2C Data
*
* FIELDS (msb -> lsb)
* (RW)	DATA      	[ 0: 0]	 - Data bit
*
\******************************************************************************/
/*#define _MISC_I2CDAT_RECIDX                        Not recorded */

  #define _MISC_I2CDAT_ADDR                          0x60000001u

  #define _MISC_I2CDAT_REGOFFS                       0x00000001u
  #define _MISC_I2CDAT_REGOFFS8                      0x00000001u

  #define _MISC_I2CDAT_DATA_MASK                     0x01u
  #define _MISC_I2CDAT_DATA_SHIFT                    0
  #define MISC_I2CDAT_DATA_DEFAULT                   0x00u
  #define MISC_I2CDAT_DATA_OF(x)                     _VALUEOF8(x)
  #define MISC_I2CDAT_DATA_LO                        0x00u
  #define MISC_I2CDAT_DATA_HI                        0x01u
  #define _MISC_I2CDAT_DATA_LO_SV                    0x00u
  #define _MISC_I2CDAT_DATA_HI_SV                    0x01u

  #define MISC_I2CDAT_OF(val)                        _VALUEOF8(val)
  #define MISC_I2CDAT_DEFAULT (Uint8)(               \
      _PER_FDEFAULT8(MISC,I2CDAT,DATA)               \
  )

  #define MISC_I2CDAT_RMK(data)                      \
    (Uint8)(                                         \
      _PER_FMK8(MISC,I2CDAT,DATA,data)               \
  )

  #define MISC_I2CDAT_RMKS(DATA)                     \
    (Uint8)(                                         \
      _MISC_I2CDAT_DATA_##DATA##_SV                  \
  )

  #define _MISC_I2CDAT_FGET(FIELD)                   \
    _PER_FGET8(_MISC_I2CDAT_ADDR,                    \
      MISC,I2CDAT,##FIELD)

  #define _MISC_I2CDAT_FSET(FIELD,field)             \
    _PER_FSET8(_MISC_I2CDAT_ADDR,                    \
      MISC,I2CDAT,##FIELD,field)

  #define _MISC_I2CDAT_FSETS(FIELD,SYM)              \
    _PER_FSETS8(_MISC_I2CDAT_ADDR,                   \
      MISC,I2CDAT,##FIELD,##SYM)

  #define _MISC_I2CDAT_FGETQ(FIELD,val)              \
    _PER_FGETQ8(_MISC_I2CDAT_ADDR,                   \
      MISC,I2CDAT,##FIELD,val)

  #define _MISC_I2CDAT_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ8(_MISC_I2CDAT_ADDR,                  \
      MISC,I2CDAT,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  I 2 C O E            |
* |_______________________|
*
* I2COE - I2C Output Enable
*
* FIELDS (msb -> lsb)
* (RW)	ENABLE    	[ 0: 0]	 - Enable
*
\******************************************************************************/
/*#define _MISC_I2COE_RECIDX                         Not recorded */

  #define _MISC_I2COE_ADDR                           0x60000002u

  #define _MISC_I2COE_REGOFFS                        0x00000002u
  #define _MISC_I2COE_REGOFFS8                       0x00000002u

  #define _MISC_I2COE_ENABLE_MASK                    0x01u
  #define _MISC_I2COE_ENABLE_SHIFT                   0
  #define MISC_I2COE_ENABLE_DEFAULT                  0x00u
  #define MISC_I2COE_ENABLE_OF(x)                    _VALUEOF8(x)
  #define MISC_I2COE_ENABLE_DISABLE                  0x00u
  #define MISC_I2COE_ENABLE_DISABLED                 0x00u
  #define MISC_I2COE_ENABLE_ENABLE                   0x01u
  #define MISC_I2COE_ENABLE_ENABLE                   0x01u
  #define _MISC_I2COE_ENABLE_DISABLE_SV              0x00u
  #define _MISC_I2COE_ENABLE_DISABLED_SV             0x00u
  #define _MISC_I2COE_ENABLE_ENABLE_SV               0x01u
  #define _MISC_I2COE_ENABLE_ENABLE_SV               0x01u

  #define MISC_I2COE_OF(val)                         _VALUEOF8(val)
  #define MISC_I2COE_DEFAULT (Uint8)(                \
      _PER_FDEFAULT8(MISC,I2COE,ENABLE)              \
  )

  #define MISC_I2COE_RMK(enable)                     \
    (Uint8)(                                         \
      _PER_FMK8(MISC,I2COE,ENABLE,enable)            \
  )

  #define MISC_I2COE_RMKS(ENABLE)                    \
    (Uint8)(                                         \
      _MISC_I2COE_ENABLE_##ENABLE##_SV               \
  )

  #define _MISC_I2COE_FGET(FIELD)                    \
    _PER_FGET8(_MISC_I2COE_ADDR,                     \
      MISC,I2COE,##FIELD)

  #define _MISC_I2COE_FSET(FIELD,field)              \
    _PER_FSET8(_MISC_I2COE_ADDR,                     \
      MISC,I2COE,##FIELD,field)

  #define _MISC_I2COE_FSETS(FIELD,SYM)               \
    _PER_FSETS8(_MISC_I2COE_ADDR,                    \
      MISC,I2COE,##FIELD,##SYM)

  #define _MISC_I2COE_FGETQ(FIELD,val)               \
    _PER_FGETQ8(_MISC_I2COE_ADDR,                    \
      MISC,I2COE,##FIELD,val)

  #define _MISC_I2COE_FGETSQ(FIELD,SYM)              \
    _PER_FGETSQ8(_MISC_I2COE_ADDR,                   \
      MISC,I2COE,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  I 2 C C L K          |
* |_______________________|
*
* I2CCLK - I2C Serial Clock
*
* FIELDS (msb -> lsb)
* (RW)	CLOCK     	[ 0: 0]	 - Clock signal
*
\******************************************************************************/
/*#define _MISC_I2CCLK_RECIDX                        Not recorded */

  #define _MISC_I2CCLK_ADDR                          0x60000003u

  #define _MISC_I2CCLK_REGOFFS                       0x00000003u
  #define _MISC_I2CCLK_REGOFFS8                      0x00000003u

  #define _MISC_I2CCLK_CLOCK_MASK                    0x01u
  #define _MISC_I2CCLK_CLOCK_SHIFT                   0
  #define MISC_I2CCLK_CLOCK_DEFAULT                  0x00u
  #define MISC_I2CCLK_CLOCK_OF(x)                    _VALUEOF8(x)
  #define MISC_I2CCLK_CLOCK_LO                       0x00u
  #define MISC_I2CCLK_CLOCK_HI                       0x01u
  #define _MISC_I2CCLK_CLOCK_LO_SV                   0x00u
  #define _MISC_I2CCLK_CLOCK_HI_SV                   0x01u

  #define MISC_I2CCLK_OF(val)                        _VALUEOF8(val)
  #define MISC_I2CCLK_DEFAULT (Uint8)(               \
      _PER_FDEFAULT8(MISC,I2CCLK,CLOCK)              \
  )

  #define MISC_I2CCLK_RMK(clock)                     \
    (Uint8)(                                         \
      _PER_FMK8(MISC,I2CCLK,CLOCK,clock)             \
  )

  #define MISC_I2CCLK_RMKS(CLOCK)                    \
    (Uint8)(                                         \
      _MISC_I2CCLK_CLOCK_##CLOCK##_SV                \
  )

  #define _MISC_I2CCLK_FGET(FIELD)                   \
    _PER_FGET8(_MISC_I2CCLK_ADDR,                    \
      MISC,I2CCLK,##FIELD)

  #define _MISC_I2CCLK_FSET(FIELD,field)             \
    _PER_FSET8(_MISC_I2CCLK_ADDR,                    \
      MISC,I2CCLK,##FIELD,field)

  #define _MISC_I2CCLK_FSETS(FIELD,SYM)              \
    _PER_FSETS8(_MISC_I2CCLK_ADDR,                   \
      MISC,I2CCLK,##FIELD,##SYM)

  #define _MISC_I2CCLK_FGETQ(FIELD,val)              \
    _PER_FGETQ8(_MISC_I2CCLK_ADDR,                   \
      MISC,I2CCLK,##FIELD,val)

  #define _MISC_I2CCLK_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ8(_MISC_I2CCLK_ADDR,                  \
      MISC,I2CCLK,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  L E D                |
* |_______________________|
*
* LED - LED State Control/Status
*
* FIELDS (msb -> lsb)
* (RW)	STATE     	[ 0: 0]	 - LED state
*
\******************************************************************************/
/*#define _MISC_LED_RECIDX                           Not recorded */

  #define _MISC_LED_ADDR                             0x60000004u

  #define _MISC_LED_REGOFFS                          0x00000004u
  #define _MISC_LED_REGOFFS8                         0x00000004u

  #define _MISC_LED_STATE_MASK                       0x01u
  #define _MISC_LED_STATE_SHIFT                      0
  #define MISC_LED_STATE_DEFAULT                     0x00u
  #define MISC_LED_STATE_OF(x)                       _VALUEOF8(x)
  #define MISC_LED_STATE_OFF                         0x01u
  #define MISC_LED_STATE_ON                          0x00u
  #define _MISC_LED_STATE_OFF_SV                     0x01u
  #define _MISC_LED_STATE_ON_SV                      0x00u

  #define MISC_LED_OF(val)                           _VALUEOF8(val)
  #define MISC_LED_DEFAULT (Uint8)(                  \
      _PER_FDEFAULT8(MISC,LED,STATE)                 \
  )

  #define MISC_LED_RMK(state)                        \
    (Uint8)(                                         \
      _PER_FMK8(MISC,LED,STATE,state)                \
  )

  #define MISC_LED_RMKS(STATE)                       \
    (Uint8)(                                         \
      _MISC_LED_STATE_##STATE##_SV                   \
  )

  #define _MISC_LED_FGET(FIELD)                      \
    _PER_FGET8(_MISC_LED_ADDR,                       \
      MISC,LED,##FIELD)

  #define _MISC_LED_FSET(FIELD,field)                \
    _PER_FSET8(_MISC_LED_ADDR,                       \
      MISC,LED,##FIELD,field)

  #define _MISC_LED_FSETS(FIELD,SYM)                 \
    _PER_FSETS8(_MISC_LED_ADDR,                      \
      MISC,LED,##FIELD,##SYM)

  #define _MISC_LED_FGETQ(FIELD,val)                 \
    _PER_FGETQ8(_MISC_LED_ADDR,                      \
      MISC,LED,##FIELD,val)

  #define _MISC_LED_FGETSQ(FIELD,SYM)                \
    _PER_FGETSQ8(_MISC_LED_ADDR,                     \
      MISC,LED,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  D O O R B E L L      |
* |_______________________|
*
* DOORBELL - Doorbell
*
* FIELDS (msb -> lsb)
* (RW)	DATA      	[ 7: 0]	 - Doorbell data value
*
\******************************************************************************/
/*#define _MISC_DOORBELL_RECIDX                      Not recorded */

  #define _MISC_DOORBELL_ADDR                        0x60000005u

  #define _MISC_DOORBELL_REGOFFS                     0x00000005u
  #define _MISC_DOORBELL_REGOFFS8                    0x00000005u

  #define _MISC_DOORBELL_DATA_MASK                   0xFFu
  #define _MISC_DOORBELL_DATA_SHIFT                  0
  #define MISC_DOORBELL_DATA_DEFAULT                 0x00u
  #define MISC_DOORBELL_DATA_OF(x)                   _VALUEOF8(x)

  #define MISC_DOORBELL_OF(val)                      _VALUEOF8(val)
  #define MISC_DOORBELL_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(MISC,DOORBELL,DATA)             \
  )

  #define MISC_DOORBELL_RMK(data)                    \
    (Uint8)(                                         \
      _PER_FMK8(MISC,DOORBELL,DATA,data)             \
  )

  #define MISC_DOORBELL_RMKS(DATA)                   \
    (Uint8)(                                         \
      _MISC_DOORBELL_DATA_##DATA##_SV                \
  )

  #define _MISC_DOORBELL_FGET(FIELD)                 \
    _PER_FGET8(_MISC_DOORBELL_ADDR,                  \
      MISC,DOORBELL,##FIELD)

  #define _MISC_DOORBELL_FSET(FIELD,field)           \
    _PER_FSET8(_MISC_DOORBELL_ADDR,                  \
      MISC,DOORBELL,##FIELD,field)

  #define _MISC_DOORBELL_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_MISC_DOORBELL_ADDR,                 \
      MISC,DOORBELL,##FIELD,##SYM)

  #define _MISC_DOORBELL_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_MISC_DOORBELL_ADDR,                 \
      MISC,DOORBELL,##FIELD,val)

  #define _MISC_DOORBELL_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_MISC_DOORBELL_ADDR,                \
      MISC,DOORBELL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  N M I C M D          |
* |_______________________|
*
* NMICMD - Write this register to generate NMI to DSP
*
* FIELDS (msb -> lsb)
*
\******************************************************************************/
/*#define _MISC_NMICMD_RECIDX                        Not recorded */

  #define _MISC_NMICMD_ADDR                          0x60000010u

  #define _MISC_NMICMD_REGOFFS                       0x00000010u
  #define _MISC_NMICMD_REGOFFS8                      0x00000010u

  #define MISC_NMICMD_OF(val)                        _VALUEOF8(val)
  #define MISC_NMICMD_DEFAULT (Uint8)(               \
      _PER_FDEFAULT8(MISC,NMICMD,DATA)               \
  )

  #define _MISC_NMICMD_FGET(FIELD)                   \
    _PER_FGET8(_MISC_NMICMD_ADDR,                    \
      MISC,NMICMD,##FIELD)

  #define _MISC_NMICMD_FSET(FIELD,field)             \
    _PER_FSET8(_MISC_NMICMD_ADDR,                    \
      MISC,NMICMD,##FIELD,field)

  #define _MISC_NMICMD_FSETS(FIELD,SYM)              \
    _PER_FSETS8(_MISC_NMICMD_ADDR,                   \
      MISC,NMICMD,##FIELD,##SYM)

  #define _MISC_NMICMD_FGETQ(FIELD,val)              \
    _PER_FGETQ8(_MISC_NMICMD_ADDR,                   \
      MISC,NMICMD,##FIELD,val)

  #define _MISC_NMICMD_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ8(_MISC_NMICMD_ADDR,                  \
      MISC,NMICMD,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  E I 7 S R C          |
* |_______________________|
*
* EI7SRC - EXTINT7 Source Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 0: 0]	 - EXTINT7 Source
*
\******************************************************************************/
/*#define _MISC_EI7SRC_RECIDX                        Not recorded */

  #define _MISC_EI7SRC_ADDR                          0x60000011u

  #define _MISC_EI7SRC_REGOFFS                       0x00000011u
  #define _MISC_EI7SRC_REGOFFS8                      0x00000011u

  #define _MISC_EI7SRC_SOURCE_MASK                   0x01u
  #define _MISC_EI7SRC_SOURCE_SHIFT                  0
  #define MISC_EI7SRC_SOURCE_DEFAULT                 0x00u
  #define MISC_EI7SRC_SOURCE_OF(x)                   _VALUEOF8(x)
  #define MISC_EI7SRC_SOURCE_GPINT7                  0x00u
  #define MISC_EI7SRC_SOURCE_MAILBOX                 0x01u
  #define _MISC_EI7SRC_SOURCE_GPINT7_SV              0x00u
  #define _MISC_EI7SRC_SOURCE_MAILBOX_SV             0x01u

  #define MISC_EI7SRC_OF(val)                        _VALUEOF8(val)
  #define MISC_EI7SRC_DEFAULT (Uint8)(               \
      _PER_FDEFAULT8(MISC,EI7SRC,SOURCE)             \
  )

  #define MISC_EI7SRC_RMK(source)                    \
    (Uint8)(                                         \
      _PER_FMK8(MISC,EI7SRC,SOURCE,source)           \
  )

  #define MISC_EI7SRC_RMKS(SOURCE)                   \
    (Uint8)(                                         \
      _MISC_EI7SRC_SOURCE_##SOURCE##_SV              \
  )

  #define _MISC_EI7SRC_FGET(FIELD)                   \
    _PER_FGET8(_MISC_EI7SRC_ADDR,                    \
      MISC,EI7SRC,##FIELD)

  #define _MISC_EI7SRC_FSET(FIELD,field)             \
    _PER_FSET8(_MISC_EI7SRC_ADDR,                    \
      MISC,EI7SRC,##FIELD,field)

  #define _MISC_EI7SRC_FSETS(FIELD,SYM)              \
    _PER_FSETS8(_MISC_EI7SRC_ADDR,                   \
      MISC,EI7SRC,##FIELD,##SYM)

  #define _MISC_EI7SRC_FGETQ(FIELD,val)              \
    _PER_FGETQ8(_MISC_EI7SRC_ADDR,                   \
      MISC,EI7SRC,##FIELD,val)

  #define _MISC_EI7SRC_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ8(_MISC_EI7SRC_ADDR,                  \
      MISC,EI7SRC,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_MISC_SUPPORT) */
#endif /* _BSL_MISCHAL_H_ */
/******************************************************************************\
* End of bsl_mischal.h
\******************************************************************************/
