/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral PCI
* FILENAME......... bsl_pcihal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:02
* LAST MODIFIED AT. 01/14/2006 15:26:02
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. PCI
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 32-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. PCI is 0x01C00000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* RSTSRC      -  DSP Reset Source / Status Register
* PCIIS       -  PCI Interrupt Status Register
* PCIIEN      -  PCI Interrupt Enable Register
* DSPMA       -  DSP Master Address Register
* PCIMA       -  PCI Master Address Register
* PCIMC       -  PCI Master Control Register
* CDSPA       -  Current DSP Address Register
* CPCIA       -  Current PCI Address Register
* CCNT        -  Current Byte Count Register
* EEADD       -  EEPROM Address Register
* EEDAT       -  EEPROM Data Register
* EECTL       -  EEPROM Control Register
*
\******************************************************************************/
#ifndef _BSL_PCIHAL_H_
#define _BSL_PCIHAL_H_

#include <bsl.h>


#if (BSL_PCI_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _PCI_DEVICE_COUNT                          1

  #define _PCI_BASE_ADDRESS                          0x01C00000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define PCI_FMK(REG,FIELD,val)\
    _PER_FMK32(PCI,##REG,##FIELD,val)

  #define PCI_FMKS(REG,FIELD,SYM)\
    _PER_FMKS32(PCI,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define PCI_ADDR(REG)\
    _PCI_##REG##_ADDR

  #define PCI_RGET(REG)\
    _PER_RGET32(_PCI_##REG##_ADDR,PCI,##REG)

  #define PCI_RSET(REG,val)\
    _PER_RSET32(_PCI_##REG##_ADDR,PCI,##REG,val)

  #define PCI_RFSETS(REG,FIELD,SYM)\
    PCI_RSET(##REG,_PCI_##REG##_##FIELD##_##SYM##_SV)

  #define PCI_FGET(REG,FIELD)\
    _PCI_##REG##_FGET(##FIELD)

  #define PCI_FSET(REG,FIELD,val)\
    _PCI_##REG##_FSET(##FIELD,val)

  #define PCI_FSETS(REG,FIELD,SYM)\
    _PCI_##REG##_FSETS(##FIELD,##SYM)

  #define PCI_FGETQ(REG,FIELD,val)\
    _PCI_##REG##_FGETQ(##FIELD,val)

  #define PCI_FGETSQ(REG,FIELD,SYM)\
    _PCI_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define PCI_RGETA(addr,REG)\
    _PER_RGET32(addr,PCI,##REG)

  #define PCI_RSETA(addr,REG,val)\
    _PER_RSET32(addr,PCI,##REG,val)

  #define PCI_RFSETSA(addr,REG,FIELD,SYM)\
    PCI_RSETA(addr,##REG,_PCI_##REG##_##FIELD##_##SYM##_SV)

  #define PCI_FGETA(addr,REG,FIELD)\
    _PER_FGET32(addr,PCI,##REG,##FIELD)

  #define PCI_FSETA(addr,REG,FIELD,val)\
    _PER_FSET32(addr,PCI,##REG,##FIELD,val)

  #define PCI_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS32(addr,PCI,##REG,##FIELD,##SYM)

  #define PCI_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ32(addr,PCI,##REG,##FIELD,val)

  #define PCI_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ32(addr,PCI,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define PCI_VRGET(var,REG)\
    _PER_VRGET32(var,PCI,##REG)

  #define PCI_VRSET(var,REG,val)\
    _PER_VRSET32(var,PCI,##REG,val)

  #define PCI_VRFSETS(var,REG,FIELD,SYM)\
    PCI_VRSET(var,##REG,_PCI_##REG##_##FIELD##_##SYM##_SV)

  #define PCI_VFGET(var,REG,FIELD)\
    _PER_VFGET32(var,PCI,##REG,##FIELD)

  #define PCI_VFSET(var,REG,FIELD,val)\
    _PER_VFSET32(var,PCI,##REG,##FIELD,val)

  #define PCI_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS32(var,PCI,##REG,##FIELD,##SYM)

  #define PCI_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ32(var,PCI,##REG,##FIELD,val)

  #define PCI_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ32(var,PCI,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS32         Offset in 32-bit words from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  R S T S R C          |
* |_______________________|
*
* RSTSRC - DSP Reset Source / Status Register
*
* FIELDS (msb -> lsb)
* (R.)	CFGERR    	[ 6: 6]	 - An erro occurred when trying to load the config. regs. from EERPOM
* (R.)	CFGDONE   	[ 5: 5]	 - EEPROM has finished loading PCI configuration registers
* (.W)	INTRST    	[ 4: 4]	 - PINTA interrupt request clear (deassert PINTA#)
* (.W)	INTREQ    	[ 3: 3]	 - DSP-to-PCI (PINTA#) interrupt request
* (R.)	WARMRST   	[ 2: 2]	 - Occurrence of a warm reset since last RSTSRC read
* (R.)	PRST      	[ 1: 1]	 - Occurrence of a PRST reset since last RSTSRC read or RESET# assertion
* (R.)	RST       	[ 0: 0]	 - Device reset since last RSTSRC read
*
\******************************************************************************/
/*#define _PCI_RSTSRC_RECIDX                         Not recorded */

  #define _PCI_RSTSRC_ADDR                           0x01C00000u

  #define _PCI_RSTSRC_REGOFFS                        0x00000000u
  #define _PCI_RSTSRC_REGOFFS32                      0x00000000u

  #define _PCI_RSTSRC_CFGERR_MASK                    0x00000040u
  #define _PCI_RSTSRC_CFGERR_SHIFT                   6
  #define PCI_RSTSRC_CFGERR_DEFAULT                  0x00000000u
  #define PCI_RSTSRC_CFGERR_OF(x)                    _VALUEOF32(x)
  #define PCI_RSTSRC_CFGERR_NOERROR                  0x00000000u
  #define PCI_RSTSRC_CFGERR_ERROR                    0x00000001u
  #define PCI_RSTSRC_CFGERR_CKSUMERR                 0x00000001u
  #define _PCI_RSTSRC_CFGERR_NOERROR_SV              0x00000000u
  #define _PCI_RSTSRC_CFGERR_ERROR_SV                0x00000040u
  #define _PCI_RSTSRC_CFGERR_CKSUMERR_SV             0x00000040u

  #define _PCI_RSTSRC_CFGDONE_MASK                   0x00000020u
  #define _PCI_RSTSRC_CFGDONE_SHIFT                  5
  #define PCI_RSTSRC_CFGDONE_DEFAULT                 0x00000000u
  #define PCI_RSTSRC_CFGDONE_OF(x)                   _VALUEOF32(x)
  #define PCI_RSTSRC_CFGDONE_NO                      0x00000000u
  #define PCI_RSTSRC_CFGDONE_YES                     0x00000001u
  #define PCI_RSTSRC_CFGDONE_INACTIVE                0x00000000u
  #define PCI_RSTSRC_CFGDONE_ACTIVE                  0x00000001u
  #define _PCI_RSTSRC_CFGDONE_NO_SV                  0x00000000u
  #define _PCI_RSTSRC_CFGDONE_YES_SV                 0x00000020u
  #define _PCI_RSTSRC_CFGDONE_INACTIVE_SV            0x00000000u
  #define _PCI_RSTSRC_CFGDONE_ACTIVE_SV              0x00000020u

  #define _PCI_RSTSRC_INTRST_MASK                    0x00000010u
  #define _PCI_RSTSRC_INTRST_SHIFT                   4
  #define PCI_RSTSRC_INTRST_DEFAULT                  0x00000000u
  #define PCI_RSTSRC_INTRST_OF(x)                    _VALUEOF32(x)
  #define PCI_RSTSRC_INTRST_CLEAR                    0x00000001u
  #define PCI_RSTSRC_INTRST_DEASSERT                 0x00000001u
  #define _PCI_RSTSRC_INTRST_CLEAR_SV                0x00000010u
  #define _PCI_RSTSRC_INTRST_DEASSERT_SV             0x00000010u

  #define _PCI_RSTSRC_INTREQ_MASK                    0x00000008u
  #define _PCI_RSTSRC_INTREQ_SHIFT                   3
  #define PCI_RSTSRC_INTREQ_DEFAULT                  0x00000000u
  #define PCI_RSTSRC_INTREQ_OF(x)                    _VALUEOF32(x)
  #define PCI_RSTSRC_INTREQ_REQ                      0x00000001u
  #define PCI_RSTSRC_INTREQ_REQIT                    0x00000001u
  #define _PCI_RSTSRC_INTREQ_REQ_SV                  0x00000008u
  #define _PCI_RSTSRC_INTREQ_REQIT_SV                0x00000008u

  #define _PCI_RSTSRC_WARMRST_MASK                   0x00000004u
  #define _PCI_RSTSRC_WARMRST_SHIFT                  2
  #define PCI_RSTSRC_WARMRST_DEFAULT                 0x00000000u
  #define PCI_RSTSRC_WARMRST_OF(x)                   _VALUEOF32(x)
  #define PCI_RSTSRC_WARMRST_NOTHING                 0x00000000u
  #define PCI_RSTSRC_WARMRST_RESET                   0x00000001u
  #define _PCI_RSTSRC_WARMRST_NOTHING_SV             0x00000000u
  #define _PCI_RSTSRC_WARMRST_RESET_SV               0x00000004u

  #define _PCI_RSTSRC_PRST_MASK                      0x00000002u
  #define _PCI_RSTSRC_PRST_SHIFT                     1
  #define PCI_RSTSRC_PRST_DEFAULT                    0x00000000u
  #define PCI_RSTSRC_PRST_OF(x)                      _VALUEOF32(x)
  #define PCI_RSTSRC_PRST_NOTHING                    0x00000000u
  #define PCI_RSTSRC_PRST_RESET                      0x00000001u
  #define _PCI_RSTSRC_PRST_NOTHING_SV                0x00000000u
  #define _PCI_RSTSRC_PRST_RESET_SV                  0x00000002u

  #define _PCI_RSTSRC_RST_MASK                       0x00000001u
  #define _PCI_RSTSRC_RST_SHIFT                      0
  #define PCI_RSTSRC_RST_DEFAULT                     0x00000001u
  #define PCI_RSTSRC_RST_OF(x)                       _VALUEOF32(x)
  #define PCI_RSTSRC_RST_NOTHING                     0x00000000u
  #define PCI_RSTSRC_RST_RESET                       0x00000001u
  #define PCI_RSTSRC_RST_NORST                       0x00000000u
  #define PCI_RSTSRC_RST_DEVRST                      0x00000001u
  #define _PCI_RSTSRC_RST_NOTHING_SV                 0x00000000u
  #define _PCI_RSTSRC_RST_RESET_SV                   0x00000001u
  #define _PCI_RSTSRC_RST_NORST_SV                   0x00000000u
  #define _PCI_RSTSRC_RST_DEVRST_SV                  0x00000001u

  #define PCI_RSTSRC_OF(val)                         _VALUEOF32(val)
  #define PCI_RSTSRC_DEFAULT (Uint32)(               \
      _PER_FDEFAULT32(PCI,RSTSRC,CFGERR)             \
    | _PER_FDEFAULT32(PCI,RSTSRC,CFGDONE)            \
    | _PER_FDEFAULT32(PCI,RSTSRC,INTRST)             \
    | _PER_FDEFAULT32(PCI,RSTSRC,INTREQ)             \
    | _PER_FDEFAULT32(PCI,RSTSRC,WARMRST)            \
    | _PER_FDEFAULT32(PCI,RSTSRC,PRST)               \
    | _PER_FDEFAULT32(PCI,RSTSRC,RST)                \
  )

  #define PCI_RSTSRC_RMK(intrst,intreq)              \
    (Uint32)(                                        \
      _PER_FMK32(PCI,RSTSRC,INTRST,intrst)           \
    | _PER_FMK32(PCI,RSTSRC,INTREQ,intreq)           \
  )

  #define PCI_RSTSRC_RMKS(INTRST,INTREQ)             \
    (Uint32)(                                        \
      _PCI_RSTSRC_INTRST_##INTRST##_SV               \
    | _PCI_RSTSRC_INTREQ_##INTREQ##_SV               \
  )

  #define _PCI_RSTSRC_FGET(FIELD)                    \
    _PER_FGET32(_PCI_RSTSRC_ADDR,                    \
      PCI,RSTSRC,##FIELD)

  #define _PCI_RSTSRC_FSET(FIELD,field)              \
    _PER_FSET32(_PCI_RSTSRC_ADDR,                    \
      PCI,RSTSRC,##FIELD,field)

  #define _PCI_RSTSRC_FSETS(FIELD,SYM)               \
    _PER_FSETS32(_PCI_RSTSRC_ADDR,                   \
      PCI,RSTSRC,##FIELD,##SYM)

  #define _PCI_RSTSRC_FGETQ(FIELD,val)               \
    _PER_FGETQ32(_PCI_RSTSRC_ADDR,                   \
      PCI,RSTSRC,##FIELD,val)

  #define _PCI_RSTSRC_FGETSQ(FIELD,SYM)              \
    _PER_FGETSQ32(_PCI_RSTSRC_ADDR,                  \
      PCI,RSTSRC,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  P C I I S            |
* |_______________________|
*
* PCIIS - PCI Interrupt Status Register
*
* FIELDS (msb -> lsb)
* (RW)	PRST      	[11:11]	 - Change of state on PCI reset
* (RW)	EERDY     	[ 9: 9]	 - EEPROM is ready to accept a new command (and the data reg. can be read)
* (RW)	CFGERR    	[ 8: 8]	 - Checksum failed during PCI autoinitialization
* (RW)	CFGDONE   	[ 7: 7]	 - Configuration of PCI config. regs. is comlpete
* (RW)	MSTROK    	[ 6: 6]	 - PCI master transaction complete interrupt status
* (RW)	PWRWKPHL  	[ 5: 5]	 - High-to-low on PWRWKP
* (RW)	PWRWKPLH  	[ 4: 4]	 - Low-to-high on PWRWKP
* (RW)	HOSTSW    	[ 3: 3]	 - Host Software Requested Interrupt Status
* (RW)	PCIMSABT  	[ 2: 2]	 - PCI Master Abort received
* (RW)	PCITGABT  	[ 1: 1]	 - PCI Target Abort received
* (RW)	PWRMGMT   	[ 0: 0]	 - Power management state transition interrupt
*
\******************************************************************************/
/*#define _PCI_PCIIS_RECIDX                          Not recorded */

  #define _PCI_PCIIS_ADDR                            0x01C00008u

  #define _PCI_PCIIS_REGOFFS                         0x00000008u
  #define _PCI_PCIIS_REGOFFS32                       0x00000002u

  #define _PCI_PCIIS_PRST_MASK                       0x00000800u
  #define _PCI_PCIIS_PRST_SHIFT                      11
  #define PCI_PCIIS_PRST_DEFAULT                     0x00000000u
  #define PCI_PCIIS_PRST_OF(x)                       _VALUEOF32(x)
  #define PCI_PCIIS_PRST_INACTIVE                    0x00000000u
  #define PCI_PCIIS_PRST_ACTIVE                      0x00000001u
  #define PCI_PCIIS_PRST_CLEAR                       0x00000001u
  #define _PCI_PCIIS_PRST_INACTIVE_SV                0x00000000u
  #define _PCI_PCIIS_PRST_ACTIVE_SV                  0x00000800u
  #define _PCI_PCIIS_PRST_CLEAR_SV                   0x00000800u

  #define _PCI_PCIIS_EERDY_MASK                      0x00000200u
  #define _PCI_PCIIS_EERDY_SHIFT                     9
  #define PCI_PCIIS_EERDY_DEFAULT                    0x00000000u
  #define PCI_PCIIS_EERDY_OF(x)                      _VALUEOF32(x)
  #define PCI_PCIIS_EERDY_INACTIVE                   0x00000000u
  #define PCI_PCIIS_EERDY_ACTIVE                     0x00000001u
  #define PCI_PCIIS_EERDY_CLEAR                      0x00000001u
  #define _PCI_PCIIS_EERDY_INACTIVE_SV               0x00000000u
  #define _PCI_PCIIS_EERDY_ACTIVE_SV                 0x00000200u
  #define _PCI_PCIIS_EERDY_CLEAR_SV                  0x00000200u

  #define _PCI_PCIIS_CFGERR_MASK                     0x00000100u
  #define _PCI_PCIIS_CFGERR_SHIFT                    8
  #define PCI_PCIIS_CFGERR_DEFAULT                   0x00000000u
  #define PCI_PCIIS_CFGERR_OF(x)                     _VALUEOF32(x)
  #define PCI_PCIIS_CFGERR_INACTIVE                  0x00000000u
  #define PCI_PCIIS_CFGERR_ACTIVE                    0x00000001u
  #define PCI_PCIIS_CFGERR_CLEAR                     0x00000001u
  #define _PCI_PCIIS_CFGERR_INACTIVE_SV              0x00000000u
  #define _PCI_PCIIS_CFGERR_ACTIVE_SV                0x00000100u
  #define _PCI_PCIIS_CFGERR_CLEAR_SV                 0x00000100u

  #define _PCI_PCIIS_CFGDONE_MASK                    0x00000080u
  #define _PCI_PCIIS_CFGDONE_SHIFT                   7
  #define PCI_PCIIS_CFGDONE_DEFAULT                  0x00000000u
  #define PCI_PCIIS_CFGDONE_OF(x)                    _VALUEOF32(x)
  #define PCI_PCIIS_CFGDONE_INACTIVE                 0x00000000u
  #define PCI_PCIIS_CFGDONE_ACTIVE                   0x00000001u
  #define PCI_PCIIS_CFGDONE_CLEAR                    0x00000001u
  #define _PCI_PCIIS_CFGDONE_INACTIVE_SV             0x00000000u
  #define _PCI_PCIIS_CFGDONE_ACTIVE_SV               0x00000080u
  #define _PCI_PCIIS_CFGDONE_CLEAR_SV                0x00000080u

  #define _PCI_PCIIS_MSTROK_MASK                     0x00000040u
  #define _PCI_PCIIS_MSTROK_SHIFT                    6
  #define PCI_PCIIS_MSTROK_DEFAULT                   0x00000000u
  #define PCI_PCIIS_MSTROK_OF(x)                     _VALUEOF32(x)
  #define PCI_PCIIS_MSTROK_INACTIVE                  0x00000000u
  #define PCI_PCIIS_MSTROK_ACTIVE                    0x00000001u
  #define PCI_PCIIS_MSTROK_CLEAR                     0x00000001u
  #define _PCI_PCIIS_MSTROK_INACTIVE_SV              0x00000000u
  #define _PCI_PCIIS_MSTROK_ACTIVE_SV                0x00000040u
  #define _PCI_PCIIS_MSTROK_CLEAR_SV                 0x00000040u

  #define _PCI_PCIIS_PWRWKPHL_MASK                   0x00000020u
  #define _PCI_PCIIS_PWRWKPHL_SHIFT                  5
  #define PCI_PCIIS_PWRWKPHL_DEFAULT                 0x00000000u
  #define PCI_PCIIS_PWRWKPHL_OF(x)                   _VALUEOF32(x)
  #define PCI_PCIIS_PWRWKPHL_INACTIVE                0x00000000u
  #define PCI_PCIIS_PWRWKPHL_ACTIVE                  0x00000001u
  #define PCI_PCIIS_PWRWKPHL_CLEAR                   0x00000001u
  #define _PCI_PCIIS_PWRWKPHL_INACTIVE_SV            0x00000000u
  #define _PCI_PCIIS_PWRWKPHL_ACTIVE_SV              0x00000020u
  #define _PCI_PCIIS_PWRWKPHL_CLEAR_SV               0x00000020u

  #define _PCI_PCIIS_PWRWKPLH_MASK                   0x00000010u
  #define _PCI_PCIIS_PWRWKPLH_SHIFT                  4
  #define PCI_PCIIS_PWRWKPLH_DEFAULT                 0x00000000u
  #define PCI_PCIIS_PWRWKPLH_OF(x)                   _VALUEOF32(x)
  #define PCI_PCIIS_PWRWKPLH_INACTIVE                0x00000000u
  #define PCI_PCIIS_PWRWKPLH_ACTIVE                  0x00000001u
  #define PCI_PCIIS_PWRWKPLH_CLEAR                   0x00000001u
  #define _PCI_PCIIS_PWRWKPLH_INACTIVE_SV            0x00000000u
  #define _PCI_PCIIS_PWRWKPLH_ACTIVE_SV              0x00000010u
  #define _PCI_PCIIS_PWRWKPLH_CLEAR_SV               0x00000010u

  #define _PCI_PCIIS_HOSTSW_MASK                     0x00000008u
  #define _PCI_PCIIS_HOSTSW_SHIFT                    3
  #define PCI_PCIIS_HOSTSW_DEFAULT                   0x00000000u
  #define PCI_PCIIS_HOSTSW_OF(x)                     _VALUEOF32(x)
  #define PCI_PCIIS_HOSTSW_INACTIVE                  0x00000000u
  #define PCI_PCIIS_HOSTSW_ACTIVE                    0x00000001u
  #define PCI_PCIIS_HOSTSW_CLEAR                     0x00000001u
  #define _PCI_PCIIS_HOSTSW_INACTIVE_SV              0x00000000u
  #define _PCI_PCIIS_HOSTSW_ACTIVE_SV                0x00000008u
  #define _PCI_PCIIS_HOSTSW_CLEAR_SV                 0x00000008u

  #define _PCI_PCIIS_PCIMSABT_MASK                   0x00000004u
  #define _PCI_PCIIS_PCIMSABT_SHIFT                  2
  #define PCI_PCIIS_PCIMSABT_DEFAULT                 0x00000000u
  #define PCI_PCIIS_PCIMSABT_OF(x)                   _VALUEOF32(x)
  #define PCI_PCIIS_PCIMSABT_INACTIVE                0x00000000u
  #define PCI_PCIIS_PCIMSABT_ACTIVE                  0x00000001u
  #define PCI_PCIIS_PCIMSABT_CLEAR                   0x00000001u
  #define _PCI_PCIIS_PCIMSABT_INACTIVE_SV            0x00000000u
  #define _PCI_PCIIS_PCIMSABT_ACTIVE_SV              0x00000004u
  #define _PCI_PCIIS_PCIMSABT_CLEAR_SV               0x00000004u

  #define _PCI_PCIIS_PCITGABT_MASK                   0x00000002u
  #define _PCI_PCIIS_PCITGABT_SHIFT                  1
  #define PCI_PCIIS_PCITGABT_DEFAULT                 0x00000000u
  #define PCI_PCIIS_PCITGABT_OF(x)                   _VALUEOF32(x)
  #define PCI_PCIIS_PCITGABT_INACTIVE                0x00000000u
  #define PCI_PCIIS_PCITGABT_ACTIVE                  0x00000001u
  #define PCI_PCIIS_PCITGABT_CLEAR                   0x00000001u
  #define _PCI_PCIIS_PCITGABT_INACTIVE_SV            0x00000000u
  #define _PCI_PCIIS_PCITGABT_ACTIVE_SV              0x00000002u
  #define _PCI_PCIIS_PCITGABT_CLEAR_SV               0x00000002u

  #define _PCI_PCIIS_PWRMGMT_MASK                    0x00000001u
  #define _PCI_PCIIS_PWRMGMT_SHIFT                   0
  #define PCI_PCIIS_PWRMGMT_DEFAULT                  0x00000000u
  #define PCI_PCIIS_PWRMGMT_OF(x)                    _VALUEOF32(x)
  #define PCI_PCIIS_PWRMGMT_INACTIVE                 0x00000000u
  #define PCI_PCIIS_PWRMGMT_ACTIVE                   0x00000001u
  #define PCI_PCIIS_PWRMGMT_CLEAR                    0x00000001u
  #define _PCI_PCIIS_PWRMGMT_INACTIVE_SV             0x00000000u
  #define _PCI_PCIIS_PWRMGMT_ACTIVE_SV               0x00000001u
  #define _PCI_PCIIS_PWRMGMT_CLEAR_SV                0x00000001u

  #define PCI_PCIIS_OF(val)                          _VALUEOF32(val)
  #define PCI_PCIIS_DEFAULT (Uint32)(                \
      _PER_FDEFAULT32(PCI,PCIIS,PRST)                \
    | _PER_FDEFAULT32(PCI,PCIIS,EERDY)               \
    | _PER_FDEFAULT32(PCI,PCIIS,CFGERR)              \
    | _PER_FDEFAULT32(PCI,PCIIS,CFGDONE)             \
    | _PER_FDEFAULT32(PCI,PCIIS,MSTROK)              \
    | _PER_FDEFAULT32(PCI,PCIIS,PWRWKPHL)            \
    | _PER_FDEFAULT32(PCI,PCIIS,PWRWKPLH)            \
    | _PER_FDEFAULT32(PCI,PCIIS,HOSTSW)              \
    | _PER_FDEFAULT32(PCI,PCIIS,PCIMSABT)            \
    | _PER_FDEFAULT32(PCI,PCIIS,PCITGABT)            \
    | _PER_FDEFAULT32(PCI,PCIIS,PWRMGMT)             \
  )

  #define PCI_PCIIS_RMK(prst,eerdy,cfgerr,cfgdone,   \
    mstrok,pwrwkphl,pwrwkplh,hostsw,pcimsabt,        \
    pcitgabt,pwrmgmt)                                \
    (Uint32)(                                        \
      _PER_FMK32(PCI,PCIIS,PRST,prst)                \
    | _PER_FMK32(PCI,PCIIS,EERDY,eerdy)              \
    | _PER_FMK32(PCI,PCIIS,CFGERR,cfgerr)            \
    | _PER_FMK32(PCI,PCIIS,CFGDONE,cfgdone)          \
    | _PER_FMK32(PCI,PCIIS,MSTROK,mstrok)            \
    | _PER_FMK32(PCI,PCIIS,PWRWKPHL,pwrwkphl)        \
    | _PER_FMK32(PCI,PCIIS,PWRWKPLH,pwrwkplh)        \
    | _PER_FMK32(PCI,PCIIS,HOSTSW,hostsw)            \
    | _PER_FMK32(PCI,PCIIS,PCIMSABT,pcimsabt)        \
    | _PER_FMK32(PCI,PCIIS,PCITGABT,pcitgabt)        \
    | _PER_FMK32(PCI,PCIIS,PWRMGMT,pwrmgmt)          \
  )

  #define PCI_PCIIS_RMKS(PRST,EERDY,CFGERR,          \
    CFGDONE,MSTROK,PWRWKPHL,PWRWKPLH,HOSTSW,         \
    PCIMSABT,PCITGABT,PWRMGMT)                       \
    (Uint32)(                                        \
      _PCI_PCIIS_PRST_##PRST##_SV                    \
    | _PCI_PCIIS_EERDY_##EERDY##_SV                  \
    | _PCI_PCIIS_CFGERR_##CFGERR##_SV                \
    | _PCI_PCIIS_CFGDONE_##CFGDONE##_SV              \
    | _PCI_PCIIS_MSTROK_##MSTROK##_SV                \
    | _PCI_PCIIS_PWRWKPHL_##PWRWKPHL##_SV            \
    | _PCI_PCIIS_PWRWKPLH_##PWRWKPLH##_SV            \
    | _PCI_PCIIS_HOSTSW_##HOSTSW##_SV                \
    | _PCI_PCIIS_PCIMSABT_##PCIMSABT##_SV            \
    | _PCI_PCIIS_PCITGABT_##PCITGABT##_SV            \
    | _PCI_PCIIS_PWRMGMT_##PWRMGMT##_SV              \
  )

  #define _PCI_PCIIS_FGET(FIELD)                     \
    _PER_FGET32(_PCI_PCIIS_ADDR,                     \
      PCI,PCIIS,##FIELD)

  #define _PCI_PCIIS_FSET(FIELD,field)               \
    _PER_FSET32(_PCI_PCIIS_ADDR,                     \
      PCI,PCIIS,##FIELD,field)

  #define _PCI_PCIIS_FSETS(FIELD,SYM)                \
    _PER_FSETS32(_PCI_PCIIS_ADDR,                    \
      PCI,PCIIS,##FIELD,##SYM)

  #define _PCI_PCIIS_FGETQ(FIELD,val)                \
    _PER_FGETQ32(_PCI_PCIIS_ADDR,                    \
      PCI,PCIIS,##FIELD,val)

  #define _PCI_PCIIS_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ32(_PCI_PCIIS_ADDR,                   \
      PCI,PCIIS,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  P C I I E N          |
* |_______________________|
*
* PCIIEN - PCI Interrupt Enable Register
*
* FIELDS (msb -> lsb)
* (RW)	PRST      	[11:11]	 - Change of state on PCI reset
* (RW)	EERDY     	[ 9: 9]	 - EEPROM is ready to accept a new command (and the data reg. can be read)
* (RW)	CFGERR    	[ 8: 8]	 - Checksum failed during PCI autoinitialization
* (RW)	CFGDONE   	[ 7: 7]	 - Configuration of PCI config. regs. is comlpete
* (RW)	MSTROK    	[ 6: 6]	 - PCI master transaction complete interrupt status
* (RW)	PWRWKPHL  	[ 5: 5]	 - High-to-low on PWRWKP
* (RW)	PWRWKPLH  	[ 4: 4]	 - Low-to-high on PWRWKP
* (RW)	HOSTSW    	[ 3: 3]	 - Host Software Requested Interrupt Status
* (RW)	PCIMSABT  	[ 2: 2]	 - PCI Master Abort received
* (RW)	PCITGABT  	[ 1: 1]	 - PCI Target Abort received
* (RW)	PWRMGMT   	[ 0: 0]	 - Power management state transition interrupt
*
\******************************************************************************/
/*#define _PCI_PCIIEN_RECIDX                         Not recorded */

  #define _PCI_PCIIEN_ADDR                           0x01C0000Cu

  #define _PCI_PCIIEN_REGOFFS                        0x0000000Cu
  #define _PCI_PCIIEN_REGOFFS32                      0x00000003u

  #define _PCI_PCIIEN_PRST_MASK                      0x00000800u
  #define _PCI_PCIIEN_PRST_SHIFT                     11
  #define PCI_PCIIEN_PRST_DEFAULT                    0x00000000u
  #define PCI_PCIIEN_PRST_OF(x)                      _VALUEOF32(x)
  #define PCI_PCIIEN_PRST_DISABLE                    0x00000000u
  #define PCI_PCIIEN_PRST_ENABLE                     0x00000001u
  #define PCI_PCIIEN_PRST_DISABLED                   0x00000000u
  #define PCI_PCIIEN_PRST_ENABLED                    0x00000001u
  #define _PCI_PCIIEN_PRST_DISABLE_SV                0x00000000u
  #define _PCI_PCIIEN_PRST_ENABLE_SV                 0x00000800u
  #define _PCI_PCIIEN_PRST_DISABLED_SV               0x00000000u
  #define _PCI_PCIIEN_PRST_ENABLED_SV                0x00000800u

  #define _PCI_PCIIEN_EERDY_MASK                     0x00000200u
  #define _PCI_PCIIEN_EERDY_SHIFT                    9
  #define PCI_PCIIEN_EERDY_DEFAULT                   0x00000000u
  #define PCI_PCIIEN_EERDY_OF(x)                     _VALUEOF32(x)
  #define PCI_PCIIEN_EERDY_DISABLE                   0x00000000u
  #define PCI_PCIIEN_EERDY_ENABLE                    0x00000001u
  #define PCI_PCIIEN_EERDY_DISABLED                  0x00000000u
  #define PCI_PCIIEN_EERDY_ENABLED                   0x00000001u
  #define _PCI_PCIIEN_EERDY_DISABLE_SV               0x00000000u
  #define _PCI_PCIIEN_EERDY_ENABLE_SV                0x00000200u
  #define _PCI_PCIIEN_EERDY_DISABLED_SV              0x00000000u
  #define _PCI_PCIIEN_EERDY_ENABLED_SV               0x00000200u

  #define _PCI_PCIIEN_CFGERR_MASK                    0x00000100u
  #define _PCI_PCIIEN_CFGERR_SHIFT                   8
  #define PCI_PCIIEN_CFGERR_DEFAULT                  0x00000000u
  #define PCI_PCIIEN_CFGERR_OF(x)                    _VALUEOF32(x)
  #define PCI_PCIIEN_CFGERR_DISABLE                  0x00000000u
  #define PCI_PCIIEN_CFGERR_ENABLE                   0x00000001u
  #define PCI_PCIIEN_CFGERR_DISABLED                 0x00000000u
  #define PCI_PCIIEN_CFGERR_ENABLED                  0x00000001u
  #define _PCI_PCIIEN_CFGERR_DISABLE_SV              0x00000000u
  #define _PCI_PCIIEN_CFGERR_ENABLE_SV               0x00000100u
  #define _PCI_PCIIEN_CFGERR_DISABLED_SV             0x00000000u
  #define _PCI_PCIIEN_CFGERR_ENABLED_SV              0x00000100u

  #define _PCI_PCIIEN_CFGDONE_MASK                   0x00000080u
  #define _PCI_PCIIEN_CFGDONE_SHIFT                  7
  #define PCI_PCIIEN_CFGDONE_DEFAULT                 0x00000000u
  #define PCI_PCIIEN_CFGDONE_OF(x)                   _VALUEOF32(x)
  #define PCI_PCIIEN_CFGDONE_DISABLE                 0x00000000u
  #define PCI_PCIIEN_CFGDONE_ENABLE                  0x00000001u
  #define PCI_PCIIEN_CFGDONE_DISABLED                0x00000000u
  #define PCI_PCIIEN_CFGDONE_ENABLED                 0x00000001u
  #define _PCI_PCIIEN_CFGDONE_DISABLE_SV             0x00000000u
  #define _PCI_PCIIEN_CFGDONE_ENABLE_SV              0x00000080u
  #define _PCI_PCIIEN_CFGDONE_DISABLED_SV            0x00000000u
  #define _PCI_PCIIEN_CFGDONE_ENABLED_SV             0x00000080u

  #define _PCI_PCIIEN_MSTROK_MASK                    0x00000040u
  #define _PCI_PCIIEN_MSTROK_SHIFT                   6
  #define PCI_PCIIEN_MSTROK_DEFAULT                  0x00000000u
  #define PCI_PCIIEN_MSTROK_OF(x)                    _VALUEOF32(x)
  #define PCI_PCIIEN_MSTROK_DISABLE                  0x00000000u
  #define PCI_PCIIEN_MSTROK_ENABLE                   0x00000001u
  #define PCI_PCIIEN_MSTROK_DISABLED                 0x00000000u
  #define PCI_PCIIEN_MSTROK_ENABLED                  0x00000001u
  #define _PCI_PCIIEN_MSTROK_DISABLE_SV              0x00000000u
  #define _PCI_PCIIEN_MSTROK_ENABLE_SV               0x00000040u
  #define _PCI_PCIIEN_MSTROK_DISABLED_SV             0x00000000u
  #define _PCI_PCIIEN_MSTROK_ENABLED_SV              0x00000040u

  #define _PCI_PCIIEN_PWRWKPHL_MASK                  0x00000020u
  #define _PCI_PCIIEN_PWRWKPHL_SHIFT                 5
  #define PCI_PCIIEN_PWRWKPHL_DEFAULT                0x00000000u
  #define PCI_PCIIEN_PWRWKPHL_OF(x)                  _VALUEOF32(x)
  #define PCI_PCIIEN_PWRWKPHL_DISABLE                0x00000000u
  #define PCI_PCIIEN_PWRWKPHL_ENABLE                 0x00000001u
  #define PCI_PCIIEN_PWRWKPHL_DISABLED               0x00000000u
  #define PCI_PCIIEN_PWRWKPHL_ENABLED                0x00000001u
  #define _PCI_PCIIEN_PWRWKPHL_DISABLE_SV            0x00000000u
  #define _PCI_PCIIEN_PWRWKPHL_ENABLE_SV             0x00000020u
  #define _PCI_PCIIEN_PWRWKPHL_DISABLED_SV           0x00000000u
  #define _PCI_PCIIEN_PWRWKPHL_ENABLED_SV            0x00000020u

  #define _PCI_PCIIEN_PWRWKPLH_MASK                  0x00000010u
  #define _PCI_PCIIEN_PWRWKPLH_SHIFT                 4
  #define PCI_PCIIEN_PWRWKPLH_DEFAULT                0x00000000u
  #define PCI_PCIIEN_PWRWKPLH_OF(x)                  _VALUEOF32(x)
  #define PCI_PCIIEN_PWRWKPLH_DISABLE                0x00000000u
  #define PCI_PCIIEN_PWRWKPLH_ENABLE                 0x00000001u
  #define PCI_PCIIEN_PWRWKPLH_DISABLED               0x00000000u
  #define PCI_PCIIEN_PWRWKPLH_ENABLED                0x00000001u
  #define _PCI_PCIIEN_PWRWKPLH_DISABLE_SV            0x00000000u
  #define _PCI_PCIIEN_PWRWKPLH_ENABLE_SV             0x00000010u
  #define _PCI_PCIIEN_PWRWKPLH_DISABLED_SV           0x00000000u
  #define _PCI_PCIIEN_PWRWKPLH_ENABLED_SV            0x00000010u

  #define _PCI_PCIIEN_HOSTSW_MASK                    0x00000008u
  #define _PCI_PCIIEN_HOSTSW_SHIFT                   3
  #define PCI_PCIIEN_HOSTSW_DEFAULT                  0x00000001u
  #define PCI_PCIIEN_HOSTSW_OF(x)                    _VALUEOF32(x)
  #define PCI_PCIIEN_HOSTSW_DISABLE                  0x00000000u
  #define PCI_PCIIEN_HOSTSW_ENABLE                   0x00000001u
  #define PCI_PCIIEN_HOSTSW_DISABLED                 0x00000000u
  #define PCI_PCIIEN_HOSTSW_ENABLED                  0x00000001u
  #define _PCI_PCIIEN_HOSTSW_DISABLE_SV              0x00000000u
  #define _PCI_PCIIEN_HOSTSW_ENABLE_SV               0x00000008u
  #define _PCI_PCIIEN_HOSTSW_DISABLED_SV             0x00000000u
  #define _PCI_PCIIEN_HOSTSW_ENABLED_SV              0x00000008u

  #define _PCI_PCIIEN_PCIMSABT_MASK                  0x00000004u
  #define _PCI_PCIIEN_PCIMSABT_SHIFT                 2
  #define PCI_PCIIEN_PCIMSABT_DEFAULT                0x00000000u
  #define PCI_PCIIEN_PCIMSABT_OF(x)                  _VALUEOF32(x)
  #define PCI_PCIIEN_PCIMSABT_DISABLE                0x00000000u
  #define PCI_PCIIEN_PCIMSABT_ENABLE                 0x00000001u
  #define PCI_PCIIEN_PCIMSABT_DISABLED               0x00000000u
  #define PCI_PCIIEN_PCIMSABT_ENABLED                0x00000001u
  #define _PCI_PCIIEN_PCIMSABT_DISABLE_SV            0x00000000u
  #define _PCI_PCIIEN_PCIMSABT_ENABLE_SV             0x00000004u
  #define _PCI_PCIIEN_PCIMSABT_DISABLED_SV           0x00000000u
  #define _PCI_PCIIEN_PCIMSABT_ENABLED_SV            0x00000004u

  #define _PCI_PCIIEN_PCITGABT_MASK                  0x00000002u
  #define _PCI_PCIIEN_PCITGABT_SHIFT                 1
  #define PCI_PCIIEN_PCITGABT_DEFAULT                0x00000000u
  #define PCI_PCIIEN_PCITGABT_OF(x)                  _VALUEOF32(x)
  #define PCI_PCIIEN_PCITGABT_DISABLE                0x00000000u
  #define PCI_PCIIEN_PCITGABT_ENABLE                 0x00000001u
  #define PCI_PCIIEN_PCITGABT_DISABLED               0x00000000u
  #define PCI_PCIIEN_PCITGABT_ENABLED                0x00000001u
  #define _PCI_PCIIEN_PCITGABT_DISABLE_SV            0x00000000u
  #define _PCI_PCIIEN_PCITGABT_ENABLE_SV             0x00000002u
  #define _PCI_PCIIEN_PCITGABT_DISABLED_SV           0x00000000u
  #define _PCI_PCIIEN_PCITGABT_ENABLED_SV            0x00000002u

  #define _PCI_PCIIEN_PWRMGMT_MASK                   0x00000001u
  #define _PCI_PCIIEN_PWRMGMT_SHIFT                  0
  #define PCI_PCIIEN_PWRMGMT_DEFAULT                 0x00000000u
  #define PCI_PCIIEN_PWRMGMT_OF(x)                   _VALUEOF32(x)
  #define PCI_PCIIEN_PWRMGMT_DISABLE                 0x00000000u
  #define PCI_PCIIEN_PWRMGMT_ENABLE                  0x00000001u
  #define PCI_PCIIEN_PWRMGMT_DISABLED                0x00000000u
  #define PCI_PCIIEN_PWRMGMT_ENABLED                 0x00000001u
  #define _PCI_PCIIEN_PWRMGMT_DISABLE_SV             0x00000000u
  #define _PCI_PCIIEN_PWRMGMT_ENABLE_SV              0x00000001u
  #define _PCI_PCIIEN_PWRMGMT_DISABLED_SV            0x00000000u
  #define _PCI_PCIIEN_PWRMGMT_ENABLED_SV             0x00000001u

  #define PCI_PCIIEN_OF(val)                         _VALUEOF32(val)
  #define PCI_PCIIEN_DEFAULT (Uint32)(               \
      _PER_FDEFAULT32(PCI,PCIIEN,PRST)               \
    | _PER_FDEFAULT32(PCI,PCIIEN,EERDY)              \
    | _PER_FDEFAULT32(PCI,PCIIEN,CFGERR)             \
    | _PER_FDEFAULT32(PCI,PCIIEN,CFGDONE)            \
    | _PER_FDEFAULT32(PCI,PCIIEN,MSTROK)             \
    | _PER_FDEFAULT32(PCI,PCIIEN,PWRWKPHL)           \
    | _PER_FDEFAULT32(PCI,PCIIEN,PWRWKPLH)           \
    | _PER_FDEFAULT32(PCI,PCIIEN,HOSTSW)             \
    | _PER_FDEFAULT32(PCI,PCIIEN,PCIMSABT)           \
    | _PER_FDEFAULT32(PCI,PCIIEN,PCITGABT)           \
    | _PER_FDEFAULT32(PCI,PCIIEN,PWRMGMT)            \
  )

  #define PCI_PCIIEN_RMK(prst,eerdy,cfgerr,          \
    cfgdone,mstrok,pwrwkphl,pwrwkplh,hostsw,         \
    pcimsabt,pcitgabt,pwrmgmt)                       \
    (Uint32)(                                        \
      _PER_FMK32(PCI,PCIIEN,PRST,prst)               \
    | _PER_FMK32(PCI,PCIIEN,EERDY,eerdy)             \
    | _PER_FMK32(PCI,PCIIEN,CFGERR,cfgerr)           \
    | _PER_FMK32(PCI,PCIIEN,CFGDONE,cfgdone)         \
    | _PER_FMK32(PCI,PCIIEN,MSTROK,mstrok)           \
    | _PER_FMK32(PCI,PCIIEN,PWRWKPHL,pwrwkphl)       \
    | _PER_FMK32(PCI,PCIIEN,PWRWKPLH,pwrwkplh)       \
    | _PER_FMK32(PCI,PCIIEN,HOSTSW,hostsw)           \
    | _PER_FMK32(PCI,PCIIEN,PCIMSABT,pcimsabt)       \
    | _PER_FMK32(PCI,PCIIEN,PCITGABT,pcitgabt)       \
    | _PER_FMK32(PCI,PCIIEN,PWRMGMT,pwrmgmt)         \
  )

  #define PCI_PCIIEN_RMKS(PRST,EERDY,CFGERR,         \
    CFGDONE,MSTROK,PWRWKPHL,PWRWKPLH,HOSTSW,         \
    PCIMSABT,PCITGABT,PWRMGMT)                       \
    (Uint32)(                                        \
      _PCI_PCIIEN_PRST_##PRST##_SV                   \
    | _PCI_PCIIEN_EERDY_##EERDY##_SV                 \
    | _PCI_PCIIEN_CFGERR_##CFGERR##_SV               \
    | _PCI_PCIIEN_CFGDONE_##CFGDONE##_SV             \
    | _PCI_PCIIEN_MSTROK_##MSTROK##_SV               \
    | _PCI_PCIIEN_PWRWKPHL_##PWRWKPHL##_SV           \
    | _PCI_PCIIEN_PWRWKPLH_##PWRWKPLH##_SV           \
    | _PCI_PCIIEN_HOSTSW_##HOSTSW##_SV               \
    | _PCI_PCIIEN_PCIMSABT_##PCIMSABT##_SV           \
    | _PCI_PCIIEN_PCITGABT_##PCITGABT##_SV           \
    | _PCI_PCIIEN_PWRMGMT_##PWRMGMT##_SV             \
  )

  #define _PCI_PCIIEN_FGET(FIELD)                    \
    _PER_FGET32(_PCI_PCIIEN_ADDR,                    \
      PCI,PCIIEN,##FIELD)

  #define _PCI_PCIIEN_FSET(FIELD,field)              \
    _PER_FSET32(_PCI_PCIIEN_ADDR,                    \
      PCI,PCIIEN,##FIELD,field)

  #define _PCI_PCIIEN_FSETS(FIELD,SYM)               \
    _PER_FSETS32(_PCI_PCIIEN_ADDR,                   \
      PCI,PCIIEN,##FIELD,##SYM)

  #define _PCI_PCIIEN_FGETQ(FIELD,val)               \
    _PER_FGETQ32(_PCI_PCIIEN_ADDR,                   \
      PCI,PCIIEN,##FIELD,val)

  #define _PCI_PCIIEN_FGETSQ(FIELD,SYM)              \
    _PER_FGETSQ32(_PCI_PCIIEN_ADDR,                  \
      PCI,PCIIEN,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  D S P M A            |
* |_______________________|
*
* DSPMA - DSP Master Address Register
*
* FIELDS (msb -> lsb)
* (RW)	ADDRMA    	[31: 2]	 - DSP's word address for PCI master transactions
* (RW)	AINC      	[ 1: 1]	 - Autoincrement mode
*
\******************************************************************************/
/*#define _PCI_DSPMA_RECIDX                          Not recorded */

  #define _PCI_DSPMA_ADDR                            0x01C00010u

  #define _PCI_DSPMA_REGOFFS                         0x00000010u
  #define _PCI_DSPMA_REGOFFS32                       0x00000004u

  #define _PCI_DSPMA_ADDRMA_MASK                     0xFFFFFFFCu
  #define _PCI_DSPMA_ADDRMA_SHIFT                    2
  #define PCI_DSPMA_ADDRMA_DEFAULT                   0x00000000u
  #define PCI_DSPMA_ADDRMA_OF(x)                     _VALUEOF32(x)

  #define _PCI_DSPMA_AINC_MASK                       0x00000002u
  #define _PCI_DSPMA_AINC_SHIFT                      1
  #define PCI_DSPMA_AINC_DEFAULT                     0x00000000u
  #define PCI_DSPMA_AINC_OF(x)                       _VALUEOF32(x)
  #define PCI_DSPMA_AINC_YES                         0x00000000u
  #define PCI_DSPMA_AINC_NO                          0x00000001u
  #define PCI_DSPMA_AINC_ENABLE                      0x00000000u
  #define PCI_DSPMA_AINC_DISABLE                     0x00000001u
  #define PCI_DSPMA_AINC_ENABLED                     0x00000000u
  #define PCI_DSPMA_AINC_DISABLED                    0x00000001u
  #define PCI_DSPMA_AINC_ACTIVE                      0x00000000u
  #define PCI_DSPMA_AINC_INACTIVE                    0x00000001u
  #define _PCI_DSPMA_AINC_YES_SV                     0x00000000u
  #define _PCI_DSPMA_AINC_NO_SV                      0x00000002u
  #define _PCI_DSPMA_AINC_ENABLE_SV                  0x00000000u
  #define _PCI_DSPMA_AINC_DISABLE_SV                 0x00000002u
  #define _PCI_DSPMA_AINC_ENABLED_SV                 0x00000000u
  #define _PCI_DSPMA_AINC_DISABLED_SV                0x00000002u
  #define _PCI_DSPMA_AINC_ACTIVE_SV                  0x00000000u
  #define _PCI_DSPMA_AINC_INACTIVE_SV                0x00000002u

  #define PCI_DSPMA_OF(val)                          _VALUEOF32(val)
  #define PCI_DSPMA_DEFAULT (Uint32)(                \
      _PER_FDEFAULT32(PCI,DSPMA,ADDRMA)              \
    | _PER_FDEFAULT32(PCI,DSPMA,AINC)                \
  )

  #define PCI_DSPMA_RMK(addrma,ainc)                 \
    (Uint32)(                                        \
      _PER_FMK32(PCI,DSPMA,ADDRMA,addrma)            \
    | _PER_FMK32(PCI,DSPMA,AINC,ainc)                \
  )

  #define PCI_DSPMA_RMKS(ADDRMA,AINC)                \
    (Uint32)(                                        \
      _PCI_DSPMA_ADDRMA_##ADDRMA##_SV                \
    | _PCI_DSPMA_AINC_##AINC##_SV                    \
  )

  #define _PCI_DSPMA_FGET(FIELD)                     \
    _PER_FGET32(_PCI_DSPMA_ADDR,                     \
      PCI,DSPMA,##FIELD)

  #define _PCI_DSPMA_FSET(FIELD,field)               \
    _PER_FSET32(_PCI_DSPMA_ADDR,                     \
      PCI,DSPMA,##FIELD,field)

  #define _PCI_DSPMA_FSETS(FIELD,SYM)                \
    _PER_FSETS32(_PCI_DSPMA_ADDR,                    \
      PCI,DSPMA,##FIELD,##SYM)

  #define _PCI_DSPMA_FGETQ(FIELD,val)                \
    _PER_FGETQ32(_PCI_DSPMA_ADDR,                    \
      PCI,DSPMA,##FIELD,val)

  #define _PCI_DSPMA_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ32(_PCI_DSPMA_ADDR,                   \
      PCI,DSPMA,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  P C I M A            |
* |_______________________|
*
* PCIMA - PCI Master Address Register
*
* FIELDS (msb -> lsb)
* (RW)	ADDRMA    	[31: 2]	 - PCI doubleword address for PCI master transactions
*
\******************************************************************************/
/*#define _PCI_PCIMA_RECIDX                          Not recorded */

  #define _PCI_PCIMA_ADDR                            0x01C00014u

  #define _PCI_PCIMA_REGOFFS                         0x00000014u
  #define _PCI_PCIMA_REGOFFS32                       0x00000005u

  #define _PCI_PCIMA_ADDRMA_MASK                     0xFFFFFFFCu
  #define _PCI_PCIMA_ADDRMA_SHIFT                    2
  #define PCI_PCIMA_ADDRMA_DEFAULT                   0x00000000u
  #define PCI_PCIMA_ADDRMA_OF(x)                     _VALUEOF32(x)

  #define PCI_PCIMA_OF(val)                          _VALUEOF32(val)
  #define PCI_PCIMA_DEFAULT (Uint32)(                \
      _PER_FDEFAULT32(PCI,PCIMA,ADDRMA)              \
  )

  #define PCI_PCIMA_RMK(addrma)                      \
    (Uint32)(                                        \
      _PER_FMK32(PCI,PCIMA,ADDRMA,addrma)            \
  )

  #define PCI_PCIMA_RMKS(ADDRMA)                     \
    (Uint32)(                                        \
      _PCI_PCIMA_ADDRMA_##ADDRMA##_SV                \
  )

  #define _PCI_PCIMA_FGET(FIELD)                     \
    _PER_FGET32(_PCI_PCIMA_ADDR,                     \
      PCI,PCIMA,##FIELD)

  #define _PCI_PCIMA_FSET(FIELD,field)               \
    _PER_FSET32(_PCI_PCIMA_ADDR,                     \
      PCI,PCIMA,##FIELD,field)

  #define _PCI_PCIMA_FSETS(FIELD,SYM)                \
    _PER_FSETS32(_PCI_PCIMA_ADDR,                    \
      PCI,PCIMA,##FIELD,##SYM)

  #define _PCI_PCIMA_FGETQ(FIELD,val)                \
    _PER_FGETQ32(_PCI_PCIMA_ADDR,                    \
      PCI,PCIMA,##FIELD,val)

  #define _PCI_PCIMA_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ32(_PCI_PCIMA_ADDR,                   \
      PCI,PCIMA,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  P C I M C            |
* |_______________________|
*
* PCIMC - PCI Master Control Register
*
* FIELDS (msb -> lsb)
* (RW)	CNT       	[31:16]	 - Transfer count. (Number of bytes to be transferred.)
* (RW)	START     	[ 1: 0]	 - Start and transfer direction set
*
\******************************************************************************/
/*#define _PCI_PCIMC_RECIDX                          Not recorded */

  #define _PCI_PCIMC_ADDR                            0x01C00018u

  #define _PCI_PCIMC_REGOFFS                         0x00000018u
  #define _PCI_PCIMC_REGOFFS32                       0x00000006u

  #define _PCI_PCIMC_CNT_MASK                        0xFFFF0000u
  #define _PCI_PCIMC_CNT_SHIFT                       16
  #define PCI_PCIMC_CNT_DEFAULT                      0x00000000u
  #define PCI_PCIMC_CNT_OF(x)                        _VALUEOF32(x)

  #define _PCI_PCIMC_START_MASK                      0x00000003u
  #define _PCI_PCIMC_START_SHIFT                     0
  #define PCI_PCIMC_START_DEFAULT                    0x00000000u
  #define PCI_PCIMC_START_OF(x)                      _VALUEOF32(x)
  #define PCI_PCIMC_START_FLUSH                      0x00000000u
  #define PCI_PCIMC_START_WRITE                      0x00000001u
  #define PCI_PCIMC_START_READPF                     0x00000002u
  #define PCI_PCIMC_START_READNPF                    0x00000003u
  #define PCI_PCIMC_START_COMPLETE                   0x00000000u
  #define _PCI_PCIMC_START_FLUSH_SV                  0x00000000u
  #define _PCI_PCIMC_START_WRITE_SV                  0x00000001u
  #define _PCI_PCIMC_START_READPF_SV                 0x00000002u
  #define _PCI_PCIMC_START_READNPF_SV                0x00000003u
  #define _PCI_PCIMC_START_COMPLETE_SV               0x00000000u

  #define PCI_PCIMC_OF(val)                          _VALUEOF32(val)
  #define PCI_PCIMC_DEFAULT (Uint32)(                \
      _PER_FDEFAULT32(PCI,PCIMC,CNT)                 \
    | _PER_FDEFAULT32(PCI,PCIMC,START)               \
  )

  #define PCI_PCIMC_RMK(cnt,start)                   \
    (Uint32)(                                        \
      _PER_FMK32(PCI,PCIMC,CNT,cnt)                  \
    | _PER_FMK32(PCI,PCIMC,START,start)              \
  )

  #define PCI_PCIMC_RMKS(CNT,START)                  \
    (Uint32)(                                        \
      _PCI_PCIMC_CNT_##CNT##_SV                      \
    | _PCI_PCIMC_START_##START##_SV                  \
  )

  #define _PCI_PCIMC_FGET(FIELD)                     \
    _PER_FGET32(_PCI_PCIMC_ADDR,                     \
      PCI,PCIMC,##FIELD)

  #define _PCI_PCIMC_FSET(FIELD,field)               \
    _PER_FSET32(_PCI_PCIMC_ADDR,                     \
      PCI,PCIMC,##FIELD,field)

  #define _PCI_PCIMC_FSETS(FIELD,SYM)                \
    _PER_FSETS32(_PCI_PCIMC_ADDR,                    \
      PCI,PCIMC,##FIELD,##SYM)

  #define _PCI_PCIMC_FGETQ(FIELD,val)                \
    _PER_FGETQ32(_PCI_PCIMC_ADDR,                    \
      PCI,PCIMC,##FIELD,val)

  #define _PCI_PCIMC_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ32(_PCI_PCIMC_ADDR,                   \
      PCI,PCIMC,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  C D S P A            |
* |_______________________|
*
* CDSPA - Current DSP Address Register
*
* FIELDS (msb -> lsb)
* (R.)	ADDR      	[31: 0]	 - Current DSP address for master transactions
*
\******************************************************************************/
/*#define _PCI_CDSPA_RECIDX                          Not recorded */

  #define _PCI_CDSPA_ADDR                            0x01C0001Cu

  #define _PCI_CDSPA_REGOFFS                         0x0000001Cu
  #define _PCI_CDSPA_REGOFFS32                       0x00000007u

  #define _PCI_CDSPA_ADDR_MASK                       0xFFFFFFFFu
  #define _PCI_CDSPA_ADDR_SHIFT                      0
  #define PCI_CDSPA_ADDR_DEFAULT                     0x00000000u
  #define PCI_CDSPA_ADDR_OF(x)                       _VALUEOF32(x)

  #define PCI_CDSPA_OF(val)                          _VALUEOF32(val)
  #define PCI_CDSPA_DEFAULT (Uint32)(                \
      _PER_FDEFAULT32(PCI,CDSPA,ADDR)                \
  )

  #define _PCI_CDSPA_FGET(FIELD)                     \
    _PER_FGET32(_PCI_CDSPA_ADDR,                     \
      PCI,CDSPA,##FIELD)

  #define _PCI_CDSPA_FSET(FIELD,field)               \
    _PER_FSET32(_PCI_CDSPA_ADDR,                     \
      PCI,CDSPA,##FIELD,field)

  #define _PCI_CDSPA_FSETS(FIELD,SYM)                \
    _PER_FSETS32(_PCI_CDSPA_ADDR,                    \
      PCI,CDSPA,##FIELD,##SYM)

  #define _PCI_CDSPA_FGETQ(FIELD,val)                \
    _PER_FGETQ32(_PCI_CDSPA_ADDR,                    \
      PCI,CDSPA,##FIELD,val)

  #define _PCI_CDSPA_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ32(_PCI_CDSPA_ADDR,                   \
      PCI,CDSPA,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  C P C I A            |
* |_______________________|
*
* CPCIA - Current PCI Address Register
*
* FIELDS (msb -> lsb)
* (R.)	ADDR      	[31: 0]	 - Current PCI address for master transactions
*
\******************************************************************************/
/*#define _PCI_CPCIA_RECIDX                          Not recorded */

  #define _PCI_CPCIA_ADDR                            0x01C00020u

  #define _PCI_CPCIA_REGOFFS                         0x00000020u
  #define _PCI_CPCIA_REGOFFS32                       0x00000008u

  #define _PCI_CPCIA_ADDR_MASK                       0xFFFFFFFFu
  #define _PCI_CPCIA_ADDR_SHIFT                      0
  #define PCI_CPCIA_ADDR_DEFAULT                     0x00000000u
  #define PCI_CPCIA_ADDR_OF(x)                       _VALUEOF32(x)

  #define PCI_CPCIA_OF(val)                          _VALUEOF32(val)
  #define PCI_CPCIA_DEFAULT (Uint32)(                \
      _PER_FDEFAULT32(PCI,CPCIA,ADDR)                \
  )

  #define _PCI_CPCIA_FGET(FIELD)                     \
    _PER_FGET32(_PCI_CPCIA_ADDR,                     \
      PCI,CPCIA,##FIELD)

  #define _PCI_CPCIA_FSET(FIELD,field)               \
    _PER_FSET32(_PCI_CPCIA_ADDR,                     \
      PCI,CPCIA,##FIELD,field)

  #define _PCI_CPCIA_FSETS(FIELD,SYM)                \
    _PER_FSETS32(_PCI_CPCIA_ADDR,                    \
      PCI,CPCIA,##FIELD,##SYM)

  #define _PCI_CPCIA_FGETQ(FIELD,val)                \
    _PER_FGETQ32(_PCI_CPCIA_ADDR,                    \
      PCI,CPCIA,##FIELD,val)

  #define _PCI_CPCIA_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ32(_PCI_CPCIA_ADDR,                   \
      PCI,CPCIA,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  C C N T              |
* |_______________________|
*
* CCNT - Current Byte Count Register
*
* FIELDS (msb -> lsb)
* (R.)	CNTLEFT   	[15: 0]	 - The number of bytes left on the master transaction
*
\******************************************************************************/
/*#define _PCI_CCNT_RECIDX                           Not recorded */

  #define _PCI_CCNT_ADDR                             0x01C00024u

  #define _PCI_CCNT_REGOFFS                          0x00000024u
  #define _PCI_CCNT_REGOFFS32                        0x00000009u

  #define _PCI_CCNT_CNTLEFT_MASK                     0x0000FFFFu
  #define _PCI_CCNT_CNTLEFT_SHIFT                    0
  #define PCI_CCNT_CNTLEFT_DEFAULT                   0x00000000u
  #define PCI_CCNT_CNTLEFT_OF(x)                     _VALUEOF32(x)

  #define PCI_CCNT_OF(val)                           _VALUEOF32(val)
  #define PCI_CCNT_DEFAULT (Uint32)(                 \
      _PER_FDEFAULT32(PCI,CCNT,CNTLEFT)              \
  )

  #define _PCI_CCNT_FGET(FIELD)                      \
    _PER_FGET32(_PCI_CCNT_ADDR,                      \
      PCI,CCNT,##FIELD)

  #define _PCI_CCNT_FSET(FIELD,field)                \
    _PER_FSET32(_PCI_CCNT_ADDR,                      \
      PCI,CCNT,##FIELD,field)

  #define _PCI_CCNT_FSETS(FIELD,SYM)                 \
    _PER_FSETS32(_PCI_CCNT_ADDR,                     \
      PCI,CCNT,##FIELD,##SYM)

  #define _PCI_CCNT_FGETQ(FIELD,val)                 \
    _PER_FGETQ32(_PCI_CCNT_ADDR,                     \
      PCI,CCNT,##FIELD,val)

  #define _PCI_CCNT_FGETSQ(FIELD,SYM)                \
    _PER_FGETSQ32(_PCI_CCNT_ADDR,                    \
      PCI,CCNT,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  E E A D D            |
* |_______________________|
*
* EEADD - EEPROM Address Register
*
* FIELDS (msb -> lsb)
* (RW)	ADDR      	[ 9: 0]	 - Word address within EEPROM memory space
*
\******************************************************************************/
/*#define _PCI_EEADD_RECIDX                          Not recorded */

  #define _PCI_EEADD_ADDR                            0x01C20000u

  #define _PCI_EEADD_REGOFFS                         0x00020000u
  #define _PCI_EEADD_REGOFFS32                       0x00008000u

  #define _PCI_EEADD_ADDR_MASK                       0x000003FFu
  #define _PCI_EEADD_ADDR_SHIFT                      0
  #define PCI_EEADD_ADDR_DEFAULT                     0x00000000u
  #define PCI_EEADD_ADDR_OF(x)                       _VALUEOF32(x)
  #define PCI_EEADD_ADDR_OPEWEN                      0x000000C0u
  #define PCI_EEADD_ADDR_OPERAL                      0x00000080u
  #define PCI_EEADD_ADDR_OPWRAL                      0x00000040u
  #define PCI_EEADD_ADDR_OPEWDS                      0x00000000u
  #define _PCI_EEADD_ADDR_OPEWEN_SV                  0x000000C0u
  #define _PCI_EEADD_ADDR_OPERAL_SV                  0x00000080u
  #define _PCI_EEADD_ADDR_OPWRAL_SV                  0x00000040u
  #define _PCI_EEADD_ADDR_OPEWDS_SV                  0x00000000u

  #define PCI_EEADD_OF(val)                          _VALUEOF32(val)
  #define PCI_EEADD_DEFAULT (Uint32)(                \
      _PER_FDEFAULT32(PCI,EEADD,ADDR)                \
  )

  #define PCI_EEADD_RMK(addr)                        \
    (Uint32)(                                        \
      _PER_FMK32(PCI,EEADD,ADDR,addr)                \
  )

  #define PCI_EEADD_RMKS(ADDR)                       \
    (Uint32)(                                        \
      _PCI_EEADD_ADDR_##ADDR##_SV                    \
  )

  #define _PCI_EEADD_FGET(FIELD)                     \
    _PER_FGET32(_PCI_EEADD_ADDR,                     \
      PCI,EEADD,##FIELD)

  #define _PCI_EEADD_FSET(FIELD,field)               \
    _PER_FSET32(_PCI_EEADD_ADDR,                     \
      PCI,EEADD,##FIELD,field)

  #define _PCI_EEADD_FSETS(FIELD,SYM)                \
    _PER_FSETS32(_PCI_EEADD_ADDR,                    \
      PCI,EEADD,##FIELD,##SYM)

  #define _PCI_EEADD_FGETQ(FIELD,val)                \
    _PER_FGETQ32(_PCI_EEADD_ADDR,                    \
      PCI,EEADD,##FIELD,val)

  #define _PCI_EEADD_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ32(_PCI_EEADD_ADDR,                   \
      PCI,EEADD,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  E E D A T            |
* |_______________________|
*
* EEDAT - EEPROM Data Register
*
* FIELDS (msb -> lsb)
* (RW)	DATA      	[15: 0]	 - Data to/from EEPROM
*
\******************************************************************************/
/*#define _PCI_EEDAT_RECIDX                          Not recorded */

  #define _PCI_EEDAT_ADDR                            0x01C20004u

  #define _PCI_EEDAT_REGOFFS                         0x00020004u
  #define _PCI_EEDAT_REGOFFS32                       0x00008001u

  #define _PCI_EEDAT_DATA_MASK                       0x0000FFFFu
  #define _PCI_EEDAT_DATA_SHIFT                      0
  #define PCI_EEDAT_DATA_DEFAULT                     0x00000000u
  #define PCI_EEDAT_DATA_OF(x)                       _VALUEOF32(x)

  #define PCI_EEDAT_OF(val)                          _VALUEOF32(val)
  #define PCI_EEDAT_DEFAULT (Uint32)(                \
      _PER_FDEFAULT32(PCI,EEDAT,DATA)                \
  )

  #define PCI_EEDAT_RMK(data)                        \
    (Uint32)(                                        \
      _PER_FMK32(PCI,EEDAT,DATA,data)                \
  )

  #define PCI_EEDAT_RMKS(DATA)                       \
    (Uint32)(                                        \
      _PCI_EEDAT_DATA_##DATA##_SV                    \
  )

  #define _PCI_EEDAT_FGET(FIELD)                     \
    _PER_FGET32(_PCI_EEDAT_ADDR,                     \
      PCI,EEDAT,##FIELD)

  #define _PCI_EEDAT_FSET(FIELD,field)               \
    _PER_FSET32(_PCI_EEDAT_ADDR,                     \
      PCI,EEDAT,##FIELD,field)

  #define _PCI_EEDAT_FSETS(FIELD,SYM)                \
    _PER_FSETS32(_PCI_EEDAT_ADDR,                    \
      PCI,EEDAT,##FIELD,##SYM)

  #define _PCI_EEDAT_FGETQ(FIELD,val)                \
    _PER_FGETQ32(_PCI_EEDAT_ADDR,                    \
      PCI,EEDAT,##FIELD,val)

  #define _PCI_EEDAT_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ32(_PCI_EEDAT_ADDR,                   \
      PCI,EEDAT,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  E E C T L            |
* |_______________________|
*
* EECTL - EEPROM Control Register
*
* FIELDS (msb -> lsb)
* (R.)	CFGDONE   	[ 8: 8]	 - Configuration done
* (R.)	CFGERR    	[ 7: 7]	 - Checksum failed error
* (R.)	EEAI      	[ 6: 6]	 - State of EEAI pin at power-on reset (PCI has read EEPROM)
* (R.)	EESZ      	[ 5: 3]	 - EEPROM size
* (R.)	READY     	[ 2: 2]	 - EEPROM is ready for a new command
* (RW)	EECNT     	[ 1: 0]	 - EEPROM op code
*
\******************************************************************************/
/*#define _PCI_EECTL_RECIDX                          Not recorded */

  #define _PCI_EECTL_ADDR                            0x01C20008u

  #define _PCI_EECTL_REGOFFS                         0x00020008u
  #define _PCI_EECTL_REGOFFS32                       0x00008002u

  #define _PCI_EECTL_CFGDONE_MASK                    0x00000100u
  #define _PCI_EECTL_CFGDONE_SHIFT                   8
  #define PCI_EECTL_CFGDONE_DEFAULT                  0x00000000u
  #define PCI_EECTL_CFGDONE_OF(x)                    _VALUEOF32(x)
  #define PCI_EECTL_CFGDONE_NO                       0x00000000u
  #define PCI_EECTL_CFGDONE_YES                      0x00000001u
  #define PCI_EECTL_CFGDONE_DONE                     0x00000001u
  #define PCI_EECTL_CFGDONE_COMPLETE                 0x00000001u
  #define _PCI_EECTL_CFGDONE_NO_SV                   0x00000000u
  #define _PCI_EECTL_CFGDONE_YES_SV                  0x00000100u
  #define _PCI_EECTL_CFGDONE_DONE_SV                 0x00000100u
  #define _PCI_EECTL_CFGDONE_COMPLETE_SV             0x00000100u

  #define _PCI_EECTL_CFGERR_MASK                     0x00000080u
  #define _PCI_EECTL_CFGERR_SHIFT                    7
  #define PCI_EECTL_CFGERR_DEFAULT                   0x00000000u
  #define PCI_EECTL_CFGERR_OF(x)                     _VALUEOF32(x)
  #define PCI_EECTL_CFGERR_NOERROR                   0x00000000u
  #define PCI_EECTL_CFGERR_ERROR                     0x00000001u
  #define PCI_EECTL_CFGERR_CKSUMERR                  0x00000001u
  #define _PCI_EECTL_CFGERR_NOERROR_SV               0x00000000u
  #define _PCI_EECTL_CFGERR_ERROR_SV                 0x00000080u
  #define _PCI_EECTL_CFGERR_CKSUMERR_SV              0x00000080u

  #define _PCI_EECTL_EEAI_MASK                       0x00000040u
  #define _PCI_EECTL_EEAI_SHIFT                      6
  #define PCI_EECTL_EEAI_DEFAULT                     0x00000000u
  #define PCI_EECTL_EEAI_OF(x)                       _VALUEOF32(x)
  #define PCI_EECTL_EEAI_DEFAULT                     0x00000000u
  #define PCI_EECTL_EEAI_EEPROM                      0x00000000u
  #define _PCI_EECTL_EEAI_DEFAULT_SV                 0x00000000u
  #define _PCI_EECTL_EEAI_EEPROM_SV                  0x00000000u

  #define _PCI_EECTL_EESZ_MASK                       0x00000038u
  #define _PCI_EECTL_EESZ_SHIFT                      3
  #define PCI_EECTL_EESZ_DEFAULT                     0x00000000u
  #define PCI_EECTL_EESZ_OF(x)                       _VALUEOF32(x)
  #define PCI_EECTL_EESZ_4K                          0x00000003u
  #define _PCI_EECTL_EESZ_4K_SV                      0x00000018u

  #define _PCI_EECTL_READY_MASK                      0x00000004u
  #define _PCI_EECTL_READY_SHIFT                     2
  #define PCI_EECTL_READY_DEFAULT                    0x00000000u
  #define PCI_EECTL_READY_OF(x)                      _VALUEOF32(x)
  #define PCI_EECTL_READY_BUSY                       0x00000000u
  #define PCI_EECTL_READY_READY                      0x00000001u
  #define PCI_EECTL_READY_COMPLETE                   0x00000001u
  #define _PCI_EECTL_READY_BUSY_SV                   0x00000000u
  #define _PCI_EECTL_READY_READY_SV                  0x00000004u
  #define _PCI_EECTL_READY_COMPLETE_SV               0x00000004u

  #define _PCI_EECTL_EECNT_MASK                      0x00000003u
  #define _PCI_EECTL_EECNT_SHIFT                     0
  #define PCI_EECTL_EECNT_DEFAULT                    0x00000000u
  #define PCI_EECTL_EECNT_OF(x)                      _VALUEOF32(x)
  #define PCI_EECTL_EECNT_EXTOP                      0x00000000u
  #define PCI_EECTL_EECNT_WRITE                      0x00000001u
  #define PCI_EECTL_EECNT_READ                       0x00000002u
  #define PCI_EECTL_EECNT_ERASE                      0x00000003u
  #define _PCI_EECTL_EECNT_EXTOP_SV                  0x00000000u
  #define _PCI_EECTL_EECNT_WRITE_SV                  0x00000001u
  #define _PCI_EECTL_EECNT_READ_SV                   0x00000002u
  #define _PCI_EECTL_EECNT_ERASE_SV                  0x00000003u

  #define PCI_EECTL_OF(val)                          _VALUEOF32(val)
  #define PCI_EECTL_DEFAULT (Uint32)(                \
      _PER_FDEFAULT32(PCI,EECTL,CFGDONE)             \
    | _PER_FDEFAULT32(PCI,EECTL,CFGERR)              \
    | _PER_FDEFAULT32(PCI,EECTL,EEAI)                \
    | _PER_FDEFAULT32(PCI,EECTL,EESZ)                \
    | _PER_FDEFAULT32(PCI,EECTL,READY)               \
    | _PER_FDEFAULT32(PCI,EECTL,EECNT)               \
  )

  #define PCI_EECTL_RMK(eecnt)                       \
    (Uint32)(                                        \
      _PER_FMK32(PCI,EECTL,EECNT,eecnt)              \
  )

  #define PCI_EECTL_RMKS(EECNT)                      \
    (Uint32)(                                        \
      _PCI_EECTL_EECNT_##EECNT##_SV                  \
  )

  #define _PCI_EECTL_FGET(FIELD)                     \
    _PER_FGET32(_PCI_EECTL_ADDR,                     \
      PCI,EECTL,##FIELD)

  #define _PCI_EECTL_FSET(FIELD,field)               \
    _PER_FSET32(_PCI_EECTL_ADDR,                     \
      PCI,EECTL,##FIELD,field)

  #define _PCI_EECTL_FSETS(FIELD,SYM)                \
    _PER_FSETS32(_PCI_EECTL_ADDR,                    \
      PCI,EECTL,##FIELD,##SYM)

  #define _PCI_EECTL_FGETQ(FIELD,val)                \
    _PER_FGETQ32(_PCI_EECTL_ADDR,                    \
      PCI,EECTL,##FIELD,val)

  #define _PCI_EECTL_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ32(_PCI_EECTL_ADDR,                   \
      PCI,EECTL,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_PCI_SUPPORT) */
#endif /* _BSL_PCIHAL_H_ */
/******************************************************************************\
* End of bsl_pcihal.h
\******************************************************************************/
