/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral UBADC
* FILENAME......... bsl_ubadchal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:02
* LAST MODIFIED AT. 01/14/2006 15:26:02
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. UBADC
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 8-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. UBADC is 0x60004000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* FLT1CFG     -  ADC1 Filter Configuration
* FLT2CFG     -  ADC2 Filter Configuration
* CONV1SEL    -  ADC1 Conversation Start Select
* CONV2SEL    -  ADC2 Conversation Start Select
* MODE1SEL    -  ADC1 Mode Select
* MODE2SEL    -  ADC2 Mode Select
*
\******************************************************************************/
#ifndef _BSL_UBADCHAL_H_
#define _BSL_UBADCHAL_H_

#include <bsl.h>


#if (BSL_UBADC_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _UBADC_DEVICE_COUNT                        1

  #define _UBADC_BASE_ADDRESS                        0x60004000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define UBADC_FMK(REG,FIELD,val)\
    _PER_FMK8(UBADC,##REG,##FIELD,val)

  #define UBADC_FMKS(REG,FIELD,SYM)\
    _PER_FMKS8(UBADC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define UBADC_ADDR(REG)\
    _UBADC_##REG##_ADDR

  #define UBADC_RGET(REG)\
    _PER_RGET8(_UBADC_##REG##_ADDR,UBADC,##REG)

  #define UBADC_RSET(REG,val)\
    _PER_RSET8(_UBADC_##REG##_ADDR,UBADC,##REG,val)

  #define UBADC_RFSETS(REG,FIELD,SYM)\
    UBADC_RSET(##REG,_UBADC_##REG##_##FIELD##_##SYM##_SV)

  #define UBADC_FGET(REG,FIELD)\
    _UBADC_##REG##_FGET(##FIELD)

  #define UBADC_FSET(REG,FIELD,val)\
    _UBADC_##REG##_FSET(##FIELD,val)

  #define UBADC_FSETS(REG,FIELD,SYM)\
    _UBADC_##REG##_FSETS(##FIELD,##SYM)

  #define UBADC_FGETQ(REG,FIELD,val)\
    _UBADC_##REG##_FGETQ(##FIELD,val)

  #define UBADC_FGETSQ(REG,FIELD,SYM)\
    _UBADC_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define UBADC_RGETA(addr,REG)\
    _PER_RGET8(addr,UBADC,##REG)

  #define UBADC_RSETA(addr,REG,val)\
    _PER_RSET8(addr,UBADC,##REG,val)

  #define UBADC_RFSETSA(addr,REG,FIELD,SYM)\
    UBADC_RSETA(addr,##REG,_UBADC_##REG##_##FIELD##_##SYM##_SV)

  #define UBADC_FGETA(addr,REG,FIELD)\
    _PER_FGET8(addr,UBADC,##REG,##FIELD)

  #define UBADC_FSETA(addr,REG,FIELD,val)\
    _PER_FSET8(addr,UBADC,##REG,##FIELD,val)

  #define UBADC_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS8(addr,UBADC,##REG,##FIELD,##SYM)

  #define UBADC_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ8(addr,UBADC,##REG,##FIELD,val)

  #define UBADC_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ8(addr,UBADC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define UBADC_VRGET(var,REG)\
    _PER_VRGET8(var,UBADC,##REG)

  #define UBADC_VRSET(var,REG,val)\
    _PER_VRSET8(var,UBADC,##REG,val)

  #define UBADC_VRFSETS(var,REG,FIELD,SYM)\
    UBADC_VRSET(var,##REG,_UBADC_##REG##_##FIELD##_##SYM##_SV)

  #define UBADC_VFGET(var,REG,FIELD)\
    _PER_VFGET8(var,UBADC,##REG,##FIELD)

  #define UBADC_VFSET(var,REG,FIELD,val)\
    _PER_VFSET8(var,UBADC,##REG,##FIELD,val)

  #define UBADC_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS8(var,UBADC,##REG,##FIELD,##SYM)

  #define UBADC_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ8(var,UBADC,##REG,##FIELD,val)

  #define UBADC_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ8(var,UBADC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS8          Offset in 8-bit bytes from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  F L T 1 C F G        |
* |_______________________|
*
* FLT1CFG - ADC1 Filter Configuration
*
* FIELDS (msb -> lsb)
* (RW)	CLKDIV    	[ 7: 0]	 - Clock Division to define cutoff freq.
*
\******************************************************************************/
/*#define _UBADC_FLT1CFG_RECIDX                      Not recorded */

  #define _UBADC_FLT1CFG_ADDR                        0x6000400Bu

  #define _UBADC_FLT1CFG_REGOFFS                     0x0000000Bu
  #define _UBADC_FLT1CFG_REGOFFS8                    0x0000000Bu

  #define _UBADC_FLT1CFG_CLKDIV_MASK                 0xFFu
  #define _UBADC_FLT1CFG_CLKDIV_SHIFT                0
  #define UBADC_FLT1CFG_CLKDIV_DEFAULT               0x00u
  #define UBADC_FLT1CFG_CLKDIV_OF(x)                 _VALUEOF8(x)
  #define UBADC_FLT1CFG_CLKDIV_125_KHZ               0x00u
  #define UBADC_FLT1CFG_CLKDIV_62_5_KHZ              0x01u
  #define UBADC_FLT1CFG_CLKDIV_31_25_KHZ             0x02u
  #define UBADC_FLT1CFG_CLKDIV_25_KHZ                0x04u
  #define _UBADC_FLT1CFG_CLKDIV_125_KHZ_SV           0x00u
  #define _UBADC_FLT1CFG_CLKDIV_62_5_KHZ_SV          0x01u
  #define _UBADC_FLT1CFG_CLKDIV_31_25_KHZ_SV         0x02u
  #define _UBADC_FLT1CFG_CLKDIV_25_KHZ_SV            0x04u

  #define UBADC_FLT1CFG_OF(val)                      _VALUEOF8(val)
  #define UBADC_FLT1CFG_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(UBADC,FLT1CFG,CLKDIV)           \
  )

  #define UBADC_FLT1CFG_RMK(clkdiv)                  \
    (Uint8)(                                         \
      _PER_FMK8(UBADC,FLT1CFG,CLKDIV,clkdiv)         \
  )

  #define UBADC_FLT1CFG_RMKS(CLKDIV)                 \
    (Uint8)(                                         \
      _UBADC_FLT1CFG_CLKDIV_##CLKDIV##_SV            \
  )

  #define _UBADC_FLT1CFG_FGET(FIELD)                 \
    _PER_FGET8(_UBADC_FLT1CFG_ADDR,                  \
      UBADC,FLT1CFG,##FIELD)

  #define _UBADC_FLT1CFG_FSET(FIELD,field)           \
    _PER_FSET8(_UBADC_FLT1CFG_ADDR,                  \
      UBADC,FLT1CFG,##FIELD,field)

  #define _UBADC_FLT1CFG_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_UBADC_FLT1CFG_ADDR,                 \
      UBADC,FLT1CFG,##FIELD,##SYM)

  #define _UBADC_FLT1CFG_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_UBADC_FLT1CFG_ADDR,                 \
      UBADC,FLT1CFG,##FIELD,val)

  #define _UBADC_FLT1CFG_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_UBADC_FLT1CFG_ADDR,                \
      UBADC,FLT1CFG,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  F L T 2 C F G        |
* |_______________________|
*
* FLT2CFG - ADC2 Filter Configuration
*
* FIELDS (msb -> lsb)
* (RW)	CLKDIV    	[ 7: 0]	 - Clock Division to define cutoff freq.
*
\******************************************************************************/
/*#define _UBADC_FLT2CFG_RECIDX                      Not recorded */

  #define _UBADC_FLT2CFG_ADDR                        0x6000400Cu

  #define _UBADC_FLT2CFG_REGOFFS                     0x0000000Cu
  #define _UBADC_FLT2CFG_REGOFFS8                    0x0000000Cu

  #define _UBADC_FLT2CFG_CLKDIV_MASK                 0xFFu
  #define _UBADC_FLT2CFG_CLKDIV_SHIFT                0
  #define UBADC_FLT2CFG_CLKDIV_DEFAULT               0x00u
  #define UBADC_FLT2CFG_CLKDIV_OF(x)                 _VALUEOF8(x)
  #define UBADC_FLT2CFG_CLKDIV_125_KHZ               0x00u
  #define UBADC_FLT2CFG_CLKDIV_62_5_KHZ              0x01u
  #define UBADC_FLT2CFG_CLKDIV_31_25_KHZ             0x02u
  #define UBADC_FLT2CFG_CLKDIV_25_KHZ                0x04u
  #define _UBADC_FLT2CFG_CLKDIV_125_KHZ_SV           0x00u
  #define _UBADC_FLT2CFG_CLKDIV_62_5_KHZ_SV          0x01u
  #define _UBADC_FLT2CFG_CLKDIV_31_25_KHZ_SV         0x02u
  #define _UBADC_FLT2CFG_CLKDIV_25_KHZ_SV            0x04u

  #define UBADC_FLT2CFG_OF(val)                      _VALUEOF8(val)
  #define UBADC_FLT2CFG_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(UBADC,FLT2CFG,CLKDIV)           \
  )

  #define UBADC_FLT2CFG_RMK(clkdiv)                  \
    (Uint8)(                                         \
      _PER_FMK8(UBADC,FLT2CFG,CLKDIV,clkdiv)         \
  )

  #define UBADC_FLT2CFG_RMKS(CLKDIV)                 \
    (Uint8)(                                         \
      _UBADC_FLT2CFG_CLKDIV_##CLKDIV##_SV            \
  )

  #define _UBADC_FLT2CFG_FGET(FIELD)                 \
    _PER_FGET8(_UBADC_FLT2CFG_ADDR,                  \
      UBADC,FLT2CFG,##FIELD)

  #define _UBADC_FLT2CFG_FSET(FIELD,field)           \
    _PER_FSET8(_UBADC_FLT2CFG_ADDR,                  \
      UBADC,FLT2CFG,##FIELD,field)

  #define _UBADC_FLT2CFG_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_UBADC_FLT2CFG_ADDR,                 \
      UBADC,FLT2CFG,##FIELD,##SYM)

  #define _UBADC_FLT2CFG_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_UBADC_FLT2CFG_ADDR,                 \
      UBADC,FLT2CFG,##FIELD,val)

  #define _UBADC_FLT2CFG_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_UBADC_FLT2CFG_ADDR,                \
      UBADC,FLT2CFG,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  C O N V 1 S E L      |
* |_______________________|
*
* CONV1SEL - ADC1 Conversation Start Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - Source of the ADC1 Conversion Start signal
*
\******************************************************************************/
/*#define _UBADC_CONV1SEL_RECIDX                     Not recorded */

  #define _UBADC_CONV1SEL_ADDR                       0x6000401Cu

  #define _UBADC_CONV1SEL_REGOFFS                    0x0000001Cu
  #define _UBADC_CONV1SEL_REGOFFS8                   0x0000001Cu

  #define _UBADC_CONV1SEL_SOURCE_MASK                0x0Fu
  #define _UBADC_CONV1SEL_SOURCE_SHIFT               0
  #define UBADC_CONV1SEL_SOURCE_DEFAULT              0x00u
  #define UBADC_CONV1SEL_SOURCE_OF(x)                _VALUEOF8(x)
  #define UBADC_CONV1SEL_SOURCE_DSP1_SW_START1       0x00u
  #define UBADC_CONV1SEL_SOURCE_DSP1_SW_START2       0x01u
  #define UBADC_CONV1SEL_SOURCE_DSP2_SW_START1       0x02u
  #define UBADC_CONV1SEL_SOURCE_DSP2_SW_START2       0x03u
  #define UBADC_CONV1SEL_SOURCE_RBMLVDSBUS0          0x04u
  #define UBADC_CONV1SEL_SOURCE_RBMLVDSBUS1          0x05u
  #define UBADC_CONV1SEL_SOURCE_SYNCBUS0             0x06u
  #define UBADC_CONV1SEL_SOURCE_SYNCBUS1             0x07u
  #define UBADC_CONV1SEL_SOURCE_SYNCBUS2             0x08u
  #define UBADC_CONV1SEL_SOURCE_DSP1_TOUT0           0x09u
  #define UBADC_CONV1SEL_SOURCE_DSP1_TOUT1           0x0Au
  #define UBADC_CONV1SEL_SOURCE_DSP1_TOUT2           0x0Bu
  #define UBADC_CONV1SEL_SOURCE_DSP2_TOUT0           0x0Cu
  #define UBADC_CONV1SEL_SOURCE_DSP2_TOUT1           0x0Du
  #define UBADC_CONV1SEL_SOURCE_DSP2_TOUT2           0x0Eu
  #define UBADC_CONV1SEL_SOURCE_DDS_OUT              0x0Fu
  #define _UBADC_CONV1SEL_SOURCE_DSP1_SW_START1_SV   0x00u
  #define _UBADC_CONV1SEL_SOURCE_DSP1_SW_START2_SV   0x01u
  #define _UBADC_CONV1SEL_SOURCE_DSP2_SW_START1_SV   0x02u
  #define _UBADC_CONV1SEL_SOURCE_DSP2_SW_START2_SV   0x03u
  #define _UBADC_CONV1SEL_SOURCE_RBMLVDSBUS0_SV      0x04u
  #define _UBADC_CONV1SEL_SOURCE_RBMLVDSBUS1_SV      0x05u
  #define _UBADC_CONV1SEL_SOURCE_SYNCBUS0_SV         0x06u
  #define _UBADC_CONV1SEL_SOURCE_SYNCBUS1_SV         0x07u
  #define _UBADC_CONV1SEL_SOURCE_SYNCBUS2_SV         0x08u
  #define _UBADC_CONV1SEL_SOURCE_DSP1_TOUT0_SV       0x09u
  #define _UBADC_CONV1SEL_SOURCE_DSP1_TOUT1_SV       0x0Au
  #define _UBADC_CONV1SEL_SOURCE_DSP1_TOUT2_SV       0x0Bu
  #define _UBADC_CONV1SEL_SOURCE_DSP2_TOUT0_SV       0x0Cu
  #define _UBADC_CONV1SEL_SOURCE_DSP2_TOUT1_SV       0x0Du
  #define _UBADC_CONV1SEL_SOURCE_DSP2_TOUT2_SV       0x0Eu
  #define _UBADC_CONV1SEL_SOURCE_DDS_OUT_SV          0x0Fu

  #define UBADC_CONV1SEL_OF(val)                     _VALUEOF8(val)
  #define UBADC_CONV1SEL_DEFAULT (Uint8)(            \
      _PER_FDEFAULT8(UBADC,CONV1SEL,SOURCE)          \
  )

  #define UBADC_CONV1SEL_RMK(source)                 \
    (Uint8)(                                         \
      _PER_FMK8(UBADC,CONV1SEL,SOURCE,source)        \
  )

  #define UBADC_CONV1SEL_RMKS(SOURCE)                \
    (Uint8)(                                         \
      _UBADC_CONV1SEL_SOURCE_##SOURCE##_SV           \
  )

  #define _UBADC_CONV1SEL_FGET(FIELD)                \
    _PER_FGET8(_UBADC_CONV1SEL_ADDR,                 \
      UBADC,CONV1SEL,##FIELD)

  #define _UBADC_CONV1SEL_FSET(FIELD,field)          \
    _PER_FSET8(_UBADC_CONV1SEL_ADDR,                 \
      UBADC,CONV1SEL,##FIELD,field)

  #define _UBADC_CONV1SEL_FSETS(FIELD,SYM)           \
    _PER_FSETS8(_UBADC_CONV1SEL_ADDR,                \
      UBADC,CONV1SEL,##FIELD,##SYM)

  #define _UBADC_CONV1SEL_FGETQ(FIELD,val)           \
    _PER_FGETQ8(_UBADC_CONV1SEL_ADDR,                \
      UBADC,CONV1SEL,##FIELD,val)

  #define _UBADC_CONV1SEL_FGETSQ(FIELD,SYM)          \
    _PER_FGETSQ8(_UBADC_CONV1SEL_ADDR,               \
      UBADC,CONV1SEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  C O N V 2 S E L      |
* |_______________________|
*
* CONV2SEL - ADC2 Conversation Start Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - Source of the ADC2 Conversion Start signal
*
\******************************************************************************/
/*#define _UBADC_CONV2SEL_RECIDX                     Not recorded */

  #define _UBADC_CONV2SEL_ADDR                       0x6000401Du

  #define _UBADC_CONV2SEL_REGOFFS                    0x0000001Du
  #define _UBADC_CONV2SEL_REGOFFS8                   0x0000001Du

  #define _UBADC_CONV2SEL_SOURCE_MASK                0x0Fu
  #define _UBADC_CONV2SEL_SOURCE_SHIFT               0
  #define UBADC_CONV2SEL_SOURCE_DEFAULT              0x00u
  #define UBADC_CONV2SEL_SOURCE_OF(x)                _VALUEOF8(x)
  #define UBADC_CONV2SEL_SOURCE_DSP1_SW_START1       0x00u
  #define UBADC_CONV2SEL_SOURCE_DSP1_SW_START2       0x01u
  #define UBADC_CONV2SEL_SOURCE_DSP2_SW_START1       0x02u
  #define UBADC_CONV2SEL_SOURCE_DSP2_SW_START2       0x03u
  #define UBADC_CONV2SEL_SOURCE_RBMLVDSBUS0          0x04u
  #define UBADC_CONV2SEL_SOURCE_RBMLVDSBUS1          0x05u
  #define UBADC_CONV2SEL_SOURCE_SYNCBUS0             0x06u
  #define UBADC_CONV2SEL_SOURCE_SYNCBUS1             0x07u
  #define UBADC_CONV2SEL_SOURCE_SYNCBUS2             0x08u
  #define UBADC_CONV2SEL_SOURCE_DSP1_TOUT0           0x09u
  #define UBADC_CONV2SEL_SOURCE_DSP1_TOUT1           0x0Au
  #define UBADC_CONV2SEL_SOURCE_DSP1_TOUT2           0x0Bu
  #define UBADC_CONV2SEL_SOURCE_DSP2_TOUT0           0x0Cu
  #define UBADC_CONV2SEL_SOURCE_DSP2_TOUT1           0x0Du
  #define UBADC_CONV2SEL_SOURCE_DSP2_TOUT2           0x0Eu
  #define UBADC_CONV2SEL_SOURCE_DDS_OUT              0x0Fu
  #define _UBADC_CONV2SEL_SOURCE_DSP1_SW_START1_SV   0x00u
  #define _UBADC_CONV2SEL_SOURCE_DSP1_SW_START2_SV   0x01u
  #define _UBADC_CONV2SEL_SOURCE_DSP2_SW_START1_SV   0x02u
  #define _UBADC_CONV2SEL_SOURCE_DSP2_SW_START2_SV   0x03u
  #define _UBADC_CONV2SEL_SOURCE_RBMLVDSBUS0_SV      0x04u
  #define _UBADC_CONV2SEL_SOURCE_RBMLVDSBUS1_SV      0x05u
  #define _UBADC_CONV2SEL_SOURCE_SYNCBUS0_SV         0x06u
  #define _UBADC_CONV2SEL_SOURCE_SYNCBUS1_SV         0x07u
  #define _UBADC_CONV2SEL_SOURCE_SYNCBUS2_SV         0x08u
  #define _UBADC_CONV2SEL_SOURCE_DSP1_TOUT0_SV       0x09u
  #define _UBADC_CONV2SEL_SOURCE_DSP1_TOUT1_SV       0x0Au
  #define _UBADC_CONV2SEL_SOURCE_DSP1_TOUT2_SV       0x0Bu
  #define _UBADC_CONV2SEL_SOURCE_DSP2_TOUT0_SV       0x0Cu
  #define _UBADC_CONV2SEL_SOURCE_DSP2_TOUT1_SV       0x0Du
  #define _UBADC_CONV2SEL_SOURCE_DSP2_TOUT2_SV       0x0Eu
  #define _UBADC_CONV2SEL_SOURCE_DDS_OUT_SV          0x0Fu

  #define UBADC_CONV2SEL_OF(val)                     _VALUEOF8(val)
  #define UBADC_CONV2SEL_DEFAULT (Uint8)(            \
      _PER_FDEFAULT8(UBADC,CONV2SEL,SOURCE)          \
  )

  #define UBADC_CONV2SEL_RMK(source)                 \
    (Uint8)(                                         \
      _PER_FMK8(UBADC,CONV2SEL,SOURCE,source)        \
  )

  #define UBADC_CONV2SEL_RMKS(SOURCE)                \
    (Uint8)(                                         \
      _UBADC_CONV2SEL_SOURCE_##SOURCE##_SV           \
  )

  #define _UBADC_CONV2SEL_FGET(FIELD)                \
    _PER_FGET8(_UBADC_CONV2SEL_ADDR,                 \
      UBADC,CONV2SEL,##FIELD)

  #define _UBADC_CONV2SEL_FSET(FIELD,field)          \
    _PER_FSET8(_UBADC_CONV2SEL_ADDR,                 \
      UBADC,CONV2SEL,##FIELD,field)

  #define _UBADC_CONV2SEL_FSETS(FIELD,SYM)           \
    _PER_FSETS8(_UBADC_CONV2SEL_ADDR,                \
      UBADC,CONV2SEL,##FIELD,##SYM)

  #define _UBADC_CONV2SEL_FGETQ(FIELD,val)           \
    _PER_FGETQ8(_UBADC_CONV2SEL_ADDR,                \
      UBADC,CONV2SEL,##FIELD,val)

  #define _UBADC_CONV2SEL_FGETSQ(FIELD,SYM)          \
    _PER_FGETSQ8(_UBADC_CONV2SEL_ADDR,               \
      UBADC,CONV2SEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  M O D E 1 S E L      |
* |_______________________|
*
* MODE1SEL - ADC1 Mode Select
*
* FIELDS (msb -> lsb)
* (RW)	MODE      	[ 3: 0]	 - ADC1 Mode Select
*
\******************************************************************************/
/*#define _UBADC_MODE1SEL_RECIDX                     Not recorded */

  #define _UBADC_MODE1SEL_ADDR                       0x60004020u

  #define _UBADC_MODE1SEL_REGOFFS                    0x00000020u
  #define _UBADC_MODE1SEL_REGOFFS8                   0x00000020u

  #define _UBADC_MODE1SEL_MODE_MASK                  0x0Fu
  #define _UBADC_MODE1SEL_MODE_SHIFT                 0
  #define UBADC_MODE1SEL_MODE_DEFAULT                0x00u
  #define UBADC_MODE1SEL_MODE_OF(x)                  _VALUEOF8(x)
  #define UBADC_MODE1SEL_MODE_NO_GAIN_FILT           0x00u
  #define UBADC_MODE1SEL_MODE_GAIN_ONLY              0x01u
  #define UBADC_MODE1SEL_MODE_GAIN_FILT_ON           0x02u
  #define _UBADC_MODE1SEL_MODE_NO_GAIN_FILT_SV       0x00u
  #define _UBADC_MODE1SEL_MODE_GAIN_ONLY_SV          0x01u
  #define _UBADC_MODE1SEL_MODE_GAIN_FILT_ON_SV       0x02u

  #define UBADC_MODE1SEL_OF(val)                     _VALUEOF8(val)
  #define UBADC_MODE1SEL_DEFAULT (Uint8)(            \
      _PER_FDEFAULT8(UBADC,MODE1SEL,MODE)            \
  )

  #define UBADC_MODE1SEL_RMK(mode)                   \
    (Uint8)(                                         \
      _PER_FMK8(UBADC,MODE1SEL,MODE,mode)            \
  )

  #define UBADC_MODE1SEL_RMKS(MODE)                  \
    (Uint8)(                                         \
      _UBADC_MODE1SEL_MODE_##MODE##_SV               \
  )

  #define _UBADC_MODE1SEL_FGET(FIELD)                \
    _PER_FGET8(_UBADC_MODE1SEL_ADDR,                 \
      UBADC,MODE1SEL,##FIELD)

  #define _UBADC_MODE1SEL_FSET(FIELD,field)          \
    _PER_FSET8(_UBADC_MODE1SEL_ADDR,                 \
      UBADC,MODE1SEL,##FIELD,field)

  #define _UBADC_MODE1SEL_FSETS(FIELD,SYM)           \
    _PER_FSETS8(_UBADC_MODE1SEL_ADDR,                \
      UBADC,MODE1SEL,##FIELD,##SYM)

  #define _UBADC_MODE1SEL_FGETQ(FIELD,val)           \
    _PER_FGETQ8(_UBADC_MODE1SEL_ADDR,                \
      UBADC,MODE1SEL,##FIELD,val)

  #define _UBADC_MODE1SEL_FGETSQ(FIELD,SYM)          \
    _PER_FGETSQ8(_UBADC_MODE1SEL_ADDR,               \
      UBADC,MODE1SEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  M O D E 2 S E L      |
* |_______________________|
*
* MODE2SEL - ADC2 Mode Select
*
* FIELDS (msb -> lsb)
* (RW)	MODE      	[ 3: 0]	 - ADC2 Mode Select
*
\******************************************************************************/
/*#define _UBADC_MODE2SEL_RECIDX                     Not recorded */

  #define _UBADC_MODE2SEL_ADDR                       0x60004021u

  #define _UBADC_MODE2SEL_REGOFFS                    0x00000021u
  #define _UBADC_MODE2SEL_REGOFFS8                   0x00000021u

  #define _UBADC_MODE2SEL_MODE_MASK                  0x0Fu
  #define _UBADC_MODE2SEL_MODE_SHIFT                 0
  #define UBADC_MODE2SEL_MODE_DEFAULT                0x00u
  #define UBADC_MODE2SEL_MODE_OF(x)                  _VALUEOF8(x)
  #define UBADC_MODE2SEL_MODE_NO_GAIN_FILT           0x00u
  #define UBADC_MODE2SEL_MODE_GAIN_ONLY              0x01u
  #define UBADC_MODE2SEL_MODE_GAIN_FILT_ON           0x02u
  #define _UBADC_MODE2SEL_MODE_NO_GAIN_FILT_SV       0x00u
  #define _UBADC_MODE2SEL_MODE_GAIN_ONLY_SV          0x01u
  #define _UBADC_MODE2SEL_MODE_GAIN_FILT_ON_SV       0x02u

  #define UBADC_MODE2SEL_OF(val)                     _VALUEOF8(val)
  #define UBADC_MODE2SEL_DEFAULT (Uint8)(            \
      _PER_FDEFAULT8(UBADC,MODE2SEL,MODE)            \
  )

  #define UBADC_MODE2SEL_RMK(mode)                   \
    (Uint8)(                                         \
      _PER_FMK8(UBADC,MODE2SEL,MODE,mode)            \
  )

  #define UBADC_MODE2SEL_RMKS(MODE)                  \
    (Uint8)(                                         \
      _UBADC_MODE2SEL_MODE_##MODE##_SV               \
  )

  #define _UBADC_MODE2SEL_FGET(FIELD)                \
    _PER_FGET8(_UBADC_MODE2SEL_ADDR,                 \
      UBADC,MODE2SEL,##FIELD)

  #define _UBADC_MODE2SEL_FSET(FIELD,field)          \
    _PER_FSET8(_UBADC_MODE2SEL_ADDR,                 \
      UBADC,MODE2SEL,##FIELD,field)

  #define _UBADC_MODE2SEL_FSETS(FIELD,SYM)           \
    _PER_FSETS8(_UBADC_MODE2SEL_ADDR,                \
      UBADC,MODE2SEL,##FIELD,##SYM)

  #define _UBADC_MODE2SEL_FGETQ(FIELD,val)           \
    _PER_FGETQ8(_UBADC_MODE2SEL_ADDR,                \
      UBADC,MODE2SEL,##FIELD,val)

  #define _UBADC_MODE2SEL_FGETSQ(FIELD,SYM)          \
    _PER_FGETSQ8(_UBADC_MODE2SEL_ADDR,               \
      UBADC,MODE2SEL,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_UBADC_SUPPORT) */
#endif /* _BSL_UBADCHAL_H_ */
/******************************************************************************\
* End of bsl_ubadchal.h
\******************************************************************************/
