/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral UBDAC
* FILENAME......... bsl_ubdachal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:02
* LAST MODIFIED AT. 01/14/2006 15:26:02
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. UBDAC
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 8-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. UBDAC is 0x60004000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* SRC1SEL     -  DAC1 Source Select
* SRC2SEL     -  DAC2 Source Select
* FLT1CFG     -  DAC1 Filter Configuration
* FLT2CFG     -  DAC2 Filter Configuration
* UPD1SEL     -  DAC1 Update Source Select
* UPD2SEL     -  DAC2 Update Source Select
*
\******************************************************************************/
#ifndef _BSL_UBDACHAL_H_
#define _BSL_UBDACHAL_H_

#include <bsl.h>


#if (BSL_UBDAC_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _UBDAC_DEVICE_COUNT                        1

  #define _UBDAC_BASE_ADDRESS                        0x60004000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define UBDAC_FMK(REG,FIELD,val)\
    _PER_FMK8(UBDAC,##REG,##FIELD,val)

  #define UBDAC_FMKS(REG,FIELD,SYM)\
    _PER_FMKS8(UBDAC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define UBDAC_ADDR(REG)\
    _UBDAC_##REG##_ADDR

  #define UBDAC_RGET(REG)\
    _PER_RGET8(_UBDAC_##REG##_ADDR,UBDAC,##REG)

  #define UBDAC_RSET(REG,val)\
    _PER_RSET8(_UBDAC_##REG##_ADDR,UBDAC,##REG,val)

  #define UBDAC_RFSETS(REG,FIELD,SYM)\
    UBDAC_RSET(##REG,_UBDAC_##REG##_##FIELD##_##SYM##_SV)

  #define UBDAC_FGET(REG,FIELD)\
    _UBDAC_##REG##_FGET(##FIELD)

  #define UBDAC_FSET(REG,FIELD,val)\
    _UBDAC_##REG##_FSET(##FIELD,val)

  #define UBDAC_FSETS(REG,FIELD,SYM)\
    _UBDAC_##REG##_FSETS(##FIELD,##SYM)

  #define UBDAC_FGETQ(REG,FIELD,val)\
    _UBDAC_##REG##_FGETQ(##FIELD,val)

  #define UBDAC_FGETSQ(REG,FIELD,SYM)\
    _UBDAC_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define UBDAC_RGETA(addr,REG)\
    _PER_RGET8(addr,UBDAC,##REG)

  #define UBDAC_RSETA(addr,REG,val)\
    _PER_RSET8(addr,UBDAC,##REG,val)

  #define UBDAC_RFSETSA(addr,REG,FIELD,SYM)\
    UBDAC_RSETA(addr,##REG,_UBDAC_##REG##_##FIELD##_##SYM##_SV)

  #define UBDAC_FGETA(addr,REG,FIELD)\
    _PER_FGET8(addr,UBDAC,##REG,##FIELD)

  #define UBDAC_FSETA(addr,REG,FIELD,val)\
    _PER_FSET8(addr,UBDAC,##REG,##FIELD,val)

  #define UBDAC_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS8(addr,UBDAC,##REG,##FIELD,##SYM)

  #define UBDAC_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ8(addr,UBDAC,##REG,##FIELD,val)

  #define UBDAC_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ8(addr,UBDAC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define UBDAC_VRGET(var,REG)\
    _PER_VRGET8(var,UBDAC,##REG)

  #define UBDAC_VRSET(var,REG,val)\
    _PER_VRSET8(var,UBDAC,##REG,val)

  #define UBDAC_VRFSETS(var,REG,FIELD,SYM)\
    UBDAC_VRSET(var,##REG,_UBDAC_##REG##_##FIELD##_##SYM##_SV)

  #define UBDAC_VFGET(var,REG,FIELD)\
    _PER_VFGET8(var,UBDAC,##REG,##FIELD)

  #define UBDAC_VFSET(var,REG,FIELD,val)\
    _PER_VFSET8(var,UBDAC,##REG,##FIELD,val)

  #define UBDAC_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS8(var,UBDAC,##REG,##FIELD,##SYM)

  #define UBDAC_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ8(var,UBDAC,##REG,##FIELD,val)

  #define UBDAC_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ8(var,UBDAC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS8          Offset in 8-bit bytes from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  S R C 1 S E L        |
* |_______________________|
*
* SRC1SEL - DAC1 Source Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 0: 0]	 - DAC1 Source Select
*
\******************************************************************************/
/*#define _UBDAC_SRC1SEL_RECIDX                      Not recorded */

  #define _UBDAC_SRC1SEL_ADDR                        0x60004000u

  #define _UBDAC_SRC1SEL_REGOFFS                     0x00000000u
  #define _UBDAC_SRC1SEL_REGOFFS8                    0x00000000u

  #define _UBDAC_SRC1SEL_SOURCE_MASK                 0x01u
  #define _UBDAC_SRC1SEL_SOURCE_SHIFT                0
  #define UBDAC_SRC1SEL_SOURCE_DEFAULT               0x00u
  #define UBDAC_SRC1SEL_SOURCE_OF(x)                 _VALUEOF8(x)
  #define UBDAC_SRC1SEL_SOURCE_DSP1                  0x00u
  #define UBDAC_SRC1SEL_SOURCE_DSP2                  0x01u
  #define _UBDAC_SRC1SEL_SOURCE_DSP1_SV              0x00u
  #define _UBDAC_SRC1SEL_SOURCE_DSP2_SV              0x01u

  #define UBDAC_SRC1SEL_OF(val)                      _VALUEOF8(val)
  #define UBDAC_SRC1SEL_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(UBDAC,SRC1SEL,SOURCE)           \
  )

  #define UBDAC_SRC1SEL_RMK(source)                  \
    (Uint8)(                                         \
      _PER_FMK8(UBDAC,SRC1SEL,SOURCE,source)         \
  )

  #define UBDAC_SRC1SEL_RMKS(SOURCE)                 \
    (Uint8)(                                         \
      _UBDAC_SRC1SEL_SOURCE_##SOURCE##_SV            \
  )

  #define _UBDAC_SRC1SEL_FGET(FIELD)                 \
    _PER_FGET8(_UBDAC_SRC1SEL_ADDR,                  \
      UBDAC,SRC1SEL,##FIELD)

  #define _UBDAC_SRC1SEL_FSET(FIELD,field)           \
    _PER_FSET8(_UBDAC_SRC1SEL_ADDR,                  \
      UBDAC,SRC1SEL,##FIELD,field)

  #define _UBDAC_SRC1SEL_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_UBDAC_SRC1SEL_ADDR,                 \
      UBDAC,SRC1SEL,##FIELD,##SYM)

  #define _UBDAC_SRC1SEL_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_UBDAC_SRC1SEL_ADDR,                 \
      UBDAC,SRC1SEL,##FIELD,val)

  #define _UBDAC_SRC1SEL_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_UBDAC_SRC1SEL_ADDR,                \
      UBDAC,SRC1SEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S R C 2 S E L        |
* |_______________________|
*
* SRC2SEL - DAC2 Source Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 0: 0]	 - DAC2 Source Select
*
\******************************************************************************/
/*#define _UBDAC_SRC2SEL_RECIDX                      Not recorded */

  #define _UBDAC_SRC2SEL_ADDR                        0x60004001u

  #define _UBDAC_SRC2SEL_REGOFFS                     0x00000001u
  #define _UBDAC_SRC2SEL_REGOFFS8                    0x00000001u

  #define _UBDAC_SRC2SEL_SOURCE_MASK                 0x01u
  #define _UBDAC_SRC2SEL_SOURCE_SHIFT                0
  #define UBDAC_SRC2SEL_SOURCE_DEFAULT               0x00u
  #define UBDAC_SRC2SEL_SOURCE_OF(x)                 _VALUEOF8(x)
  #define UBDAC_SRC2SEL_SOURCE_DSP1                  0x00u
  #define UBDAC_SRC2SEL_SOURCE_DSP2                  0x01u
  #define _UBDAC_SRC2SEL_SOURCE_DSP1_SV              0x00u
  #define _UBDAC_SRC2SEL_SOURCE_DSP2_SV              0x01u

  #define UBDAC_SRC2SEL_OF(val)                      _VALUEOF8(val)
  #define UBDAC_SRC2SEL_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(UBDAC,SRC2SEL,SOURCE)           \
  )

  #define UBDAC_SRC2SEL_RMK(source)                  \
    (Uint8)(                                         \
      _PER_FMK8(UBDAC,SRC2SEL,SOURCE,source)         \
  )

  #define UBDAC_SRC2SEL_RMKS(SOURCE)                 \
    (Uint8)(                                         \
      _UBDAC_SRC2SEL_SOURCE_##SOURCE##_SV            \
  )

  #define _UBDAC_SRC2SEL_FGET(FIELD)                 \
    _PER_FGET8(_UBDAC_SRC2SEL_ADDR,                  \
      UBDAC,SRC2SEL,##FIELD)

  #define _UBDAC_SRC2SEL_FSET(FIELD,field)           \
    _PER_FSET8(_UBDAC_SRC2SEL_ADDR,                  \
      UBDAC,SRC2SEL,##FIELD,field)

  #define _UBDAC_SRC2SEL_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_UBDAC_SRC2SEL_ADDR,                 \
      UBDAC,SRC2SEL,##FIELD,##SYM)

  #define _UBDAC_SRC2SEL_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_UBDAC_SRC2SEL_ADDR,                 \
      UBDAC,SRC2SEL,##FIELD,val)

  #define _UBDAC_SRC2SEL_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_UBDAC_SRC2SEL_ADDR,                \
      UBDAC,SRC2SEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  F L T 1 C F G        |
* |_______________________|
*
* FLT1CFG - DAC1 Filter Configuration
*
* FIELDS (msb -> lsb)
* (RW)	CLKDIV    	[ 7: 0]	 - Clock Division to define cutoff freq.
*
\******************************************************************************/
/*#define _UBDAC_FLT1CFG_RECIDX                      Not recorded */

  #define _UBDAC_FLT1CFG_ADDR                        0x6000400Du

  #define _UBDAC_FLT1CFG_REGOFFS                     0x0000000Du
  #define _UBDAC_FLT1CFG_REGOFFS8                    0x0000000Du

  #define _UBDAC_FLT1CFG_CLKDIV_MASK                 0xFFu
  #define _UBDAC_FLT1CFG_CLKDIV_SHIFT                0
  #define UBDAC_FLT1CFG_CLKDIV_DEFAULT               0x00u
  #define UBDAC_FLT1CFG_CLKDIV_OF(x)                 _VALUEOF8(x)
  #define UBDAC_FLT1CFG_CLKDIV_125_KHZ               0x00u
  #define UBDAC_FLT1CFG_CLKDIV_62_5_KHZ              0x01u
  #define UBDAC_FLT1CFG_CLKDIV_31_25_KHZ             0x02u
  #define UBDAC_FLT1CFG_CLKDIV_25_KHZ                0x04u
  #define _UBDAC_FLT1CFG_CLKDIV_125_KHZ_SV           0x00u
  #define _UBDAC_FLT1CFG_CLKDIV_62_5_KHZ_SV          0x01u
  #define _UBDAC_FLT1CFG_CLKDIV_31_25_KHZ_SV         0x02u
  #define _UBDAC_FLT1CFG_CLKDIV_25_KHZ_SV            0x04u

  #define UBDAC_FLT1CFG_OF(val)                      _VALUEOF8(val)
  #define UBDAC_FLT1CFG_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(UBDAC,FLT1CFG,CLKDIV)           \
  )

  #define UBDAC_FLT1CFG_RMK(clkdiv)                  \
    (Uint8)(                                         \
      _PER_FMK8(UBDAC,FLT1CFG,CLKDIV,clkdiv)         \
  )

  #define UBDAC_FLT1CFG_RMKS(CLKDIV)                 \
    (Uint8)(                                         \
      _UBDAC_FLT1CFG_CLKDIV_##CLKDIV##_SV            \
  )

  #define _UBDAC_FLT1CFG_FGET(FIELD)                 \
    _PER_FGET8(_UBDAC_FLT1CFG_ADDR,                  \
      UBDAC,FLT1CFG,##FIELD)

  #define _UBDAC_FLT1CFG_FSET(FIELD,field)           \
    _PER_FSET8(_UBDAC_FLT1CFG_ADDR,                  \
      UBDAC,FLT1CFG,##FIELD,field)

  #define _UBDAC_FLT1CFG_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_UBDAC_FLT1CFG_ADDR,                 \
      UBDAC,FLT1CFG,##FIELD,##SYM)

  #define _UBDAC_FLT1CFG_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_UBDAC_FLT1CFG_ADDR,                 \
      UBDAC,FLT1CFG,##FIELD,val)

  #define _UBDAC_FLT1CFG_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_UBDAC_FLT1CFG_ADDR,                \
      UBDAC,FLT1CFG,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  F L T 2 C F G        |
* |_______________________|
*
* FLT2CFG - DAC2 Filter Configuration
*
* FIELDS (msb -> lsb)
* (RW)	CLKDIV    	[ 7: 0]	 - Clock Division to define cutoff freq.
*
\******************************************************************************/
/*#define _UBDAC_FLT2CFG_RECIDX                      Not recorded */

  #define _UBDAC_FLT2CFG_ADDR                        0x6000400Eu

  #define _UBDAC_FLT2CFG_REGOFFS                     0x0000000Eu
  #define _UBDAC_FLT2CFG_REGOFFS8                    0x0000000Eu

  #define _UBDAC_FLT2CFG_CLKDIV_MASK                 0xFFu
  #define _UBDAC_FLT2CFG_CLKDIV_SHIFT                0
  #define UBDAC_FLT2CFG_CLKDIV_DEFAULT               0x00u
  #define UBDAC_FLT2CFG_CLKDIV_OF(x)                 _VALUEOF8(x)
  #define UBDAC_FLT2CFG_CLKDIV_125_KHZ               0x00u
  #define UBDAC_FLT2CFG_CLKDIV_62_5_KHZ              0x01u
  #define UBDAC_FLT2CFG_CLKDIV_31_25_KHZ             0x02u
  #define UBDAC_FLT2CFG_CLKDIV_25_KHZ                0x04u
  #define _UBDAC_FLT2CFG_CLKDIV_125_KHZ_SV           0x00u
  #define _UBDAC_FLT2CFG_CLKDIV_62_5_KHZ_SV          0x01u
  #define _UBDAC_FLT2CFG_CLKDIV_31_25_KHZ_SV         0x02u
  #define _UBDAC_FLT2CFG_CLKDIV_25_KHZ_SV            0x04u

  #define UBDAC_FLT2CFG_OF(val)                      _VALUEOF8(val)
  #define UBDAC_FLT2CFG_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(UBDAC,FLT2CFG,CLKDIV)           \
  )

  #define UBDAC_FLT2CFG_RMK(clkdiv)                  \
    (Uint8)(                                         \
      _PER_FMK8(UBDAC,FLT2CFG,CLKDIV,clkdiv)         \
  )

  #define UBDAC_FLT2CFG_RMKS(CLKDIV)                 \
    (Uint8)(                                         \
      _UBDAC_FLT2CFG_CLKDIV_##CLKDIV##_SV            \
  )

  #define _UBDAC_FLT2CFG_FGET(FIELD)                 \
    _PER_FGET8(_UBDAC_FLT2CFG_ADDR,                  \
      UBDAC,FLT2CFG,##FIELD)

  #define _UBDAC_FLT2CFG_FSET(FIELD,field)           \
    _PER_FSET8(_UBDAC_FLT2CFG_ADDR,                  \
      UBDAC,FLT2CFG,##FIELD,field)

  #define _UBDAC_FLT2CFG_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_UBDAC_FLT2CFG_ADDR,                 \
      UBDAC,FLT2CFG,##FIELD,##SYM)

  #define _UBDAC_FLT2CFG_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_UBDAC_FLT2CFG_ADDR,                 \
      UBDAC,FLT2CFG,##FIELD,val)

  #define _UBDAC_FLT2CFG_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_UBDAC_FLT2CFG_ADDR,                \
      UBDAC,FLT2CFG,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  U P D 1 S E L        |
* |_______________________|
*
* UPD1SEL - DAC1 Update Source Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - Update Source
*
\******************************************************************************/
/*#define _UBDAC_UPD1SEL_RECIDX                      Not recorded */

  #define _UBDAC_UPD1SEL_ADDR                        0x60004028u

  #define _UBDAC_UPD1SEL_REGOFFS                     0x00000028u
  #define _UBDAC_UPD1SEL_REGOFFS8                    0x00000028u

  #define _UBDAC_UPD1SEL_SOURCE_MASK                 0x0Fu
  #define _UBDAC_UPD1SEL_SOURCE_SHIFT                0
  #define UBDAC_UPD1SEL_SOURCE_DEFAULT               0x00u
  #define UBDAC_UPD1SEL_SOURCE_OF(x)                 _VALUEOF8(x)
  #define UBDAC_UPD1SEL_SOURCE_DSP1_SW_UPDATE1       0x00u
  #define UBDAC_UPD1SEL_SOURCE_DSP1_SW_UPDATE2       0x01u
  #define UBDAC_UPD1SEL_SOURCE_DSP2_SW_UPDATE1       0x02u
  #define UBDAC_UPD1SEL_SOURCE_DSP2_SW_UPDATE2       0x03u
  #define UBDAC_UPD1SEL_SOURCE_RBMLVDSBUS0           0x04u
  #define UBDAC_UPD1SEL_SOURCE_RBMLVDSBUS1           0x05u
  #define UBDAC_UPD1SEL_SOURCE_SYNCBUS0              0x06u
  #define UBDAC_UPD1SEL_SOURCE_SYNCBUS1              0x07u
  #define UBDAC_UPD1SEL_SOURCE_SYNCBUS2              0x08u
  #define UBDAC_UPD1SEL_SOURCE_DSP1_TOUT0            0x09u
  #define UBDAC_UPD1SEL_SOURCE_DSP1_TOUT1            0x0Au
  #define UBDAC_UPD1SEL_SOURCE_DSP1_TOUT2            0x0Bu
  #define UBDAC_UPD1SEL_SOURCE_DSP2_TOUT0            0x0Cu
  #define UBDAC_UPD1SEL_SOURCE_DSP2_TOUT1            0x0Du
  #define UBDAC_UPD1SEL_SOURCE_DSP2_TOUT2            0x0Eu
  #define UBDAC_UPD1SEL_SOURCE_DDS_OUT               0x0Fu
  #define _UBDAC_UPD1SEL_SOURCE_DSP1_SW_UPDATE1_SV   0x00u
  #define _UBDAC_UPD1SEL_SOURCE_DSP1_SW_UPDATE2_SV   0x01u
  #define _UBDAC_UPD1SEL_SOURCE_DSP2_SW_UPDATE1_SV   0x02u
  #define _UBDAC_UPD1SEL_SOURCE_DSP2_SW_UPDATE2_SV   0x03u
  #define _UBDAC_UPD1SEL_SOURCE_RBMLVDSBUS0_SV       0x04u
  #define _UBDAC_UPD1SEL_SOURCE_RBMLVDSBUS1_SV       0x05u
  #define _UBDAC_UPD1SEL_SOURCE_SYNCBUS0_SV          0x06u
  #define _UBDAC_UPD1SEL_SOURCE_SYNCBUS1_SV          0x07u
  #define _UBDAC_UPD1SEL_SOURCE_SYNCBUS2_SV          0x08u
  #define _UBDAC_UPD1SEL_SOURCE_DSP1_TOUT0_SV        0x09u
  #define _UBDAC_UPD1SEL_SOURCE_DSP1_TOUT1_SV        0x0Au
  #define _UBDAC_UPD1SEL_SOURCE_DSP1_TOUT2_SV        0x0Bu
  #define _UBDAC_UPD1SEL_SOURCE_DSP2_TOUT0_SV        0x0Cu
  #define _UBDAC_UPD1SEL_SOURCE_DSP2_TOUT1_SV        0x0Du
  #define _UBDAC_UPD1SEL_SOURCE_DSP2_TOUT2_SV        0x0Eu
  #define _UBDAC_UPD1SEL_SOURCE_DDS_OUT_SV           0x0Fu

  #define UBDAC_UPD1SEL_OF(val)                      _VALUEOF8(val)
  #define UBDAC_UPD1SEL_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(UBDAC,UPD1SEL,SOURCE)           \
  )

  #define UBDAC_UPD1SEL_RMK(source)                  \
    (Uint8)(                                         \
      _PER_FMK8(UBDAC,UPD1SEL,SOURCE,source)         \
  )

  #define UBDAC_UPD1SEL_RMKS(SOURCE)                 \
    (Uint8)(                                         \
      _UBDAC_UPD1SEL_SOURCE_##SOURCE##_SV            \
  )

  #define _UBDAC_UPD1SEL_FGET(FIELD)                 \
    _PER_FGET8(_UBDAC_UPD1SEL_ADDR,                  \
      UBDAC,UPD1SEL,##FIELD)

  #define _UBDAC_UPD1SEL_FSET(FIELD,field)           \
    _PER_FSET8(_UBDAC_UPD1SEL_ADDR,                  \
      UBDAC,UPD1SEL,##FIELD,field)

  #define _UBDAC_UPD1SEL_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_UBDAC_UPD1SEL_ADDR,                 \
      UBDAC,UPD1SEL,##FIELD,##SYM)

  #define _UBDAC_UPD1SEL_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_UBDAC_UPD1SEL_ADDR,                 \
      UBDAC,UPD1SEL,##FIELD,val)

  #define _UBDAC_UPD1SEL_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_UBDAC_UPD1SEL_ADDR,                \
      UBDAC,UPD1SEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  U P D 2 S E L        |
* |_______________________|
*
* UPD2SEL - DAC2 Update Source Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - Update Source
*
\******************************************************************************/
/*#define _UBDAC_UPD2SEL_RECIDX                      Not recorded */

  #define _UBDAC_UPD2SEL_ADDR                        0x60004029u

  #define _UBDAC_UPD2SEL_REGOFFS                     0x00000029u
  #define _UBDAC_UPD2SEL_REGOFFS8                    0x00000029u

  #define _UBDAC_UPD2SEL_SOURCE_MASK                 0x0Fu
  #define _UBDAC_UPD2SEL_SOURCE_SHIFT                0
  #define UBDAC_UPD2SEL_SOURCE_DEFAULT               0x00u
  #define UBDAC_UPD2SEL_SOURCE_OF(x)                 _VALUEOF8(x)
  #define UBDAC_UPD2SEL_SOURCE_DSP1_SW_UPDATE1       0x00u
  #define UBDAC_UPD2SEL_SOURCE_DSP1_SW_UPDATE2       0x01u
  #define UBDAC_UPD2SEL_SOURCE_DSP2_SW_UPDATE1       0x02u
  #define UBDAC_UPD2SEL_SOURCE_DSP2_SW_UPDATE2       0x03u
  #define UBDAC_UPD2SEL_SOURCE_RBMLVDSBUS0           0x04u
  #define UBDAC_UPD2SEL_SOURCE_RBMLVDSBUS1           0x05u
  #define UBDAC_UPD2SEL_SOURCE_SYNCBUS0              0x06u
  #define UBDAC_UPD2SEL_SOURCE_SYNCBUS1              0x07u
  #define UBDAC_UPD2SEL_SOURCE_SYNCBUS2              0x08u
  #define UBDAC_UPD2SEL_SOURCE_DSP1_TOUT0            0x09u
  #define UBDAC_UPD2SEL_SOURCE_DSP1_TOUT1            0x0Au
  #define UBDAC_UPD2SEL_SOURCE_DSP1_TOUT2            0x0Bu
  #define UBDAC_UPD2SEL_SOURCE_DSP2_TOUT0            0x0Cu
  #define UBDAC_UPD2SEL_SOURCE_DSP2_TOUT1            0x0Du
  #define UBDAC_UPD2SEL_SOURCE_DSP2_TOUT2            0x0Eu
  #define UBDAC_UPD2SEL_SOURCE_DDS_OUT               0x0Fu
  #define _UBDAC_UPD2SEL_SOURCE_DSP1_SW_UPDATE1_SV   0x00u
  #define _UBDAC_UPD2SEL_SOURCE_DSP1_SW_UPDATE2_SV   0x01u
  #define _UBDAC_UPD2SEL_SOURCE_DSP2_SW_UPDATE1_SV   0x02u
  #define _UBDAC_UPD2SEL_SOURCE_DSP2_SW_UPDATE2_SV   0x03u
  #define _UBDAC_UPD2SEL_SOURCE_RBMLVDSBUS0_SV       0x04u
  #define _UBDAC_UPD2SEL_SOURCE_RBMLVDSBUS1_SV       0x05u
  #define _UBDAC_UPD2SEL_SOURCE_SYNCBUS0_SV          0x06u
  #define _UBDAC_UPD2SEL_SOURCE_SYNCBUS1_SV          0x07u
  #define _UBDAC_UPD2SEL_SOURCE_SYNCBUS2_SV          0x08u
  #define _UBDAC_UPD2SEL_SOURCE_DSP1_TOUT0_SV        0x09u
  #define _UBDAC_UPD2SEL_SOURCE_DSP1_TOUT1_SV        0x0Au
  #define _UBDAC_UPD2SEL_SOURCE_DSP1_TOUT2_SV        0x0Bu
  #define _UBDAC_UPD2SEL_SOURCE_DSP2_TOUT0_SV        0x0Cu
  #define _UBDAC_UPD2SEL_SOURCE_DSP2_TOUT1_SV        0x0Du
  #define _UBDAC_UPD2SEL_SOURCE_DSP2_TOUT2_SV        0x0Eu
  #define _UBDAC_UPD2SEL_SOURCE_DDS_OUT_SV           0x0Fu

  #define UBDAC_UPD2SEL_OF(val)                      _VALUEOF8(val)
  #define UBDAC_UPD2SEL_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(UBDAC,UPD2SEL,SOURCE)           \
  )

  #define UBDAC_UPD2SEL_RMK(source)                  \
    (Uint8)(                                         \
      _PER_FMK8(UBDAC,UPD2SEL,SOURCE,source)         \
  )

  #define UBDAC_UPD2SEL_RMKS(SOURCE)                 \
    (Uint8)(                                         \
      _UBDAC_UPD2SEL_SOURCE_##SOURCE##_SV            \
  )

  #define _UBDAC_UPD2SEL_FGET(FIELD)                 \
    _PER_FGET8(_UBDAC_UPD2SEL_ADDR,                  \
      UBDAC,UPD2SEL,##FIELD)

  #define _UBDAC_UPD2SEL_FSET(FIELD,field)           \
    _PER_FSET8(_UBDAC_UPD2SEL_ADDR,                  \
      UBDAC,UPD2SEL,##FIELD,field)

  #define _UBDAC_UPD2SEL_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_UBDAC_UPD2SEL_ADDR,                 \
      UBDAC,UPD2SEL,##FIELD,##SYM)

  #define _UBDAC_UPD2SEL_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_UBDAC_UPD2SEL_ADDR,                 \
      UBDAC,UPD2SEL,##FIELD,val)

  #define _UBDAC_UPD2SEL_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_UBDAC_UPD2SEL_ADDR,                \
      UBDAC,UPD2SEL,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_UBDAC_SUPPORT) */
#endif /* _BSL_UBDACHAL_H_ */
/******************************************************************************\
* End of bsl_ubdachal.h
\******************************************************************************/
