/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral UDDS
* FILENAME......... bsl_uddshal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:02
* LAST MODIFIED AT. 01/14/2006 15:26:02
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. UDDS
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 8-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. UDDS is 0x60004000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* SDIO        -  DDSSDIO (DDS Serial Data Bus) data bit read/write
* SDIODRV     -  DDSSDIO_DRVENH (DDS Serial Data Bus Drive Enable) enable/disable
* CHIPSEL     -  DDSCSL (DDS Chip Select)
* SCLK        -  DDSSCLK (DDS Serial Clock)
* UPDATE      -  DDSUPDATE (DDS Update)
*
\******************************************************************************/
#ifndef _BSL_UDDSHAL_H_
#define _BSL_UDDSHAL_H_

#include <bsl.h>


#if (BSL_UDDS_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _UDDS_DEVICE_COUNT                         1

  #define _UDDS_BASE_ADDRESS                         0x60004000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define UDDS_FMK(REG,FIELD,val)\
    _PER_FMK8(UDDS,##REG,##FIELD,val)

  #define UDDS_FMKS(REG,FIELD,SYM)\
    _PER_FMKS8(UDDS,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define UDDS_ADDR(REG)\
    _UDDS_##REG##_ADDR

  #define UDDS_RGET(REG)\
    _PER_RGET8(_UDDS_##REG##_ADDR,UDDS,##REG)

  #define UDDS_RSET(REG,val)\
    _PER_RSET8(_UDDS_##REG##_ADDR,UDDS,##REG,val)

  #define UDDS_RFSETS(REG,FIELD,SYM)\
    UDDS_RSET(##REG,_UDDS_##REG##_##FIELD##_##SYM##_SV)

  #define UDDS_FGET(REG,FIELD)\
    _UDDS_##REG##_FGET(##FIELD)

  #define UDDS_FSET(REG,FIELD,val)\
    _UDDS_##REG##_FSET(##FIELD,val)

  #define UDDS_FSETS(REG,FIELD,SYM)\
    _UDDS_##REG##_FSETS(##FIELD,##SYM)

  #define UDDS_FGETQ(REG,FIELD,val)\
    _UDDS_##REG##_FGETQ(##FIELD,val)

  #define UDDS_FGETSQ(REG,FIELD,SYM)\
    _UDDS_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define UDDS_RGETA(addr,REG)\
    _PER_RGET8(addr,UDDS,##REG)

  #define UDDS_RSETA(addr,REG,val)\
    _PER_RSET8(addr,UDDS,##REG,val)

  #define UDDS_RFSETSA(addr,REG,FIELD,SYM)\
    UDDS_RSETA(addr,##REG,_UDDS_##REG##_##FIELD##_##SYM##_SV)

  #define UDDS_FGETA(addr,REG,FIELD)\
    _PER_FGET8(addr,UDDS,##REG,##FIELD)

  #define UDDS_FSETA(addr,REG,FIELD,val)\
    _PER_FSET8(addr,UDDS,##REG,##FIELD,val)

  #define UDDS_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS8(addr,UDDS,##REG,##FIELD,##SYM)

  #define UDDS_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ8(addr,UDDS,##REG,##FIELD,val)

  #define UDDS_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ8(addr,UDDS,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define UDDS_VRGET(var,REG)\
    _PER_VRGET8(var,UDDS,##REG)

  #define UDDS_VRSET(var,REG,val)\
    _PER_VRSET8(var,UDDS,##REG,val)

  #define UDDS_VRFSETS(var,REG,FIELD,SYM)\
    UDDS_VRSET(var,##REG,_UDDS_##REG##_##FIELD##_##SYM##_SV)

  #define UDDS_VFGET(var,REG,FIELD)\
    _PER_VFGET8(var,UDDS,##REG,##FIELD)

  #define UDDS_VFSET(var,REG,FIELD,val)\
    _PER_VFSET8(var,UDDS,##REG,##FIELD,val)

  #define UDDS_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS8(var,UDDS,##REG,##FIELD,##SYM)

  #define UDDS_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ8(var,UDDS,##REG,##FIELD,val)

  #define UDDS_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ8(var,UDDS,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS8          Offset in 8-bit bytes from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  S D I O              |
* |_______________________|
*
* SDIO - DDSSDIO (DDS Serial Data Bus) data bit read/write
*
* FIELDS (msb -> lsb)
* (RW)	DATA      	[ 0: 0]	 - Data bus (wire) state
*
\******************************************************************************/
/*#define _UDDS_SDIO_RECIDX                          Not recorded */

  #define _UDDS_SDIO_ADDR                            0x60004006u

  #define _UDDS_SDIO_REGOFFS                         0x00000006u
  #define _UDDS_SDIO_REGOFFS8                        0x00000006u

  #define _UDDS_SDIO_DATA_MASK                       0x01u
  #define _UDDS_SDIO_DATA_SHIFT                      0
  #define UDDS_SDIO_DATA_DEFAULT                     0x00u
  #define UDDS_SDIO_DATA_OF(x)                       _VALUEOF8(x)
  #define UDDS_SDIO_DATA_LO                          0x00u
  #define UDDS_SDIO_DATA_HI                          0x01u
  #define _UDDS_SDIO_DATA_LO_SV                      0x00u
  #define _UDDS_SDIO_DATA_HI_SV                      0x01u

  #define UDDS_SDIO_OF(val)                          _VALUEOF8(val)
  #define UDDS_SDIO_DEFAULT (Uint8)(                 \
      _PER_FDEFAULT8(UDDS,SDIO,DATA)                 \
  )

  #define UDDS_SDIO_RMK(data)                        \
    (Uint8)(                                         \
      _PER_FMK8(UDDS,SDIO,DATA,data)                 \
  )

  #define UDDS_SDIO_RMKS(DATA)                       \
    (Uint8)(                                         \
      _UDDS_SDIO_DATA_##DATA##_SV                    \
  )

  #define _UDDS_SDIO_FGET(FIELD)                     \
    _PER_FGET8(_UDDS_SDIO_ADDR,                      \
      UDDS,SDIO,##FIELD)

  #define _UDDS_SDIO_FSET(FIELD,field)               \
    _PER_FSET8(_UDDS_SDIO_ADDR,                      \
      UDDS,SDIO,##FIELD,field)

  #define _UDDS_SDIO_FSETS(FIELD,SYM)                \
    _PER_FSETS8(_UDDS_SDIO_ADDR,                     \
      UDDS,SDIO,##FIELD,##SYM)

  #define _UDDS_SDIO_FGETQ(FIELD,val)                \
    _PER_FGETQ8(_UDDS_SDIO_ADDR,                     \
      UDDS,SDIO,##FIELD,val)

  #define _UDDS_SDIO_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ8(_UDDS_SDIO_ADDR,                    \
      UDDS,SDIO,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S D I O D R V        |
* |_______________________|
*
* SDIODRV - DDSSDIO_DRVENH (DDS Serial Data Bus Drive Enable) enable/disable
*
* FIELDS (msb -> lsb)
* (RW)	ENABLE    	[ 0: 0]	 - Enable
*
\******************************************************************************/
/*#define _UDDS_SDIODRV_RECIDX                       Not recorded */

  #define _UDDS_SDIODRV_ADDR                         0x60004007u

  #define _UDDS_SDIODRV_REGOFFS                      0x00000007u
  #define _UDDS_SDIODRV_REGOFFS8                     0x00000007u

  #define _UDDS_SDIODRV_ENABLE_MASK                  0x01u
  #define _UDDS_SDIODRV_ENABLE_SHIFT                 0
  #define UDDS_SDIODRV_ENABLE_DEFAULT                0x00u
  #define UDDS_SDIODRV_ENABLE_OF(x)                  _VALUEOF8(x)
  #define UDDS_SDIODRV_ENABLE_ENABLE                 0x01u
  #define UDDS_SDIODRV_ENABLE_BY_FPGA                0x01u
  #define UDDS_SDIODRV_ENABLE_DISABLE                0x00u
  #define UDDS_SDIODRV_ENABLE_BY_DDS                 0x00u
  #define _UDDS_SDIODRV_ENABLE_ENABLE_SV             0x01u
  #define _UDDS_SDIODRV_ENABLE_BY_FPGA_SV            0x01u
  #define _UDDS_SDIODRV_ENABLE_DISABLE_SV            0x00u
  #define _UDDS_SDIODRV_ENABLE_BY_DDS_SV             0x00u

  #define UDDS_SDIODRV_OF(val)                       _VALUEOF8(val)
  #define UDDS_SDIODRV_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(UDDS,SDIODRV,ENABLE)            \
  )

  #define UDDS_SDIODRV_RMK(enable)                   \
    (Uint8)(                                         \
      _PER_FMK8(UDDS,SDIODRV,ENABLE,enable)          \
  )

  #define UDDS_SDIODRV_RMKS(ENABLE)                  \
    (Uint8)(                                         \
      _UDDS_SDIODRV_ENABLE_##ENABLE##_SV             \
  )

  #define _UDDS_SDIODRV_FGET(FIELD)                  \
    _PER_FGET8(_UDDS_SDIODRV_ADDR,                   \
      UDDS,SDIODRV,##FIELD)

  #define _UDDS_SDIODRV_FSET(FIELD,field)            \
    _PER_FSET8(_UDDS_SDIODRV_ADDR,                   \
      UDDS,SDIODRV,##FIELD,field)

  #define _UDDS_SDIODRV_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_UDDS_SDIODRV_ADDR,                  \
      UDDS,SDIODRV,##FIELD,##SYM)

  #define _UDDS_SDIODRV_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_UDDS_SDIODRV_ADDR,                  \
      UDDS,SDIODRV,##FIELD,val)

  #define _UDDS_SDIODRV_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_UDDS_SDIODRV_ADDR,                 \
      UDDS,SDIODRV,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  C H I P S E L        |
* |_______________________|
*
* CHIPSEL - DDSCSL (DDS Chip Select)
*
* FIELDS (msb -> lsb)
* (RW)	STATE     	[ 0: 0]	 - Chip Select state
*
\******************************************************************************/
/*#define _UDDS_CHIPSEL_RECIDX                       Not recorded */

  #define _UDDS_CHIPSEL_ADDR                         0x60004008u

  #define _UDDS_CHIPSEL_REGOFFS                      0x00000008u
  #define _UDDS_CHIPSEL_REGOFFS8                     0x00000008u

  #define _UDDS_CHIPSEL_STATE_MASK                   0x01u
  #define _UDDS_CHIPSEL_STATE_SHIFT                  0
  #define UDDS_CHIPSEL_STATE_DEFAULT                 0x00u
  #define UDDS_CHIPSEL_STATE_OF(x)                   _VALUEOF8(x)
  #define UDDS_CHIPSEL_STATE_LO                      0x00u
  #define UDDS_CHIPSEL_STATE_ACTIVE                  0x00u
  #define UDDS_CHIPSEL_STATE_HI                      0x01u
  #define UDDS_CHIPSEL_STATE_INACTIVE                0x01u
  #define _UDDS_CHIPSEL_STATE_LO_SV                  0x00u
  #define _UDDS_CHIPSEL_STATE_ACTIVE_SV              0x00u
  #define _UDDS_CHIPSEL_STATE_HI_SV                  0x01u
  #define _UDDS_CHIPSEL_STATE_INACTIVE_SV            0x01u

  #define UDDS_CHIPSEL_OF(val)                       _VALUEOF8(val)
  #define UDDS_CHIPSEL_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(UDDS,CHIPSEL,STATE)             \
  )

  #define UDDS_CHIPSEL_RMK(state)                    \
    (Uint8)(                                         \
      _PER_FMK8(UDDS,CHIPSEL,STATE,state)            \
  )

  #define UDDS_CHIPSEL_RMKS(STATE)                   \
    (Uint8)(                                         \
      _UDDS_CHIPSEL_STATE_##STATE##_SV               \
  )

  #define _UDDS_CHIPSEL_FGET(FIELD)                  \
    _PER_FGET8(_UDDS_CHIPSEL_ADDR,                   \
      UDDS,CHIPSEL,##FIELD)

  #define _UDDS_CHIPSEL_FSET(FIELD,field)            \
    _PER_FSET8(_UDDS_CHIPSEL_ADDR,                   \
      UDDS,CHIPSEL,##FIELD,field)

  #define _UDDS_CHIPSEL_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_UDDS_CHIPSEL_ADDR,                  \
      UDDS,CHIPSEL,##FIELD,##SYM)

  #define _UDDS_CHIPSEL_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_UDDS_CHIPSEL_ADDR,                  \
      UDDS,CHIPSEL,##FIELD,val)

  #define _UDDS_CHIPSEL_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_UDDS_CHIPSEL_ADDR,                 \
      UDDS,CHIPSEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S C L K              |
* |_______________________|
*
* SCLK - DDSSCLK (DDS Serial Clock)
*
* FIELDS (msb -> lsb)
* (RW)	STATE     	[ 0: 0]	 - DDSSCLK (DDS Serial Clock)
*
\******************************************************************************/
/*#define _UDDS_SCLK_RECIDX                          Not recorded */

  #define _UDDS_SCLK_ADDR                            0x60004009u

  #define _UDDS_SCLK_REGOFFS                         0x00000009u
  #define _UDDS_SCLK_REGOFFS8                        0x00000009u

  #define _UDDS_SCLK_STATE_MASK                      0x01u
  #define _UDDS_SCLK_STATE_SHIFT                     0
  #define UDDS_SCLK_STATE_DEFAULT                    0x00u
  #define UDDS_SCLK_STATE_OF(x)                      _VALUEOF8(x)
  #define UDDS_SCLK_STATE_LO                         0x00u
  #define UDDS_SCLK_STATE_HI                         0x01u
  #define _UDDS_SCLK_STATE_LO_SV                     0x00u
  #define _UDDS_SCLK_STATE_HI_SV                     0x01u

  #define UDDS_SCLK_OF(val)                          _VALUEOF8(val)
  #define UDDS_SCLK_DEFAULT (Uint8)(                 \
      _PER_FDEFAULT8(UDDS,SCLK,STATE)                \
  )

  #define UDDS_SCLK_RMK(state)                       \
    (Uint8)(                                         \
      _PER_FMK8(UDDS,SCLK,STATE,state)               \
  )

  #define UDDS_SCLK_RMKS(STATE)                      \
    (Uint8)(                                         \
      _UDDS_SCLK_STATE_##STATE##_SV                  \
  )

  #define _UDDS_SCLK_FGET(FIELD)                     \
    _PER_FGET8(_UDDS_SCLK_ADDR,                      \
      UDDS,SCLK,##FIELD)

  #define _UDDS_SCLK_FSET(FIELD,field)               \
    _PER_FSET8(_UDDS_SCLK_ADDR,                      \
      UDDS,SCLK,##FIELD,field)

  #define _UDDS_SCLK_FSETS(FIELD,SYM)                \
    _PER_FSETS8(_UDDS_SCLK_ADDR,                     \
      UDDS,SCLK,##FIELD,##SYM)

  #define _UDDS_SCLK_FGETQ(FIELD,val)                \
    _PER_FGETQ8(_UDDS_SCLK_ADDR,                     \
      UDDS,SCLK,##FIELD,val)

  #define _UDDS_SCLK_FGETSQ(FIELD,SYM)               \
    _PER_FGETSQ8(_UDDS_SCLK_ADDR,                    \
      UDDS,SCLK,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  U P D A T E          |
* |_______________________|
*
* UPDATE - DDSUPDATE (DDS Update)
*
* FIELDS (msb -> lsb)
* (RW)	STATE     	[ 0: 0]	 - DDSUPDATE (DDS Update)
*
\******************************************************************************/
/*#define _UDDS_UPDATE_RECIDX                        Not recorded */

  #define _UDDS_UPDATE_ADDR                          0x6000400Au

  #define _UDDS_UPDATE_REGOFFS                       0x0000000Au
  #define _UDDS_UPDATE_REGOFFS8                      0x0000000Au

  #define _UDDS_UPDATE_STATE_MASK                    0x01u
  #define _UDDS_UPDATE_STATE_SHIFT                   0
  #define UDDS_UPDATE_STATE_DEFAULT                  0x00u
  #define UDDS_UPDATE_STATE_OF(x)                    _VALUEOF8(x)
  #define UDDS_UPDATE_STATE_LO                       0x00u
  #define UDDS_UPDATE_STATE_HI                       0x01u
  #define _UDDS_UPDATE_STATE_LO_SV                   0x00u
  #define _UDDS_UPDATE_STATE_HI_SV                   0x01u

  #define UDDS_UPDATE_OF(val)                        _VALUEOF8(val)
  #define UDDS_UPDATE_DEFAULT (Uint8)(               \
      _PER_FDEFAULT8(UDDS,UPDATE,STATE)              \
  )

  #define UDDS_UPDATE_RMK(state)                     \
    (Uint8)(                                         \
      _PER_FMK8(UDDS,UPDATE,STATE,state)             \
  )

  #define UDDS_UPDATE_RMKS(STATE)                    \
    (Uint8)(                                         \
      _UDDS_UPDATE_STATE_##STATE##_SV                \
  )

  #define _UDDS_UPDATE_FGET(FIELD)                   \
    _PER_FGET8(_UDDS_UPDATE_ADDR,                    \
      UDDS,UPDATE,##FIELD)

  #define _UDDS_UPDATE_FSET(FIELD,field)             \
    _PER_FSET8(_UDDS_UPDATE_ADDR,                    \
      UDDS,UPDATE,##FIELD,field)

  #define _UDDS_UPDATE_FSETS(FIELD,SYM)              \
    _PER_FSETS8(_UDDS_UPDATE_ADDR,                   \
      UDDS,UPDATE,##FIELD,##SYM)

  #define _UDDS_UPDATE_FGETQ(FIELD,val)              \
    _PER_FGETQ8(_UDDS_UPDATE_ADDR,                   \
      UDDS,UPDATE,##FIELD,val)

  #define _UDDS_UPDATE_FGETSQ(FIELD,SYM)             \
    _PER_FGETSQ8(_UDDS_UPDATE_ADDR,                  \
      UDDS,UPDATE,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_UDDS_SUPPORT) */
#endif /* _BSL_UDDSHAL_H_ */
/******************************************************************************\
* End of bsl_uddshal.h
\******************************************************************************/
