/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral UFRMR
* FILENAME......... bsl_ufrmrhal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:03
* LAST MODIFIED AT. 01/14/2006 15:26:03
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. UFRMR
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 8-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. UFRMR is 0x60004000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* F1ASGN      -  Assign the Framer1 to a DSP
* F2ASGN      -  Assign the Framer2 to a DSP
* TCLK1SEL    -  Framer1 TCLK Clock Source Select
* TCLK2SEL    -  Framer2 TCLK Clock Source Select
*
\******************************************************************************/
#ifndef _BSL_UFRMRHAL_H_
#define _BSL_UFRMRHAL_H_

#include <bsl.h>


#if (BSL_UFRMR_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _UFRMR_DEVICE_COUNT                        1

  #define _UFRMR_BASE_ADDRESS                        0x60004000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define UFRMR_FMK(REG,FIELD,val)\
    _PER_FMK8(UFRMR,##REG,##FIELD,val)

  #define UFRMR_FMKS(REG,FIELD,SYM)\
    _PER_FMKS8(UFRMR,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define UFRMR_ADDR(REG)\
    _UFRMR_##REG##_ADDR

  #define UFRMR_RGET(REG)\
    _PER_RGET8(_UFRMR_##REG##_ADDR,UFRMR,##REG)

  #define UFRMR_RSET(REG,val)\
    _PER_RSET8(_UFRMR_##REG##_ADDR,UFRMR,##REG,val)

  #define UFRMR_RFSETS(REG,FIELD,SYM)\
    UFRMR_RSET(##REG,_UFRMR_##REG##_##FIELD##_##SYM##_SV)

  #define UFRMR_FGET(REG,FIELD)\
    _UFRMR_##REG##_FGET(##FIELD)

  #define UFRMR_FSET(REG,FIELD,val)\
    _UFRMR_##REG##_FSET(##FIELD,val)

  #define UFRMR_FSETS(REG,FIELD,SYM)\
    _UFRMR_##REG##_FSETS(##FIELD,##SYM)

  #define UFRMR_FGETQ(REG,FIELD,val)\
    _UFRMR_##REG##_FGETQ(##FIELD,val)

  #define UFRMR_FGETSQ(REG,FIELD,SYM)\
    _UFRMR_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define UFRMR_RGETA(addr,REG)\
    _PER_RGET8(addr,UFRMR,##REG)

  #define UFRMR_RSETA(addr,REG,val)\
    _PER_RSET8(addr,UFRMR,##REG,val)

  #define UFRMR_RFSETSA(addr,REG,FIELD,SYM)\
    UFRMR_RSETA(addr,##REG,_UFRMR_##REG##_##FIELD##_##SYM##_SV)

  #define UFRMR_FGETA(addr,REG,FIELD)\
    _PER_FGET8(addr,UFRMR,##REG,##FIELD)

  #define UFRMR_FSETA(addr,REG,FIELD,val)\
    _PER_FSET8(addr,UFRMR,##REG,##FIELD,val)

  #define UFRMR_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS8(addr,UFRMR,##REG,##FIELD,##SYM)

  #define UFRMR_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ8(addr,UFRMR,##REG,##FIELD,val)

  #define UFRMR_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ8(addr,UFRMR,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define UFRMR_VRGET(var,REG)\
    _PER_VRGET8(var,UFRMR,##REG)

  #define UFRMR_VRSET(var,REG,val)\
    _PER_VRSET8(var,UFRMR,##REG,val)

  #define UFRMR_VRFSETS(var,REG,FIELD,SYM)\
    UFRMR_VRSET(var,##REG,_UFRMR_##REG##_##FIELD##_##SYM##_SV)

  #define UFRMR_VFGET(var,REG,FIELD)\
    _PER_VFGET8(var,UFRMR,##REG,##FIELD)

  #define UFRMR_VFSET(var,REG,FIELD,val)\
    _PER_VFSET8(var,UFRMR,##REG,##FIELD,val)

  #define UFRMR_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS8(var,UFRMR,##REG,##FIELD,##SYM)

  #define UFRMR_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ8(var,UFRMR,##REG,##FIELD,val)

  #define UFRMR_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ8(var,UFRMR,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS8          Offset in 8-bit bytes from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  F 1 A S G N          |
* |_______________________|
*
* F1ASGN - Assign the Framer1 to a DSP
*
* FIELDS (msb -> lsb)
* (RW)	TO        	[ 0: 0]	 - Framer Control Source Select
*
\******************************************************************************/
/*#define _UFRMR_F1ASGN_RECIDX                       Not recorded */

  #define _UFRMR_F1ASGN_ADDR                         0x60004002u

  #define _UFRMR_F1ASGN_REGOFFS                      0x00000002u
  #define _UFRMR_F1ASGN_REGOFFS8                     0x00000002u

  #define _UFRMR_F1ASGN_TO_MASK                      0x01u
  #define _UFRMR_F1ASGN_TO_SHIFT                     0
  #define UFRMR_F1ASGN_TO_DEFAULT                    0x00u
  #define UFRMR_F1ASGN_TO_OF(x)                      _VALUEOF8(x)
  #define UFRMR_F1ASGN_TO_DSP1                       0x00u
  #define UFRMR_F1ASGN_TO_DSP2                       0x01u
  #define _UFRMR_F1ASGN_TO_DSP1_SV                   0x00u
  #define _UFRMR_F1ASGN_TO_DSP2_SV                   0x01u

  #define UFRMR_F1ASGN_OF(val)                       _VALUEOF8(val)
  #define UFRMR_F1ASGN_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(UFRMR,F1ASGN,TO)                \
  )

  #define UFRMR_F1ASGN_RMK(to)                       \
    (Uint8)(                                         \
      _PER_FMK8(UFRMR,F1ASGN,TO,to)                  \
  )

  #define UFRMR_F1ASGN_RMKS(TO)                      \
    (Uint8)(                                         \
      _UFRMR_F1ASGN_TO_##TO##_SV                     \
  )

  #define _UFRMR_F1ASGN_FGET(FIELD)                  \
    _PER_FGET8(_UFRMR_F1ASGN_ADDR,                   \
      UFRMR,F1ASGN,##FIELD)

  #define _UFRMR_F1ASGN_FSET(FIELD,field)            \
    _PER_FSET8(_UFRMR_F1ASGN_ADDR,                   \
      UFRMR,F1ASGN,##FIELD,field)

  #define _UFRMR_F1ASGN_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_UFRMR_F1ASGN_ADDR,                  \
      UFRMR,F1ASGN,##FIELD,##SYM)

  #define _UFRMR_F1ASGN_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_UFRMR_F1ASGN_ADDR,                  \
      UFRMR,F1ASGN,##FIELD,val)

  #define _UFRMR_F1ASGN_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_UFRMR_F1ASGN_ADDR,                 \
      UFRMR,F1ASGN,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  F 2 A S G N          |
* |_______________________|
*
* F2ASGN - Assign the Framer2 to a DSP
*
* FIELDS (msb -> lsb)
* (RW)	TO        	[ 0: 0]	 - Framer Control Source Select
*
\******************************************************************************/
/*#define _UFRMR_F2ASGN_RECIDX                       Not recorded */

  #define _UFRMR_F2ASGN_ADDR                         0x60004003u

  #define _UFRMR_F2ASGN_REGOFFS                      0x00000003u
  #define _UFRMR_F2ASGN_REGOFFS8                     0x00000003u

  #define _UFRMR_F2ASGN_TO_MASK                      0x01u
  #define _UFRMR_F2ASGN_TO_SHIFT                     0
  #define UFRMR_F2ASGN_TO_DEFAULT                    0x00u
  #define UFRMR_F2ASGN_TO_OF(x)                      _VALUEOF8(x)
  #define UFRMR_F2ASGN_TO_DSP1                       0x01u
  #define UFRMR_F2ASGN_TO_DSP2                       0x00u
  #define _UFRMR_F2ASGN_TO_DSP1_SV                   0x01u
  #define _UFRMR_F2ASGN_TO_DSP2_SV                   0x00u

  #define UFRMR_F2ASGN_OF(val)                       _VALUEOF8(val)
  #define UFRMR_F2ASGN_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(UFRMR,F2ASGN,TO)                \
  )

  #define UFRMR_F2ASGN_RMK(to)                       \
    (Uint8)(                                         \
      _PER_FMK8(UFRMR,F2ASGN,TO,to)                  \
  )

  #define UFRMR_F2ASGN_RMKS(TO)                      \
    (Uint8)(                                         \
      _UFRMR_F2ASGN_TO_##TO##_SV                     \
  )

  #define _UFRMR_F2ASGN_FGET(FIELD)                  \
    _PER_FGET8(_UFRMR_F2ASGN_ADDR,                   \
      UFRMR,F2ASGN,##FIELD)

  #define _UFRMR_F2ASGN_FSET(FIELD,field)            \
    _PER_FSET8(_UFRMR_F2ASGN_ADDR,                   \
      UFRMR,F2ASGN,##FIELD,field)

  #define _UFRMR_F2ASGN_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_UFRMR_F2ASGN_ADDR,                  \
      UFRMR,F2ASGN,##FIELD,##SYM)

  #define _UFRMR_F2ASGN_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_UFRMR_F2ASGN_ADDR,                  \
      UFRMR,F2ASGN,##FIELD,val)

  #define _UFRMR_F2ASGN_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_UFRMR_F2ASGN_ADDR,                 \
      UFRMR,F2ASGN,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  T C L K 1 S E L      |
* |_______________________|
*
* TCLK1SEL - Framer1 TCLK Clock Source Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - Source of Framer1 TCLK Clock
*
\******************************************************************************/
/*#define _UFRMR_TCLK1SEL_RECIDX                     Not recorded */

  #define _UFRMR_TCLK1SEL_ADDR                       0x60004004u

  #define _UFRMR_TCLK1SEL_REGOFFS                    0x00000004u
  #define _UFRMR_TCLK1SEL_REGOFFS8                   0x00000004u

  #define _UFRMR_TCLK1SEL_SOURCE_MASK                0x0Fu
  #define _UFRMR_TCLK1SEL_SOURCE_SHIFT               0
  #define UFRMR_TCLK1SEL_SOURCE_DEFAULT              0x00u
  #define UFRMR_TCLK1SEL_SOURCE_OF(x)                _VALUEOF8(x)
  #define UFRMR_TCLK1SEL_SOURCE_FRAMER1_RCLK         0x00u
  #define UFRMR_TCLK1SEL_SOURCE_LOCAL_2048_KHZ       0x01u
  #define UFRMR_TCLK1SEL_SOURCE_SYNCBUS0             0x02u
  #define UFRMR_TCLK1SEL_SOURCE_SYNCBUS1             0x03u
  #define UFRMR_TCLK1SEL_SOURCE_SYNCBUS2             0x04u
  #define UFRMR_TCLK1SEL_SOURCE_FRAMER2_RCLK         0x05u
  #define _UFRMR_TCLK1SEL_SOURCE_FRAMER1_RCLK_SV     0x00u
  #define _UFRMR_TCLK1SEL_SOURCE_LOCAL_2048_KHZ_SV   0x01u
  #define _UFRMR_TCLK1SEL_SOURCE_SYNCBUS0_SV         0x02u
  #define _UFRMR_TCLK1SEL_SOURCE_SYNCBUS1_SV         0x03u
  #define _UFRMR_TCLK1SEL_SOURCE_SYNCBUS2_SV         0x04u
  #define _UFRMR_TCLK1SEL_SOURCE_FRAMER2_RCLK_SV     0x05u

  #define UFRMR_TCLK1SEL_OF(val)                     _VALUEOF8(val)
  #define UFRMR_TCLK1SEL_DEFAULT (Uint8)(            \
      _PER_FDEFAULT8(UFRMR,TCLK1SEL,SOURCE)          \
  )

  #define UFRMR_TCLK1SEL_RMK(source)                 \
    (Uint8)(                                         \
      _PER_FMK8(UFRMR,TCLK1SEL,SOURCE,source)        \
  )

  #define UFRMR_TCLK1SEL_RMKS(SOURCE)                \
    (Uint8)(                                         \
      _UFRMR_TCLK1SEL_SOURCE_##SOURCE##_SV           \
  )

  #define _UFRMR_TCLK1SEL_FGET(FIELD)                \
    _PER_FGET8(_UFRMR_TCLK1SEL_ADDR,                 \
      UFRMR,TCLK1SEL,##FIELD)

  #define _UFRMR_TCLK1SEL_FSET(FIELD,field)          \
    _PER_FSET8(_UFRMR_TCLK1SEL_ADDR,                 \
      UFRMR,TCLK1SEL,##FIELD,field)

  #define _UFRMR_TCLK1SEL_FSETS(FIELD,SYM)           \
    _PER_FSETS8(_UFRMR_TCLK1SEL_ADDR,                \
      UFRMR,TCLK1SEL,##FIELD,##SYM)

  #define _UFRMR_TCLK1SEL_FGETQ(FIELD,val)           \
    _PER_FGETQ8(_UFRMR_TCLK1SEL_ADDR,                \
      UFRMR,TCLK1SEL,##FIELD,val)

  #define _UFRMR_TCLK1SEL_FGETSQ(FIELD,SYM)          \
    _PER_FGETSQ8(_UFRMR_TCLK1SEL_ADDR,               \
      UFRMR,TCLK1SEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  T C L K 2 S E L      |
* |_______________________|
*
* TCLK2SEL - Framer2 TCLK Clock Source Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - Source of Framer2 TCLK Clock
*
\******************************************************************************/
/*#define _UFRMR_TCLK2SEL_RECIDX                     Not recorded */

  #define _UFRMR_TCLK2SEL_ADDR                       0x60004005u

  #define _UFRMR_TCLK2SEL_REGOFFS                    0x00000005u
  #define _UFRMR_TCLK2SEL_REGOFFS8                   0x00000005u

  #define _UFRMR_TCLK2SEL_SOURCE_MASK                0x0Fu
  #define _UFRMR_TCLK2SEL_SOURCE_SHIFT               0
  #define UFRMR_TCLK2SEL_SOURCE_DEFAULT              0x00u
  #define UFRMR_TCLK2SEL_SOURCE_OF(x)                _VALUEOF8(x)
  #define UFRMR_TCLK2SEL_SOURCE_FRAMER2_RCLK         0x00u
  #define UFRMR_TCLK2SEL_SOURCE_LOCAL_2048_KHZ       0x01u
  #define UFRMR_TCLK2SEL_SOURCE_SYNCBUS0             0x02u
  #define UFRMR_TCLK2SEL_SOURCE_SYNCBUS1             0x03u
  #define UFRMR_TCLK2SEL_SOURCE_SYNCBUS2             0x04u
  #define UFRMR_TCLK2SEL_SOURCE_FRAMER1_RCLK         0x05u
  #define _UFRMR_TCLK2SEL_SOURCE_FRAMER2_RCLK_SV     0x00u
  #define _UFRMR_TCLK2SEL_SOURCE_LOCAL_2048_KHZ_SV   0x01u
  #define _UFRMR_TCLK2SEL_SOURCE_SYNCBUS0_SV         0x02u
  #define _UFRMR_TCLK2SEL_SOURCE_SYNCBUS1_SV         0x03u
  #define _UFRMR_TCLK2SEL_SOURCE_SYNCBUS2_SV         0x04u
  #define _UFRMR_TCLK2SEL_SOURCE_FRAMER1_RCLK_SV     0x05u

  #define UFRMR_TCLK2SEL_OF(val)                     _VALUEOF8(val)
  #define UFRMR_TCLK2SEL_DEFAULT (Uint8)(            \
      _PER_FDEFAULT8(UFRMR,TCLK2SEL,SOURCE)          \
  )

  #define UFRMR_TCLK2SEL_RMK(source)                 \
    (Uint8)(                                         \
      _PER_FMK8(UFRMR,TCLK2SEL,SOURCE,source)        \
  )

  #define UFRMR_TCLK2SEL_RMKS(SOURCE)                \
    (Uint8)(                                         \
      _UFRMR_TCLK2SEL_SOURCE_##SOURCE##_SV           \
  )

  #define _UFRMR_TCLK2SEL_FGET(FIELD)                \
    _PER_FGET8(_UFRMR_TCLK2SEL_ADDR,                 \
      UFRMR,TCLK2SEL,##FIELD)

  #define _UFRMR_TCLK2SEL_FSET(FIELD,field)          \
    _PER_FSET8(_UFRMR_TCLK2SEL_ADDR,                 \
      UFRMR,TCLK2SEL,##FIELD,field)

  #define _UFRMR_TCLK2SEL_FSETS(FIELD,SYM)           \
    _PER_FSETS8(_UFRMR_TCLK2SEL_ADDR,                \
      UFRMR,TCLK2SEL,##FIELD,##SYM)

  #define _UFRMR_TCLK2SEL_FGETQ(FIELD,val)           \
    _PER_FGETQ8(_UFRMR_TCLK2SEL_ADDR,                \
      UFRMR,TCLK2SEL,##FIELD,val)

  #define _UFRMR_TCLK2SEL_FGETSQ(FIELD,SYM)          \
    _PER_FGETSQ8(_UFRMR_TCLK2SEL_ADDR,               \
      UFRMR,TCLK2SEL,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_UFRMR_SUPPORT) */
#endif /* _BSL_UFRMRHAL_H_ */
/******************************************************************************\
* End of bsl_ufrmrhal.h
\******************************************************************************/
