/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral UHADC
* FILENAME......... bsl_uhadchal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 02/26/2006 21:13:41
* LAST MODIFIED AT. 02/26/2006 21:13:41
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. UHADC
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 8-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. UHADC is 0x60000000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* CLKSEL      -  HAD1 and HAD2 Clock Select
* FIFOST      -  HAD1 and HAD2 FIFO Status
*
\******************************************************************************/
#ifndef _BSL_UHADCHAL_H_
#define _BSL_UHADCHAL_H_

#include <bsl.h>


#if (BSL_UHADC_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _UHADC_DEVICE_COUNT                        1

  #define _UHADC_BASE_ADDRESS                        0x60000000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define UHADC_FMK(REG,FIELD,val)\
    _PER_FMK8(UHADC,##REG,##FIELD,val)

  #define UHADC_FMKS(REG,FIELD,SYM)\
    _PER_FMKS8(UHADC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define UHADC_ADDR(REG)\
    _UHADC_##REG##_ADDR

  #define UHADC_RGET(REG)\
    _PER_RGET8(_UHADC_##REG##_ADDR,UHADC,##REG)

  #define UHADC_RSET(REG,val)\
    _PER_RSET8(_UHADC_##REG##_ADDR,UHADC,##REG,val)

  #define UHADC_RFSETS(REG,FIELD,SYM)\
    UHADC_RSET(##REG,_UHADC_##REG##_##FIELD##_##SYM##_SV)

  #define UHADC_FGET(REG,FIELD)\
    _UHADC_##REG##_FGET(##FIELD)

  #define UHADC_FSET(REG,FIELD,val)\
    _UHADC_##REG##_FSET(##FIELD,val)

  #define UHADC_FSETS(REG,FIELD,SYM)\
    _UHADC_##REG##_FSETS(##FIELD,##SYM)

  #define UHADC_FGETQ(REG,FIELD,val)\
    _UHADC_##REG##_FGETQ(##FIELD,val)

  #define UHADC_FGETSQ(REG,FIELD,SYM)\
    _UHADC_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define UHADC_RGETA(addr,REG)\
    _PER_RGET8(addr,UHADC,##REG)

  #define UHADC_RSETA(addr,REG,val)\
    _PER_RSET8(addr,UHADC,##REG,val)

  #define UHADC_RFSETSA(addr,REG,FIELD,SYM)\
    UHADC_RSETA(addr,##REG,_UHADC_##REG##_##FIELD##_##SYM##_SV)

  #define UHADC_FGETA(addr,REG,FIELD)\
    _PER_FGET8(addr,UHADC,##REG,##FIELD)

  #define UHADC_FSETA(addr,REG,FIELD,val)\
    _PER_FSET8(addr,UHADC,##REG,##FIELD,val)

  #define UHADC_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS8(addr,UHADC,##REG,##FIELD,##SYM)

  #define UHADC_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ8(addr,UHADC,##REG,##FIELD,val)

  #define UHADC_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ8(addr,UHADC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define UHADC_VRGET(var,REG)\
    _PER_VRGET8(var,UHADC,##REG)

  #define UHADC_VRSET(var,REG,val)\
    _PER_VRSET8(var,UHADC,##REG,val)

  #define UHADC_VRFSETS(var,REG,FIELD,SYM)\
    UHADC_VRSET(var,##REG,_UHADC_##REG##_##FIELD##_##SYM##_SV)

  #define UHADC_VFGET(var,REG,FIELD)\
    _PER_VFGET8(var,UHADC,##REG,##FIELD)

  #define UHADC_VFSET(var,REG,FIELD,val)\
    _PER_VFSET8(var,UHADC,##REG,##FIELD,val)

  #define UHADC_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS8(var,UHADC,##REG,##FIELD,##SYM)

  #define UHADC_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ8(var,UHADC,##REG,##FIELD,val)

  #define UHADC_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ8(var,UHADC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS8          Offset in 8-bit bytes from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  C L K S E L          |
* |_______________________|
*
* CLKSEL - HAD1 and HAD2 Clock Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - HAD1 and HAD2 Clock Source
*
\******************************************************************************/
/*#define _UHADC_CLKSEL_RECIDX                       Not recorded */

  #define _UHADC_CLKSEL_ADDR                         0x60004014u

  #define _UHADC_CLKSEL_REGOFFS                      0x00004014u
  #define _UHADC_CLKSEL_REGOFFS8                     0x00004014u

  #define _UHADC_CLKSEL_SOURCE_MASK                  0x0Fu
  #define _UHADC_CLKSEL_SOURCE_SHIFT                 0
  #define UHADC_CLKSEL_SOURCE_DEFAULT                0x00u
  #define UHADC_CLKSEL_SOURCE_OF(x)                  _VALUEOF8(x)
  #define UHADC_CLKSEL_SOURCE_DDSOUTPUT              0x00u
  #define UHADC_CLKSEL_SOURCE_RCLKIN                 0x01u
  #define UHADC_CLKSEL_SOURCE_L2048KHZ               0x02u
  #define UHADC_CLKSEL_SOURCE_DSP1_TOUT0             0x03u
  #define UHADC_CLKSEL_SOURCE_DSP1_TOUT1             0x04u
  #define UHADC_CLKSEL_SOURCE_DSP1_TOUT2             0x05u
  #define _UHADC_CLKSEL_SOURCE_DDSOUTPUT_SV          0x00u
  #define _UHADC_CLKSEL_SOURCE_RCLKIN_SV             0x01u
  #define _UHADC_CLKSEL_SOURCE_L2048KHZ_SV           0x02u
  #define _UHADC_CLKSEL_SOURCE_DSP1_TOUT0_SV         0x03u
  #define _UHADC_CLKSEL_SOURCE_DSP1_TOUT1_SV         0x04u
  #define _UHADC_CLKSEL_SOURCE_DSP1_TOUT2_SV         0x05u

  #define UHADC_CLKSEL_OF(val)                       _VALUEOF8(val)
  #define UHADC_CLKSEL_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(UHADC,CLKSEL,SOURCE)            \
  )

  #define UHADC_CLKSEL_RMK(source)                   \
    (Uint8)(                                         \
      _PER_FMK8(UHADC,CLKSEL,SOURCE,source)          \
  )

  #define UHADC_CLKSEL_RMKS(SOURCE)                  \
    (Uint8)(                                         \
      _UHADC_CLKSEL_SOURCE_##SOURCE##_SV             \
  )

  #define _UHADC_CLKSEL_FGET(FIELD)                  \
    _PER_FGET8(_UHADC_CLKSEL_ADDR,                   \
      UHADC,CLKSEL,##FIELD)

  #define _UHADC_CLKSEL_FSET(FIELD,field)            \
    _PER_FSET8(_UHADC_CLKSEL_ADDR,                   \
      UHADC,CLKSEL,##FIELD,field)

  #define _UHADC_CLKSEL_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_UHADC_CLKSEL_ADDR,                  \
      UHADC,CLKSEL,##FIELD,##SYM)

  #define _UHADC_CLKSEL_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_UHADC_CLKSEL_ADDR,                  \
      UHADC,CLKSEL,##FIELD,val)

  #define _UHADC_CLKSEL_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_UHADC_CLKSEL_ADDR,                 \
      UHADC,CLKSEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  F I F O S T          |
* |_______________________|
*
* FIFOST - HAD1 and HAD2 FIFO Status
*
* FIELDS (msb -> lsb)
* (RW)	EMPTY2    	[ 3: 3]	 - Status of HAD2 FIFO Empty
* (RW)	FULL2     	[ 2: 2]	 - Status of HAD2 FIFO Full
* (RW)	EMPTY1    	[ 1: 1]	 - Status of HAD1 FIFO Empty
* (RW)	FULL1     	[ 0: 0]	 - Status of HAD1 FIFO Full
*
\******************************************************************************/
/*#define _UHADC_FIFOST_RECIDX                       Not recorded */

  #define _UHADC_FIFOST_ADDR                         0x6000401Bu

  #define _UHADC_FIFOST_REGOFFS                      0x0000401Bu
  #define _UHADC_FIFOST_REGOFFS8                     0x0000401Bu

  #define _UHADC_FIFOST_EMPTY2_MASK                  0x08u
  #define _UHADC_FIFOST_EMPTY2_SHIFT                 3
  #define UHADC_FIFOST_EMPTY2_DEFAULT                0x00u
  #define UHADC_FIFOST_EMPTY2_OF(x)                  _VALUEOF8(x)
  #define UHADC_FIFOST_EMPTY2_EMPTY                  0x01u
  #define UHADC_FIFOST_EMPTY2_NOT_EMPTY              0x00u
  #define _UHADC_FIFOST_EMPTY2_EMPTY_SV              0x08u
  #define _UHADC_FIFOST_EMPTY2_NOT_EMPTY_SV          0x00u

  #define _UHADC_FIFOST_FULL2_MASK                   0x04u
  #define _UHADC_FIFOST_FULL2_SHIFT                  2
  #define UHADC_FIFOST_FULL2_DEFAULT                 0x00u
  #define UHADC_FIFOST_FULL2_OF(x)                   _VALUEOF8(x)
  #define UHADC_FIFOST_FULL2_FULL                    0x01u
  #define UHADC_FIFOST_FULL2_NOT_FULL                0x00u
  #define _UHADC_FIFOST_FULL2_FULL_SV                0x04u
  #define _UHADC_FIFOST_FULL2_NOT_FULL_SV            0x00u

  #define _UHADC_FIFOST_EMPTY1_MASK                  0x02u
  #define _UHADC_FIFOST_EMPTY1_SHIFT                 1
  #define UHADC_FIFOST_EMPTY1_DEFAULT                0x00u
  #define UHADC_FIFOST_EMPTY1_OF(x)                  _VALUEOF8(x)
  #define UHADC_FIFOST_EMPTY1_EMPTY                  0x01u
  #define UHADC_FIFOST_EMPTY1_NOT_EMPTY              0x00u
  #define _UHADC_FIFOST_EMPTY1_EMPTY_SV              0x02u
  #define _UHADC_FIFOST_EMPTY1_NOT_EMPTY_SV          0x00u

  #define _UHADC_FIFOST_FULL1_MASK                   0x01u
  #define _UHADC_FIFOST_FULL1_SHIFT                  0
  #define UHADC_FIFOST_FULL1_DEFAULT                 0x00u
  #define UHADC_FIFOST_FULL1_OF(x)                   _VALUEOF8(x)
  #define UHADC_FIFOST_FULL1_FULL                    0x01u
  #define UHADC_FIFOST_FULL1_NOT_FULL                0x00u
  #define _UHADC_FIFOST_FULL1_FULL_SV                0x01u
  #define _UHADC_FIFOST_FULL1_NOT_FULL_SV            0x00u

  #define UHADC_FIFOST_OF(val)                       _VALUEOF8(val)
  #define UHADC_FIFOST_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(UHADC,FIFOST,EMPTY2)            \
    | _PER_FDEFAULT8(UHADC,FIFOST,FULL2)             \
    | _PER_FDEFAULT8(UHADC,FIFOST,EMPTY1)            \
    | _PER_FDEFAULT8(UHADC,FIFOST,FULL1)             \
  )

  #define UHADC_FIFOST_RMK(empty2,full2,empty1,      \
    full1)                                           \
    (Uint8)(                                         \
      _PER_FMK8(UHADC,FIFOST,EMPTY2,empty2)          \
    | _PER_FMK8(UHADC,FIFOST,FULL2,full2)            \
    | _PER_FMK8(UHADC,FIFOST,EMPTY1,empty1)          \
    | _PER_FMK8(UHADC,FIFOST,FULL1,full1)            \
  )

  #define UHADC_FIFOST_RMKS(EMPTY2,FULL2,EMPTY1,     \
    FULL1)                                           \
    (Uint8)(                                         \
      _UHADC_FIFOST_EMPTY2_##EMPTY2##_SV             \
    | _UHADC_FIFOST_FULL2_##FULL2##_SV               \
    | _UHADC_FIFOST_EMPTY1_##EMPTY1##_SV             \
    | _UHADC_FIFOST_FULL1_##FULL1##_SV               \
  )

  #define _UHADC_FIFOST_FGET(FIELD)                  \
    _PER_FGET8(_UHADC_FIFOST_ADDR,                   \
      UHADC,FIFOST,##FIELD)

  #define _UHADC_FIFOST_FSET(FIELD,field)            \
    _PER_FSET8(_UHADC_FIFOST_ADDR,                   \
      UHADC,FIFOST,##FIELD,field)

  #define _UHADC_FIFOST_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_UHADC_FIFOST_ADDR,                  \
      UHADC,FIFOST,##FIELD,##SYM)

  #define _UHADC_FIFOST_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_UHADC_FIFOST_ADDR,                  \
      UHADC,FIFOST,##FIELD,val)

  #define _UHADC_FIFOST_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_UHADC_FIFOST_ADDR,                 \
      UHADC,FIFOST,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_UHADC_SUPPORT) */
#endif /* _BSL_UHADCHAL_H_ */
/******************************************************************************\
* End of bsl_uhadchal.h
\******************************************************************************/
