/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral UINT
* FILENAME......... bsl_uinthal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:03
* LAST MODIFIED AT. 01/14/2006 15:26:03
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. UINT
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 8-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. UINT is 0x60004000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* INT4SRC     -  INT4_SEL (Interrupt 4 Source Select)
* INT5SRC     -  INT5_SEL (Interrupt 5 Source Select)
* INT6SRC     -  INT6_SEL (Interrupt 6 Source Select)
* INT4SEND    -  INT4_SEND (TINT4SEND Interrupt 4 Send to the other DSP)
* INT5SEND    -  INT5_SEND (TINT5SEND Interrupt 5 Send to the other DSP)
* INT6SEND    -  INT6_SEND (TINT6SEND Interrupt 6 Send to the other DSP)
*
\******************************************************************************/
#ifndef _BSL_UINTHAL_H_
#define _BSL_UINTHAL_H_

#include <bsl.h>


#if (BSL_UINT_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _UINT_DEVICE_COUNT                         1

  #define _UINT_BASE_ADDRESS                         0x60004000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define UINT_FMK(REG,FIELD,val)\
    _PER_FMK8(UINT,##REG,##FIELD,val)

  #define UINT_FMKS(REG,FIELD,SYM)\
    _PER_FMKS8(UINT,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define UINT_ADDR(REG)\
    _UINT_##REG##_ADDR

  #define UINT_RGET(REG)\
    _PER_RGET8(_UINT_##REG##_ADDR,UINT,##REG)

  #define UINT_RSET(REG,val)\
    _PER_RSET8(_UINT_##REG##_ADDR,UINT,##REG,val)

  #define UINT_RFSETS(REG,FIELD,SYM)\
    UINT_RSET(##REG,_UINT_##REG##_##FIELD##_##SYM##_SV)

  #define UINT_FGET(REG,FIELD)\
    _UINT_##REG##_FGET(##FIELD)

  #define UINT_FSET(REG,FIELD,val)\
    _UINT_##REG##_FSET(##FIELD,val)

  #define UINT_FSETS(REG,FIELD,SYM)\
    _UINT_##REG##_FSETS(##FIELD,##SYM)

  #define UINT_FGETQ(REG,FIELD,val)\
    _UINT_##REG##_FGETQ(##FIELD,val)

  #define UINT_FGETSQ(REG,FIELD,SYM)\
    _UINT_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define UINT_RGETA(addr,REG)\
    _PER_RGET8(addr,UINT,##REG)

  #define UINT_RSETA(addr,REG,val)\
    _PER_RSET8(addr,UINT,##REG,val)

  #define UINT_RFSETSA(addr,REG,FIELD,SYM)\
    UINT_RSETA(addr,##REG,_UINT_##REG##_##FIELD##_##SYM##_SV)

  #define UINT_FGETA(addr,REG,FIELD)\
    _PER_FGET8(addr,UINT,##REG,##FIELD)

  #define UINT_FSETA(addr,REG,FIELD,val)\
    _PER_FSET8(addr,UINT,##REG,##FIELD,val)

  #define UINT_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS8(addr,UINT,##REG,##FIELD,##SYM)

  #define UINT_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ8(addr,UINT,##REG,##FIELD,val)

  #define UINT_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ8(addr,UINT,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define UINT_VRGET(var,REG)\
    _PER_VRGET8(var,UINT,##REG)

  #define UINT_VRSET(var,REG,val)\
    _PER_VRSET8(var,UINT,##REG,val)

  #define UINT_VRFSETS(var,REG,FIELD,SYM)\
    UINT_VRSET(var,##REG,_UINT_##REG##_##FIELD##_##SYM##_SV)

  #define UINT_VFGET(var,REG,FIELD)\
    _PER_VFGET8(var,UINT,##REG,##FIELD)

  #define UINT_VFSET(var,REG,FIELD,val)\
    _PER_VFSET8(var,UINT,##REG,##FIELD,val)

  #define UINT_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS8(var,UINT,##REG,##FIELD,##SYM)

  #define UINT_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ8(var,UINT,##REG,##FIELD,val)

  #define UINT_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ8(var,UINT,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS8          Offset in 8-bit bytes from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  I N T 4 S R C        |
* |_______________________|
*
* INT4SRC - INT4_SEL (Interrupt 4 Source Select)
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - Interrupt 4 Source Select
*
\******************************************************************************/
/*#define _UINT_INT4SRC_RECIDX                       Not recorded */

  #define _UINT_INT4SRC_ADDR                         0x60004015u

  #define _UINT_INT4SRC_REGOFFS                      0x00000015u
  #define _UINT_INT4SRC_REGOFFS8                     0x00000015u

  #define _UINT_INT4SRC_SOURCE_MASK                  0x0Fu
  #define _UINT_INT4SRC_SOURCE_SHIFT                 0
  #define UINT_INT4SRC_SOURCE_DEFAULT                0x00u
  #define UINT_INT4SRC_SOURCE_OF(x)                  _VALUEOF8(x)
  #define UINT_INT4SRC_SOURCE_TINT4SEND              0x00u
  #define UINT_INT4SRC_SOURCE_RBMLVDSBUS0            0x01u
  #define UINT_INT4SRC_SOURCE_RBMLVDSBUS1            0x02u
  #define UINT_INT4SRC_SOURCE_SYNCBUS0               0x03u
  #define UINT_INT4SRC_SOURCE_SYNCBUS1               0x04u
  #define UINT_INT4SRC_SOURCE_SYNCBUS2               0x05u
  #define UINT_INT4SRC_SOURCE_AD1BUSYL               0x06u
  #define UINT_INT4SRC_SOURCE_AD1EOC                 0x06u
  #define UINT_INT4SRC_SOURCE_AD2BUSYL               0x07u
  #define UINT_INT4SRC_SOURCE_AD2EOC                 0x07u
  #define UINT_INT4SRC_SOURCE_NF1INTL                0x08u
  #define UINT_INT4SRC_SOURCE_NF2INTL                0x09u
  #define UINT_INT4SRC_SOURCE_HAD1OVERLOAD           0x0Au
  #define UINT_INT4SRC_SOURCE_HAD2OVERLOAD           0x0Bu
  #define _UINT_INT4SRC_SOURCE_TINT4SEND_SV          0x00u
  #define _UINT_INT4SRC_SOURCE_RBMLVDSBUS0_SV        0x01u
  #define _UINT_INT4SRC_SOURCE_RBMLVDSBUS1_SV        0x02u
  #define _UINT_INT4SRC_SOURCE_SYNCBUS0_SV           0x03u
  #define _UINT_INT4SRC_SOURCE_SYNCBUS1_SV           0x04u
  #define _UINT_INT4SRC_SOURCE_SYNCBUS2_SV           0x05u
  #define _UINT_INT4SRC_SOURCE_AD1BUSYL_SV           0x06u
  #define _UINT_INT4SRC_SOURCE_AD1EOC_SV             0x06u
  #define _UINT_INT4SRC_SOURCE_AD2BUSYL_SV           0x07u
  #define _UINT_INT4SRC_SOURCE_AD2EOC_SV             0x07u
  #define _UINT_INT4SRC_SOURCE_NF1INTL_SV            0x08u
  #define _UINT_INT4SRC_SOURCE_NF2INTL_SV            0x09u
  #define _UINT_INT4SRC_SOURCE_HAD1OVERLOAD_SV       0x0Au
  #define _UINT_INT4SRC_SOURCE_HAD2OVERLOAD_SV       0x0Bu

  #define UINT_INT4SRC_OF(val)                       _VALUEOF8(val)
  #define UINT_INT4SRC_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(UINT,INT4SRC,SOURCE)            \
  )

  #define UINT_INT4SRC_RMK(source)                   \
    (Uint8)(                                         \
      _PER_FMK8(UINT,INT4SRC,SOURCE,source)          \
  )

  #define UINT_INT4SRC_RMKS(SOURCE)                  \
    (Uint8)(                                         \
      _UINT_INT4SRC_SOURCE_##SOURCE##_SV             \
  )

  #define _UINT_INT4SRC_FGET(FIELD)                  \
    _PER_FGET8(_UINT_INT4SRC_ADDR,                   \
      UINT,INT4SRC,##FIELD)

  #define _UINT_INT4SRC_FSET(FIELD,field)            \
    _PER_FSET8(_UINT_INT4SRC_ADDR,                   \
      UINT,INT4SRC,##FIELD,field)

  #define _UINT_INT4SRC_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_UINT_INT4SRC_ADDR,                  \
      UINT,INT4SRC,##FIELD,##SYM)

  #define _UINT_INT4SRC_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_UINT_INT4SRC_ADDR,                  \
      UINT,INT4SRC,##FIELD,val)

  #define _UINT_INT4SRC_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_UINT_INT4SRC_ADDR,                 \
      UINT,INT4SRC,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  I N T 5 S R C        |
* |_______________________|
*
* INT5SRC - INT5_SEL (Interrupt 5 Source Select)
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - Interrupt 5 Source Select
*
\******************************************************************************/
/*#define _UINT_INT5SRC_RECIDX                       Not recorded */

  #define _UINT_INT5SRC_ADDR                         0x60004016u

  #define _UINT_INT5SRC_REGOFFS                      0x00000016u
  #define _UINT_INT5SRC_REGOFFS8                     0x00000016u

  #define _UINT_INT5SRC_SOURCE_MASK                  0x0Fu
  #define _UINT_INT5SRC_SOURCE_SHIFT                 0
  #define UINT_INT5SRC_SOURCE_DEFAULT                0x00u
  #define UINT_INT5SRC_SOURCE_OF(x)                  _VALUEOF8(x)
  #define UINT_INT5SRC_SOURCE_TINT5SEND              0x00u
  #define UINT_INT5SRC_SOURCE_RBMLVDSBUS0            0x01u
  #define UINT_INT5SRC_SOURCE_RBMLVDSBUS1            0x02u
  #define UINT_INT5SRC_SOURCE_SYNCBUS0               0x03u
  #define UINT_INT5SRC_SOURCE_SYNCBUS1               0x04u
  #define UINT_INT5SRC_SOURCE_SYNCBUS2               0x05u
  #define UINT_INT5SRC_SOURCE_AD1BUSYL               0x06u
  #define UINT_INT5SRC_SOURCE_AD1EOC                 0x06u
  #define UINT_INT5SRC_SOURCE_AD2BUSYL               0x07u
  #define UINT_INT5SRC_SOURCE_AD2EOC                 0x07u
  #define UINT_INT5SRC_SOURCE_NF1INTL                0x08u
  #define UINT_INT5SRC_SOURCE_NF2INTL                0x09u
  #define UINT_INT5SRC_SOURCE_HAD1OVERLOAD           0x0Au
  #define UINT_INT5SRC_SOURCE_HAD2OVERLOAD           0x0Bu
  #define _UINT_INT5SRC_SOURCE_TINT5SEND_SV          0x00u
  #define _UINT_INT5SRC_SOURCE_RBMLVDSBUS0_SV        0x01u
  #define _UINT_INT5SRC_SOURCE_RBMLVDSBUS1_SV        0x02u
  #define _UINT_INT5SRC_SOURCE_SYNCBUS0_SV           0x03u
  #define _UINT_INT5SRC_SOURCE_SYNCBUS1_SV           0x04u
  #define _UINT_INT5SRC_SOURCE_SYNCBUS2_SV           0x05u
  #define _UINT_INT5SRC_SOURCE_AD1BUSYL_SV           0x06u
  #define _UINT_INT5SRC_SOURCE_AD1EOC_SV             0x06u
  #define _UINT_INT5SRC_SOURCE_AD2BUSYL_SV           0x07u
  #define _UINT_INT5SRC_SOURCE_AD2EOC_SV             0x07u
  #define _UINT_INT5SRC_SOURCE_NF1INTL_SV            0x08u
  #define _UINT_INT5SRC_SOURCE_NF2INTL_SV            0x09u
  #define _UINT_INT5SRC_SOURCE_HAD1OVERLOAD_SV       0x0Au
  #define _UINT_INT5SRC_SOURCE_HAD2OVERLOAD_SV       0x0Bu

  #define UINT_INT5SRC_OF(val)                       _VALUEOF8(val)
  #define UINT_INT5SRC_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(UINT,INT5SRC,SOURCE)            \
  )

  #define UINT_INT5SRC_RMK(source)                   \
    (Uint8)(                                         \
      _PER_FMK8(UINT,INT5SRC,SOURCE,source)          \
  )

  #define UINT_INT5SRC_RMKS(SOURCE)                  \
    (Uint8)(                                         \
      _UINT_INT5SRC_SOURCE_##SOURCE##_SV             \
  )

  #define _UINT_INT5SRC_FGET(FIELD)                  \
    _PER_FGET8(_UINT_INT5SRC_ADDR,                   \
      UINT,INT5SRC,##FIELD)

  #define _UINT_INT5SRC_FSET(FIELD,field)            \
    _PER_FSET8(_UINT_INT5SRC_ADDR,                   \
      UINT,INT5SRC,##FIELD,field)

  #define _UINT_INT5SRC_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_UINT_INT5SRC_ADDR,                  \
      UINT,INT5SRC,##FIELD,##SYM)

  #define _UINT_INT5SRC_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_UINT_INT5SRC_ADDR,                  \
      UINT,INT5SRC,##FIELD,val)

  #define _UINT_INT5SRC_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_UINT_INT5SRC_ADDR,                 \
      UINT,INT5SRC,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  I N T 6 S R C        |
* |_______________________|
*
* INT6SRC - INT6_SEL (Interrupt 6 Source Select)
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - Interrupt 6 Source Select
*
\******************************************************************************/
/*#define _UINT_INT6SRC_RECIDX                       Not recorded */

  #define _UINT_INT6SRC_ADDR                         0x60004017u

  #define _UINT_INT6SRC_REGOFFS                      0x00000017u
  #define _UINT_INT6SRC_REGOFFS8                     0x00000017u

  #define _UINT_INT6SRC_SOURCE_MASK                  0x0Fu
  #define _UINT_INT6SRC_SOURCE_SHIFT                 0
  #define UINT_INT6SRC_SOURCE_DEFAULT                0x00u
  #define UINT_INT6SRC_SOURCE_OF(x)                  _VALUEOF8(x)
  #define UINT_INT6SRC_SOURCE_TINT6SEND              0x00u
  #define UINT_INT6SRC_SOURCE_RBMLVDSBUS0            0x01u
  #define UINT_INT6SRC_SOURCE_RBMLVDSBUS1            0x02u
  #define UINT_INT6SRC_SOURCE_SYNCBUS0               0x03u
  #define UINT_INT6SRC_SOURCE_SYNCBUS1               0x04u
  #define UINT_INT6SRC_SOURCE_SYNCBUS2               0x05u
  #define UINT_INT6SRC_SOURCE_AD1BUSYL               0x06u
  #define UINT_INT6SRC_SOURCE_AD1EOC                 0x06u
  #define UINT_INT6SRC_SOURCE_AD2BUSYL               0x07u
  #define UINT_INT6SRC_SOURCE_AD2EOC                 0x07u
  #define UINT_INT6SRC_SOURCE_NF1INTL                0x08u
  #define UINT_INT6SRC_SOURCE_NF2INTL                0x09u
  #define UINT_INT6SRC_SOURCE_HAD1OVERLOAD           0x0Au
  #define UINT_INT6SRC_SOURCE_HAD2OVERLOAD           0x0Bu
  #define _UINT_INT6SRC_SOURCE_TINT6SEND_SV          0x00u
  #define _UINT_INT6SRC_SOURCE_RBMLVDSBUS0_SV        0x01u
  #define _UINT_INT6SRC_SOURCE_RBMLVDSBUS1_SV        0x02u
  #define _UINT_INT6SRC_SOURCE_SYNCBUS0_SV           0x03u
  #define _UINT_INT6SRC_SOURCE_SYNCBUS1_SV           0x04u
  #define _UINT_INT6SRC_SOURCE_SYNCBUS2_SV           0x05u
  #define _UINT_INT6SRC_SOURCE_AD1BUSYL_SV           0x06u
  #define _UINT_INT6SRC_SOURCE_AD1EOC_SV             0x06u
  #define _UINT_INT6SRC_SOURCE_AD2BUSYL_SV           0x07u
  #define _UINT_INT6SRC_SOURCE_AD2EOC_SV             0x07u
  #define _UINT_INT6SRC_SOURCE_NF1INTL_SV            0x08u
  #define _UINT_INT6SRC_SOURCE_NF2INTL_SV            0x09u
  #define _UINT_INT6SRC_SOURCE_HAD1OVERLOAD_SV       0x0Au
  #define _UINT_INT6SRC_SOURCE_HAD2OVERLOAD_SV       0x0Bu

  #define UINT_INT6SRC_OF(val)                       _VALUEOF8(val)
  #define UINT_INT6SRC_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(UINT,INT6SRC,SOURCE)            \
  )

  #define UINT_INT6SRC_RMK(source)                   \
    (Uint8)(                                         \
      _PER_FMK8(UINT,INT6SRC,SOURCE,source)          \
  )

  #define UINT_INT6SRC_RMKS(SOURCE)                  \
    (Uint8)(                                         \
      _UINT_INT6SRC_SOURCE_##SOURCE##_SV             \
  )

  #define _UINT_INT6SRC_FGET(FIELD)                  \
    _PER_FGET8(_UINT_INT6SRC_ADDR,                   \
      UINT,INT6SRC,##FIELD)

  #define _UINT_INT6SRC_FSET(FIELD,field)            \
    _PER_FSET8(_UINT_INT6SRC_ADDR,                   \
      UINT,INT6SRC,##FIELD,field)

  #define _UINT_INT6SRC_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_UINT_INT6SRC_ADDR,                  \
      UINT,INT6SRC,##FIELD,##SYM)

  #define _UINT_INT6SRC_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_UINT_INT6SRC_ADDR,                  \
      UINT,INT6SRC,##FIELD,val)

  #define _UINT_INT6SRC_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_UINT_INT6SRC_ADDR,                 \
      UINT,INT6SRC,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  I N T 4 S E N D      |
* |_______________________|
*
* INT4SEND - INT4_SEND (TINT4SEND Interrupt 4 Send to the other DSP)
*
* FIELDS (msb -> lsb)
*
\******************************************************************************/
/*#define _UINT_INT4SEND_RECIDX                      Not recorded */

  #define _UINT_INT4SEND_ADDR                        0x60004018u

  #define _UINT_INT4SEND_REGOFFS                     0x00000018u
  #define _UINT_INT4SEND_REGOFFS8                    0x00000018u

  #define UINT_INT4SEND_OF(val)                      _VALUEOF8(val)
  #define UINT_INT4SEND_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(UINT,INT4SEND,SOURCE)           \
  )

  #define _UINT_INT4SEND_FGET(FIELD)                 \
    _PER_FGET8(_UINT_INT4SEND_ADDR,                  \
      UINT,INT4SEND,##FIELD)

  #define _UINT_INT4SEND_FSET(FIELD,field)           \
    _PER_FSET8(_UINT_INT4SEND_ADDR,                  \
      UINT,INT4SEND,##FIELD,field)

  #define _UINT_INT4SEND_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_UINT_INT4SEND_ADDR,                 \
      UINT,INT4SEND,##FIELD,##SYM)

  #define _UINT_INT4SEND_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_UINT_INT4SEND_ADDR,                 \
      UINT,INT4SEND,##FIELD,val)

  #define _UINT_INT4SEND_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_UINT_INT4SEND_ADDR,                \
      UINT,INT4SEND,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  I N T 5 S E N D      |
* |_______________________|
*
* INT5SEND - INT5_SEND (TINT5SEND Interrupt 5 Send to the other DSP)
*
* FIELDS (msb -> lsb)
*
\******************************************************************************/
/*#define _UINT_INT5SEND_RECIDX                      Not recorded */

  #define _UINT_INT5SEND_ADDR                        0x60004019u

  #define _UINT_INT5SEND_REGOFFS                     0x00000019u
  #define _UINT_INT5SEND_REGOFFS8                    0x00000019u

  #define UINT_INT5SEND_OF(val)                      _VALUEOF8(val)
  #define UINT_INT5SEND_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(UINT,INT5SEND,SOURCE)           \
  )

  #define _UINT_INT5SEND_FGET(FIELD)                 \
    _PER_FGET8(_UINT_INT5SEND_ADDR,                  \
      UINT,INT5SEND,##FIELD)

  #define _UINT_INT5SEND_FSET(FIELD,field)           \
    _PER_FSET8(_UINT_INT5SEND_ADDR,                  \
      UINT,INT5SEND,##FIELD,field)

  #define _UINT_INT5SEND_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_UINT_INT5SEND_ADDR,                 \
      UINT,INT5SEND,##FIELD,##SYM)

  #define _UINT_INT5SEND_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_UINT_INT5SEND_ADDR,                 \
      UINT,INT5SEND,##FIELD,val)

  #define _UINT_INT5SEND_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_UINT_INT5SEND_ADDR,                \
      UINT,INT5SEND,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  I N T 6 S E N D      |
* |_______________________|
*
* INT6SEND - INT6_SEND (TINT6SEND Interrupt 6 Send to the other DSP)
*
* FIELDS (msb -> lsb)
*
\******************************************************************************/
/*#define _UINT_INT6SEND_RECIDX                      Not recorded */

  #define _UINT_INT6SEND_ADDR                        0x6000401Au

  #define _UINT_INT6SEND_REGOFFS                     0x0000001Au
  #define _UINT_INT6SEND_REGOFFS8                    0x0000001Au

  #define UINT_INT6SEND_OF(val)                      _VALUEOF8(val)
  #define UINT_INT6SEND_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(UINT,INT6SEND,SOURCE)           \
  )

  #define _UINT_INT6SEND_FGET(FIELD)                 \
    _PER_FGET8(_UINT_INT6SEND_ADDR,                  \
      UINT,INT6SEND,##FIELD)

  #define _UINT_INT6SEND_FSET(FIELD,field)           \
    _PER_FSET8(_UINT_INT6SEND_ADDR,                  \
      UINT,INT6SEND,##FIELD,field)

  #define _UINT_INT6SEND_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_UINT_INT6SEND_ADDR,                 \
      UINT,INT6SEND,##FIELD,##SYM)

  #define _UINT_INT6SEND_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_UINT_INT6SEND_ADDR,                 \
      UINT,INT6SEND,##FIELD,val)

  #define _UINT_INT6SEND_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_UINT_INT6SEND_ADDR,                \
      UINT,INT6SEND,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_UINT_SUPPORT) */
#endif /* _BSL_UINTHAL_H_ */
/******************************************************************************\
* End of bsl_uinthal.h
\******************************************************************************/
