/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral UMISC
* FILENAME......... bsl_umischal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:04
* LAST MODIFIED AT. 01/14/2006 15:26:04
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. UMISC
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 8-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. UMISC is 0x60004000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* DSPCLK      -  Clock control of the DSP chips
*
\******************************************************************************/
#ifndef _BSL_UMISCHAL_H_
#define _BSL_UMISCHAL_H_

#include <bsl.h>


#if (BSL_UMISC_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _UMISC_DEVICE_COUNT                        1

  #define _UMISC_BASE_ADDRESS                        0x60004000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define UMISC_FMK(REG,FIELD,val)\
    _PER_FMK8(UMISC,##REG,##FIELD,val)

  #define UMISC_FMKS(REG,FIELD,SYM)\
    _PER_FMKS8(UMISC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define UMISC_ADDR(REG)\
    _UMISC_##REG##_ADDR

  #define UMISC_RGET(REG)\
    _PER_RGET8(_UMISC_##REG##_ADDR,UMISC,##REG)

  #define UMISC_RSET(REG,val)\
    _PER_RSET8(_UMISC_##REG##_ADDR,UMISC,##REG,val)

  #define UMISC_RFSETS(REG,FIELD,SYM)\
    UMISC_RSET(##REG,_UMISC_##REG##_##FIELD##_##SYM##_SV)

  #define UMISC_FGET(REG,FIELD)\
    _UMISC_##REG##_FGET(##FIELD)

  #define UMISC_FSET(REG,FIELD,val)\
    _UMISC_##REG##_FSET(##FIELD,val)

  #define UMISC_FSETS(REG,FIELD,SYM)\
    _UMISC_##REG##_FSETS(##FIELD,##SYM)

  #define UMISC_FGETQ(REG,FIELD,val)\
    _UMISC_##REG##_FGETQ(##FIELD,val)

  #define UMISC_FGETSQ(REG,FIELD,SYM)\
    _UMISC_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define UMISC_RGETA(addr,REG)\
    _PER_RGET8(addr,UMISC,##REG)

  #define UMISC_RSETA(addr,REG,val)\
    _PER_RSET8(addr,UMISC,##REG,val)

  #define UMISC_RFSETSA(addr,REG,FIELD,SYM)\
    UMISC_RSETA(addr,##REG,_UMISC_##REG##_##FIELD##_##SYM##_SV)

  #define UMISC_FGETA(addr,REG,FIELD)\
    _PER_FGET8(addr,UMISC,##REG,##FIELD)

  #define UMISC_FSETA(addr,REG,FIELD,val)\
    _PER_FSET8(addr,UMISC,##REG,##FIELD,val)

  #define UMISC_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS8(addr,UMISC,##REG,##FIELD,##SYM)

  #define UMISC_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ8(addr,UMISC,##REG,##FIELD,val)

  #define UMISC_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ8(addr,UMISC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define UMISC_VRGET(var,REG)\
    _PER_VRGET8(var,UMISC,##REG)

  #define UMISC_VRSET(var,REG,val)\
    _PER_VRSET8(var,UMISC,##REG,val)

  #define UMISC_VRFSETS(var,REG,FIELD,SYM)\
    UMISC_VRSET(var,##REG,_UMISC_##REG##_##FIELD##_##SYM##_SV)

  #define UMISC_VFGET(var,REG,FIELD)\
    _PER_VFGET8(var,UMISC,##REG,##FIELD)

  #define UMISC_VFSET(var,REG,FIELD,val)\
    _PER_VFSET8(var,UMISC,##REG,##FIELD,val)

  #define UMISC_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS8(var,UMISC,##REG,##FIELD,##SYM)

  #define UMISC_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ8(var,UMISC,##REG,##FIELD,val)

  #define UMISC_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ8(var,UMISC,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS8          Offset in 8-bit bytes from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  D S P C L K          |
* |_______________________|
*
* DSPCLK - Clock control of the DSP chips
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - Clock source of the DSP chips
*
\******************************************************************************/
/*#define _UMISC_DSPCLK_RECIDX                       Not recorded */

  #define _UMISC_DSPCLK_ADDR                         0x60004013u

  #define _UMISC_DSPCLK_REGOFFS                      0x00000013u
  #define _UMISC_DSPCLK_REGOFFS8                     0x00000013u

  #define _UMISC_DSPCLK_SOURCE_MASK                  0x0Fu
  #define _UMISC_DSPCLK_SOURCE_SHIFT                 0
  #define UMISC_DSPCLK_SOURCE_DEFAULT                0x00u
  #define UMISC_DSPCLK_SOURCE_OF(x)                  _VALUEOF8(x)
  #define UMISC_DSPCLK_SOURCE_RBMLVDSBUS0            0x00u
  #define UMISC_DSPCLK_SOURCE_RBMLVDSBUS1            0x01u
  #define UMISC_DSPCLK_SOURCE_DDSOUTPUT              0x02u
  #define _UMISC_DSPCLK_SOURCE_RBMLVDSBUS0_SV        0x00u
  #define _UMISC_DSPCLK_SOURCE_RBMLVDSBUS1_SV        0x01u
  #define _UMISC_DSPCLK_SOURCE_DDSOUTPUT_SV          0x02u

  #define UMISC_DSPCLK_OF(val)                       _VALUEOF8(val)
  #define UMISC_DSPCLK_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(UMISC,DSPCLK,SOURCE)            \
  )

  #define UMISC_DSPCLK_RMK(source)                   \
    (Uint8)(                                         \
      _PER_FMK8(UMISC,DSPCLK,SOURCE,source)          \
  )

  #define UMISC_DSPCLK_RMKS(SOURCE)                  \
    (Uint8)(                                         \
      _UMISC_DSPCLK_SOURCE_##SOURCE##_SV             \
  )

  #define _UMISC_DSPCLK_FGET(FIELD)                  \
    _PER_FGET8(_UMISC_DSPCLK_ADDR,                   \
      UMISC,DSPCLK,##FIELD)

  #define _UMISC_DSPCLK_FSET(FIELD,field)            \
    _PER_FSET8(_UMISC_DSPCLK_ADDR,                   \
      UMISC,DSPCLK,##FIELD,field)

  #define _UMISC_DSPCLK_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_UMISC_DSPCLK_ADDR,                  \
      UMISC,DSPCLK,##FIELD,##SYM)

  #define _UMISC_DSPCLK_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_UMISC_DSPCLK_ADDR,                  \
      UMISC,DSPCLK,##FIELD,val)

  #define _UMISC_DSPCLK_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_UMISC_DSPCLK_ADDR,                 \
      UMISC,DSPCLK,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_UMISC_SUPPORT) */
#endif /* _BSL_UMISCHAL_H_ */
/******************************************************************************\
* End of bsl_umischal.h
\******************************************************************************/
