/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral UMLVDSB
* FILENAME......... bsl_umlvdsbhal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:05
* LAST MODIFIED AT. 01/14/2006 15:26:05
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. UMLVDSB
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 8-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. UMLVDSB is 0x60004000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* DRV0EN      -  MLVDSBUS0 Drive Enable
* DRV1EN      -  MLVDSBUS1 Drive Enable
* SRC0SEL     -  MLVDSBUS0 Source Select
* SRC1SEL     -  MLVDSBUS1 Source Select
*
\******************************************************************************/
#ifndef _BSL_UMLVDSBHAL_H_
#define _BSL_UMLVDSBHAL_H_

#include <bsl.h>


#if (BSL_UMLVDSB_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _UMLVDSB_DEVICE_COUNT                      1

  #define _UMLVDSB_BASE_ADDRESS                      0x60004000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define UMLVDSB_FMK(REG,FIELD,val)\
    _PER_FMK8(UMLVDSB,##REG,##FIELD,val)

  #define UMLVDSB_FMKS(REG,FIELD,SYM)\
    _PER_FMKS8(UMLVDSB,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define UMLVDSB_ADDR(REG)\
    _UMLVDSB_##REG##_ADDR

  #define UMLVDSB_RGET(REG)\
    _PER_RGET8(_UMLVDSB_##REG##_ADDR,UMLVDSB,##REG)

  #define UMLVDSB_RSET(REG,val)\
    _PER_RSET8(_UMLVDSB_##REG##_ADDR,UMLVDSB,##REG,val)

  #define UMLVDSB_RFSETS(REG,FIELD,SYM)\
    UMLVDSB_RSET(##REG,_UMLVDSB_##REG##_##FIELD##_##SYM##_SV)

  #define UMLVDSB_FGET(REG,FIELD)\
    _UMLVDSB_##REG##_FGET(##FIELD)

  #define UMLVDSB_FSET(REG,FIELD,val)\
    _UMLVDSB_##REG##_FSET(##FIELD,val)

  #define UMLVDSB_FSETS(REG,FIELD,SYM)\
    _UMLVDSB_##REG##_FSETS(##FIELD,##SYM)

  #define UMLVDSB_FGETQ(REG,FIELD,val)\
    _UMLVDSB_##REG##_FGETQ(##FIELD,val)

  #define UMLVDSB_FGETSQ(REG,FIELD,SYM)\
    _UMLVDSB_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define UMLVDSB_RGETA(addr,REG)\
    _PER_RGET8(addr,UMLVDSB,##REG)

  #define UMLVDSB_RSETA(addr,REG,val)\
    _PER_RSET8(addr,UMLVDSB,##REG,val)

  #define UMLVDSB_RFSETSA(addr,REG,FIELD,SYM)\
    UMLVDSB_RSETA(addr,##REG,_UMLVDSB_##REG##_##FIELD##_##SYM##_SV)

  #define UMLVDSB_FGETA(addr,REG,FIELD)\
    _PER_FGET8(addr,UMLVDSB,##REG,##FIELD)

  #define UMLVDSB_FSETA(addr,REG,FIELD,val)\
    _PER_FSET8(addr,UMLVDSB,##REG,##FIELD,val)

  #define UMLVDSB_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS8(addr,UMLVDSB,##REG,##FIELD,##SYM)

  #define UMLVDSB_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ8(addr,UMLVDSB,##REG,##FIELD,val)

  #define UMLVDSB_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ8(addr,UMLVDSB,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define UMLVDSB_VRGET(var,REG)\
    _PER_VRGET8(var,UMLVDSB,##REG)

  #define UMLVDSB_VRSET(var,REG,val)\
    _PER_VRSET8(var,UMLVDSB,##REG,val)

  #define UMLVDSB_VRFSETS(var,REG,FIELD,SYM)\
    UMLVDSB_VRSET(var,##REG,_UMLVDSB_##REG##_##FIELD##_##SYM##_SV)

  #define UMLVDSB_VFGET(var,REG,FIELD)\
    _PER_VFGET8(var,UMLVDSB,##REG,##FIELD)

  #define UMLVDSB_VFSET(var,REG,FIELD,val)\
    _PER_VFSET8(var,UMLVDSB,##REG,##FIELD,val)

  #define UMLVDSB_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS8(var,UMLVDSB,##REG,##FIELD,##SYM)

  #define UMLVDSB_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ8(var,UMLVDSB,##REG,##FIELD,val)

  #define UMLVDSB_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ8(var,UMLVDSB,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS8          Offset in 8-bit bytes from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  D R V 0 E N          |
* |_______________________|
*
* DRV0EN - MLVDSBUS0 Drive Enable
*
* FIELDS (msb -> lsb)
* (RW)	ENABLE    	[ 0: 0]	 - MLVDSBUS0 Drive Enable
*
\******************************************************************************/
/*#define _UMLVDSB_DRV0EN_RECIDX                     Not recorded */

  #define _UMLVDSB_DRV0EN_ADDR                       0x6000400Fu

  #define _UMLVDSB_DRV0EN_REGOFFS                    0x0000000Fu
  #define _UMLVDSB_DRV0EN_REGOFFS8                   0x0000000Fu

  #define _UMLVDSB_DRV0EN_ENABLE_MASK                0x01u
  #define _UMLVDSB_DRV0EN_ENABLE_SHIFT               0
  #define UMLVDSB_DRV0EN_ENABLE_DEFAULT              0x00u
  #define UMLVDSB_DRV0EN_ENABLE_OF(x)                _VALUEOF8(x)
  #define UMLVDSB_DRV0EN_ENABLE_DISABLE              0x00u
  #define UMLVDSB_DRV0EN_ENABLE_ENABLE               0x01u
  #define _UMLVDSB_DRV0EN_ENABLE_DISABLE_SV          0x00u
  #define _UMLVDSB_DRV0EN_ENABLE_ENABLE_SV           0x01u

  #define UMLVDSB_DRV0EN_OF(val)                     _VALUEOF8(val)
  #define UMLVDSB_DRV0EN_DEFAULT (Uint8)(            \
      _PER_FDEFAULT8(UMLVDSB,DRV0EN,ENABLE)          \
  )

  #define UMLVDSB_DRV0EN_RMK(enable)                 \
    (Uint8)(                                         \
      _PER_FMK8(UMLVDSB,DRV0EN,ENABLE,enable)        \
  )

  #define UMLVDSB_DRV0EN_RMKS(ENABLE)                \
    (Uint8)(                                         \
      _UMLVDSB_DRV0EN_ENABLE_##ENABLE##_SV           \
  )

  #define _UMLVDSB_DRV0EN_FGET(FIELD)                \
    _PER_FGET8(_UMLVDSB_DRV0EN_ADDR,                 \
      UMLVDSB,DRV0EN,##FIELD)

  #define _UMLVDSB_DRV0EN_FSET(FIELD,field)          \
    _PER_FSET8(_UMLVDSB_DRV0EN_ADDR,                 \
      UMLVDSB,DRV0EN,##FIELD,field)

  #define _UMLVDSB_DRV0EN_FSETS(FIELD,SYM)           \
    _PER_FSETS8(_UMLVDSB_DRV0EN_ADDR,                \
      UMLVDSB,DRV0EN,##FIELD,##SYM)

  #define _UMLVDSB_DRV0EN_FGETQ(FIELD,val)           \
    _PER_FGETQ8(_UMLVDSB_DRV0EN_ADDR,                \
      UMLVDSB,DRV0EN,##FIELD,val)

  #define _UMLVDSB_DRV0EN_FGETSQ(FIELD,SYM)          \
    _PER_FGETSQ8(_UMLVDSB_DRV0EN_ADDR,               \
      UMLVDSB,DRV0EN,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  D R V 1 E N          |
* |_______________________|
*
* DRV1EN - MLVDSBUS1 Drive Enable
*
* FIELDS (msb -> lsb)
* (RW)	ENABLE    	[ 0: 0]	 - MLVDSBUS1 Drive Enable
*
\******************************************************************************/
/*#define _UMLVDSB_DRV1EN_RECIDX                     Not recorded */

  #define _UMLVDSB_DRV1EN_ADDR                       0x60004010u

  #define _UMLVDSB_DRV1EN_REGOFFS                    0x00000010u
  #define _UMLVDSB_DRV1EN_REGOFFS8                   0x00000010u

  #define _UMLVDSB_DRV1EN_ENABLE_MASK                0x01u
  #define _UMLVDSB_DRV1EN_ENABLE_SHIFT               0
  #define UMLVDSB_DRV1EN_ENABLE_DEFAULT              0x00u
  #define UMLVDSB_DRV1EN_ENABLE_OF(x)                _VALUEOF8(x)
  #define UMLVDSB_DRV1EN_ENABLE_DISABLE              0x00u
  #define UMLVDSB_DRV1EN_ENABLE_ENABLE               0x01u
  #define _UMLVDSB_DRV1EN_ENABLE_DISABLE_SV          0x00u
  #define _UMLVDSB_DRV1EN_ENABLE_ENABLE_SV           0x01u

  #define UMLVDSB_DRV1EN_OF(val)                     _VALUEOF8(val)
  #define UMLVDSB_DRV1EN_DEFAULT (Uint8)(            \
      _PER_FDEFAULT8(UMLVDSB,DRV1EN,ENABLE)          \
  )

  #define UMLVDSB_DRV1EN_RMK(enable)                 \
    (Uint8)(                                         \
      _PER_FMK8(UMLVDSB,DRV1EN,ENABLE,enable)        \
  )

  #define UMLVDSB_DRV1EN_RMKS(ENABLE)                \
    (Uint8)(                                         \
      _UMLVDSB_DRV1EN_ENABLE_##ENABLE##_SV           \
  )

  #define _UMLVDSB_DRV1EN_FGET(FIELD)                \
    _PER_FGET8(_UMLVDSB_DRV1EN_ADDR,                 \
      UMLVDSB,DRV1EN,##FIELD)

  #define _UMLVDSB_DRV1EN_FSET(FIELD,field)          \
    _PER_FSET8(_UMLVDSB_DRV1EN_ADDR,                 \
      UMLVDSB,DRV1EN,##FIELD,field)

  #define _UMLVDSB_DRV1EN_FSETS(FIELD,SYM)           \
    _PER_FSETS8(_UMLVDSB_DRV1EN_ADDR,                \
      UMLVDSB,DRV1EN,##FIELD,##SYM)

  #define _UMLVDSB_DRV1EN_FGETQ(FIELD,val)           \
    _PER_FGETQ8(_UMLVDSB_DRV1EN_ADDR,                \
      UMLVDSB,DRV1EN,##FIELD,val)

  #define _UMLVDSB_DRV1EN_FGETSQ(FIELD,SYM)          \
    _PER_FGETSQ8(_UMLVDSB_DRV1EN_ADDR,               \
      UMLVDSB,DRV1EN,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S R C 0 S E L        |
* |_______________________|
*
* SRC0SEL - MLVDSBUS0 Source Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - MLVDSBUS0 Source
*
\******************************************************************************/
/*#define _UMLVDSB_SRC0SEL_RECIDX                    Not recorded */

  #define _UMLVDSB_SRC0SEL_ADDR                      0x60004011u

  #define _UMLVDSB_SRC0SEL_REGOFFS                   0x00000011u
  #define _UMLVDSB_SRC0SEL_REGOFFS8                  0x00000011u

  #define _UMLVDSB_SRC0SEL_SOURCE_MASK               0x0Fu
  #define _UMLVDSB_SRC0SEL_SOURCE_SHIFT              0
  #define UMLVDSB_SRC0SEL_SOURCE_DEFAULT             0x00u
  #define UMLVDSB_SRC0SEL_SOURCE_OF(x)               _VALUEOF8(x)
  #define UMLVDSB_SRC0SEL_SOURCE_DDSOUTPUT           0x00u
  #define UMLVDSB_SRC0SEL_SOURCE_RCLKIN              0x01u
  #define UMLVDSB_SRC0SEL_SOURCE_L2048KHZ            0x02u
  #define UMLVDSB_SRC0SEL_SOURCE_DSP1_TOUT0          0x03u
  #define UMLVDSB_SRC0SEL_SOURCE_DSP1_TOUT1          0x04u
  #define UMLVDSB_SRC0SEL_SOURCE_DSP1_TOUT2          0x05u
  #define UMLVDSB_SRC0SEL_SOURCE_DSP2_TOUT0          0x06u
  #define UMLVDSB_SRC0SEL_SOURCE_DSP2_TOUT1          0x07u
  #define UMLVDSB_SRC0SEL_SOURCE_DSP2_TOUT2          0x08u
  #define _UMLVDSB_SRC0SEL_SOURCE_DDSOUTPUT_SV       0x00u
  #define _UMLVDSB_SRC0SEL_SOURCE_RCLKIN_SV          0x01u
  #define _UMLVDSB_SRC0SEL_SOURCE_L2048KHZ_SV        0x02u
  #define _UMLVDSB_SRC0SEL_SOURCE_DSP1_TOUT0_SV      0x03u
  #define _UMLVDSB_SRC0SEL_SOURCE_DSP1_TOUT1_SV      0x04u
  #define _UMLVDSB_SRC0SEL_SOURCE_DSP1_TOUT2_SV      0x05u
  #define _UMLVDSB_SRC0SEL_SOURCE_DSP2_TOUT0_SV      0x06u
  #define _UMLVDSB_SRC0SEL_SOURCE_DSP2_TOUT1_SV      0x07u
  #define _UMLVDSB_SRC0SEL_SOURCE_DSP2_TOUT2_SV      0x08u

  #define UMLVDSB_SRC0SEL_OF(val)                    _VALUEOF8(val)
  #define UMLVDSB_SRC0SEL_DEFAULT (Uint8)(           \
      _PER_FDEFAULT8(UMLVDSB,SRC0SEL,SOURCE)         \
  )

  #define UMLVDSB_SRC0SEL_RMK(source)                \
    (Uint8)(                                         \
      _PER_FMK8(UMLVDSB,SRC0SEL,SOURCE,source)       \
  )

  #define UMLVDSB_SRC0SEL_RMKS(SOURCE)               \
    (Uint8)(                                         \
      _UMLVDSB_SRC0SEL_SOURCE_##SOURCE##_SV          \
  )

  #define _UMLVDSB_SRC0SEL_FGET(FIELD)               \
    _PER_FGET8(_UMLVDSB_SRC0SEL_ADDR,                \
      UMLVDSB,SRC0SEL,##FIELD)

  #define _UMLVDSB_SRC0SEL_FSET(FIELD,field)         \
    _PER_FSET8(_UMLVDSB_SRC0SEL_ADDR,                \
      UMLVDSB,SRC0SEL,##FIELD,field)

  #define _UMLVDSB_SRC0SEL_FSETS(FIELD,SYM)          \
    _PER_FSETS8(_UMLVDSB_SRC0SEL_ADDR,               \
      UMLVDSB,SRC0SEL,##FIELD,##SYM)

  #define _UMLVDSB_SRC0SEL_FGETQ(FIELD,val)          \
    _PER_FGETQ8(_UMLVDSB_SRC0SEL_ADDR,               \
      UMLVDSB,SRC0SEL,##FIELD,val)

  #define _UMLVDSB_SRC0SEL_FGETSQ(FIELD,SYM)         \
    _PER_FGETSQ8(_UMLVDSB_SRC0SEL_ADDR,              \
      UMLVDSB,SRC0SEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S R C 1 S E L        |
* |_______________________|
*
* SRC1SEL - MLVDSBUS1 Source Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 3: 0]	 - MLVDSBUS1 Source
*
\******************************************************************************/
/*#define _UMLVDSB_SRC1SEL_RECIDX                    Not recorded */

  #define _UMLVDSB_SRC1SEL_ADDR                      0x60004012u

  #define _UMLVDSB_SRC1SEL_REGOFFS                   0x00000012u
  #define _UMLVDSB_SRC1SEL_REGOFFS8                  0x00000012u

  #define _UMLVDSB_SRC1SEL_SOURCE_MASK               0x0Fu
  #define _UMLVDSB_SRC1SEL_SOURCE_SHIFT              0
  #define UMLVDSB_SRC1SEL_SOURCE_DEFAULT             0x00u
  #define UMLVDSB_SRC1SEL_SOURCE_OF(x)               _VALUEOF8(x)
  #define UMLVDSB_SRC1SEL_SOURCE_DDSOUTPUT           0x00u
  #define UMLVDSB_SRC1SEL_SOURCE_RCLKIN              0x01u
  #define UMLVDSB_SRC1SEL_SOURCE_L2048KHZ            0x02u
  #define UMLVDSB_SRC1SEL_SOURCE_DSP1_TOUT0          0x03u
  #define UMLVDSB_SRC1SEL_SOURCE_DSP1_TOUT1          0x04u
  #define UMLVDSB_SRC1SEL_SOURCE_DSP1_TOUT2          0x05u
  #define UMLVDSB_SRC1SEL_SOURCE_DSP2_TOUT0          0x06u
  #define UMLVDSB_SRC1SEL_SOURCE_DSP2_TOUT1          0x07u
  #define UMLVDSB_SRC1SEL_SOURCE_DSP2_TOUT2          0x08u
  #define _UMLVDSB_SRC1SEL_SOURCE_DDSOUTPUT_SV       0x00u
  #define _UMLVDSB_SRC1SEL_SOURCE_RCLKIN_SV          0x01u
  #define _UMLVDSB_SRC1SEL_SOURCE_L2048KHZ_SV        0x02u
  #define _UMLVDSB_SRC1SEL_SOURCE_DSP1_TOUT0_SV      0x03u
  #define _UMLVDSB_SRC1SEL_SOURCE_DSP1_TOUT1_SV      0x04u
  #define _UMLVDSB_SRC1SEL_SOURCE_DSP1_TOUT2_SV      0x05u
  #define _UMLVDSB_SRC1SEL_SOURCE_DSP2_TOUT0_SV      0x06u
  #define _UMLVDSB_SRC1SEL_SOURCE_DSP2_TOUT1_SV      0x07u
  #define _UMLVDSB_SRC1SEL_SOURCE_DSP2_TOUT2_SV      0x08u

  #define UMLVDSB_SRC1SEL_OF(val)                    _VALUEOF8(val)
  #define UMLVDSB_SRC1SEL_DEFAULT (Uint8)(           \
      _PER_FDEFAULT8(UMLVDSB,SRC1SEL,SOURCE)         \
  )

  #define UMLVDSB_SRC1SEL_RMK(source)                \
    (Uint8)(                                         \
      _PER_FMK8(UMLVDSB,SRC1SEL,SOURCE,source)       \
  )

  #define UMLVDSB_SRC1SEL_RMKS(SOURCE)               \
    (Uint8)(                                         \
      _UMLVDSB_SRC1SEL_SOURCE_##SOURCE##_SV          \
  )

  #define _UMLVDSB_SRC1SEL_FGET(FIELD)               \
    _PER_FGET8(_UMLVDSB_SRC1SEL_ADDR,                \
      UMLVDSB,SRC1SEL,##FIELD)

  #define _UMLVDSB_SRC1SEL_FSET(FIELD,field)         \
    _PER_FSET8(_UMLVDSB_SRC1SEL_ADDR,                \
      UMLVDSB,SRC1SEL,##FIELD,field)

  #define _UMLVDSB_SRC1SEL_FSETS(FIELD,SYM)          \
    _PER_FSETS8(_UMLVDSB_SRC1SEL_ADDR,               \
      UMLVDSB,SRC1SEL,##FIELD,##SYM)

  #define _UMLVDSB_SRC1SEL_FGETQ(FIELD,val)          \
    _PER_FGETQ8(_UMLVDSB_SRC1SEL_ADDR,               \
      UMLVDSB,SRC1SEL,##FIELD,val)

  #define _UMLVDSB_SRC1SEL_FGETSQ(FIELD,SYM)         \
    _PER_FGETSQ8(_UMLVDSB_SRC1SEL_ADDR,              \
      UMLVDSB,SRC1SEL,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_UMLVDSB_SUPPORT) */
#endif /* _BSL_UMLVDSBHAL_H_ */
/******************************************************************************\
* End of bsl_umlvdsbhal.h
\******************************************************************************/
