/******************************************************************************\
* Copyright (C) 2006 by Relcom Kft.
* All rights reserved.
*------------------------------------------------------------------------------
* PROJECT.......... Board Support Library for pcDSP6
* VERSION.......... 1.0
* COMPILER......... Code Composer Studio 3.0
*------------------------------------------------------------------------------
* CONTENT.......... Hardware Abstraction Layer (HAL) of peripheral USBUS
* FILENAME......... bsl_usbushal.h
* GENERATED BY..... Peripheral Generator for DSP v1.4
* GENERATED AT..... 01/14/2006 15:26:05
* LAST MODIFIED AT. 01/14/2006 15:26:05
*------------------------------------------------------------------------------
* PERIPHERAL NAME.. USBUS
* PERIPHERAL TYPE.. Single-device peripheral
* ACCESS MODE...... Direct (no handle)
* REGISTER ACCESS.. 8-bit wide
* MAU BITS......... 8
*------------------------------------------------------------------------------
* BASE ADDRESS OF.. USBUS is 0x60004000u
*------------------------------------------------------------------------------
*
* REGISTERS
*
* SRC0SEL     -  SYNCBUS0 Source Select
* SRC1SEL     -  SYNCBUS1 Source Select
* SRC2SEL     -  SYNCBUS2 Source Select
* DRV0EN      -  SYNCBUS0 Drive Enable
* DRV1EN      -  SYNCBUS1 Drive Enable
* DRV2EN      -  SYNCBUS2 Drive Enable
*
\******************************************************************************/
#ifndef _BSL_USBUSHAL_H_
#define _BSL_USBUSHAL_H_

#include <bsl.h>


#if (BSL_USBUS_SUPPORT)
/******************************************************************************\
* misc
\******************************************************************************/

  #define _USBUS_DEVICE_COUNT                        1

  #define _USBUS_BASE_ADDRESS                        0x60004000u


/******************************************************************************\
* module level register/field access macros
\******************************************************************************/

  /* ------------------------------------------- */
  /* FIELD MAKE MACROS                           */
  /* ------------------------------------------- */

  #define USBUS_FMK(REG,FIELD,val)\
    _PER_FMK8(USBUS,##REG,##FIELD,val)

  #define USBUS_FMKS(REG,FIELD,SYM)\
    _PER_FMKS8(USBUS,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* RAW REGISTER/FIELD ACCESS MACROS            */
  /* ------------------------------------------- */

  #define USBUS_ADDR(REG)\
    _USBUS_##REG##_ADDR

  #define USBUS_RGET(REG)\
    _PER_RGET8(_USBUS_##REG##_ADDR,USBUS,##REG)

  #define USBUS_RSET(REG,val)\
    _PER_RSET8(_USBUS_##REG##_ADDR,USBUS,##REG,val)

  #define USBUS_RFSETS(REG,FIELD,SYM)\
    USBUS_RSET(##REG,_USBUS_##REG##_##FIELD##_##SYM##_SV)

  #define USBUS_FGET(REG,FIELD)\
    _USBUS_##REG##_FGET(##FIELD)

  #define USBUS_FSET(REG,FIELD,val)\
    _USBUS_##REG##_FSET(##FIELD,val)

  #define USBUS_FSETS(REG,FIELD,SYM)\
    _USBUS_##REG##_FSETS(##FIELD,##SYM)

  #define USBUS_FGETQ(REG,FIELD,val)\
    _USBUS_##REG##_FGETQ(##FIELD,val)

  #define USBUS_FGETSQ(REG,FIELD,SYM)\
    _USBUS_##REG##_FGETSQ(##FIELD,##SYM)


  /* ------------------------------------------- */
  /* ADDRESS BASED REGISTER/FIELD ACCESS MACROS  */
  /* ------------------------------------------- */

  #define USBUS_RGETA(addr,REG)\
    _PER_RGET8(addr,USBUS,##REG)

  #define USBUS_RSETA(addr,REG,val)\
    _PER_RSET8(addr,USBUS,##REG,val)

  #define USBUS_RFSETSA(addr,REG,FIELD,SYM)\
    USBUS_RSETA(addr,##REG,_USBUS_##REG##_##FIELD##_##SYM##_SV)

  #define USBUS_FGETA(addr,REG,FIELD)\
    _PER_FGET8(addr,USBUS,##REG,##FIELD)

  #define USBUS_FSETA(addr,REG,FIELD,val)\
    _PER_FSET8(addr,USBUS,##REG,##FIELD,val)

  #define USBUS_FSETSA(addr,REG,FIELD,SYM)\
    _PER_FSETS8(addr,USBUS,##REG,##FIELD,##SYM)

  #define USBUS_FGETQA(addr,REG,FIELD,val)\
    _PER_FGETQ8(addr,USBUS,##REG,##FIELD,val)

  #define USBUS_FGETSQA(addr,REG,FIELD,SYM)\
    _PER_FGETSQ8(addr,USBUS,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* VARIABLE BASED REGISTER/FIELD ACCESS MACROS */
  /* ------------------------------------------- */

  #define USBUS_VRGET(var,REG)\
    _PER_VRGET8(var,USBUS,##REG)

  #define USBUS_VRSET(var,REG,val)\
    _PER_VRSET8(var,USBUS,##REG,val)

  #define USBUS_VRFSETS(var,REG,FIELD,SYM)\
    USBUS_VRSET(var,##REG,_USBUS_##REG##_##FIELD##_##SYM##_SV)

  #define USBUS_VFGET(var,REG,FIELD)\
    _PER_VFGET8(var,USBUS,##REG,##FIELD)

  #define USBUS_VFSET(var,REG,FIELD,val)\
    _PER_VFSET8(var,USBUS,##REG,##FIELD,val)

  #define USBUS_VFSETS(var,REG,FIELD,SYM)\
    _PER_VFSETS8(var,USBUS,##REG,##FIELD,##SYM)

  #define USBUS_VFGETQ(var,REG,FIELD,val)\
    _PER_VFGETQ8(var,USBUS,##REG,##FIELD,val)

  #define USBUS_VFGETSQ(var,REG,FIELD,SYM)\
    _PER_VFGETSQ8(var,USBUS,##REG,##FIELD,##SYM)


  /* ------------------------------------------- */
  /* Extension of the CSL standard               */
  /* ------------------------------------------- */

  /*
   * _<PER>_<REG>_RECIDX            Index in the array of the recorded registers
   * _<PER>_<REG>_REGOFFS           Offset in MAU (Minimum Addressable Unit)
   *                                from the base address of a device of the
   *                                peripheral
   * _<PER>_<REG>_REGOFFS8          Offset in 8-bit bytes from the base address
   *                                of a device of the peripheral
   * _<PER>_<REG>_<FIELD>_<SYM>_SV  Shifted value of a symbol of a field.
   *                                Used by <PER>_RFSETS()-type macros.
   */


/******************************************************************************\
* _________________________
* |                       |
* |  S R C 0 S E L        |
* |_______________________|
*
* SRC0SEL - SYNCBUS0 Source Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 7: 0]	 - SYNCBUS0 Source
*
\******************************************************************************/
/*#define _USBUS_SRC0SEL_RECIDX                      Not recorded */

  #define _USBUS_SRC0SEL_ADDR                        0x60004022u

  #define _USBUS_SRC0SEL_REGOFFS                     0x00000022u
  #define _USBUS_SRC0SEL_REGOFFS8                    0x00000022u

  #define _USBUS_SRC0SEL_SOURCE_MASK                 0xFFu
  #define _USBUS_SRC0SEL_SOURCE_SHIFT                0
  #define USBUS_SRC0SEL_SOURCE_DEFAULT               0x00u
  #define USBUS_SRC0SEL_SOURCE_OF(x)                 _VALUEOF8(x)
  #define USBUS_SRC0SEL_SOURCE_RDDSCOMPOUT           0x00u
  #define USBUS_SRC0SEL_SOURCE_L2048KHZ              0x01u
  #define USBUS_SRC0SEL_SOURCE_F1RCLK                0x02u
  #define USBUS_SRC0SEL_SOURCE_F2RCLK                0x03u
  #define USBUS_SRC0SEL_SOURCE_DSP1_TOUT0            0x04u
  #define USBUS_SRC0SEL_SOURCE_T1_TIMER_OUT0         0x04u
  #define USBUS_SRC0SEL_SOURCE_DSP1_TOUT1            0x05u
  #define USBUS_SRC0SEL_SOURCE_T1_TIMER_OUT1         0x05u
  #define USBUS_SRC0SEL_SOURCE_DSP1_TOUT2            0x06u
  #define USBUS_SRC0SEL_SOURCE_T1_TIMER_OUT2         0x06u
  #define USBUS_SRC0SEL_SOURCE_DSP2_TOUT0            0x07u
  #define USBUS_SRC0SEL_SOURCE_T2_TIMER_OUT0         0x07u
  #define USBUS_SRC0SEL_SOURCE_DSP2_TOUT1            0x08u
  #define USBUS_SRC0SEL_SOURCE_T2_TIMER_OUT1         0x08u
  #define USBUS_SRC0SEL_SOURCE_DSP2_TOUT2            0x09u
  #define USBUS_SRC0SEL_SOURCE_T2_TIMER_OUT2         0x09u
  #define USBUS_SRC0SEL_SOURCE_AD1SCCLK              0x0Au
  #define USBUS_SRC0SEL_SOURCE_AD2SCCLK              0x0Bu
  #define USBUS_SRC0SEL_SOURCE_DA1SCCLK              0x0Cu
  #define USBUS_SRC0SEL_SOURCE_DA2SCCLK              0x0Du
  #define USBUS_SRC0SEL_SOURCE_AD1CONVSTARTL         0x0Eu
  #define USBUS_SRC0SEL_SOURCE_AD2CONVSTARTL         0x0Fu
  #define USBUS_SRC0SEL_SOURCE_DA1LDACL              0x10u
  #define USBUS_SRC0SEL_SOURCE_DA2LDACL              0x11u
  #define USBUS_SRC0SEL_SOURCE_DSP1_GPINT4           0x12u
  #define USBUS_SRC0SEL_SOURCE_T1_GP_INT4            0x12u
  #define USBUS_SRC0SEL_SOURCE_DSP1_GPINT5           0x13u
  #define USBUS_SRC0SEL_SOURCE_T1_GP_INT5            0x13u
  #define USBUS_SRC0SEL_SOURCE_DSP1_GPINT6           0x14u
  #define USBUS_SRC0SEL_SOURCE_T1_GP_INT6            0x14u
  #define USBUS_SRC0SEL_SOURCE_DSP2_GPINT4           0x15u
  #define USBUS_SRC0SEL_SOURCE_T2_GP_INT4            0x15u
  #define USBUS_SRC0SEL_SOURCE_DSP2_GPINT5           0x16u
  #define USBUS_SRC0SEL_SOURCE_T2_GP_INT5            0x16u
  #define USBUS_SRC0SEL_SOURCE_DSP2_GPINT6           0x17u
  #define USBUS_SRC0SEL_SOURCE_T2_GP_INT6            0x17u
  #define USBUS_SRC0SEL_SOURCE_DSP1_GPIO8            0x18u
  #define USBUS_SRC0SEL_SOURCE_DSP2_GPIO8            0x19u
  #define _USBUS_SRC0SEL_SOURCE_RDDSCOMPOUT_SV       0x00u
  #define _USBUS_SRC0SEL_SOURCE_L2048KHZ_SV          0x01u
  #define _USBUS_SRC0SEL_SOURCE_F1RCLK_SV            0x02u
  #define _USBUS_SRC0SEL_SOURCE_F2RCLK_SV            0x03u
  #define _USBUS_SRC0SEL_SOURCE_DSP1_TOUT0_SV        0x04u
  #define _USBUS_SRC0SEL_SOURCE_T1_TIMER_OUT0_SV     0x04u
  #define _USBUS_SRC0SEL_SOURCE_DSP1_TOUT1_SV        0x05u
  #define _USBUS_SRC0SEL_SOURCE_T1_TIMER_OUT1_SV     0x05u
  #define _USBUS_SRC0SEL_SOURCE_DSP1_TOUT2_SV        0x06u
  #define _USBUS_SRC0SEL_SOURCE_T1_TIMER_OUT2_SV     0x06u
  #define _USBUS_SRC0SEL_SOURCE_DSP2_TOUT0_SV        0x07u
  #define _USBUS_SRC0SEL_SOURCE_T2_TIMER_OUT0_SV     0x07u
  #define _USBUS_SRC0SEL_SOURCE_DSP2_TOUT1_SV        0x08u
  #define _USBUS_SRC0SEL_SOURCE_T2_TIMER_OUT1_SV     0x08u
  #define _USBUS_SRC0SEL_SOURCE_DSP2_TOUT2_SV        0x09u
  #define _USBUS_SRC0SEL_SOURCE_T2_TIMER_OUT2_SV     0x09u
  #define _USBUS_SRC0SEL_SOURCE_AD1SCCLK_SV          0x0Au
  #define _USBUS_SRC0SEL_SOURCE_AD2SCCLK_SV          0x0Bu
  #define _USBUS_SRC0SEL_SOURCE_DA1SCCLK_SV          0x0Cu
  #define _USBUS_SRC0SEL_SOURCE_DA2SCCLK_SV          0x0Du
  #define _USBUS_SRC0SEL_SOURCE_AD1CONVSTARTL_SV     0x0Eu
  #define _USBUS_SRC0SEL_SOURCE_AD2CONVSTARTL_SV     0x0Fu
  #define _USBUS_SRC0SEL_SOURCE_DA1LDACL_SV          0x10u
  #define _USBUS_SRC0SEL_SOURCE_DA2LDACL_SV          0x11u
  #define _USBUS_SRC0SEL_SOURCE_DSP1_GPINT4_SV       0x12u
  #define _USBUS_SRC0SEL_SOURCE_T1_GP_INT4_SV        0x12u
  #define _USBUS_SRC0SEL_SOURCE_DSP1_GPINT5_SV       0x13u
  #define _USBUS_SRC0SEL_SOURCE_T1_GP_INT5_SV        0x13u
  #define _USBUS_SRC0SEL_SOURCE_DSP1_GPINT6_SV       0x14u
  #define _USBUS_SRC0SEL_SOURCE_T1_GP_INT6_SV        0x14u
  #define _USBUS_SRC0SEL_SOURCE_DSP2_GPINT4_SV       0x15u
  #define _USBUS_SRC0SEL_SOURCE_T2_GP_INT4_SV        0x15u
  #define _USBUS_SRC0SEL_SOURCE_DSP2_GPINT5_SV       0x16u
  #define _USBUS_SRC0SEL_SOURCE_T2_GP_INT5_SV        0x16u
  #define _USBUS_SRC0SEL_SOURCE_DSP2_GPINT6_SV       0x17u
  #define _USBUS_SRC0SEL_SOURCE_T2_GP_INT6_SV        0x17u
  #define _USBUS_SRC0SEL_SOURCE_DSP1_GPIO8_SV        0x18u
  #define _USBUS_SRC0SEL_SOURCE_DSP2_GPIO8_SV        0x19u

  #define USBUS_SRC0SEL_OF(val)                      _VALUEOF8(val)
  #define USBUS_SRC0SEL_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(USBUS,SRC0SEL,SOURCE)           \
  )

  #define USBUS_SRC0SEL_RMK(source)                  \
    (Uint8)(                                         \
      _PER_FMK8(USBUS,SRC0SEL,SOURCE,source)         \
  )

  #define USBUS_SRC0SEL_RMKS(SOURCE)                 \
    (Uint8)(                                         \
      _USBUS_SRC0SEL_SOURCE_##SOURCE##_SV            \
  )

  #define _USBUS_SRC0SEL_FGET(FIELD)                 \
    _PER_FGET8(_USBUS_SRC0SEL_ADDR,                  \
      USBUS,SRC0SEL,##FIELD)

  #define _USBUS_SRC0SEL_FSET(FIELD,field)           \
    _PER_FSET8(_USBUS_SRC0SEL_ADDR,                  \
      USBUS,SRC0SEL,##FIELD,field)

  #define _USBUS_SRC0SEL_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_USBUS_SRC0SEL_ADDR,                 \
      USBUS,SRC0SEL,##FIELD,##SYM)

  #define _USBUS_SRC0SEL_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_USBUS_SRC0SEL_ADDR,                 \
      USBUS,SRC0SEL,##FIELD,val)

  #define _USBUS_SRC0SEL_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_USBUS_SRC0SEL_ADDR,                \
      USBUS,SRC0SEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S R C 1 S E L        |
* |_______________________|
*
* SRC1SEL - SYNCBUS1 Source Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 7: 0]	 - SYNCBUS1 Source
*
\******************************************************************************/
/*#define _USBUS_SRC1SEL_RECIDX                      Not recorded */

  #define _USBUS_SRC1SEL_ADDR                        0x60004023u

  #define _USBUS_SRC1SEL_REGOFFS                     0x00000023u
  #define _USBUS_SRC1SEL_REGOFFS8                    0x00000023u

  #define _USBUS_SRC1SEL_SOURCE_MASK                 0xFFu
  #define _USBUS_SRC1SEL_SOURCE_SHIFT                0
  #define USBUS_SRC1SEL_SOURCE_DEFAULT               0x00u
  #define USBUS_SRC1SEL_SOURCE_OF(x)                 _VALUEOF8(x)
  #define USBUS_SRC1SEL_SOURCE_RDDSCOMPOUT           0x00u
  #define USBUS_SRC1SEL_SOURCE_L2048KHZ              0x01u
  #define USBUS_SRC1SEL_SOURCE_F1RCLK                0x02u
  #define USBUS_SRC1SEL_SOURCE_F2RCLK                0x03u
  #define USBUS_SRC1SEL_SOURCE_DSP1_TOUT0            0x04u
  #define USBUS_SRC1SEL_SOURCE_T1_TIMER_OUT0         0x04u
  #define USBUS_SRC1SEL_SOURCE_DSP1_TOUT1            0x05u
  #define USBUS_SRC1SEL_SOURCE_T1_TIMER_OUT1         0x05u
  #define USBUS_SRC1SEL_SOURCE_DSP1_TOUT2            0x06u
  #define USBUS_SRC1SEL_SOURCE_T1_TIMER_OUT2         0x06u
  #define USBUS_SRC1SEL_SOURCE_DSP2_TOUT0            0x07u
  #define USBUS_SRC1SEL_SOURCE_T2_TIMER_OUT0         0x07u
  #define USBUS_SRC1SEL_SOURCE_DSP2_TOUT1            0x08u
  #define USBUS_SRC1SEL_SOURCE_T2_TIMER_OUT1         0x08u
  #define USBUS_SRC1SEL_SOURCE_DSP2_TOUT2            0x09u
  #define USBUS_SRC1SEL_SOURCE_T2_TIMER_OUT2         0x09u
  #define USBUS_SRC1SEL_SOURCE_AD1SCCLK              0x0Au
  #define USBUS_SRC1SEL_SOURCE_AD2SCCLK              0x0Bu
  #define USBUS_SRC1SEL_SOURCE_DA1SCCLK              0x0Cu
  #define USBUS_SRC1SEL_SOURCE_DA2SCCLK              0x0Du
  #define USBUS_SRC1SEL_SOURCE_AD1CONVSTARTL         0x0Eu
  #define USBUS_SRC1SEL_SOURCE_AD2CONVSTARTL         0x0Fu
  #define USBUS_SRC1SEL_SOURCE_DA1LDACL              0x10u
  #define USBUS_SRC1SEL_SOURCE_DA2LDACL              0x11u
  #define USBUS_SRC1SEL_SOURCE_DSP1_GPINT4           0x12u
  #define USBUS_SRC1SEL_SOURCE_T1_GP_INT4            0x12u
  #define USBUS_SRC1SEL_SOURCE_DSP1_GPINT5           0x13u
  #define USBUS_SRC1SEL_SOURCE_T1_GP_INT5            0x13u
  #define USBUS_SRC1SEL_SOURCE_DSP1_GPINT6           0x14u
  #define USBUS_SRC1SEL_SOURCE_T1_GP_INT6            0x14u
  #define USBUS_SRC1SEL_SOURCE_DSP2_GPINT4           0x15u
  #define USBUS_SRC1SEL_SOURCE_T2_GP_INT4            0x15u
  #define USBUS_SRC1SEL_SOURCE_DSP2_GPINT5           0x16u
  #define USBUS_SRC1SEL_SOURCE_T2_GP_INT5            0x16u
  #define USBUS_SRC1SEL_SOURCE_DSP2_GPINT6           0x17u
  #define USBUS_SRC1SEL_SOURCE_T2_GP_INT6            0x17u
  #define USBUS_SRC1SEL_SOURCE_DSP1_GPIO8            0x18u
  #define USBUS_SRC1SEL_SOURCE_DSP2_GPIO8            0x19u
  #define _USBUS_SRC1SEL_SOURCE_RDDSCOMPOUT_SV       0x00u
  #define _USBUS_SRC1SEL_SOURCE_L2048KHZ_SV          0x01u
  #define _USBUS_SRC1SEL_SOURCE_F1RCLK_SV            0x02u
  #define _USBUS_SRC1SEL_SOURCE_F2RCLK_SV            0x03u
  #define _USBUS_SRC1SEL_SOURCE_DSP1_TOUT0_SV        0x04u
  #define _USBUS_SRC1SEL_SOURCE_T1_TIMER_OUT0_SV     0x04u
  #define _USBUS_SRC1SEL_SOURCE_DSP1_TOUT1_SV        0x05u
  #define _USBUS_SRC1SEL_SOURCE_T1_TIMER_OUT1_SV     0x05u
  #define _USBUS_SRC1SEL_SOURCE_DSP1_TOUT2_SV        0x06u
  #define _USBUS_SRC1SEL_SOURCE_T1_TIMER_OUT2_SV     0x06u
  #define _USBUS_SRC1SEL_SOURCE_DSP2_TOUT0_SV        0x07u
  #define _USBUS_SRC1SEL_SOURCE_T2_TIMER_OUT0_SV     0x07u
  #define _USBUS_SRC1SEL_SOURCE_DSP2_TOUT1_SV        0x08u
  #define _USBUS_SRC1SEL_SOURCE_T2_TIMER_OUT1_SV     0x08u
  #define _USBUS_SRC1SEL_SOURCE_DSP2_TOUT2_SV        0x09u
  #define _USBUS_SRC1SEL_SOURCE_T2_TIMER_OUT2_SV     0x09u
  #define _USBUS_SRC1SEL_SOURCE_AD1SCCLK_SV          0x0Au
  #define _USBUS_SRC1SEL_SOURCE_AD2SCCLK_SV          0x0Bu
  #define _USBUS_SRC1SEL_SOURCE_DA1SCCLK_SV          0x0Cu
  #define _USBUS_SRC1SEL_SOURCE_DA2SCCLK_SV          0x0Du
  #define _USBUS_SRC1SEL_SOURCE_AD1CONVSTARTL_SV     0x0Eu
  #define _USBUS_SRC1SEL_SOURCE_AD2CONVSTARTL_SV     0x0Fu
  #define _USBUS_SRC1SEL_SOURCE_DA1LDACL_SV          0x10u
  #define _USBUS_SRC1SEL_SOURCE_DA2LDACL_SV          0x11u
  #define _USBUS_SRC1SEL_SOURCE_DSP1_GPINT4_SV       0x12u
  #define _USBUS_SRC1SEL_SOURCE_T1_GP_INT4_SV        0x12u
  #define _USBUS_SRC1SEL_SOURCE_DSP1_GPINT5_SV       0x13u
  #define _USBUS_SRC1SEL_SOURCE_T1_GP_INT5_SV        0x13u
  #define _USBUS_SRC1SEL_SOURCE_DSP1_GPINT6_SV       0x14u
  #define _USBUS_SRC1SEL_SOURCE_T1_GP_INT6_SV        0x14u
  #define _USBUS_SRC1SEL_SOURCE_DSP2_GPINT4_SV       0x15u
  #define _USBUS_SRC1SEL_SOURCE_T2_GP_INT4_SV        0x15u
  #define _USBUS_SRC1SEL_SOURCE_DSP2_GPINT5_SV       0x16u
  #define _USBUS_SRC1SEL_SOURCE_T2_GP_INT5_SV        0x16u
  #define _USBUS_SRC1SEL_SOURCE_DSP2_GPINT6_SV       0x17u
  #define _USBUS_SRC1SEL_SOURCE_T2_GP_INT6_SV        0x17u
  #define _USBUS_SRC1SEL_SOURCE_DSP1_GPIO8_SV        0x18u
  #define _USBUS_SRC1SEL_SOURCE_DSP2_GPIO8_SV        0x19u

  #define USBUS_SRC1SEL_OF(val)                      _VALUEOF8(val)
  #define USBUS_SRC1SEL_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(USBUS,SRC1SEL,SOURCE)           \
  )

  #define USBUS_SRC1SEL_RMK(source)                  \
    (Uint8)(                                         \
      _PER_FMK8(USBUS,SRC1SEL,SOURCE,source)         \
  )

  #define USBUS_SRC1SEL_RMKS(SOURCE)                 \
    (Uint8)(                                         \
      _USBUS_SRC1SEL_SOURCE_##SOURCE##_SV            \
  )

  #define _USBUS_SRC1SEL_FGET(FIELD)                 \
    _PER_FGET8(_USBUS_SRC1SEL_ADDR,                  \
      USBUS,SRC1SEL,##FIELD)

  #define _USBUS_SRC1SEL_FSET(FIELD,field)           \
    _PER_FSET8(_USBUS_SRC1SEL_ADDR,                  \
      USBUS,SRC1SEL,##FIELD,field)

  #define _USBUS_SRC1SEL_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_USBUS_SRC1SEL_ADDR,                 \
      USBUS,SRC1SEL,##FIELD,##SYM)

  #define _USBUS_SRC1SEL_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_USBUS_SRC1SEL_ADDR,                 \
      USBUS,SRC1SEL,##FIELD,val)

  #define _USBUS_SRC1SEL_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_USBUS_SRC1SEL_ADDR,                \
      USBUS,SRC1SEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  S R C 2 S E L        |
* |_______________________|
*
* SRC2SEL - SYNCBUS2 Source Select
*
* FIELDS (msb -> lsb)
* (RW)	SOURCE    	[ 7: 0]	 - SYNCBUS2 Source
*
\******************************************************************************/
/*#define _USBUS_SRC2SEL_RECIDX                      Not recorded */

  #define _USBUS_SRC2SEL_ADDR                        0x60004024u

  #define _USBUS_SRC2SEL_REGOFFS                     0x00000024u
  #define _USBUS_SRC2SEL_REGOFFS8                    0x00000024u

  #define _USBUS_SRC2SEL_SOURCE_MASK                 0xFFu
  #define _USBUS_SRC2SEL_SOURCE_SHIFT                0
  #define USBUS_SRC2SEL_SOURCE_DEFAULT               0x00u
  #define USBUS_SRC2SEL_SOURCE_OF(x)                 _VALUEOF8(x)
  #define USBUS_SRC2SEL_SOURCE_RDDSCOMPOUT           0x00u
  #define USBUS_SRC2SEL_SOURCE_L2048KHZ              0x01u
  #define USBUS_SRC2SEL_SOURCE_F1RCLK                0x02u
  #define USBUS_SRC2SEL_SOURCE_F2RCLK                0x03u
  #define USBUS_SRC2SEL_SOURCE_DSP1_TOUT0            0x04u
  #define USBUS_SRC2SEL_SOURCE_T1_TIMER_OUT0         0x04u
  #define USBUS_SRC2SEL_SOURCE_DSP1_TOUT1            0x05u
  #define USBUS_SRC2SEL_SOURCE_T1_TIMER_OUT1         0x05u
  #define USBUS_SRC2SEL_SOURCE_DSP1_TOUT2            0x06u
  #define USBUS_SRC2SEL_SOURCE_T1_TIMER_OUT2         0x06u
  #define USBUS_SRC2SEL_SOURCE_DSP2_TOUT0            0x07u
  #define USBUS_SRC2SEL_SOURCE_T2_TIMER_OUT0         0x07u
  #define USBUS_SRC2SEL_SOURCE_DSP2_TOUT1            0x08u
  #define USBUS_SRC2SEL_SOURCE_T2_TIMER_OUT1         0x08u
  #define USBUS_SRC2SEL_SOURCE_DSP2_TOUT2            0x09u
  #define USBUS_SRC2SEL_SOURCE_T2_TIMER_OUT2         0x09u
  #define USBUS_SRC2SEL_SOURCE_AD1SCCLK              0x0Au
  #define USBUS_SRC2SEL_SOURCE_AD2SCCLK              0x0Bu
  #define USBUS_SRC2SEL_SOURCE_DA1SCCLK              0x0Cu
  #define USBUS_SRC2SEL_SOURCE_DA2SCCLK              0x0Du
  #define USBUS_SRC2SEL_SOURCE_AD1CONVSTARTL         0x0Eu
  #define USBUS_SRC2SEL_SOURCE_AD2CONVSTARTL         0x0Fu
  #define USBUS_SRC2SEL_SOURCE_DA1LDACL              0x10u
  #define USBUS_SRC2SEL_SOURCE_DA2LDACL              0x11u
  #define USBUS_SRC2SEL_SOURCE_DSP1_GPINT4           0x12u
  #define USBUS_SRC2SEL_SOURCE_T1_GP_INT4            0x12u
  #define USBUS_SRC2SEL_SOURCE_DSP1_GPINT5           0x13u
  #define USBUS_SRC2SEL_SOURCE_T1_GP_INT5            0x13u
  #define USBUS_SRC2SEL_SOURCE_DSP1_GPINT6           0x14u
  #define USBUS_SRC2SEL_SOURCE_T1_GP_INT6            0x14u
  #define USBUS_SRC2SEL_SOURCE_DSP2_GPINT4           0x15u
  #define USBUS_SRC2SEL_SOURCE_T2_GP_INT4            0x15u
  #define USBUS_SRC2SEL_SOURCE_DSP2_GPINT5           0x16u
  #define USBUS_SRC2SEL_SOURCE_T2_GP_INT5            0x16u
  #define USBUS_SRC2SEL_SOURCE_DSP2_GPINT6           0x17u
  #define USBUS_SRC2SEL_SOURCE_T2_GP_INT6            0x17u
  #define USBUS_SRC2SEL_SOURCE_DSP1_GPIO8            0x18u
  #define USBUS_SRC2SEL_SOURCE_DSP2_GPIO8            0x19u
  #define _USBUS_SRC2SEL_SOURCE_RDDSCOMPOUT_SV       0x00u
  #define _USBUS_SRC2SEL_SOURCE_L2048KHZ_SV          0x01u
  #define _USBUS_SRC2SEL_SOURCE_F1RCLK_SV            0x02u
  #define _USBUS_SRC2SEL_SOURCE_F2RCLK_SV            0x03u
  #define _USBUS_SRC2SEL_SOURCE_DSP1_TOUT0_SV        0x04u
  #define _USBUS_SRC2SEL_SOURCE_T1_TIMER_OUT0_SV     0x04u
  #define _USBUS_SRC2SEL_SOURCE_DSP1_TOUT1_SV        0x05u
  #define _USBUS_SRC2SEL_SOURCE_T1_TIMER_OUT1_SV     0x05u
  #define _USBUS_SRC2SEL_SOURCE_DSP1_TOUT2_SV        0x06u
  #define _USBUS_SRC2SEL_SOURCE_T1_TIMER_OUT2_SV     0x06u
  #define _USBUS_SRC2SEL_SOURCE_DSP2_TOUT0_SV        0x07u
  #define _USBUS_SRC2SEL_SOURCE_T2_TIMER_OUT0_SV     0x07u
  #define _USBUS_SRC2SEL_SOURCE_DSP2_TOUT1_SV        0x08u
  #define _USBUS_SRC2SEL_SOURCE_T2_TIMER_OUT1_SV     0x08u
  #define _USBUS_SRC2SEL_SOURCE_DSP2_TOUT2_SV        0x09u
  #define _USBUS_SRC2SEL_SOURCE_T2_TIMER_OUT2_SV     0x09u
  #define _USBUS_SRC2SEL_SOURCE_AD1SCCLK_SV          0x0Au
  #define _USBUS_SRC2SEL_SOURCE_AD2SCCLK_SV          0x0Bu
  #define _USBUS_SRC2SEL_SOURCE_DA1SCCLK_SV          0x0Cu
  #define _USBUS_SRC2SEL_SOURCE_DA2SCCLK_SV          0x0Du
  #define _USBUS_SRC2SEL_SOURCE_AD1CONVSTARTL_SV     0x0Eu
  #define _USBUS_SRC2SEL_SOURCE_AD2CONVSTARTL_SV     0x0Fu
  #define _USBUS_SRC2SEL_SOURCE_DA1LDACL_SV          0x10u
  #define _USBUS_SRC2SEL_SOURCE_DA2LDACL_SV          0x11u
  #define _USBUS_SRC2SEL_SOURCE_DSP1_GPINT4_SV       0x12u
  #define _USBUS_SRC2SEL_SOURCE_T1_GP_INT4_SV        0x12u
  #define _USBUS_SRC2SEL_SOURCE_DSP1_GPINT5_SV       0x13u
  #define _USBUS_SRC2SEL_SOURCE_T1_GP_INT5_SV        0x13u
  #define _USBUS_SRC2SEL_SOURCE_DSP1_GPINT6_SV       0x14u
  #define _USBUS_SRC2SEL_SOURCE_T1_GP_INT6_SV        0x14u
  #define _USBUS_SRC2SEL_SOURCE_DSP2_GPINT4_SV       0x15u
  #define _USBUS_SRC2SEL_SOURCE_T2_GP_INT4_SV        0x15u
  #define _USBUS_SRC2SEL_SOURCE_DSP2_GPINT5_SV       0x16u
  #define _USBUS_SRC2SEL_SOURCE_T2_GP_INT5_SV        0x16u
  #define _USBUS_SRC2SEL_SOURCE_DSP2_GPINT6_SV       0x17u
  #define _USBUS_SRC2SEL_SOURCE_T2_GP_INT6_SV        0x17u
  #define _USBUS_SRC2SEL_SOURCE_DSP1_GPIO8_SV        0x18u
  #define _USBUS_SRC2SEL_SOURCE_DSP2_GPIO8_SV        0x19u

  #define USBUS_SRC2SEL_OF(val)                      _VALUEOF8(val)
  #define USBUS_SRC2SEL_DEFAULT (Uint8)(             \
      _PER_FDEFAULT8(USBUS,SRC2SEL,SOURCE)           \
  )

  #define USBUS_SRC2SEL_RMK(source)                  \
    (Uint8)(                                         \
      _PER_FMK8(USBUS,SRC2SEL,SOURCE,source)         \
  )

  #define USBUS_SRC2SEL_RMKS(SOURCE)                 \
    (Uint8)(                                         \
      _USBUS_SRC2SEL_SOURCE_##SOURCE##_SV            \
  )

  #define _USBUS_SRC2SEL_FGET(FIELD)                 \
    _PER_FGET8(_USBUS_SRC2SEL_ADDR,                  \
      USBUS,SRC2SEL,##FIELD)

  #define _USBUS_SRC2SEL_FSET(FIELD,field)           \
    _PER_FSET8(_USBUS_SRC2SEL_ADDR,                  \
      USBUS,SRC2SEL,##FIELD,field)

  #define _USBUS_SRC2SEL_FSETS(FIELD,SYM)            \
    _PER_FSETS8(_USBUS_SRC2SEL_ADDR,                 \
      USBUS,SRC2SEL,##FIELD,##SYM)

  #define _USBUS_SRC2SEL_FGETQ(FIELD,val)            \
    _PER_FGETQ8(_USBUS_SRC2SEL_ADDR,                 \
      USBUS,SRC2SEL,##FIELD,val)

  #define _USBUS_SRC2SEL_FGETSQ(FIELD,SYM)           \
    _PER_FGETSQ8(_USBUS_SRC2SEL_ADDR,                \
      USBUS,SRC2SEL,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  D R V 0 E N          |
* |_______________________|
*
* DRV0EN - SYNCBUS0 Drive Enable
*
* FIELDS (msb -> lsb)
* (RW)	ENABLE    	[ 0: 0]	 - SYNCBUS0 Drive Enable
*
\******************************************************************************/
/*#define _USBUS_DRV0EN_RECIDX                       Not recorded */

  #define _USBUS_DRV0EN_ADDR                         0x60004025u

  #define _USBUS_DRV0EN_REGOFFS                      0x00000025u
  #define _USBUS_DRV0EN_REGOFFS8                     0x00000025u

  #define _USBUS_DRV0EN_ENABLE_MASK                  0x01u
  #define _USBUS_DRV0EN_ENABLE_SHIFT                 0
  #define USBUS_DRV0EN_ENABLE_DEFAULT                0x00u
  #define USBUS_DRV0EN_ENABLE_OF(x)                  _VALUEOF8(x)
  #define USBUS_DRV0EN_ENABLE_DISABLE                0x00u
  #define USBUS_DRV0EN_ENABLE_ENABLE                 0x01u
  #define _USBUS_DRV0EN_ENABLE_DISABLE_SV            0x00u
  #define _USBUS_DRV0EN_ENABLE_ENABLE_SV             0x01u

  #define USBUS_DRV0EN_OF(val)                       _VALUEOF8(val)
  #define USBUS_DRV0EN_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(USBUS,DRV0EN,ENABLE)            \
  )

  #define USBUS_DRV0EN_RMK(enable)                   \
    (Uint8)(                                         \
      _PER_FMK8(USBUS,DRV0EN,ENABLE,enable)          \
  )

  #define USBUS_DRV0EN_RMKS(ENABLE)                  \
    (Uint8)(                                         \
      _USBUS_DRV0EN_ENABLE_##ENABLE##_SV             \
  )

  #define _USBUS_DRV0EN_FGET(FIELD)                  \
    _PER_FGET8(_USBUS_DRV0EN_ADDR,                   \
      USBUS,DRV0EN,##FIELD)

  #define _USBUS_DRV0EN_FSET(FIELD,field)            \
    _PER_FSET8(_USBUS_DRV0EN_ADDR,                   \
      USBUS,DRV0EN,##FIELD,field)

  #define _USBUS_DRV0EN_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_USBUS_DRV0EN_ADDR,                  \
      USBUS,DRV0EN,##FIELD,##SYM)

  #define _USBUS_DRV0EN_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_USBUS_DRV0EN_ADDR,                  \
      USBUS,DRV0EN,##FIELD,val)

  #define _USBUS_DRV0EN_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_USBUS_DRV0EN_ADDR,                 \
      USBUS,DRV0EN,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  D R V 1 E N          |
* |_______________________|
*
* DRV1EN - SYNCBUS1 Drive Enable
*
* FIELDS (msb -> lsb)
* (RW)	ENABLE    	[ 0: 0]	 - SYNCBUS1 Drive Enable
*
\******************************************************************************/
/*#define _USBUS_DRV1EN_RECIDX                       Not recorded */

  #define _USBUS_DRV1EN_ADDR                         0x60004026u

  #define _USBUS_DRV1EN_REGOFFS                      0x00000026u
  #define _USBUS_DRV1EN_REGOFFS8                     0x00000026u

  #define _USBUS_DRV1EN_ENABLE_MASK                  0x01u
  #define _USBUS_DRV1EN_ENABLE_SHIFT                 0
  #define USBUS_DRV1EN_ENABLE_DEFAULT                0x00u
  #define USBUS_DRV1EN_ENABLE_OF(x)                  _VALUEOF8(x)
  #define USBUS_DRV1EN_ENABLE_DISABLE                0x00u
  #define USBUS_DRV1EN_ENABLE_ENABLE                 0x01u
  #define _USBUS_DRV1EN_ENABLE_DISABLE_SV            0x00u
  #define _USBUS_DRV1EN_ENABLE_ENABLE_SV             0x01u

  #define USBUS_DRV1EN_OF(val)                       _VALUEOF8(val)
  #define USBUS_DRV1EN_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(USBUS,DRV1EN,ENABLE)            \
  )

  #define USBUS_DRV1EN_RMK(enable)                   \
    (Uint8)(                                         \
      _PER_FMK8(USBUS,DRV1EN,ENABLE,enable)          \
  )

  #define USBUS_DRV1EN_RMKS(ENABLE)                  \
    (Uint8)(                                         \
      _USBUS_DRV1EN_ENABLE_##ENABLE##_SV             \
  )

  #define _USBUS_DRV1EN_FGET(FIELD)                  \
    _PER_FGET8(_USBUS_DRV1EN_ADDR,                   \
      USBUS,DRV1EN,##FIELD)

  #define _USBUS_DRV1EN_FSET(FIELD,field)            \
    _PER_FSET8(_USBUS_DRV1EN_ADDR,                   \
      USBUS,DRV1EN,##FIELD,field)

  #define _USBUS_DRV1EN_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_USBUS_DRV1EN_ADDR,                  \
      USBUS,DRV1EN,##FIELD,##SYM)

  #define _USBUS_DRV1EN_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_USBUS_DRV1EN_ADDR,                  \
      USBUS,DRV1EN,##FIELD,val)

  #define _USBUS_DRV1EN_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_USBUS_DRV1EN_ADDR,                 \
      USBUS,DRV1EN,##FIELD,##SYM)


/******************************************************************************\
* _________________________
* |                       |
* |  D R V 2 E N          |
* |_______________________|
*
* DRV2EN - SYNCBUS2 Drive Enable
*
* FIELDS (msb -> lsb)
* (RW)	ENABLE    	[ 0: 0]	 - SYNCBUS2 Drive Enable
*
\******************************************************************************/
/*#define _USBUS_DRV2EN_RECIDX                       Not recorded */

  #define _USBUS_DRV2EN_ADDR                         0x60004027u

  #define _USBUS_DRV2EN_REGOFFS                      0x00000027u
  #define _USBUS_DRV2EN_REGOFFS8                     0x00000027u

  #define _USBUS_DRV2EN_ENABLE_MASK                  0x01u
  #define _USBUS_DRV2EN_ENABLE_SHIFT                 0
  #define USBUS_DRV2EN_ENABLE_DEFAULT                0x00u
  #define USBUS_DRV2EN_ENABLE_OF(x)                  _VALUEOF8(x)
  #define USBUS_DRV2EN_ENABLE_DISABLE                0x00u
  #define USBUS_DRV2EN_ENABLE_ENABLE                 0x01u
  #define _USBUS_DRV2EN_ENABLE_DISABLE_SV            0x00u
  #define _USBUS_DRV2EN_ENABLE_ENABLE_SV             0x01u

  #define USBUS_DRV2EN_OF(val)                       _VALUEOF8(val)
  #define USBUS_DRV2EN_DEFAULT (Uint8)(              \
      _PER_FDEFAULT8(USBUS,DRV2EN,ENABLE)            \
  )

  #define USBUS_DRV2EN_RMK(enable)                   \
    (Uint8)(                                         \
      _PER_FMK8(USBUS,DRV2EN,ENABLE,enable)          \
  )

  #define USBUS_DRV2EN_RMKS(ENABLE)                  \
    (Uint8)(                                         \
      _USBUS_DRV2EN_ENABLE_##ENABLE##_SV             \
  )

  #define _USBUS_DRV2EN_FGET(FIELD)                  \
    _PER_FGET8(_USBUS_DRV2EN_ADDR,                   \
      USBUS,DRV2EN,##FIELD)

  #define _USBUS_DRV2EN_FSET(FIELD,field)            \
    _PER_FSET8(_USBUS_DRV2EN_ADDR,                   \
      USBUS,DRV2EN,##FIELD,field)

  #define _USBUS_DRV2EN_FSETS(FIELD,SYM)             \
    _PER_FSETS8(_USBUS_DRV2EN_ADDR,                  \
      USBUS,DRV2EN,##FIELD,##SYM)

  #define _USBUS_DRV2EN_FGETQ(FIELD,val)             \
    _PER_FGETQ8(_USBUS_DRV2EN_ADDR,                  \
      USBUS,DRV2EN,##FIELD,val)

  #define _USBUS_DRV2EN_FGETSQ(FIELD,SYM)            \
    _PER_FGETSQ8(_USBUS_DRV2EN_ADDR,                 \
      USBUS,DRV2EN,##FIELD,##SYM)

/*----------------------------------------------------------------------------*/

#endif /* (BSL_USBUS_SUPPORT) */
#endif /* _BSL_USBUSHAL_H_ */
/******************************************************************************\
* End of bsl_usbushal.h
\******************************************************************************/
