#include <csl.h>
#include <csl_timer.h>

TIMER_Handle	hTimer0, hTimer1;
Uint32 prd0=0x11111111, tim0=0x33333333;

#pragma DATA_SECTION( loop_counter, "adatok")
#pragma DATA_SECTION( tint0_counter, "adatok")
#pragma DATA_SECTION( tint1_counter, "adatok")
int loop_counter=0x12345678;
int tint0_counter=0x10000000;
int tint1_counter=0x20000000;

interrupt void ISR_TINT0()
{
	tint0_counter++;
}

interrupt void ISR_TINT1()
{
	tint1_counter++;
}

void idleFunction()
{
	loop_counter++;
	prd0 = TIMER_getPeriod(hTimer0);
	tim0 = TIMER_getCount(hTimer0);
}

//------------------------------------------------------------------------------
// main() function, which never returns
//------------------------------------------------------------------------------
#pragma FUNC_NEVER_RETURNS( main );
void main()
{
	IER = 0x0003;	// enable Reset and NMI only
	ICR = 0xFFFF;	// clear all pending ITs
	CSR |= 1;		// enable Global Interrupt Enable (GIE)
	CSL_init();

	hTimer0 = TIMER_open(TIMER_DEV0, TIMER_OPEN_RESET);

	TIMER_configArgs( hTimer0,
		TIMER_CTL_OF( 0x00000211 ),
	//	TIMER_PRD_OF( 125000000 ),	// = 1 Hz (pulse) @ 1 GHz CPU
		TIMER_PRD_OF( 0x00010000 ),	// = 1 Hz (pulse) @ 1 GHz CPU
		TIMER_CNT_OF( 0x00000000 )
	);
	
	IRQ_enable( IRQ_EVT_TINT0 );

	TIMER_start( hTimer0 );

	// while ( 0) idleFunction();   // egyszer se fut
	// while ( i < 0x2000000 ) idleFunction();
	while ( 1) idleFunction();  // allandoan fut
}
