/*
  f_timer=1GHz/8/prd
*/

#include <csl.h>
#include <csl_timer.h>

TIMER_Handle	hTimer0, hTimer1;

Uint32 prd0=0x11111111, tim0=0x33333333;


#pragma DATA_SECTION( loop_counter, "adatok")
#pragma DATA_SECTION( tint0_counter, "adatok")
#pragma DATA_SECTION( tint1_counter, "adatok")
int loop_counter=0x12345678;
int tint0_counter=0x10000000;
int tint1_counter=0x20000000;

void SetupTimer(TIMER_Handle * phTimer, 
        int devNum, 
        Uint32 ctl, 
        Uint32 prd,
        Uint32 cnt,
        Uint32 eventId)
{
	*phTimer = TIMER_open(devNum, TIMER_OPEN_RESET);

	TIMER_configArgs( *phTimer,
		TIMER_CTL_OF( ctl ),
	//	TIMER_PRD_OF( 125000000 ),	// = 1 Hz (pulse) @ 1 GHz CPU
		TIMER_PRD_OF( prd ),	// = 1 Hz (pulse) @ 1 GHz CPU
		TIMER_CNT_OF( cnt )
	);
	
	IRQ_enable( eventId );

	TIMER_start( * phTimer );
}

interrupt void ISR_TINT0()
{
	tint0_counter++;
}

interrupt void ISR_TINT1()
{
	tint1_counter++;
}

void idleFunction()
{
	loop_counter++;
	prd0 = TIMER_getPeriod(hTimer0);
	tim0 = TIMER_getCount(hTimer0);
}

//void SetUpTimer( TIMER_Handle hTimer; uint32 prd; uint32 tim; uint32 eventid)
//{
//}

//------------------------------------------------------------------------------
// main() function, which never returns
//------------------------------------------------------------------------------
//#pragma FUNC_NEVER_RETURNS( main );
void main()
{
	IER = 0x0003;	// enable Reset and NMI only
	ICR = 0xFFFF;	// clear all pending ITs
	CSR |= 1;		// enable Global Interrupt Enable (GIE)
	CSL_init();
//	BSL_init();
    SetupTimer(&hTimer0, TIMER_DEV0, 0x00000211, 0x00010000, 0x00000000,IRQ_EVT_TINT0);
    SetupTimer(&hTimer1, TIMER_DEV1, 0x00000211, 0x00020000, 0x00000000,IRQ_EVT_TINT1);
	// while ( 0) idleFunction();   // eszer se fut
	// while ( i < 0x2000000 ) idleFunction();
	while ( 1) idleFunction();  // allandoan fut
}
