MEMORY
{
	/* Interrupt Service Table for interrupt vectors */
	IST			(RX):	o = 00000000h   l = 00000200h	/* 512 bytes */

	IRAM		(RWX):	o = 00000280h	l = 000EFD80h	/* 1M - 640 bytes */
	
	/* Run-time Control/Status in IRAM */
	RTCTL		(RWX):	o = 000F0000h	l = 00000200h	/* K bytes */
	VECTOR		(RWX):	o = 000F0200h	l = 00002000h	/* k bytes */

	/* External SDRAM that can be used as program and data memory */
	SDRAM		(RWX):	o = 80000000h	l = 08000000h	/* 128M bytes */
}


SECTIONS
{
	/* defined in the vectors.asm file */
	.ITvecs				>	IST
	
	.stack				>	IRAM
/*	.bss				>	IRAM
	.const				>	IRAM
	.data				>	IRAM
*/
	.text				>	IRAM
	.far				>	IRAM
/*	.switch				>	IRAM
	.sysmem				>	IRAM
	.tables				>	IRAM
	.cio				>	IRAM
*/
	.cinit				>	IRAM
/*
	.pinit				>	IRAM
*/
	adatok				>	RTCTL
	vektor				>   VECTOR
/*	
	.sdram				>	SDRAM
*/	
	/* CSL sections: */
/*
	$BRID				>	SDRAM
*/
}
