#include <bsl.h>
#include <csl_timer.h>
#include <bsl_bbaiohal.h>
#include <bsl_aouthal.h>
#include <bsl_ubadchal.h>
#include <bsl_ubdachal.h>
#include <bsl_uinthal.h>
#include <bsl_digpot.h>

TIMER_Handle	hTimer0, hTimer1;

Uint32 prd0=0x11111111, tim0=0x33333333;


#pragma DATA_SECTION( loop_counter, "adatok")
#pragma DATA_SECTION( tint0_counter, "adatok")
#pragma DATA_SECTION( tint1_counter, "adatok")
#pragma DATA_SECTION( signal1_sample, "adatok")
#pragma DATA_SECTION( signal2_sample, "adatok")
#pragma DATA_SECTION( signal1_sample_array, "vektor")
	Int32 signal1_sample;
	Int32 signal2_sample;
	Int32 out_sample;
int loop_counter=0x12345678;
int tint0_counter=0x10000000;
int tint1_counter=0x20000000;
Int32 signal1_sample_array[1024];

void SetupTimer(TIMER_Handle * phTimer, 
        int devNum, 
        Uint32 ctl, 
        Uint32 prd,
        Uint32 cnt,
        Uint32 eventId)
{
	*phTimer = TIMER_open(devNum, TIMER_OPEN_RESET);

	TIMER_configArgs( *phTimer,
		TIMER_CTL_OF( ctl ),
	//	TIMER_PRD_OF( 125000000 ),	// = 1 Hz (pulse) @ 1 GHz CPU
		TIMER_PRD_OF( prd ),	// = 1 Hz (pulse) @ 1 GHz CPU
		TIMER_CNT_OF( cnt )
	);
	
	IRQ_enable( eventId );

	TIMER_start( * phTimer );
}

interrupt void ISR_TINT0()
{
//	Int32 signal1_sample;
	signal1_sample = BBAIO_RGET( AD1RD );
//	BBAIO_RSET( DA1WR, signal1_sample );
	tint0_counter++;

	signal1_sample_array[tint0_counter % 0x400]=signal1_sample;
	//signal1_sample_array[tint0_counter % 0x400]=(tint0_counter) % 0x400;
	//signal1_sample_array[tint0_counter % 0x400]=(8*tint0_counter) % 0x400;
	out_sample=signal1_sample;
	out_sample+=signal1_sample_array[(tint0_counter-1) % 0x400];
	out_sample+=signal1_sample_array[(tint0_counter-2) % 0x400];
	out_sample+=signal1_sample_array[(tint0_counter-3) % 0x400];
	BBAIO_RSET( DA1WR, out_sample );
}

interrupt void ISR_TINT1()
{
//	Int32 signal2_sample;
	signal2_sample = BBAIO_RGET( AD2RD );
	BBAIO_RSET( DA2WR, signal2_sample );
	tint1_counter++;
}

void idleFunction()
{
	loop_counter++;
	prd0 = TIMER_getPeriod(hTimer0);
	tim0 = TIMER_getCount(hTimer0);
}

//------------------------------------------------------------------------------
// main() function, which never returns
//------------------------------------------------------------------------------
//#pragma FUNC_NEVER_RETURNS( main );
void main()
{
	BSL_init();

	DIGPOT_Set( DIGPOT_BBAIO1, DIGPOT_POT_INPUT_GAIN, 60 /*0...63*/ );
	UBADC_RFSETS( MODE1SEL, MODE, GAIN_ONLY );
	UBADC_RFSETS( FLT1CFG, CLKDIV, 25_KHZ );
	UBADC_RFSETS( CONV1SEL, SOURCE, DSP1_TOUT0 );
	UBDAC_RFSETS( SRC1SEL, SOURCE, DSP1 );
	UBDAC_RFSETS( UPD1SEL, SOURCE, DSP1_TOUT0 );
	UBDAC_RFSETS( FLT1CFG, CLKDIV, 25_KHZ );
	AOUT_RFSETS( SWAOUT1, SOURCE, BAOUT );

	DIGPOT_Set( DIGPOT_BBAIO2, DIGPOT_POT_INPUT_GAIN, 60 /*0...63*/ );
	UBADC_RFSETS( MODE2SEL, MODE, GAIN_FILT_ON );
	UBADC_RFSETS( FLT2CFG, CLKDIV, 25_KHZ );
	UBADC_RFSETS( CONV2SEL, SOURCE, DSP1_TOUT1 );
	UBDAC_RFSETS( SRC2SEL, SOURCE, DSP1 );
	UBDAC_RFSETS( UPD2SEL, SOURCE, DSP1_TOUT1 );
	UBDAC_RFSETS( FLT2CFG, CLKDIV, 25_KHZ );
	AOUT_RFSETS( SWAOUT2, SOURCE,BAOUT );

//	UINT_RFSETS( INT4SRC, SOURCE, AD1EOC );

    SetupTimer(&hTimer0, TIMER_DEV0, 0x00000211, 1250, 0x00000000,IRQ_EVT_TINT0);
    SetupTimer(&hTimer1, TIMER_DEV1, 0x00000211, 2500, 0x00000000,IRQ_EVT_TINT1);

	// while ( 0) idleFunction();   // eszer se fut
	// while ( i < 0x2000000 ) idleFunction();
	while ( 1) idleFunction();  // allandoan fut
}
